<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="inchorus-form-validity" select="//data/parameters/parameter[@name='inchorus-form-validity']"/>
		<xsl:variable name="decryptionhash" select="//data/config/base/decryptionhash"/>
		<xsl:variable name="statustype" select="//data/status/type" />	
		<xsl:variable name="statuscode" select="//data/status/code" />	
		<xsl:variable name="connectorid" select="//data/config/connector/connectorid"/>
		<xsl:variable name="workpath" select="//data/config/connector/workpath"/>
		<xsl:choose>
			<xsl:when test="$inchorus-form-validity='false'">
				<inchorus-message id="config-form-error">
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:attribute name="deactivationdelay">1500</xsl:attribute>
					Validation error
				</inchorus-message>
			</xsl:when>
			
			<xsl:when test="$statuscode='CHECK_ENGINE_SUCCESS'">
				<inchorus-message id="config-form-success">
					<xsl:attribute name="type">success</xsl:attribute>
					<xsl:attribute name="deactivationdelay">1500</xsl:attribute>
					Successfully checked the availablity of the engine
				</inchorus-message>
				<script>
				</script>
			</xsl:when>
			
			<xsl:when test="$statuscode='UNAUTHORIZED'">
				<inchorus-message id="config-form-error">
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:attribute name="deactivationdelay">1500</xsl:attribute>
					Engine is available, but username or password is wrong
				</inchorus-message>
				<script>
				</script>
			</xsl:when>	
			
			<xsl:when test="$statuscode='ERROR_EXECUTING_REQUEST'">
				<inchorus-message id="config-form-error">
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:attribute name="deactivationdelay">1500</xsl:attribute>
					Something wrent wrong, Please check Host and Port.
				</inchorus-message>
				<script>
				</script>
			</xsl:when>				
			
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>