<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
	
		<xsl:variable name="decryptionhash" select="//data/config/base/decryptionhash"/>
	
		<xsl:variable name="connectorid" select="//data/config/connector/connectorid"/>
		<xsl:variable name="workpath" select="//data/config/connector/workpath"/>
		
		<inchorus-form>
			<xsl:attribute name="id">config-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="responsetargetid">config-form-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			<xsl:attribute name="command">checkEngine</xsl:attribute>
			
			<inchorus-select>
				<xsl:attribute name="preselect">LOCAL</xsl:attribute>
				<xsl:attribute name="hascontentfile">false</xsl:attribute>
				<xsl:attribute name="onChange">
					value = $(this).find("select").attr("value");
					//alert(value);
					if (value == 'LOCAL') {
						alert('Local from Engine');
						$('#config-form-label-enginehost').hide();
						$('#config-form-label-engineport').hide(); 
						$('#config-form-enginehost').hide();
						$('#config-form-engineport').hide(); 
					}
					if (value == 'REMOTE') {
						alert('Remote from Engine');
						$('#config-form-label-enginehost').show();
						$('#config-form-label-engineport').show(); 
						$('#config-form-enginehost').show();
						$('#config-form-engineport').show(); 
					}
					//inchorus.$('config-form').setCommand('registerConnector');
				</xsl:attribute>
				<select id="config-form-enginemode">
					<xsl:attribute name="name">inc-enginemode</xsl:attribute>
					<option value="">Please select</option>
					<option value="LOCAL">Local</option>
					<option value="REMOTE">Remote</option>
				</select>
			</inchorus-select>
			
			<label id="config-form-label-enginehost" style="display:none">enginehost*</label>
			<input id="config-form-enginehost">
				<xsl:attribute name="type">text</xsl:attribute>
				<xsl:attribute name="value">Enter IP of Engine</xsl:attribute>
				<xsl:attribute name="style">display:none</xsl:attribute>
				<xsl:attribute name="name">inc-enginehost</xsl:attribute>
				<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
				<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
			</input>
			
			<label id="config-form-label-engineport" style="display:none">engineport*</label>
			<input id="config-form-engineport">
				<xsl:attribute name="type">text</xsl:attribute>
				<xsl:attribute name="value">55080</xsl:attribute>
				<xsl:attribute name="style">display:none</xsl:attribute>
				<xsl:attribute name="name">inc-engineport</xsl:attribute>
				<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
				<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
			</input>
			
			<label>adminusername*</label>
			<input id="config-form-adminusername">
				<xsl:attribute name="type">text</xsl:attribute>
				<xsl:attribute name="name">inc-adminusername</xsl:attribute>
				<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
				<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
			</input>
			
			<label>adminpassword*</label>
			<input id="config-form-adminpassword">
				<xsl:attribute name="type">password</xsl:attribute>
				<xsl:attribute name="name">inc-adminpassword</xsl:attribute>
				<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
				<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
			</input>
			
			<inchorus-button id="config-form-button-register">
        		<xsl:attribute name="type">text</xsl:attribute>
        		<xsl:attribute name="highlighting">low</xsl:attribute>
        		<xsl:attribute name="text">Verbindungstest</xsl:attribute>
        		<xsl:attribute name="onclick">inchorus.$('config-form').submit();</xsl:attribute>
      		</inchorus-button>
			
			<inchorus-button id="config-form-button-register">
        		<xsl:attribute name="type">text</xsl:attribute>
        		<xsl:attribute name="highlighting">low</xsl:attribute>
        		<xsl:attribute name="text">Registrieren</xsl:attribute>
        		<xsl:attribute name="onclick">
        			inchorus.$('config-form').setCommand('registerConnector');
        			inchorus.$('config-form').submit();
        		</xsl:attribute>
      		</inchorus-button>
			
		</inchorus-form>
		
		<div>decryptionhash: </div><xsl:value-of select="$decryptionhash"/>
		<div>connectorid: </div><xsl:value-of select="$connectorid"/>
		<div>workpath: </div><xsl:value-of select="$workpath"/>
		
		<div id="config-form-response"></div>
		
	</xsl:template>
</xsl:stylesheet>