<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->

	<xsl:template match="//data">
		<xsl:variable name="statuscode" select="parameters/parameter[@name='statuscode']" />
				<style>
					.login-message div { 
						margin: 0px 0px 20px 0px !important;
					}
				</style>
				
					<inchorus-form style="width:160px;">
						<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-form-1</xsl:attribute>
						<xsl:attribute name="submitprefix"><xsl:value-of select="$contentid"/>-login-input-</xsl:attribute>
						<xsl:attribute name="responsetargetid"><xsl:value-of select="$contentid"/></xsl:attribute>
						<xsl:attribute name="hasresponsefile">true</xsl:attribute>
						<xsl:attribute name="command">authenticate</xsl:attribute>
						<xsl:attribute name="submitonenter">true</xsl:attribute>
						<xsl:attribute name="securitymode">public</xsl:attribute>
						
						<img id="inchorus-logo">
							<xsl:attribute name="src">/<xsl:value-of select="$gadgetpath"/>/inc/img/inchorus-logo.png</xsl:attribute>
							<xsl:attribute name="style">height:auto;display: block;margin-left: auto;margin-right: auto;margin-bottom:20px;margin-top:10px;</xsl:attribute>
						</img>
						
						<xsl:if test="$statuscode = 'LOGIN_PROCESS_NO_AUTHENTICATION_ERROR' ">
						
							<inchorus-message class="login-message">
								<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-message-1</xsl:attribute>
          						<xsl:attribute name="type">error</xsl:attribute>
          						<h3><xsl:value-of select="$login_error_general"/></h3>
          						<p><xsl:value-of select="$login_error_no_authentication"/></p>
       					 	</inchorus-message>
							
						</xsl:if>
						<xsl:if test="$statuscode = 'LOGIN_PROCESS_NOT_AUTHORIZED_ERROR' ">
						
							<inchorus-message class="login-message">
								<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-message-2</xsl:attribute>
          						<xsl:attribute name="type">error</xsl:attribute>
          						<h3><xsl:value-of select="$login_error_general"/></h3>
          						<p><xsl:value-of select="$login_error_not_authorized"/></p>
       					 	</inchorus-message>
       					 	
						</xsl:if>

						<div><xsl:value-of select="$login_username"/>:</div>
						<input>
							<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-input-username</xsl:attribute>
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="name"><xsl:value-of select="$contentid"/>-login-input-username</xsl:attribute>							
						</input>
						<div><xsl:value-of select="$login_password"/>:</div>
						<input>
							<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-input-password</xsl:attribute>
							<xsl:attribute name="type">password</xsl:attribute>
							<xsl:attribute name="name"><xsl:value-of select="$contentid"/>-login-input-password</xsl:attribute>							
						</input>
					</inchorus-form>
					<inchorus-button>
						<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-login-button-1</xsl:attribute>
				        <xsl:attribute name="type">text</xsl:attribute>
				        <xsl:attribute name="highlighting">medium</xsl:attribute>
				        <xsl:attribute name="text"><xsl:value-of select="$login_button"/></xsl:attribute>
				        <xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$contentid"/>-login-form-1').submit();</xsl:attribute>
					 	<xsl:attribute name="style">margin-bottom:10px;</xsl:attribute>
					</inchorus-button>
					<script>
						$("#<xsl:value-of select="$contentid"/>-login-input-username").focus();
					</script>
	</xsl:template>
</xsl:stylesheet>