<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">

		<!-- TEXT VALUES -->	
		<xsl:variable name="inchorus_icon_title_value1_single">title_value1_single</xsl:variable>
		<xsl:variable name="inchorus_icon_title_value1_multi">title_value1_multi</xsl:variable>
		<xsl:variable name="inchorus_icon_title_value2_single">title_value2_single</xsl:variable>
		<xsl:variable name="inchorus_icon_title_value2_multi">title_value2_multi</xsl:variable>

		<!-- INPUT VALUES -->	
		<xsl:variable name="value1">2</xsl:variable> <!-- ERRORS -->
		<xsl:variable name="value2">5</xsl:variable> <!-- WARNINGS -->
		
		<xsl:if test="$username != ''">
			<div style="overflow:hidden;border-bottom: 1px solid #ddd;padding:12px 20px 20px 20px;">
				<div style="float:left;width:calc(100% - 104px);line-height:34px;padding-5px;">
					<xsl:value-of select="$logged_in_as"/><b><xsl:value-of select="$username" /></b>
				</div>
			
			<xsl:if test="$gadgetauthenticationmode = 'authentication' and $gadgetauthenticationtype = 'form'">
				<xsl:choose>
				    <xsl:when test="$contentid='-1'"> <!-- contentid = -1 means we are running inside of the standalone mode -->			
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-index-logout-button-1</xsl:attribute>
					        <xsl:attribute name="type">text</xsl:attribute>
					        <xsl:attribute name="highlighting">medium</xsl:attribute>
					         <xsl:attribute name="position">withoutmargin</xsl:attribute>
					        <xsl:attribute name="text"><xsl:value-of select="$logout_button"/></xsl:attribute>
					        <xsl:attribute name="onclick">window.location.href = "/<xsl:value-of select="$gadgetpath"/>/logout.html?integrationmode=standalone";</xsl:attribute>
						</inchorus-button>
					</xsl:when>
				<xsl:otherwise>
					<inchorus-content>
						<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-index-logout-content-1</xsl:attribute>
						<xsl:attribute name="active">false</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="command">logout</xsl:attribute>
						<xsl:attribute name="alternativetargetid"><xsl:value-of select="$contentid"/></xsl:attribute>
					</inchorus-content>
					<inchorus-button>
						<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-index-logout-button-1</xsl:attribute>
				        <xsl:attribute name="type">text</xsl:attribute>
				        <xsl:attribute name="highlighting">medium</xsl:attribute>
				        <xsl:attribute name="text"><xsl:value-of select="$logout_button"/></xsl:attribute>
				        <xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$contentid"/>-index-logout-content-1').activate();</xsl:attribute>
					</inchorus-button>
				</xsl:otherwise>
				</xsl:choose>
			</xsl:if>
			</div>
		</xsl:if>
		<br/><br/>
		<inchorus-icon>
			<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-index-icon-minimized</xsl:attribute>
			<xsl:attribute name="picture">/<xsl:value-of select="$gadgetpath" />/inc/img/gadget.png</xsl:attribute>
			<xsl:attribute name="title"><xsl:value-of select="$gadgetname" /></xsl:attribute>
			<xsl:attribute name="type">bubble-red-yellow</xsl:attribute>			
			<xsl:attribute name="onclick">alert('icon clicked')</xsl:attribute>
			
			<!-- ERRORS -->
			<xsl:if test="$value1">
				<xsl:attribute name="value1"><xsl:value-of select="$value1" /></xsl:attribute>
				<xsl:attribute name="highlighting1">high</xsl:attribute>
				<xsl:attribute name="title1">			
					<xsl:choose>
						<xsl:when test="$value1 = 1">
							<xsl:value-of select="$value1" />&#160;<xsl:value-of select="$inchorus_icon_title_value1_single"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$value1" />&#160;<xsl:value-of select="$inchorus_icon_title_value1_multi"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>	
			</xsl:if>
			
			<!-- WARNING> -->
			<xsl:if test="$value2">
				<xsl:attribute name="value2"><xsl:value-of select="$value2" /></xsl:attribute>
				<xsl:attribute name="highlighting2">medium</xsl:attribute>
				<xsl:attribute name="title2">			
					<xsl:choose>
						<xsl:when test="$value2 = 1">
							<xsl:value-of select="$value2" />&#160;<xsl:value-of select="$inchorus_icon_title_value2_single"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$value2" />&#160;<xsl:value-of select="$inchorus_icon_title_value2_multi"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:attribute>
			</xsl:if>
		</inchorus-icon>		
		<div style="padding-top:9px;margin-left:50px;margin-top:0px;max-width:auto;"><xsl:value-of select="$gadgetname" /></div>
	</xsl:template>
</xsl:stylesheet>