<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->

	<xsl:template match="//data">
		<xsl:variable name="case" select="case" />

		<html>
			<head>
				<title>
					<xsl:value-of select="$gadgetname" />
				</title>
				<!-- jquery -->
				<script src="inc/js/jquery/jquery.js" type="text/javascript"/>
			
				<!-- inchorus standard -->	
				<script src="inc/js/inchorus/inchorus.gadget.js" type="text/javascript"/>
				<link media="screen" rel="stylesheet" type="text/css" href="inc/css/inchorus/inchorus.gadget.css" />
			
			    <!-- polymer webcomponents support -->		
				<script src="inc/js/webcomponents/webcomponents-lite.js" type="text/javascript"/>
				<link rel="import" href="inc/wc/polymer/polymer.html"/>			
				
			    <!-- inchorus webcomponents -->		
				<link rel="import" href="inc/wc/inchorus/inchorus-elements-all.html"/>
				
				<script src="inc/js/inchorus.{$gadgetname}.js" type="text/javascript"/>
				<link media="screen" rel="stylesheet" type="text/css" href="inc/css/inchorus.{$gadgetname}.css" />
					
			</head>
			<body>
			
				<inchorus-gadget>
				 	<xsl:attribute name="id">1</xsl:attribute>
					<xsl:attribute name="version">1.0.1</xsl:attribute>
 					<xsl:attribute name="path">/<xsl:value-of select="$gadgetpath"/></xsl:attribute>
 					
					<inchorus-message>
						<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-exception-message-1</xsl:attribute>					
	          			<xsl:attribute name="type">error</xsl:attribute>
						<xsl:choose>
							<xsl:when test="$statustype='error' and $statuscode='FORM_AUTHENTICATION_NOAUTHENTICATION'">
								<h3>FORM_AUTHENTICATION_NOAUTHENTICATION</h3>
								<p>user not authenticated</p>
							</xsl:when>
							<xsl:when test="$statustype='error' and $statuscode='HOST_VALIDATION_NOVALIDATION'">
								<h3>HOST_VALIDATION_NOVALIDATION</h3>
								<p>host not validated</p>
							</xsl:when>
							<xsl:otherwise>
								<h3 class="error">ERROR DETECTED</h3>
								<p><xsl:value-of select="$statuscode"/></p>
							</xsl:otherwise>
						</xsl:choose>
	       			</inchorus-message>
	       			
				</inchorus-gadget>			
			</body>
		</html>

	</xsl:template>
</xsl:stylesheet>