<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
/*************************************************************************
*
*  History:
*
*	Date		Programmer			Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/13/2016	Thomas Gertler		1.0.0		Final 
*												
*	Copyright (c) G+H System GmbH, 2016
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:if test="$redirecturl">
			<html>
				<head>
					<meta HTTP-EQUIV='REFRESH'>					
						<xsl:attribute name="content"><![CDATA[0; url=]]><xsl:value-of select="$redirecturl" />
						<xsl:for-each select="//parameters/parameter">
							<xsl:choose>
		  						<xsl:when test="position() = 1"><![CDATA[?]]></xsl:when>
		  					<xsl:otherwise><![CDATA[&]]></xsl:otherwise>
							</xsl:choose>
							<xsl:call-template name="addparam">
							<xsl:with-param name="paramvalue" select="."/>
							<xsl:with-param name="paramname" select="./@name"/>
						</xsl:call-template>
						</xsl:for-each>
						</xsl:attribute>
					</meta>
				</head>
				<body></body>
			</html>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="addparam">
		<xsl:param name="paramvalue"/>
		<xsl:param name="paramname"/>
		<xsl:value-of select="$paramname"/><![CDATA[=]]><xsl:value-of select="$paramvalue"/>
	</xsl:template> 
	
</xsl:stylesheet>