<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->

	<xsl:template match="//data">
	
		<xsl:variable name="paramstatustype" select="//data/parameters/parameter[@name='statustype']"/>
		<xsl:variable name="paramstatuscode" select="//data/parameters/parameter[@name='statuscode']"/>
		
		<inchorus-page-header>
			<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-exception-pages-page-1-header</xsl:attribute>
			<h1><xsl:value-of select="$gadgetname" /></h1>
		</inchorus-page-header>

		<inchorus-page-content>
			<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-exception-pages-page-1-content</xsl:attribute>
			<xsl:attribute name="padding">true</xsl:attribute>

		
			<inchorus-message>
				<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-exception-pages-page-1-message</xsl:attribute>				
         			<xsl:attribute name="type">error</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$paramstatustype='error' and $paramstatuscode='VERIFICATION_REQUIRED'">
						<h3>VERIFICATION_REQUIRED</h3>
						<p><xsl:value-of select="$verification_required_description"/></p>
					</xsl:when>
					<xsl:when test="$paramstatustype='error' and $paramstatuscode='SESSION_EXPIRED'">
						<h3>SESSION_EXPIRED</h3>
						<p><xsl:value-of select="$session_expired_description"/></p>
					</xsl:when>
					<xsl:when test="$paramstatustype='error' and $paramstatuscode='NO_AUTHENTICATION_DATA'">
						<h3>NO_AUTHENTICATION_DATA</h3>
						<p><xsl:value-of select="$no_authentication_data_description"/></p>
					</xsl:when>
					<xsl:when test="$paramstatustype='error' and $paramstatuscode='NO_AUTHENTICATION_ERROR'">
						<h3>NO_AUTHENTICATION_ERROR</h3>
						<p><xsl:value-of select="$no_authentication_data_description"/></p>
					</xsl:when>
					<xsl:when test="$paramstatustype='error' and $paramstatuscode='LOGIN_PROCESS_NOT_AUTHORIZED_ERROR'">
						<h3 class="error">LOGIN_PROCESS_NOT_AUTHORIZED_ERROR</h3>
						<p><xsl:value-of select="$login_process_not_authorized_description"/></p>
					</xsl:when>
					<xsl:when test="$paramstatustype='error' and $paramstatuscode='NOT_AUTHORIZED_ERROR'">
						<h3>NOT_AUTHORIZED_ERROR</h3>
						<p><xsl:value-of select="$login_process_not_authorized_description"/></p>
					</xsl:when>
					<xsl:otherwise>
						<h3 class="error">ERROR DETECTED</h3>
						<p><xsl:value-of select="$statuscode"/></p>
					</xsl:otherwise>
				</xsl:choose>
      			</inchorus-message>
      			
		</inchorus-page-content>
	
		<inchorus-page-footer>
			<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-exception-pages-page-1-footer</xsl:attribute>
			<xsl:value-of select="$lbl_gadgetversion" />&#160;<xsl:value-of select="$gadgetversion" />
		</inchorus-page-footer>
		

	</xsl:template>
</xsl:stylesheet>