<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->

	<xsl:template match="data">
		<html>
			<head>
				<title>
					<xsl:value-of select="$gadgetname" />
				</title>
				<!-- jquery -->
				<script src="inc/js/jquery/jquery.js" type="text/javascript"/>
			
				<!-- inchorus standard -->	
				<script src="inc/js/inchorus/inchorus.gadget.js" type="text/javascript"/>
				<link media="screen" rel="stylesheet" type="text/css" href="inc/css/inchorus/inchorus.gadget.smartphone.css" />
			
			    <!-- polymer webcomponents support -->		
				<script src="inc/js/webcomponents/webcomponents-lite.js" type="text/javascript"/>
				<link rel="import" href="inc/wc/polymer/polymer.html"/>			
				
			    <!-- inchorus webcomponents -->		
				<link rel="import" href="inc/wc/inchorus/inchorus-elements-all.html"/>
				
				<script src="inc/js/inchorus.{$gadgetname}.js" type="text/javascript"/>
				<link media="screen" rel="stylesheet" type="text/css" href="inc/css/inchorus.{$gadgetname}.smartphone.css" />
				
				<!-- tag to set display size on android -->
				<meta name="viewport" content="width=device-width, height=device-height" />
			</head>
			<body>
			
			
				<!-- 
				Attention! In this template the INTEGRATED mode is used also for STANDALONE content. 
				After authentication (if required) the gadget will be reinitialized with the following code in integration mode.
				You can change the displaymode of your gadget from default throught changing the 
				attribute: displaymode to maximized or minimized or via request parameter displaymode=maximized
				-->
			
				<inchorus-gadget>
 					<xsl:attribute name="id">-1</xsl:attribute>
					<xsl:attribute name="version">1.0.1</xsl:attribute>
 					<xsl:attribute name="path">/<xsl:value-of select="$gadgetpath"/></xsl:attribute>
 					<xsl:attribute name="displaymode"><xsl:value-of select="$displaymode"/></xsl:attribute>
					<xsl:attribute name="integrationmode">integrated</xsl:attribute>
				</inchorus-gadget>
				
				<!-- 				
				If you want to have different behavior in standalone mode vs. integration mode, you may replace the code by the following:

				<inchorus-gadget>
 					<xsl:attribute name="id">1</xsl:attribute>
					<xsl:attribute name="version">1.0.0</xsl:attribute>
					
					Start your custom code here.

				</inchorus-gadget>								
				-->			
			
<!-- 				<inchorus-gadget>
				 	<xsl:attribute name="id">1</xsl:attribute>
					<xsl:attribute name="version">1.0.0</xsl:attribute>
 					<xsl:attribute name="path">/<xsl:value-of select="$gadgetpath"/></xsl:attribute>
			
					<inchorus-pages>
						<xsl:attribute name="activepageid">page-home</xsl:attribute>
						
						<inchorus-page>
							<xsl:attribute name="id">page-home</xsl:attribute>
							<xsl:attribute name="hascontentfile">true</xsl:attribute>				
						</inchorus-page>					
					</inchorus-pages>					
				</inchorus-gadget>		 -->		
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>