var entraid = entraid || {};
entraid.createNS = function (namespace) {
    var nsparts = namespace.split(".");
    var parent = entraid;
 
    // we want to be able to include or exclude the root namespace so we strip
    // it if it's in the namespace
    if (nsparts[0] === "entraid") {
        nsparts = nsparts.slice(1);
    }
 
    // loop through the parts and create a nested namespace if necessary
    for (var i = 0; i < nsparts.length; i++) {
        var partname = nsparts[i];
        // check if the current parent already has the namespace declared
        // if it isn't, then create it
        if (typeof parent[partname] === "undefined") {
            parent[partname] = {};
        }
        // get a reference to the deepest element in the hierarchy so far
        parent = parent[partname];
    }
    // the parent is now constructed with empty namespaces and can be used.
    // we return the outermost namespace
    return parent;
};

entraid.createNS("entraid.slider");

entraid.slider.showDetailsMaximized = function (o) {
	inchorus.$('entraid-slider-maximized').setParameters(o);
	inchorus.$('entraid-slider-maximized').load();
	jQuery('#entraid-slider-maximized-notclickable').css('display','block');
	setTimeout(function() {
		jQuery('#inc-portal-general-header').addClass('inc-portal-general-header-fixed');
		jQuery('#inc-portal-general-page-wrap').addClass('inc-portal-general-page-wrap-fixed');
	}, 500);
	inchorus.$('entraid-slider-maximized').activate();
};

entraid.slider.hideDetailsMaximized = function () {
	jQuery('#entraid-slider-maximized-notclickable').css('display','none');
	inchorus.$('entraid-slider-maximized').deactivate();
	jQuery('#inc-portal-general-header').removeClass('inc-portal-general-header-fixed');
	jQuery('#inc-portal-general-page-wrap').removeClass('inc-portal-general-page-wrap-fixed');	
}

entraid.slider.showDetails = function (displaymode,o) {
	
	if (displaymode == 'small') {
		jQuery('#entraid-slider-details').removeClass('entraid-slider-details-60percent');
		jQuery('#entraid-slider-details').removeClass('entraid-slider-details-90percent');
	}
	inchorus.$('entraid-slider-details').setParameters(o);
	inchorus.$('entraid-slider-details').load();
	inchorus.$('entraid-slider-details').activate();
}

entraid.slider.hideDetails = function () {
	inchorus.$('entraid-slider-details').deactivate();
	jQuery('#entraid-slider-details').attr('class','dac-slider-right');
}

entraid.slider.hideDetailsSecondary = function () {
	inchorus.$('entraid-slider-details-secondary').deactivate();
	jQuery('#entraid-slider-details-secondary').attr('class','dac-slider-right');
}

entraid.createNS("entraid.policy");

entraid.policy.back = function (parentid, qualitylevel, policyid) {
	inchorus.$(parentid).setCommand("getPolicyFirstData");
	inchorus.$(parentid).setAlternativecontentfile("entraid-admin-policies-policydetails-list-" + policyid);
	inchorus.$(parentid).setParameters(
		{
			"policyid":policyid,
			"qualitylevel":qualitylevel
		}
	);
	inchorus.$(parentid).load();
}

entraid.policy.openSecondData= function (parentid, o) {
	inchorus.$(parentid).setCommand("getPolicySecondData");
	inchorus.$(parentid).setParameters(o);
	inchorus.$(parentid).load();
}

entraid.slider.closeUnusedAkkordeons = function (id) {
	$("inchorus-akkordeon").each(function(index) {
	  temp = $(this).attr('id');
	  if (id != temp) {
	  	inchorus.$(temp + '-content').deactivate();
	  	jQuery('#' + temp + '-header inchorus-button').attr('icon','arrow_up');
	  }
	});
}

// create your own functions in the gadget specific namespace which is created for you.
//entraid.showAlert = function (o) {
//  alert();
//};

// if you wish you can create additional sub namespaces
//entraid.createNS("entraid.test");
//entraid.test.showAlert = function (o) {
//	alert();
//};

