<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


	<!-- Output Definition - Beginning -->
	<xsl:output method="text" encoding="UTF-8" omit-xml-declaration="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--LANGUAGE-->/language.xsl" />	
	<!-- Language File Include - End -->

	<xsl:template match="groups">
		<xsl:variable name="templanguage"><!--LANGUAGE--></xsl:variable>
	
		<xsl:for-each select="./group">
		
			<xsl:value-of select="$objectsid" />;<xsl:value-of select="uniqueid" />;
			<xsl:value-of select="$group_name" />;<xsl:value-of select="name" />;
			<xsl:value-of select="$group_description" />;<xsl:value-of select="description" />;
			<xsl:value-of select="$category_details" />;<xsl:call-template name="get-category-translation"><xsl:with-param name="str" select="category" /></xsl:call-template> (<xsl:value-of select="$category_mailenabled" />: <xsl:value-of select="mailenabled" /> | <xsl:value-of select="$category_securityenabled" />: <xsl:value-of select="securityenabled" />);
			<xsl:value-of select="$membershiptype" />;<xsl:call-template name="get-isactive-translation"><xsl:with-param name="str" select="membershiptypes" /></xsl:call-template>;<xsl:value-of select="membershiprule"/>;
			<xsl:value-of select="$email" />;<xsl:value-of select="mail" />;
			
			<xsl:value-of select="$section_moreinformations" />;;
			<xsl:value-of select="$createdon" />;<xsl:value-of select="created" />;
			<xsl:value-of select="$security" />;<xsl:call-template name="get-isactive-translation"><xsl:with-param name="str" select="securityenabled" /></xsl:call-template>;
			<xsl:value-of select="$roleassignment" />;<xsl:call-template name="get-isactive-translation"><xsl:with-param name="str" select="rolsassignmentsenabled" /></xsl:call-template>;
			<xsl:value-of select="$onpremisessync" />;<xsl:call-template name="get-enabled-translation"><xsl:with-param name="str" select="onPremisesSyncEnabled" /></xsl:call-template>;
		</xsl:for-each>


	</xsl:template>
	
	<xsl:template name="format-date">
		<xsl:param name="separator" />
		<xsl:param name="language" />
		<xsl:param name="date" />
		<xsl:if test="$date != ''"><xsl:choose>
				<xsl:when test="$language = 'en'"><xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-before($date, $separator)" />
				</xsl:when>
				<xsl:otherwise><xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before($date, $separator)" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>

	<xsl:template name="get-category-translation">
		<xsl:param name="str" />	
		<xsl:choose>
			<xsl:when test="$str = 'o365'">
				<xsl:value-of select="$o365" />
			</xsl:when>
			<xsl:when test="$str = 'security'">
				<xsl:value-of select="$securitygroup" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="get-membershiptype-translation">
		<xsl:param name="str" />	
		<xsl:choose>
			<xsl:when test="$str = 'dynamic'">
				<xsl:value-of select="$dynamic" />
			</xsl:when>
			<xsl:when test="$str = 'static'">
				<xsl:value-of select="$static" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="get-enabled-translation">
		<xsl:param name="str" />	
		<xsl:choose>
			<xsl:when test="$str = 'true'">
				<xsl:value-of select="$yes" />
			</xsl:when>
			<xsl:when test="$str = 'false'">
				<xsl:value-of select="$no" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>

<xsl:template name="get-isactive-translation">
	<xsl:param name="str" />	
	<xsl:choose>
		<xsl:when test="$str = 'true'">
			<xsl:value-of select="$active" />
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$disabled" />
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>