<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


	<!-- Output Definition - Beginning -->
	<xsl:output method="text" encoding="UTF-8" omit-xml-declaration="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--LANGUAGE-->/language.xsl" />	
	<!-- Language File Include - End -->

<xsl:template match="groups">

	<xsl:value-of select="$name"/>;<xsl:value-of select="$description"/>;<xsl:value-of select="$systemname"/>;<xsl:value-of select="$directorysync"/>;<xsl:value-of select="$category"/>;<xsl:value-of select="$mailenabled"/>;<xsl:value-of select="$membershiptype"/>;			
	<xsl:for-each select="./group">
	<xsl:value-of select="name"/>;<xsl:value-of select="description"/>;<xsl:value-of select="systemname"/>;<xsl:call-template name="get-directorysync-translation"><xsl:with-param name="str" select="isconnected" /></xsl:call-template>;<xsl:call-template name="get-category-translation"><xsl:with-param name="str" select="category" /></xsl:call-template>;<xsl:call-template name="get-mailenabled-translation"><xsl:with-param name="str" select="mailenabled" /></xsl:call-template>;<xsl:call-template name="get-membershiptype-translation"><xsl:with-param name="str" select="membershiptype" /></xsl:call-template>;
	</xsl:for-each>

</xsl:template>

	<xsl:template name="get-directorysync-translation">
		<xsl:param name="str" />
		
		<xsl:choose>
			<xsl:when test="$str = 'true'">
				<xsl:value-of select="$yes" />
			</xsl:when>
			<xsl:when test="$str = 'false'">
				<xsl:value-of select="$no" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="get-category-translation">
		<xsl:param name="str" />
		
		<xsl:choose>
			<xsl:when test="$str = 'o365'">
				<xsl:value-of select="$o365" />
			</xsl:when>
			<xsl:when test="$str = 'security'">
				<xsl:value-of select="$securitygroup" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="get-mailenabled-translation">
		<xsl:param name="str" />
		
		<xsl:choose>
			<xsl:when test="$str = 'true'">
				<xsl:value-of select="$yes" />
			</xsl:when>
			<xsl:when test="$str = 'false'">
				<xsl:value-of select="$no" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>
	
	<xsl:template name="get-membershiptype-translation">
		<xsl:param name="str" />
		
		<xsl:choose>
			<xsl:when test="$str = 'static'">
				<xsl:value-of select="$membershiptype_static" />
			</xsl:when>
			<xsl:when test="$str = 'dynamic'">
				<xsl:value-of select="$membershiptype_dynamic" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>