<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:java="java" exclude-result-prefixes="xs" version="3.0">
<xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="yes"/>

<xsl:include href="<!--LANGUAGE-->/language.xsl"/>

<xsl:template match ="licenseplans" >
<xsl:variable name="templanguage"><!--LANGUAGE--></xsl:variable>

    <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">      
        <fo:layout-master-set>
            <fo:simple-page-master master-name="licenseplan" margin="0mm 0mm 0mm 0mm" page-height="297mm" page-width="210mm">
				<fo:region-body margin="29mm 15mm 15mm 25mm"/>
				<fo:region-before extent="10mm"/>
				<fo:region-after extent="10mm"/>
            </fo:simple-page-master>
        </fo:layout-master-set>

        <fo:page-sequence master-reference="licenseplan">
   		
   			<fo:static-content flow-name="xsl-region-before">
				<fo:block-container text-align="right" margin-top="9mm" margin-right="13px">
					<fo:block>
						<fo:external-graphic src="url('http://localhost:55080/entraid/inc/img/daccord.svg')"					
							content-width="50%" content-height="50%"/>
					</fo:block>
				</fo:block-container>
        	</fo:static-content>  
        	
        	<fo:static-content flow-name="xsl-region-after">
        	
        	
        		<fo:table>
        			<fo:table-body>
        				<fo:table-row>
        					<fo:table-cell border="hidden" font-size="7px" text-align="left" margin-left="10mm">
        						<fo:block>
        							<xsl:variable name="date" select="java:util.Date.new()"/>
        							
				               		<xsl:variable name="day">
				               			<xsl:call-template name="get-day">
				               				<xsl:with-param name="date" select="string($date)"/>
				               				<xsl:with-param name="separator" select="' '"/>
				               			</xsl:call-template>
				               		</xsl:variable>
				               		
        							<xsl:variable name="month">
				               			<xsl:call-template name="get-month">
				               				<xsl:with-param name="date" select="string($date)"/>
				               				<xsl:with-param name="separator" select="' '"/>
				               			</xsl:call-template>
				               		</xsl:variable>
				               		
				               		<xsl:variable name="monthNumber">
				               			<xsl:call-template name="month-as-number">
				               				<xsl:with-param name="month" select="$month"/>
			               				</xsl:call-template>
		               				</xsl:variable>
				               		
				               		<xsl:variable name="year">
				               			<xsl:call-template name="get-year">
				               				<xsl:with-param name="date" select="string($date)"/>
				               				<xsl:with-param name="separator" select="' '"/>
				               			</xsl:call-template>
				               		</xsl:variable>
				               		
				               		<xsl:variable name="time">
				               			<xsl:call-template name="get-time">
				               				<xsl:with-param name="date" select="string($date)"/>
				               				<xsl:with-param name="separator" select="' '"/>
				               				<xsl:with-param name="language" select="$language" />
				               			</xsl:call-template>
				               		</xsl:variable>
        							
        							<xsl:choose>
        								<xsl:when test="$templanguage = 'en'">
        									<xsl:value-of select="$dateOfCreation"/> <xsl:value-of select="$monthNumber"/>/<xsl:value-of select="$day"/>/<xsl:value-of select="$year"/> &#8203; <xsl:value-of select="$time"/>
        								</xsl:when>
        								<xsl:otherwise>
        									<xsl:value-of select="$dateOfCreation"/> <xsl:value-of select="$day"/>.<xsl:value-of select="$monthNumber"/>.<xsl:value-of select="$year"/> &#8203; <xsl:value-of select="$time"/>
        								</xsl:otherwise>
        							</xsl:choose>
        							
        						</fo:block>
        					</fo:table-cell>
        					<fo:table-cell border="hidden" font-size="7px"
        					text-align="right" margin-right="25px">
        						<fo:block>
        							<xsl:value-of select="$page"/><fo:page-number/>/<fo:page-number-citation ref-id="theVeryLastPage"/>
        						</fo:block>
        					</fo:table-cell>
        				</fo:table-row>
        			</fo:table-body>
        		</fo:table>
        	
        	</fo:static-content>
       	
         	
         
	            <fo:flow flow-name="xsl-region-body">
	                <fo:block font-family="'Century Gothic'" line-height="0.9em"> <!-- font-family wird nicht richtig übernommen -->
					<xsl:for-each select="./licenseplan">
	
						<fo:block-container position="fixed" top="14mm">
							<fo:block text-align="left" font-size="16pt" font-weight="bold" color="#174A57" margin-left="23px">
								<xsl:value-of select="name" />
							</fo:block>
						</fo:block-container>
						
						
						<fo:table start-indent="-17mm" width ="207mm">
						
	                       	<fo:table-column column-width="100mm" />
			               	<fo:table-column column-width="90mm" />
				               	<fo:table-body start-indent="0mm">
				               		<fo:table-row font-size="9pt">
				               			<fo:table-cell>
				               				<fo:block>
				               				
				               					<fo:table> <!-- T1 -->
				               						<fo:table-column column-width="33mm" />
				               						<fo:table-column column-width="80mm" />
				               						
				               						<fo:table-body>
				               							<!-- 
				               							<fo:table-row text-align="left" font-weight="bold" color="#174A57" font-size="12pt">
				               								<fo:table-cell>
				               									<fo:block margin-top="3mm" margin-bottom="3mm">
				               										IDENTITY
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							-->
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$objectsid"/>
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:value-of select="uniqueid" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			......................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$license_appliesto" />
				               										</fo:inline> 	
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:value-of select="appliesTo" />
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			......................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<fo:inline font-weight="bold">
				               											<xsl:value-of select="$license_capabilitystatus" />
				               										</fo:inline>
				               									</fo:block>
				               								</fo:table-cell>
				               								<fo:table-cell>
				               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               										<xsl:call-template name="get-enabled-translation">
				               											<xsl:with-param name="str" select="capabilityStatus" />
				               										</xsl:call-template>
				               									</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			......................................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>           							
				               						</fo:table-body>
				               					</fo:table>
				               				</fo:block>
				               			</fo:table-cell>
				               			<fo:table-cell>
				               				<fo:block>
				               					<fo:block-container margin-top="0px" margin-left="2mm">
				               						<fo:table> <!-- T1.2 -->
				               							<fo:table-column column-width="30mm" />
				               							<fo:table-column column-width="80mm" />
				               							
					               						<fo:table-body>
					               							<fo:table-row font-size="9pt"
					               								margin-top="350mm">
					               								<fo:table-cell>
					               									<fo:block margin-bottom="-2mm" margin-top="1mm">
					               										<fo:inline font-weight="bold">
					               											<xsl:value-of select="$license_consumedunits" />
					               										</fo:inline>
					               									</fo:block>
					               								</fo:table-cell>
					               								<fo:table-cell>
					               									<fo:block margin-top="1mm" margin-bottom="-2mm">
				               											<xsl:value-of select="consumedUnits" />
					               									</fo:block>
					               								</fo:table-cell>
					               							</fo:table-row>
					               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			.............................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
					               							<fo:table-row font-size="9pt">
					               								<fo:table-cell>
					               									<fo:block margin-bottom="-2mm" margin-top="1mm">
					               										<fo:inline font-weight="bold">
					               											<xsl:value-of select="$license_skuId" />
					               										</fo:inline> 
					               									</fo:block>
					               								</fo:table-cell>
					               								<fo:table-cell>
					               									<fo:block margin-top="1mm" margin-bottom="-2mm">
					               										<xsl:value-of select="skuId" />
					               									</fo:block>
					               								</fo:table-cell>
					               							</fo:table-row>
					               							<fo:table-row>
				               								<fo:table-cell>
				               									<fo:block>
							                            			.............................................................................................................
						                            			</fo:block>
				               								</fo:table-cell>
				               							</fo:table-row>
				               							</fo:table-body>
					               					</fo:table>
				               					</fo:block-container>
				               				</fo:block>
				               			</fo:table-cell>
				               		</fo:table-row>
		                                                        

		                           <fo:table-row font-size="9pt">
		                            	<fo:table-cell>
		                            		<fo:block>
		                            			<fo:table margin-top="8mm"> <!-- T2 -->
				               						<fo:table-column column-width="180mm" />
				               						
		                            				<fo:table-body>
		                            					<fo:table-row text-align="left" font-weight="bold" color="#174A57" font-size="12pt">
		                            						<fo:table-cell>
		                            							<fo:block margin-top="5mm" margin-bottom="3mm">
		                            								<xsl:value-of select="$section_services" />
		                            							</fo:block>
		                            						</fo:table-cell>
		                            					</fo:table-row>
		                            					
		                            					<xsl:for-each select="//data/licensememberships/members/member">
		                            					
			                            					<fo:table-row>
					               								<fo:table-cell>
					               									<fo:block margin-top="1mm" margin-bottom="-2mm">
					               										<xsl:value-of select="serviceplanname" />
					               									</fo:block>
					               								</fo:table-cell>
					               							</fo:table-row>
					               							<fo:table-row>
					               								<fo:table-cell>
					               									<fo:block>
								                            			.................................................................................................................................................................................................................................................
							                            			</fo:block>
					               								</fo:table-cell>
					               							</fo:table-row>
				    
				               							</xsl:for-each>          							
		                            				</fo:table-body>
		                            			</fo:table>
		                            		</fo:block>
		                            	</fo:table-cell>
		                            </fo:table-row>
		                            
		                            <fo:table-row font-size="9pt">
		                            	<fo:table-cell>
		                            		<fo:block>
		                            			<fo:table margin-top="8mm"> <!-- T3 -->
				               						<fo:table-column column-width="160mm" />
				               						<fo:table-column column-width="140mm" />
				               						
		                            				<fo:table-body>
		                            					<fo:table-row text-align="left" font-weight="bold" color="#174A57" font-size="12pt">
		                            						<fo:table-cell>
		                            							<fo:block margin-top="5mm" margin-bottom="3mm">
		                            								<xsl:value-of select="$section_assignments" />
		                            							</fo:block>
		                            						</fo:table-cell>
		                            					</fo:table-row>
		                            					
		                            					<xsl:for-each select="//data/licenseplanmembers/members/member">
		                            					
			                            					<fo:table-row>
					               								<fo:table-cell>
					               									<fo:block margin-top="1mm" margin-bottom="-2mm">
					               										<xsl:value-of select="name" />
					               									</fo:block>
					               								</fo:table-cell>
					               								<fo:table-cell>
					               									<fo:block margin-top="1mm" margin-bottom="-2mm">
					               										<xsl:call-template name="get-securityprincipallabel-translation">
				               												<xsl:with-param name="str" select="securityprincipallabel" />
				               											</xsl:call-template>
					               									</fo:block>
					               								</fo:table-cell>
					               							</fo:table-row>
					               							<fo:table-row>
					               								<fo:table-cell>
					               									<fo:block>
								                            			.................................................................................................................................................................................................................................................
							                            			</fo:block>
					               								</fo:table-cell>
					               							</fo:table-row>
				    
				               							</xsl:for-each>          							
		                            				</fo:table-body>
		                            			</fo:table>
		                            		</fo:block>
		                            	</fo:table-cell>
		                            </fo:table-row>
		
				               	</fo:table-body>	               			               					
						</fo:table>
			               	
			        
	           	        <fo:block id="theVeryLastPage" />
	                   </xsl:for-each>
	                </fo:block>
	            </fo:flow>
            
        </fo:page-sequence>
    </fo:root>
</xsl:template>

<xsl:template name="get-day">
	<xsl:param name="date" />
	<xsl:param name="separator" />
	
	<xsl:value-of select="substring-before(substring-after(substring-after($date, $separator), $separator), $separator)"/>
</xsl:template>

<xsl:template name="get-month">
	<xsl:param name="date" />
	<xsl:param name="separator" />
	
	<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />
	
</xsl:template>
 
<xsl:template name="get-year">
	<xsl:param name="date" />
	<xsl:param name="separator" />
	
	<xsl:choose>
	    <xsl:when test="not(contains($date, $separator))">
	        <xsl:value-of select="$date" />
	    </xsl:when>
	    <xsl:otherwise>
	        <xsl:call-template name="get-year">
	            <xsl:with-param name="date" select="substring-after($date, $separator)" />
                <xsl:with-param name="separator" select="$separator" />
	        </xsl:call-template>
	    </xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="get-time">
	<xsl:param name="date" />
	<xsl:param name="separator" />
	<xsl:param name="language" />
	
	<xsl:variable name="separator2" select="':'"/>
	
	<xsl:choose>
		<xsl:when test="$language = 'en'">

			<xsl:variable name="hours">
				<xsl:value-of select="substring-before(substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator), $separator2)" />
			</xsl:variable>
			<xsl:choose>
				<xsl:when test="$hours >= '12'">
					<xsl:variable name="AmPm">PM</xsl:variable>
					<xsl:choose>
						<xsl:when test="$hours = '12'">12:</xsl:when>
						<xsl:when test="$hours = '13'">1:</xsl:when>
						<xsl:when test="$hours = '14'">2:</xsl:when>
						<xsl:when test="$hours = '15'">3:</xsl:when>
						<xsl:when test="$hours = '16'">4:</xsl:when>
						<xsl:when test="$hours = '17'">5:</xsl:when>
						<xsl:when test="$hours = '18'">6:</xsl:when>
						<xsl:when test="$hours = '19'">7:</xsl:when>
						<xsl:when test="$hours = '20'">8:</xsl:when>
						<xsl:when test="$hours = '21'">9:</xsl:when>
						<xsl:when test="$hours = '22'">10:</xsl:when>
						<xsl:when test="$hours = '23'">11:</xsl:when>
					</xsl:choose>
					<xsl:value-of select="substring-after(substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator), $separator2)" />
					&#8203;
					<xsl:value-of select="$AmPm"/>
						
				</xsl:when>
				<xsl:when test="$hours = '00'">
					<xsl:variable name="AmPm">AM</xsl:variable>
					12:<xsl:value-of select="substring-after(substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator), $separator2)" />
					&#8203;
					<xsl:value-of select="$AmPm"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="AmPm">AM</xsl:variable>
					<xsl:value-of select="substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator)" />
					&#8203;
					<xsl:value-of select="$AmPm" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="substring-before(substring-after(substring-after(substring-after($date, $separator), $separator), $separator), $separator)" />
		</xsl:otherwise>
	</xsl:choose>
	
	
	
</xsl:template>

<xsl:template name="month-as-number">
	<xsl:param name="month" />
	
	<xsl:choose>
		<xsl:when test="$month = 'Jan'">01</xsl:when>
		<xsl:when test="$month = 'Feb'">02</xsl:when>
		<xsl:when test="$month = 'Mar'">03</xsl:when>
		<xsl:when test="$month = 'Apr'">04</xsl:when>
		<xsl:when test="$month = 'May'">05</xsl:when>
		<xsl:when test="$month = 'Jun'">06</xsl:when>
		<xsl:when test="$month = 'Jul'">07</xsl:when>
		<xsl:when test="$month = 'Aug'">08</xsl:when>
		<xsl:when test="$month = 'Sep'">09</xsl:when>
		<xsl:when test="$month = 'Oct'">10</xsl:when>
		<xsl:when test="$month = 'Nov'">11</xsl:when>
		<xsl:when test="$month = 'Dec'">12</xsl:when>
		<xsl:otherwise><xsl:value-of select="$month"/></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="format-date">
	<xsl:param name="separator" />
	<xsl:param name="language" />
	<xsl:param name="date" />
	
	<xsl:if test="$date != ''">
		<xsl:choose>
			<xsl:when test="$language = 'en'">
				<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-before($date, $separator)" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before($date, $separator)" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:if>
</xsl:template>

<xsl:template name="get-enabled-translation">
	<xsl:param name="str" />	
	<xsl:choose>
		<xsl:when test="$str = 'Enabled'">
			<xsl:value-of select="$yes" />
		</xsl:when>
		<xsl:otherwise>
			<xsl:value-of select="$no" />
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="get-securityprincipallabel-translation">
	<xsl:param name="str" />	
	<xsl:choose>
		<xsl:when test="$str = 'EntraIDUser'">
			<xsl:value-of select="$membertype_user" />
		</xsl:when>
		<xsl:when test="$str = 'EntraIDGroup'">
			<xsl:value-of select="$membertype_group" />
		</xsl:when>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>