<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="UTF-8" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->

	<xsl:template match="users">
		<html>
			<header>
			
				<title><xsl:value-of select="$titlePrintView_User_details"/></title>
				
				<style>
				
					table { border-collapse: collapse; margin-top: 5mm}
					
					th { text-align: left; color: #174A57; font-size: 21pt; padding-bottom: 30px }
					
					tr { font-size: 16pt }
					
					.tdContent { position:relative; left: -210mm; margin-bottom: -2mm;}
					
					.borders { position: relative; top: -14px; }
				
					@media print 
					{
        				tr {page-break-inside:avoid;}
     				}
					
					@Page
					{
						margin-top: 0;
						margin-bottom: 0;
						size: A4;
					}
					
				</style>
				
			</header>

			<xsl:for-each select="./user">

				<body style="font-family: Century Gothic">

					<h1>
						<xsl:attribute name="align">left</xsl:attribute>
						<xsl:attribute name="style">color: 174A57; font-size: 25pt</xsl:attribute>
						<xsl:value-of select="name" />
					</h1>
				
					

					<img style="position: relative; top: -160px; left: 1238px">
						<xsl:attribute name="src">../../../entraid/inc/img/daccord.svg</xsl:attribute>
						<xsl:attribute name="width">250</xsl:attribute>
						<xsl:attribute name="height">250></xsl:attribute>
					</img>

					
					<table cellspacing="0" style="margin-top: -200px">
						
						<tr>
							<td style="border: hidden">
								<table>									
									
									<tr>
										<td>
											<xsl:value-of select="$objectsid" />
										</td>
										<td class="tdContent">
											<div style="width: 790px;">
												<xsl:value-of select="uniqueid" />
											</div>
											
										</td>
									</tr>
									
									<tr>
										<td class="borders">
										...............................................................................................................................................................................................
										</td>
									</tr>
									
									<tr>
										<td>
											<xsl:value-of select="$dn" />
										</td>
										<td class="tdContent">
											<div id="userid" style="width: 790px;">
												<xsl:value-of select="userid" />
											</div>
										</td>
									</tr>
									
									<tr>
										<td class="borders">
										...............................................................................................................................................................................................
										</td>
									</tr>
									
									<tr>
										<td>
											<xsl:value-of select="$cn" />
										</td>
										<td class="tdContent">
											<div style="width: 790px;">
												<xsl:value-of select="name" />
											</div>
										</td>			
									</tr>
									
									<tr>
										<td class="borders">
										...............................................................................................................................................................................................
										</td>
									</tr>
									
									<tr>
										<td>
											<xsl:value-of select="$surname_details" />
										</td>
										<td class="tdContent">
											<div style="width: 790px;">
												<xsl:value-of select="surname" />
											</div>
										</td>
									</tr>
									
									<tr>
										<td class="borders">
										...............................................................................................................................................................................................
										</td>
									</tr>
									
									<tr>
										<td>
											<xsl:value-of select="$givenname_details" />
										</td>
										<td class="tdContent">
											<div style="width: 790px;">
												<xsl:value-of select="givenname" />
											</div>
										</td>
									</tr>
									
									<tr>
										<td class="borders">
										...............................................................................................................................................................................................
										</td>
									</tr>
									
									<tr>
										<td>
											<xsl:value-of select="$lastlogin" />
										</td>
										<td class="tdContent">
											<div id="lastused" style="width: 790px;">
												<xsl:value-of select="lastused" />
											</div>
										</td>
									</tr>
									
									<tr>
										<td class="borders">
										...............................................................................................................................................................................................
										</td>
									</tr>
									
									<tr>
										<td>
											<xsl:value-of select="$useraccountcontrol" />
										</td>
										<td class="tdContent">
											<div style="width: 790px;">
												<xsl:value-of select="statusdetail" />
											</div>
										</td>
									</tr>
									
									<tr>
										<td class="borders">
										...............................................................................................................................................................................................
										</td>
									</tr>
									
									<tr>
										<td>
											<xsl:value-of select="$createdon" />
										</td>
										<td class="tdContent">
											<div id="created" style="width: 790px;">
												<xsl:value-of select="created" />
											</div>
										</td>
									</tr>
									
									<tr>
										<td class="borders">
										...............................................................................................................................................................................................
										</td>
									</tr>
									
									<tr>
										<td>
											<xsl:value-of select="$changedon" />
										</td>
										<td class="tdContent">
											<div id="modified" style="width: 790px;">
												<xsl:value-of select="modified" />
											</div>
										</td>
									</tr>
									
									<tr>
										<td class="borders">
										...............................................................................................................................................................................................
										</td>
									</tr>
									
									<tr>
										<td>
											<xsl:value-of select="$samaccountname" />
										</td>
										<td class="tdContent">
											<div style="width: 790px;">
												<xsl:value-of select="alternativename" />
											</div>
										</td>
									</tr>
									
									<tr>
										<td class="borders">
										...............................................................................................................................................................................................
										</td>
									</tr>
									
								</table>		
							</td>
						</tr>
					</table>
								

						
						
						<br/>
						<br/>
						<br/>
						<br/>
						<br/>
						
						
						
						<p style="display:inline-block" align="left"><xsl:value-of select="$dateOfCreation"/></p> 
						<p style="display:inline-block" id="date"></p>
						<p id="language" hidden="true"><xsl:value-of select="$language"/></p>
	
						
						
						
												
						
						
					<script>
					
					var myLanguage = document.getElementById("language").innerHTML;
					

					
					getDate();
					
					var lastused = document.getElementById("lastused").innerHTML;
					var created = document.getElementById("created").innerHTML;
					var modified = document.getElementById("modified").innerHTML;
					
					formatDate();
					
					var userid = document.getElementById("userid").innerHTML;
					
					separateByComma();
				
					function getDate()
					{
					
						n =  new Date();
						y = n.getFullYear();
						m = n.getMonth() + 1;
						d = n.getDate();
						h = n.getHours();
						min = n.getMinutes();
						s = n.getSeconds();
						
						AmPm = "AM";
						
						if(m >= 10)
						{
							m = m;
						}
						else
						{
							m = "0" + m;
						}
						
						if(d >= 10)
						{
							d = d;
						}
						else
						{
							d = "0" + d;
						}
						
						if(h >= 10)
						{
							h = h;
						}
						else
						{
							h = "0" + h;
						}
						
						if(min >= 10)
						{
							min = min;
						}
						else
						{
							min = "0" + min;
						}
						
						if(s >= 10)
						{
							s = s;
						}
						else
						{
							s = "0" + s;
						}
						
						
						if(myLanguage == "english")
						{
							if(h > 12)
							{
								AmPm = "PM";
								h = h - 12;
							}
							if(h == '00')
							{
								h = 12;
							}
							if(h == 12)
							{
								AmPm = "PM";
							}
							document.getElementById("date").innerHTML = m + "/" + d + "/" + y + " " + h + ":" + min + ":" + s + " " + AmPm;
						}
						else
						{
							document.getElementById("date").innerHTML = d + "." + m + "." + y + " " + h + ":" + min + ":" + s;
						}		
						
					}

					
					function formatDate()
					{
						
						if(myLanguage == "english")
						{
							document.getElementById("lastused").innerHTML = lastused.substring(5, 7) + "/" + lastused.substring(8) + "/" + lastused.substring(0, 4);
						}
						else
						{
							document.getElementById("lastused").innerHTML = lastused.substring(8) + "." + lastused.substring(5, 7) + "." + lastused.substring(0, 4);
						}
						
						if(myLanguage == "english")
						{
							document.getElementById("created").innerHTML = created.substring(5, 7) + "/" + created.substring(8) + "/" + created.substring(0, 4);
						}
						else
						{
							document.getElementById("created").innerHTML = created.substring(8) + "." + created.substring(5, 7) + "." + created.substring(0, 4);
						}
						
						if(myLanguage == "english")
						{
							document.getElementById("modified").innerHTML = modified.substring(5, 7) + "/" + modified.substring(8) + "/" + modified.substring(0, 4);
						}
						else
						{
							document.getElementById("modified").innerHTML = modified.substring(8) + "." + modified.substring(5, 7) + "." + modified.substring(0, 4);
						}
						
						if(lastused == "")
						{
							document.getElementById("lastused").innerHTML = "";
						}
						
						if(created == "")
						{
							document.getElementById("created").innerHTML = "";
						}
						
						if(modified == "")
						{
							document.getElementById("modified").innerHTML = "";
						}
						
					}
					
					function separateByComma()
					{
						document.getElementById("userid").innerHTML = userid.split(',').join(', ');
					}
					
					</script>
					
				</body>
			</xsl:for-each>
		</html>
	</xsl:template>
</xsl:stylesheet>