<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">


	<!-- Output Definition - Beginning -->
	<xsl:output method="text" encoding="UTF-8" omit-xml-declaration="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--LANGUAGE-->/language.xsl" />	
	<!-- Language File Include - End -->

	<xsl:template match="users">
		<xsl:variable name="templanguage"><!--LANGUAGE--></xsl:variable>
	
		<xsl:for-each select="./user">
		
			<xsl:value-of select="$userprincipalname" />;<xsl:value-of select="userid" />;
			<xsl:value-of select="$surname_details" />;<xsl:value-of select="surname" />;
			<xsl:value-of select="$givenname_details" />;<xsl:value-of select="givenname" />;
			<xsl:value-of select="$user_status" />;<xsl:value-of select="status" />;
			<xsl:value-of select="$usertype" />;<xsl:value-of select="type" />;
			
			<xsl:value-of select="$createdon" />;<xsl:call-template name="format-date"><xsl:with-param name="separator">-</xsl:with-param><xsl:with-param name="language" select="$templanguage" /><xsl:with-param name="date" select="created" /></xsl:call-template>;
			<xsl:value-of select="$objectid" />;<xsl:value-of select="systemname" />;
			<xsl:value-of select="$company" />;<xsl:value-of select="company" />;
			<xsl:value-of select="$isconnected" />;<xsl:value-of select="isconnected" />;
		
		</xsl:for-each>


	</xsl:template>
	
	<xsl:template name="format-date">
		<xsl:param name="separator" />
		<xsl:param name="language" />
		<xsl:param name="date" />
		<xsl:if test="$date != ''"><xsl:choose>
				<xsl:when test="$language = 'en'"><xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-before($date, $separator)" />
				</xsl:when>
				<xsl:otherwise><xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before($date, $separator)" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>