<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="text" encoding="UTF-8" omit-xml-declaration="yes" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" indent="yes"/>
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--LANGUAGE-->/language.xsl" />	
	<!-- Language File Include - End -->

	<xsl:template match="users">
	<xsl:variable name="templanguage"><!--LANGUAGE--></xsl:variable>

		<xsl:value-of select="$username"/>;<xsl:value-of select="$givenname"/>;<xsl:value-of select="$surname"/>;<xsl:value-of select="$systemname"/>;<xsl:value-of select="$usertype"/>;<xsl:value-of select="$directorysync"/>;<xsl:value-of select="$status"/>;
		<xsl:for-each select="./user">
		<xsl:value-of select="name"/>;<xsl:value-of select="givenname"/>;<xsl:value-of select="surname"/>;<xsl:value-of select="systemname"/>;<xsl:call-template name="get-membershiptype-translation"><xsl:with-param name="str" select="type" /></xsl:call-template>;<xsl:call-template name="get-directorysync-translation"><xsl:with-param name="str" select="isconnected" /></xsl:call-template>;<xsl:call-template name="get-translation"><xsl:with-param name="str" select="status" /></xsl:call-template>;
		</xsl:for-each>

	</xsl:template>
	
	<xsl:template name="format-date">
		<xsl:param name="separator" />
		<xsl:param name="language" />
		<xsl:param name="date" />
		<xsl:if test="$date != ''"><xsl:choose>
				<xsl:when test="$language = 'en'"><xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />/<xsl:value-of select="substring-before($date, $separator)" />
				</xsl:when>
				<xsl:otherwise><xsl:value-of select="substring-after(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before(substring-after($date, $separator), $separator)" />.<xsl:value-of select="substring-before($date, $separator)" />
				</xsl:otherwise>
			</xsl:choose>
		</xsl:if>
	</xsl:template>
	
	<xsl:template name="get-translation">
		<xsl:param name="str" />
		
		<xsl:choose>
			<xsl:when test="$str = 'active'">
				<xsl:value-of select="$active" />
			</xsl:when>
			<xsl:when test="$str = 'disabled'">
				<xsl:value-of select="$disabled" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="get-directorysync-translation">
		<xsl:param name="str" />
		
		<xsl:choose>
			<xsl:when test="$str = 'true'">
				<xsl:value-of select="$yes" />
			</xsl:when>
			<xsl:when test="$str = 'false'">
				<xsl:value-of select="$no" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="get-membershiptype-translation">
		<xsl:param name="str" />
		
		<xsl:choose>
			<xsl:when test="$str = 'Member'">
				<xsl:value-of select="$member" />
			</xsl:when>
			<xsl:when test="$str = 'Guest'">
				<xsl:value-of select="$guest" />
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>