<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- General -->

	<xsl:variable name="welcome">Herzlich Willkommen </xsl:variable>
	<xsl:variable name="logged_in_as">Eingeloggt als:</xsl:variable>
	
	<!-- Label -->
	<xsl:variable name="lbl_gadgetversion">Version: </xsl:variable>
	<xsl:variable name="lbl_gadgetdescription">Beschreibung: </xsl:variable>
	
	<!-- Login -->
	<xsl:variable name="login_headline">Anmeldung</xsl:variable>
	<xsl:variable name="login_username">Benutzername</xsl:variable>
	<xsl:variable name="login_password">Passwort</xsl:variable>
	<xsl:variable name="login_button">Anmelden</xsl:variable>
	<xsl:variable name="loader_pleasewait">Bitte warten...</xsl:variable>

	<!-- Logout -->
	<xsl:variable name="logout_button">Abmelden</xsl:variable>
		
	<!-- Text -->
	<xsl:variable name="initsuccess">Das Gadget wurde erfolgreich initialisiert </xsl:variable>
	<xsl:variable name="initfailed">Ein Fehler ist aufgetreten</xsl:variable>
	<xsl:variable name="moreinformations">Dieses Development Kit ist Eigentum der G+H Systems GmbH. <br></br>Alle Rechte vorbehalten. Für weitere Informationen zu inchorus besuchen Sie bitte unsere Webseite:</xsl:variable>
	
	<!-- Bitte denken Sie daran die Beschreibung zu übersetzen -->
	<xsl:variable name="gadget_description">This is my Entra ID Gadget</xsl:variable>
	
	<!-- STATUSCODES -->
	<xsl:variable name="statuscode_ERROR_AUTHENTICATE_SESSION">Die Anmeldung ist fehlgeschlagen. Bitte versuchen Sie es erneut.</xsl:variable>
	<xsl:variable name="statuscode_ERROR_MISSING_CREDENTIALS">Bitte geben Sie Ihre Anmeldeinformationen ein.</xsl:variable>
	
	<!-- entraid -->
	<xsl:variable name="entraid_header">Entra ID</xsl:variable>
	<xsl:variable name="entraid_tab_administrator">Alle Entra ID Mandanten</xsl:variable>
	<xsl:variable name="entraid_tab_inmyresponsibility">In meiner Verantwortung</xsl:variable>
	<xsl:variable name="entraid_list_entraid">Entra ID</xsl:variable>
	<xsl:variable name="entraid_list_username">Username</xsl:variable>
	<xsl:variable name="entraid_list_givenname">Vorname</xsl:variable>
	<xsl:variable name="entraid_list_surname">Nachname</xsl:variable>
	<xsl:variable name="entraid_list_status">Status</xsl:variable>
	<xsl:variable name="entraid_list_domain">Mandant</xsl:variable>
	<xsl:variable name="entraid_list_identityissuer">Identitätsaussteller</xsl:variable>
	<xsl:variable name="entraid_list_directorysycn">Synchronisiert</xsl:variable>
	<xsl:variable name="entraid_list_usertype">Benutzertyp</xsl:variable>
	<xsl:variable name="entraid_list_member">Mitglied</xsl:variable>
	<xsl:variable name="entraid_list_guest">Gast</xsl:variable>
	<xsl:variable name="entraid_list_groupname">Name</xsl:variable>
	<xsl:variable name="entraid_list_description">Beschreibung</xsl:variable>
	<xsl:variable name="entraid_list_type">Type</xsl:variable>
	<xsl:variable name="entraid_list_scope">Scope</xsl:variable>
	<xsl:variable name="entraid_list_category">Kategorie</xsl:variable>
	<xsl:variable name="entraid_list_matching">Personenzuordnung</xsl:variable>
	<xsl:variable name="entraid_list_lastused">Letzte Nutzung</xsl:variable>
	<xsl:variable name="entraid_list_grouptype">Art der Gruppe</xsl:variable>
	<xsl:variable name="entraid_list_grouptype_global">Global</xsl:variable>
	<xsl:variable name="entraid_list_grouptype_domainlocal">Domänenlokal</xsl:variable>
	<xsl:variable name="entraid_list_grouptype_universal">Universal</xsl:variable>
	<xsl:variable name="entraid_list_grouptype_other">Andere</xsl:variable>
	<xsl:variable name="entraid_list_groupcategory_security">Sicherheitsgruppen</xsl:variable>
	<xsl:variable name="entraid_list_groupcategory_special">Spezielle Identitätsgruppen</xsl:variable>
	<xsl:variable name="entraid_list_membershiptype">Art der Mitgliedschaft</xsl:variable>
	<xsl:variable name="entraid_list_mailenabled">E-Mail aktiviert</xsl:variable>
	<xsl:variable name="entraid_list_name">Name</xsl:variable>
	<xsl:variable name="entraid_list_client">Mandant</xsl:variable>
	<xsl:variable name="entraid_list_license">Lizenz</xsl:variable>
	<xsl:variable name="entraid_list_appliesTo">Gilt für</xsl:variable>
	<xsl:variable name="entraid_list_tenant">Mandant</xsl:variable>
	<xsl:variable name="entraid_list_directorysync">Synchronisiert</xsl:variable>
	<xsl:variable name="entraid_list_capacilitystatus">Kapazitätsstatus</xsl:variable>
	<xsl:variable name="entraid_list_consumedunits">verbrauchte Einheiten</xsl:variable>
	
	<xsl:variable name="entraid_title_capabilitystatus_enabled">Mindestens eine Lizenz ist noch aktiv.</xsl:variable>
	<xsl:variable name="entraid_title_capabilitystatus_warning">Keine Lizenz ist aktiv und mindestens eine Lizenz ist abgelaufen (kann aber noch für einen Zeitraum von 30 Tagen benutzt werden).</xsl:variable>
	<xsl:variable name="entraid_title_capabilitystatus_suspended">Keine Lizenz ist aktiv oder im 30 Tage Zeitraum nach Ablauf. In diesem Zustand kann keine Lizenz mehr genutzt werden.</xsl:variable>
	<xsl:variable name="entraid_title_policies">Richtlinien</xsl:variable>
	<xsl:variable name="entraid_title_policies_medium">weniger kritische Richtlinien sind überschritten</xsl:variable>
	<xsl:variable name="entraid_title_policies_high">kritische Richtlinien sind überschritten</xsl:variable>

	<xsl:variable name="entraid_label_objectsid">ObjectSid</xsl:variable>
	<xsl:variable name="entraid_label_objectid">ObjectId</xsl:variable>
	<xsl:variable name="entraid_label_entraidtenant">Entra ID Mandant</xsl:variable>
	<xsl:variable name="entraid_label_userprincipalname">Benutzerprinzipalname</xsl:variable>
	<xsl:variable name="entraid_label_company">Firma</xsl:variable>
	<xsl:variable name="entraid_label_grouptype">Art der Gruppe</xsl:variable>
	<xsl:variable name="entraid_label_membershiptype">Art der Mitgliedschaft</xsl:variable>
	<xsl:variable name="entraid_label_source">Quelle</xsl:variable>
	<xsl:variable name="entraid_label_teamsenabled">Teams</xsl:variable>
	<xsl:variable name="entraid_label_expires">Läuft ab am</xsl:variable>
	<xsl:variable name="entraid_label_securityenabled">Sicherheit</xsl:variable>
	<xsl:variable name="entraid_label_rolsassignments">Rollenzuweisung</xsl:variable>
	<xsl:variable name="entraid_label_directorysync">Synchronisiert</xsl:variable>
	<xsl:variable name="entraid_label_onpremisessync">Lokale Synchronisierung</xsl:variable>
	<xsl:variable name="entraid_label_usertype">Benutzertyp</xsl:variable>
	<xsl:variable name="entraid_label_email">E-Mail</xsl:variable>
	<xsl:variable name="entraid_label_cn">CN</xsl:variable>
	<xsl:variable name="entraid_label_dn">DN</xsl:variable>
	<xsl:variable name="entraid_label_description">Beschreibung</xsl:variable>
	<xsl:variable name="entraid_label_surname">Name</xsl:variable>
	<xsl:variable name="entraid_label_givenname">Vorname</xsl:variable>
	<xsl:variable name="entraid_label_lastlogon">Letzte Nutzung</xsl:variable>
	<xsl:variable name="entraid_label_useraccountcontrol">userAccountControl</xsl:variable>
	<xsl:variable name="entraid_label_whencreated">Erstellt am</xsl:variable>
	<xsl:variable name="entraid_label_whenchanged">Geändert am</xsl:variable>
	<xsl:variable name="entraid_label_samaccountname">sAMAccountName</xsl:variable>
	<xsl:variable name="entraid_label_category">Kategorie</xsl:variable>
	<xsl:variable name="entraid_label_scope">Scope</xsl:variable>
	<xsl:variable name="entraid_label_name">Name</xsl:variable>
	<xsl:variable name="entraid_label_members">Mitglieder</xsl:variable>
	<xsl:variable name="entraid_label_owners">Besitzer</xsl:variable>
	<xsl:variable name="entraid_label_groupmemberships">Zuweisungen</xsl:variable>
	<xsl:variable name="entraid_label_serviceplans">Dienste</xsl:variable>
	<xsl:variable name="entraid_label_fullname">Name</xsl:variable>
	<xsl:variable name="entraid_label_status">Status</xsl:variable>
	<xsl:variable name="entraid_label_groupid">GruppenID</xsl:variable>
	<xsl:variable name="entraid_label_roleTemplateId">Rollenvorlagen-ID</xsl:variable>
	<xsl:variable name="entraid_label_appliesTo">Gilt für</xsl:variable>
	<xsl:variable name="entraid_label_capabilityStatus">Kapazitätsstatus</xsl:variable>
	<xsl:variable name="entraid_label_consumedUnits">verwendete Einheiten</xsl:variable>
	<xsl:variable name="entraid_label_skuId">SkuId</xsl:variable>
	<xsl:variable name="entraid_label_moreinformations">Mehr Informationen</xsl:variable>
	<xsl:variable name="entraid_label_resources">Ressourcen</xsl:variable>
	<xsl:variable name="entraid_label_linkedresources">Verknüpfte Ressourcen</xsl:variable>
	<xsl:variable name="entraid_label_entraidroleassignments">Administrative Rollen</xsl:variable>
	<xsl:variable name="entraid_label_mail">Mail</xsl:variable>
	<xsl:variable name="entraid_label_security">Security</xsl:variable>
	
	<xsl:variable name="entraid_status_active">Aktiv</xsl:variable>
	<xsl:variable name="entraid_status_inactive">Deaktiviert</xsl:variable>
	<xsl:variable name="entraid_status_delete">Gelöscht</xsl:variable>
	<xsl:variable name="entraid_text_enabled">Aktiviert</xsl:variable>
	<xsl:variable name="entraid_text_warning">Warnung</xsl:variable>
	<xsl:variable name="entraid_text_suspended">Angehalten</xsl:variable>
	<xsl:variable name="entraid_text_disabled">Deaktiviert</xsl:variable>
	
	<xsl:variable name="entraid_selectbox_enabled">aktiviert</xsl:variable>
	<xsl:variable name="entraid_selectbox_disabled">deaktiviert</xsl:variable>
	<xsl:variable name="entraid_selectbox_yes">Ja</xsl:variable>
	<xsl:variable name="entraid_selectbox_no">Nein</xsl:variable>
	<xsl:variable name="entraid_selectbox_assigned">Zugewiesen</xsl:variable>
	<xsl:variable name="entraid_selectbox_dynamic">Dynamisch</xsl:variable>
	<xsl:variable name="entraid_selectbox_user">User</xsl:variable>
	<xsl:variable name="entraid_selectbox_company">Company</xsl:variable>
	
	<xsl:variable name="entraid_assigment_matched">Einer Person</xsl:variable>
	<xsl:variable name="entraid_assigment_unmatched">Nicht zugeordnet</xsl:variable>
	<xsl:variable name="entraid_assigment_inactivematched">Inaktiver Person</xsl:variable>
	<xsl:variable name="entraid_assigment_multiple">Mehreren Personen</xsl:variable>	
	
	<xsl:variable name="entraid_statusdetails_script">Das Anmeldeskript wird ausgeführt</xsl:variable>
	<xsl:variable name="entraid_statusdetails_accountdisabled">Das Benutzerkonto ist deaktiviert</xsl:variable>
	<xsl:variable name="entraid_statusdetails_homedir_required">Basisordner ist erforderlich</xsl:variable>
	<xsl:variable name="entraid_statusdetails_lockout">Das Konto ist gesperrt</xsl:variable>
	<xsl:variable name="entraid_statusdetails_dontexpirepassword">Das Kennwort läuft nicht ab</xsl:variable>
	<xsl:variable name="entraid_statusdetails_mnslogonaccount">Dies ist ein MNS Anmeldekonto</xsl:variable>
	<xsl:variable name="entraid_statusdetails_smartcardrequired">Zur Anmeldung wird eine Smartcard benötigt</xsl:variable>
	<xsl:variable name="entraid_statusdetails_trustedfordelegation">Vertrauenswürdig für Delegation</xsl:variable>
	<xsl:variable name="entraid_statusdetails_notdelegated">Nicht delegiert</xsl:variable>
	<xsl:variable name="entraid_statusdetails_passwdnotreqd">Es ist kein Kennwort erforderlich</xsl:variable>
	<xsl:variable name="entraid_statusdetails_passwdcanchange">Das Kennwort kann nicht vom Benutzer geändert werden</xsl:variable>
	<xsl:variable name="entraid_statusdetails_encryptedtextpwdallowed">Das Kennwort wird mit umkehrbarer Verschlüsselung gespeichert</xsl:variable>
	<xsl:variable name="entraid_statusdetails_tempduplicateaccount">Dies ist ein Konto für Benutzer, deren primäres Konto sich in einer anderen Domäne befindet</xsl:variable>
	<xsl:variable name="entraid_statusdetails_interdomaintrustaccount">Dies ist eine Erlaubnis, einem Konto für eine Systemdomäne zu vertrauen, die anderen Domänen vertraut</xsl:variable>
	<xsl:variable name="entraid_statusdetails_workstationtrustaccount">Dies ist ein Computerkonto für einen Computer, auf dem Microsoft Windows NT 4.0 Workstation, Microsoft Windows NT 4.0 Server, Microsoft Windows 2000 Professional oder Windows 2000 Server ausgeführt wird, und der Mitglied dieser Domäne ist.</xsl:variable>
	<xsl:variable name="entraid_statusdetails_servertrustaccount">Computerkonto für einen Domänencontroller, der Mitglied dieser Domäne ist</xsl:variable>
	<xsl:variable name="entraid_statusdetails_usedeskeyonly">Es wird nur die Data Encryption Standard (DES) Verschlüsselung für Schlüssel verwendet.</xsl:variable>
	<xsl:variable name="entraid_statusdetails_dontreqpreauth">Für das Konto ist keine Kerberos-Vorauthentifizierung erforderlich</xsl:variable>
	<xsl:variable name="entraid_statusdetails_passwordexpired">Das Kennwort des Benutzers ist abgelaufen</xsl:variable>
	<xsl:variable name="entraid_statusdetails_trustedtoauthfordelegation">Das Konto ist für Delegierungszwecke aktiviert</xsl:variable>
	<xsl:variable name="entraid_statusdetails_partialsecretsaccount">Das Konto ist eine schreibgeschützte Domänencontroller (RODC)</xsl:variable>

	<xsl:variable name="entraid_group_details_membership_noresult">Es wurden keine Mitglieder gefunden.</xsl:variable>
	<xsl:variable name="entraid_user_details_membership_noresult">Es wurden keine Mitgliedschaften gefunden.</xsl:variable>
	<xsl:variable name="entraid_user_details_groupsowner_noresult">Es wurden keine Gruppen in Verantwortung gefunden.</xsl:variable>
	<xsl:variable name="entraid_license_details_membership_noresult">Es wurden keine aktivierten Dienste gefunden.</xsl:variable>
	<xsl:variable name="entraid_user_details_roles_noresult">Es wurden keine Rollen gefunden.</xsl:variable>
	<xsl:variable name="entraid_user_details_enabledservices_noresult">Es wurden keine aktivierten Dienste gefunden.</xsl:variable>
	<xsl:variable name="entraid_group_details_owners_noresult">Es wurden keine Besitzer gefunden.</xsl:variable>
	<xsl:variable name="entraid_group_details_entraidroleassignments_noresult">Es wurden keine Administrative Rollen gefunden.</xsl:variable>
	
	<xsl:variable name="entraid_select_all">Alle</xsl:variable>
	<xsl:variable name="entraid_select_notconnected">Nicht verbunden</xsl:variable>
	
	<xsl:variable name="entraid_admin_quickfilter_user_1">User im</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_user_2">Entra ID</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_groups_1">Gruppen im</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_groups_2">Entra ID</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_roles_1">Rollen im</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_roles_2">Entra ID</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_licenses_1">Lizenzen im</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_licenses_2">Entra ID</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_tenant_1">verschiedene</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_tenant_2">Mandanten</xsl:variable>

	<xsl:variable name="entraid_tooltip_text_entraid">Um die Suche über ein bestimmtes Entra ID zu erhalten, wählen Sie das entsprechende Entra ID aus.</xsl:variable>
	<xsl:variable name="entraid_tooltip_label_entraid">Mandant</xsl:variable>

	<xsl:variable name="entraid_label_policies">Richtlinien</xsl:variable>
	<xsl:variable name="entraid_label_policies_notconfigured">Es stehen keine Richtlinien zur Verfügung, da keine Richtlinien-Packete installiert sind.</xsl:variable>
	<xsl:variable name="entraid_label_policies_risklow">weniger kritische Richtlinien sind überschritten</xsl:variable>
	<xsl:variable name="entraid_label_policies_riskhigh">höher kritische Richtlinien sind überschritten</xsl:variable>
	<xsl:variable name="entraid_label_policies_showhistory">Historie anzeigen für:</xsl:variable>

	<xsl:variable name="entraid_select_policies_showhistory_last7days">letzten 7 Tage</xsl:variable>
	<xsl:variable name="entraid_select_policies_showhistory_last14days">letzten 14 Tage</xsl:variable>
	<xsl:variable name="entraid_select_policies_showhistory_last30days">letzten 30 Tage</xsl:variable>
	<xsl:variable name="entraid_select_policies_showhistory_last90days">letzten 90 Tage</xsl:variable>
	<xsl:variable name="entraid_select_policies_showhistory_last180days">letzten 180 Tage</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_low_1">Kritikalität: leicht (von</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_low_2">bis</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_low_3">)</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_medium_1">Kritikalität: mittel (von</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_medium_2">bis</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_medium_3">)</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_high_1">Kritikalität: hoch (von</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_high_2">bis</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_high_3">)</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_numberof">Anzahl </xsl:variable>
	<xsl:variable name="entraid_message_policies_notscheduled">Hinweis! Die Richtlinie wird aktuell nicht zeitgesteuert analysiert und daher keine historischen Werte ermittelt.</xsl:variable>	
	<xsl:variable name="entraid_message_policies_error_text_1">Es gibt</xsl:variable>
	<xsl:variable name="entraid_message_policies_error_text_2">Richtlinie(n) mit Fehlern.</xsl:variable>
	<xsl:variable name="entraid_message_policies_disabled_text_1">Es gibt</xsl:variable>
	<xsl:variable name="entraid_message_policies_disabled_text_2">deaktivierte Richtlinie(n).</xsl:variable>
	<xsl:variable name="entraid_message_policies_show_critical">kritische Richtlinien anzeigen</xsl:variable>
	<xsl:variable name="entraid_message_policies_show_mediumcritical">mittel kritische Richtlinien anzeigen</xsl:variable>
	<xsl:variable name="entraid_message_policies_show_all_1">alle Richtlinien</xsl:variable>
	<xsl:variable name="entraid_message_policies_show_all_2">anzeigen</xsl:variable>
	<xsl:variable name="entraid_message_policies_no_policies">Es sind momentan keine Richtlinien vorhanden.</xsl:variable>
	<xsl:variable name="entraid_message_policies_no_critical">Es sind momentan keine kritischen Richtlinien vorhanden.</xsl:variable>
	<xsl:variable name="entraid_message_policies_no_mediumcritical">Es sind momentan keine weniger kritischen Richtlinien vorhanden.</xsl:variable>
	
	<xsl:variable name="entraid_message_contenttofollow">Inhalt folgt noch...</xsl:variable>
	<xsl:variable name="entraid_label_systemid">SystemId</xsl:variable>
	<xsl:variable name="entraid_label_uniqueid">UniqueId</xsl:variable>
	<xsl:variable name="entraid_label_history">Historie:</xsl:variable> 
	
	<xsl:variable name="entraid_select_lastused_all">Alle</xsl:variable>
	<xsl:variable name="entraid_select_lastused_7days">Älter als 1 Woche</xsl:variable>
	<xsl:variable name="entraid_select_lastused_30days">Älter als 1 Monat</xsl:variable>
	<xsl:variable name="entraid_select_lastused_180days">Älter als 180 Tage</xsl:variable>
	<xsl:variable name="entraid_select_lastused_365days">Älter als 1 Jahr</xsl:variable>
	
	<xsl:variable name="entraid_select_grouptype_all">Alle</xsl:variable>
	<xsl:variable name="entraid_select_grouptype_global">Global</xsl:variable>
	<xsl:variable name="entraid_select_grouptype_domainlocal">Domänenlokal</xsl:variable>
	<xsl:variable name="entraid_select_grouptype_universal">Universal</xsl:variable>
	
	<xsl:variable name="entraid_select_groupcategory_all">Alle</xsl:variable>
	<xsl:variable name="entraid_select_groupcategory_security">Sicherheitsgruppen</xsl:variable>
	<xsl:variable name="entraid_select_groupcategory_special">Spezielle Identitätsgruppen</xsl:variable>
		
	<xsl:variable name="entraid_select_datatypes_all">Alle</xsl:variable>
	<xsl:variable name="entraid_select_datatypes_users">Konten</xsl:variable>
	<xsl:variable name="entraid_select_datatypes_groups">Gruppen</xsl:variable>
	<xsl:variable name="entraid_select_datatypes_roles">Rollen</xsl:variable>
	<xsl:variable name="entraid_select_datatypes_licenses">Lizenzen</xsl:variable>
		
	<xsl:variable name="entraid_dashboard_headline">Entra ID</xsl:variable>
	<xsl:variable name="entraid_dashboard_subtitle_users">Konten</xsl:variable>
	<xsl:variable name="entraid_dashboard_subtitle_groups">Gruppen</xsl:variable>
	<xsl:variable name="entraid_dashboard_subtitle_roles">Rollen</xsl:variable>
	<xsl:variable name="entraid_dashboard_subtitle_licenses">Lizenzen</xsl:variable>
	<xsl:variable name="entraid_dashboard_message_policies_part1">von</xsl:variable>
	<xsl:variable name="entraid_dashboard_message_policies_part2">Richtlinien sind überschritten </xsl:variable>
	<xsl:variable name="entraid_dashboard_title_allusers_part1">Es wurde(n) insgesamt</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_allusers_part2">Benutzerkonten erfasst.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_userdeletecount_part1">In den letzten 30 Tagen hat sich die Anzahl Benutzerkonten um</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_userdeletecount_part2">Konten verringert.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_useraddcount_part1">In den letzten 30 Tagen sind</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_useraddcount_part2">neue Benutzerkonten hinzugekommen.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_allgroups_part1">Es wurde(n) insgesamt</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_allgroups_part2">Gruppen erfasst.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_groupdeletecount_part1">In den letzten 30 Tagen hat sich die Anzahl Gruppe um</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_groupdeletecount_part2">Gruppen verringert.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_groupaddcount_part1">In den letzten 30 Tagen sind</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_groupaddcount_part2">neue Gruppen hinzugekommen.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_allroles_part1">Es wurde(n) insgesamt</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_allroles_part2">Rollen erfasst.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_roledeletecount_part1">In den letzten 30 Tagen hat sich die Anzahl der Rollen um</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_roledeletecount_part2">Rollen verringert.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_roleaddcount_part1">In den letzten 30 Tagen sind</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_roleaddcount_part2">neue Rollen hinzugekommen.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_alllicenses_part1">Es wurde(n) insgesamt</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_alllicenses_part2">Lizenz(en) erfasst.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_licensedeletecount_part1">In den letzten 30 Tagen hat sich die Anzahl der Lizenzen um</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_licensedeletecount_part2">Lizenzen verringert.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_licenseaddcount_part1">In den letzten 30 Tagen sind</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_licenseaddcount_part2">neue Lizenzen hinzugekommen.</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_status">Status</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_status_title">Übersicht über den Status von Benutzerkonten.</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_matched">Zuordnung</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_matched_title">Sind Benutzerkonten natürlichen Personen zugewiesen?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_login">Anmeldung</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_login_title">Wie verteilt sich die "letzte Anmeldung" über die Zeit?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_membership">Gruppen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_membership_title">In wie vielen Gruppen sind die Konten Mitglied?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_roles">Rollen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_roles_title">Wie viele Rollen sind den Konten zugewiesen?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_licenses">Lizenzen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_licenses_title">Wie viele Lizenzen sind den Konten zugewiesen?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_scope">Bereich</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_scope_title">Übersicht über den Bereich der Sicherheitsgruppen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_category">Typen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_category_title">Übersicht über die Gruppentypen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_members">Mitglieder</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_members_title">Wie viele Mitglieder haben die Gruppen?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_usertoroles">Benutzer</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_usertoroles_title">Wieviele Benutzer sind den Rollen zugewiesen?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_top5roles">Zuweisungen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_top5roles_title">Top 5 Rollen mit den meisten Rollenzuweisungen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_rolesexpires">Läuft ab</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_rolesexpires_title">Wann laufen die Rollen ab?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_usedunused">Status</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_usedunused_title">Übersicht über genutzte und ungenutzte Lizenzen.</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_grouplicenseassignments">Zuweisungen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_grouplicenseassignments_title">Übersicht über direkte und indirekte Lizenz-Zuweisungen.</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_licenseexpires">Läuft ab</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_licenseexpires_title">Wann laufen die Lizenzen ab?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_top5licenses">Top5</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_top5licenses_title">Top 5 Lizenzen mit den meisten Lizenzzuweisungen</xsl:variable>
	
	<xsl:variable name="entraid_dashboard_label_numberofuser">Anzahl an Konten</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_lastlogin">Zeitraum der letzten Anmeldung: </xsl:variable>
	<xsl:variable name="entraid_dashboard_daysnever">Nie</xsl:variable>
	<xsl:variable name="entraid_dashboard_days0_7">0-7T</xsl:variable>
	<xsl:variable name="entraid_dashboard_days7_30">7-30T</xsl:variable>
	<xsl:variable name="entraid_dashboard_days30_180">30-180T</xsl:variable>
	<xsl:variable name="entraid_dashboard_days180_365">180-1J</xsl:variable>
	<xsl:variable name="entraid_dashboard_days365andmore">&gt;1J</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_membership">Anzahl an Mitgliedern: </xsl:variable>
	<xsl:variable name="entraid_dashboard_withoutmemberof">Keine</xsl:variable>
	<xsl:variable name="entraid_dashboard_withmemberof1_10">1-10</xsl:variable>
	<xsl:variable name="entraid_dashboard_withmemberof11_50">11-50</xsl:variable>
	<xsl:variable name="entraid_dashboard_withmemberof51_200">51-200</xsl:variable>
	<xsl:variable name="entraid_dashboard_withmemberof200more">&gt;200</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_members">Anzahl von Mitgliedern: </xsl:variable>
	<xsl:variable name="entraid_dashboard_label_groupmemberships">Gruppenmitgliedschaften: </xsl:variable>
	<xsl:variable name="entraid_dashboard_label_groups">Anzahl an Gruppen</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_roles">zugewiesene Rollen: </xsl:variable>
	<xsl:variable name="entraid_dashboard_label_licenses">zugewiesene Lizenzen: </xsl:variable>

	<xsl:variable name="entraid_add_text">Entra ID</xsl:variable>
	<xsl:variable name="entraid_config_headline_gadgetconfiguration">Ansicht konfigurieren (Entra ID)</xsl:variable>
	<xsl:variable name="entraid_config_headline_removegadget">Ansicht entfernen</xsl:variable>
	<xsl:variable name="entraid_config_modus_big_all">Voller Umfang</xsl:variable>
	<xsl:variable name="entraid_config_modus_big_all_description">Neben der Anzahl von Konten und Gruppen aus Entra ID, werden weitere Informationen in Form von Diagrammen dargestellt.</xsl:variable>
	<xsl:variable name="entraid_config_modus_small_numbers">Metriken</xsl:variable>
	<xsl:variable name="entraid_config_modus_small_numbers_description">Je nach Auswahl, werden Informationen zu den Konten und Gruppen aus Entra ID, in Form von Zahlen dargestellt.</xsl:variable>
	<xsl:variable name="entraid_config_modus_medium_numbers_charts">Metriken &amp; Diagramme</xsl:variable>
	<xsl:variable name="entraid_config_modus_medium_numbers_description">Je nach Auswahl, werden Informationen zu den Konten und Gruppen aus Entra ID, in Form von Zahlen und Diagrammen dargestellt.</xsl:variable>
	<xsl:variable name="entraid_config_modus_hidden">Versteckt</xsl:variable>
	<xsl:variable name="entraid_config_modus_hidden_text">Ist versteckt und wird nicht angezeigt.</xsl:variable>
	<xsl:variable name="entraid_config_button_remove">Entfernen</xsl:variable>
	<xsl:variable name="entraid_config_button_remove_text">Möchten Sie die Ansicht wirklich entfernen?</xsl:variable>
	<xsl:variable name="entraid_config_button_remove_message_note">ACHTUNG!</xsl:variable>
	<xsl:variable name="entraid_config_button_remove_message_note_text">Wenn Sie die Ansicht entfernen, wird es nicht mehr angezeigt. Sie können die Ansicht aber jederzeit wieder einbinden.</xsl:variable>
	<xsl:variable name="entraid_config_button_customize">Anpassen</xsl:variable>
	<xsl:variable name="entraid_config_modus_text_users">Entra ID - Konten</xsl:variable>
	<xsl:variable name="entraid_config_modus_text_groups">Entra ID - Gruppen</xsl:variable>
	<xsl:variable name="entraid_config_modus_text_roles">Entra ID - Rollen</xsl:variable>
	<xsl:variable name="entraid_config_modus_text_licenses">Entra ID - Lizenzen</xsl:variable>
	<xsl:variable name="entraid_config_modus_text_fullscore">Entra ID - Konten &amp; Gruppen</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_choose">Bitte wählen...</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_header_part1">Es sind</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_header_part2">Diagramme ausgewählt</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_onechart_part1">Es ist</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_onechart_part2">Diagramm ausgewählt</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_nochartselected">Es ist kein Diagramm ausgewählt</xsl:variable>
	<xsl:variable name="entraid_config_label_data">Daten:</xsl:variable>
	<xsl:variable name="entraid_config_label_charts">Diagramme:</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_user_status">Status</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_user_matched">Zuordnung</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_user_membership">Gruppen</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_user_login">Anmeldung</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_user_roles">Rollen</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_user_licenses">Lizenzen</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_group_category">Typen</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_group_members">Mitglieder</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_role_usertoroles">Benutzer</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_role_top5roles">Zuweisungen</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_role_rolesexpires">Läuft ab</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_license_usedunused">Status</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_license_grouplicenseassignments">Zuweisungen</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_license_licenseexpires">Läuft ab</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_license_top5licenses">Top5</xsl:variable>
	<xsl:variable name="entraid_button_listview">Listen-Ansicht</xsl:variable>
	<xsl:variable name="entraid_button_historyview">History-Ansicht</xsl:variable>

	<xsl:variable name="entraid_button_general">Allgemein</xsl:variable>
	<xsl:variable name="entraid_button_history">History</xsl:variable>
	<xsl:variable name="entraid_button_resources">Ressourcen</xsl:variable>
	
	<xsl:variable name="entraid_slider_akkordeon_groups">Gruppen</xsl:variable>
	<xsl:variable name="entraid_slider_akkordeon_groupsowner">Gruppen in Verantwortung</xsl:variable>
	<xsl:variable name="entraid_slider_akkordeon_roles">Rollen</xsl:variable>
	<xsl:variable name="entraid_slider_akkordeon_enabledservices">Dienste</xsl:variable>
	
	<xsl:variable name="entraid_grouptype_ms365group">Microsoft 365</xsl:variable>
	<xsl:variable name="entraid_grouptype_securitygroup">Sicherheitsgruppen</xsl:variable>
	<xsl:variable name="entraid_grouptype_activemailgroup">E-Mail-aktiviert Sicherheitsgruppe</xsl:variable>
	<xsl:variable name="entraid_grouptype_mailenabledsecurity">E-Mail-aktiviert</xsl:variable>
	<xsl:variable name="entraid_grouptype_distributiongroup">Verteilergruppe</xsl:variable>
	<xsl:variable name="entraid_membershiptype_assigned">Zugewiesen</xsl:variable>
	<xsl:variable name="entraid_membershiptype_dynamic">Dynamisch</xsl:variable>
	
	<xsl:variable name="entraid_tab_effectiverights">Effektive Rechte</xsl:variable>
	
	<xsl:variable name="entraid_button_deletedata">Nur Daten löschen</xsl:variable>
	<xsl:variable name="entraid_button_deletesystem">Komplett löschen</xsl:variable>
	<xsl:variable name="entraid_button_editsystem">Bearbeiten</xsl:variable>
	<xsl:variable name="entraid_button_export">Export</xsl:variable>
	<xsl:variable name="entraid_button_collectall">Daten aktualisieren</xsl:variable>
	<xsl:variable name="entraid_message_error_connector_notready_attention">ACHTUNG!</xsl:variable>
	<xsl:variable name="entraid_message_error_connector_notready">Es können nicht alle Funktionen genutzt werden, da der benötigte Connector nicht bereit ist.</xsl:variable>
	<xsl:variable name="entraid_message_error_connector_ceunreachable_attention">ACHTUNG!</xsl:variable>
	<xsl:variable name="entraid_message_error_connector_ceunreachable">Es können nicht alle Funktionen genutzt werden, da die benötigte Collector Engine nicht erreichbar ist.</xsl:variable>
	
	<xsl:variable name="entraid_slider_details_name">Name</xsl:variable>
	<xsl:variable name="entraid_slider_details_description">Beschreibung</xsl:variable>
	<xsl:variable name="entraid_slider_details_numberofobjects">Anzahl Objekte</xsl:variable>
	<xsl:variable name="entraid_slider_details_status">Status</xsl:variable>
	<xsl:variable name="entraid_slider_details_status_neverread">NOCH NIE EINGELESEN</xsl:variable>
	<xsl:variable name="entraid_slider_details_status_isrunning">WIRD EINGELESEN</xsl:variable>
	<xsl:variable name="entraid_slider_details_status_success">ERFOLGREICH</xsl:variable>
	<xsl:variable name="entraid_slider_details_status_error">FEHLERHAFT</xsl:variable>
	<xsl:variable name="entraid_slider_details_laststart">Letzter Start der Aktualisierung</xsl:variable>
	<xsl:variable name="entraid_slider_details_lastruntime">Letzte Laufzeit </xsl:variable>
	<xsl:variable name="entraid_slider_details_nextstart">Nächste planm. Aktualisierung</xsl:variable>
	<xsl:variable name="entraid_slider_details_updatedata">Daten aktualisieren</xsl:variable>
	
	<xsl:variable name="entraid_seconds">Sek.</xsl:variable>
	<xsl:variable name="entraid_minutes">Min.</xsl:variable>
	<xsl:variable name="entraid_hours">Std.</xsl:variable>
	<xsl:variable name="entraid_days">Tage</xsl:variable>
	
	<xsl:variable name="entraid_slider_message_updated_success">AKTUALISIERUNG ERFOLGREICH</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_success_short">ERFOLGREICH</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_error">AKTUALISIERUNG FEHLGESCHLAGEN</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_error_short">FEHLGESCHLAGEN</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_warning">NOCH NIE EINGELESEN</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_notyetread">AKTUALISIERUNG FOLGT...</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_running">WIRD EINGELESEN</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_notconfigured">NICHT KONFIGURIERT</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_notscheduled">NICHT GEPLANT</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_disabled">DEAKTIVIERT</xsl:variable>
	
	<xsl:variable name="entraid_slider_collector_text_notconfigured">Der Collector wurde noch nicht konfiguriert.</xsl:variable>
	<xsl:variable name="entraid_slider_collector_text_disabled">Der Collector ist deaktiviert.</xsl:variable>
	<xsl:variable name="entraid_slider_collector_text_notscheduled">Der Collector wurde noch nie eingelesen.</xsl:variable>
	<xsl:variable name="entraid_slider_title_scheduler">wird nach Zeitplan gestartet</xsl:variable>
	<xsl:variable name="entraid_slider_title_scheduler_nextstarttime">Nächste Ausführung:</xsl:variable>
	<xsl:variable name="entraid_slider_title_notscheduler">Zeitplan ist ungeplant.</xsl:variable>
	
	<xsl:variable name="entraid_slider_box_lastcollect_start">Letzter Start der Aktualisierung:</xsl:variable>
	<xsl:variable name="entraid_slider_box_lastcollect">Zuletzt aktualisiert am:</xsl:variable>
	<xsl:variable name="entraid_slider_box_nextcollect">Nächste planm. Aktualisierung:</xsl:variable>
	<xsl:variable name="entraid_slider_box_timeschedule">Zeitplan:</xsl:variable>
	
	<xsl:variable name="entraid_dashboard_tooltip_top5roles_numberofroles">Anzahl Rollen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5roles_role">Rolle: </xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5roles_numberofassignments">Anzahl Zuweisungen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5roles_assignments">Zuweisungen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5roles_users">Benutzer</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_users">Anzahl an Benutzern: </xsl:variable>
	<xsl:variable name="entraid_dashboard_withoutroles">Keine</xsl:variable>
	<xsl:variable name="entraid_dashboard_withroles1_10">1-10</xsl:variable>
	<xsl:variable name="entraid_dashboard_withroles11_50">11-50</xsl:variable>
	<xsl:variable name="entraid_dashboard_withroles51_200">51-200</xsl:variable>
	<xsl:variable name="entraid_dashboard_withroles200more">&gt;200</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_numberofroles">Anzahl an Rollen</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_roleexpires">Zeitraum in der die Rolle abläuft: </xsl:variable>
	<xsl:variable name="entraid_status_usedlicenses">genutzte Lizenz</xsl:variable>
	<xsl:variable name="entraid_status_unusedlicenses">ungenutzte Lizenz</xsl:variable>
	<xsl:variable name="entraid_grouplicenseassignments_direct">direkte Zuordnung</xsl:variable>
	<xsl:variable name="entraid_grouplicenseassignments_indirect">indirekte Zuordnung</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_numberoflicenses">Anzahl an Lizenzen</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_licensesexpires">Zeitraum in der die Lizenz abläuft: </xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5licenses_numberoflicenses">Anzahl Lizenzzuweisungen</xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5licenses_licenses">Lizenz: </xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5licenses_assignments">Zuweisungen</xsl:variable>
	
	<xsl:variable name="dac_entraid_undefined_personalstatus">Undefinierter Personenstatus</xsl:variable>
	
	</xsl:stylesheet>