<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<!-- General -->

	<xsl:variable name="welcome">Welcome </xsl:variable>
	<xsl:variable name="logged_in_as">Logged in as:</xsl:variable>
	
	<!-- Label -->
	<xsl:variable name="lbl_gadgetversion">Version: </xsl:variable>
	<xsl:variable name="lbl_gadgetdescription">Description: </xsl:variable>
	
	<!-- Login -->
	<xsl:variable name="login_headline">Login</xsl:variable>
	<xsl:variable name="login_username">username</xsl:variable>
	<xsl:variable name="login_password">password</xsl:variable>
	<xsl:variable name="login_button">login</xsl:variable>
	<xsl:variable name="loader_pleasewait">Please wait...</xsl:variable>

	<!-- Logout -->
	<xsl:variable name="logout_button">logout</xsl:variable>	
	
	<!-- Text -->
	<xsl:variable name="initsuccess">The Gadget has been succesfully initiated</xsl:variable>
	<xsl:variable name="initfailed">An error occured</xsl:variable>
	<xsl:variable name="moreinformations">This development kit is the property of G+H Systems GmbH. <br></br>All rights reserved. For more information about inchorus visit our website:</xsl:variable>
	
	<!-- Please remember to translate your description -->
	<xsl:variable name="gadget_description">This is my Entra ID Gadget</xsl:variable>
	
	<!-- STATUSCODES -->
	<xsl:variable name="statuscode_ERROR_AUTHENTICATE_SESSION">Login failed. Please try again.</xsl:variable>
	<xsl:variable name="statuscode_ERROR_MISSING_CREDENTIALS">Please enter your login credentials.</xsl:variable>
	
	<!--  entraid -->
	<xsl:variable name="entraid_header">Entra ID</xsl:variable>
	<xsl:variable name="entraid_tab_administrator">All Entra ID tenants</xsl:variable>
	<xsl:variable name="entraid_tab_inmyresponsibility">In my responsibility</xsl:variable>
	<xsl:variable name="entraid_list_entraid">Entra ID</xsl:variable>
	<xsl:variable name="entraid_list_username">Username</xsl:variable>
	<xsl:variable name="entraid_list_givenname">Givenname</xsl:variable>
	<xsl:variable name="entraid_list_surname">Surname</xsl:variable>
	<xsl:variable name="entraid_list_status">Status</xsl:variable>
	<xsl:variable name="entraid_list_domain">Tenant</xsl:variable>
	<xsl:variable name="entraid_list_identityissuer">Identity issure</xsl:variable>
	<xsl:variable name="entraid_list_directorysycn">Synchronized</xsl:variable>
	<xsl:variable name="entraid_list_usertype">User type</xsl:variable>
	<xsl:variable name="entraid_list_member">Member</xsl:variable>
	<xsl:variable name="entraid_list_guest">Guest</xsl:variable>
	<xsl:variable name="entraid_list_groupname">Name</xsl:variable>
	<xsl:variable name="entraid_list_description">Description</xsl:variable>
	<xsl:variable name="entraid_list_type">Type</xsl:variable>
	<xsl:variable name="entraid_list_scope">Scope</xsl:variable>
	<xsl:variable name="entraid_list_category">Category</xsl:variable>
	<xsl:variable name="entraid_list_matching">Person assignment</xsl:variable>
	<xsl:variable name="entraid_list_lastused">Last login</xsl:variable>
	<xsl:variable name="entraid_list_grouptype">Group type</xsl:variable>
	<xsl:variable name="entraid_list_grouptype_global">global</xsl:variable>
	<xsl:variable name="entraid_list_grouptype_domainlocal">domainlocal</xsl:variable>
	<xsl:variable name="entraid_list_grouptype_universal">universal</xsl:variable>
	<xsl:variable name="entraid_list_grouptype_other">Other</xsl:variable>
	<xsl:variable name="entraid_list_groupcategory_security">securitygoups</xsl:variable>
	<xsl:variable name="entraid_list_groupcategory_special">special identity groups</xsl:variable>
	<xsl:variable name="entraid_list_membershiptype">Membership type</xsl:variable>
	<xsl:variable name="entraid_list_mailenabled">E-Mail enabled</xsl:variable>
	<xsl:variable name="entraid_list_name">Name</xsl:variable>
	<xsl:variable name="entraid_list_appliesTo">Applies to</xsl:variable>
	<xsl:variable name="entraid_list_tenant">Tenant</xsl:variable>
	<xsl:variable name="entraid_list_directorysync">Synchronized</xsl:variable>
	<xsl:variable name="entraid_list_capacilitystatus">Capacility status</xsl:variable>
	<xsl:variable name="entraid_list_consumedunits">Consumed units</xsl:variable>
	
	<xsl:variable name="entraid_title_capabilitystatus_enabled">At least one license is still active.</xsl:variable>
	<xsl:variable name="entraid_title_capabilitystatus_warning">No license is active and at least one license has expired (but can still be used for a period of 30 days).</xsl:variable>
	<xsl:variable name="entraid_title_capabilitystatus_suspended">No license is active or within 30 days of expiration. A license can no longer be used in this state.</xsl:variable>
	<xsl:variable name="entraid_title_policies">Policies</xsl:variable>
	<xsl:variable name="entraid_title_policies_medium">less critical policies have been exceeded</xsl:variable>
	<xsl:variable name="entraid_title_policies_high">critical policies have been exceeded</xsl:variable>

	<xsl:variable name="entraid_label_objectsid">ObjectSid</xsl:variable>
	<xsl:variable name="entraid_label_objectid">ObjectId</xsl:variable>
	<xsl:variable name="entraid_label_entraidtenant">Entra ID Tenant</xsl:variable>
	<xsl:variable name="entraid_label_userprincipalname">User principal name</xsl:variable>
	<xsl:variable name="entraid_label_company">Company</xsl:variable>
	<xsl:variable name="entraid_label_grouptype">Group type</xsl:variable>
	<xsl:variable name="entraid_label_membershiptype">Membership type</xsl:variable>
	<xsl:variable name="entraid_label_source">Source</xsl:variable>
	<xsl:variable name="entraid_label_teamsenabled">Teams</xsl:variable>
	<xsl:variable name="entraid_label_expires">Expires at</xsl:variable>
	<xsl:variable name="entraid_label_securityenabled">Security</xsl:variable>
	<xsl:variable name="entraid_label_rolsassignments">Role assignments</xsl:variable>
	<xsl:variable name="entraid_label_directorysync">Synchronized</xsl:variable>
	<xsl:variable name="entraid_label_onpremisessync">On premises sync</xsl:variable>
	<xsl:variable name="entraid_label_usertype">User type</xsl:variable>
	<xsl:variable name="entraid_label_email">E-Mail</xsl:variable>
	<xsl:variable name="entraid_label_cn">CN</xsl:variable>
	<xsl:variable name="entraid_label_dn">DN</xsl:variable>
	<xsl:variable name="entraid_label_description">Description</xsl:variable>
	<xsl:variable name="entraid_label_surname">Surname</xsl:variable>
	<xsl:variable name="entraid_label_givenname">Givenname</xsl:variable>
	<xsl:variable name="entraid_label_lastlogon">Last login</xsl:variable>
	<xsl:variable name="entraid_label_useraccountcontrol">userAccountControl</xsl:variable>
	<xsl:variable name="entraid_label_whencreated">Created on</xsl:variable>
	<xsl:variable name="entraid_label_whenchanged">Changed on</xsl:variable>
	<xsl:variable name="entraid_label_samaccountname">sAMAccountName</xsl:variable>
	<xsl:variable name="entraid_label_category">Category</xsl:variable>
	<xsl:variable name="entraid_label_scope">Scope</xsl:variable>
	<xsl:variable name="entraid_label_name">Name</xsl:variable>
	<xsl:variable name="entraid_label_members">Members</xsl:variable>
	<xsl:variable name="entraid_label_owners">Owners</xsl:variable>
	<xsl:variable name="entraid_label_groupmemberships">Assignments</xsl:variable>
	<xsl:variable name="entraid_label_serviceplans">Services</xsl:variable>
	<xsl:variable name="entraid_label_fullname">Name</xsl:variable>
	<xsl:variable name="entraid_label_status">Status</xsl:variable>
	<xsl:variable name="entraid_label_groupid">GroupID</xsl:variable>
	<xsl:variable name="entraid_list_client">Client</xsl:variable>
	<xsl:variable name="entraid_list_license">License</xsl:variable>
	<xsl:variable name="entraid_label_roleTemplateId">Role Template ID</xsl:variable>
	<xsl:variable name="entraid_label_appliesTo">Applies to</xsl:variable>
	<xsl:variable name="entraid_label_capabilityStatus">Capability Status</xsl:variable>
	<xsl:variable name="entraid_label_consumedUnits">Consumed units</xsl:variable>
	<xsl:variable name="entraid_label_skuId">SkuId</xsl:variable>
	<xsl:variable name="entraid_label_moreinformations">More information</xsl:variable>
	<xsl:variable name="entraid_label_resources">Ressourcen</xsl:variable>
	<xsl:variable name="entraid_label_linkedresources">Linked ressources</xsl:variable>
	<xsl:variable name="entraid_label_entraidroleassignments">Administrative roles</xsl:variable>
	<xsl:variable name="entraid_label_mail">Mail</xsl:variable>
	<xsl:variable name="entraid_label_security">Security</xsl:variable>
	
	<xsl:variable name="entraid_status_active">Active</xsl:variable>
	<xsl:variable name="entraid_status_inactive">Disabled</xsl:variable>
	<xsl:variable name="entraid_status_delete">Deleted</xsl:variable>
	<xsl:variable name="entraid_text_enabled">Enabled</xsl:variable>
	<xsl:variable name="entraid_text_warning">Warning</xsl:variable>
	<xsl:variable name="entraid_text_suspended">Suspended</xsl:variable>
	<xsl:variable name="entraid_text_disabled">Disabled</xsl:variable>
	
	<xsl:variable name="entraid_selectbox_enabled">enabled</xsl:variable>
	<xsl:variable name="entraid_selectbox_disabled">disabled</xsl:variable>
	<xsl:variable name="entraid_selectbox_yes">Yes</xsl:variable>
	<xsl:variable name="entraid_selectbox_no">No</xsl:variable>
	<xsl:variable name="entraid_selectbox_assigned">Assigned</xsl:variable>
	<xsl:variable name="entraid_selectbox_dynamic">Dynamic</xsl:variable>
	<xsl:variable name="entraid_selectbox_user">User</xsl:variable>
	<xsl:variable name="entraid_selectbox_company">Company</xsl:variable>
	
	<xsl:variable name="entraid_assigment_matched">One Person</xsl:variable>
	<xsl:variable name="entraid_assigment_unmatched">Not assigned</xsl:variable>
	<xsl:variable name="entraid_assigment_inactivematched">Inactive Person</xsl:variable>
	<xsl:variable name="entraid_assigment_multiple">Multiple Persons</xsl:variable>	
	
	<xsl:variable name="entraid_statusdetails_script">The login script is executed</xsl:variable>
	<xsl:variable name="entraid_statusdetails_accountdisabled">The user account is disabled</xsl:variable>
	<xsl:variable name="entraid_statusdetails_homedir_required">Home folder is required</xsl:variable>
	<xsl:variable name="entraid_statusdetails_lockout">The account is locked</xsl:variable>
	<xsl:variable name="entraid_statusdetails_dontexpirepassword">The password is still valid</xsl:variable>
	<xsl:variable name="entraid_statusdetails_mnslogonaccount">This is a MNS login account</xsl:variable>
	<xsl:variable name="entraid_statusdetails_smartcardrequired">To register, a smartcard is required</xsl:variable>
	<xsl:variable name="entraid_statusdetails_trustedfordelegation">Trustworthy for delegation</xsl:variable>
	<xsl:variable name="entraid_statusdetails_notdelegated">Not delegated</xsl:variable>
	<xsl:variable name="entraid_statusdetails_passwdnotreqd">No password is required</xsl:variable>
	<xsl:variable name="entraid_statusdetails_passwdcanchange">The password can not be changed by the user</xsl:variable>
	<xsl:variable name="entraid_statusdetails_encryptedtextpwdallowed">The password is stored with reversible encryption </xsl:variable>
	<xsl:variable name="entraid_statusdetails_tempduplicateaccount">This is an account for users whose primary account is in another domain</xsl:variable>
	<xsl:variable name="entraid_statusdetails_interdomaintrustaccount">This is a permit to trust an account for a system domain that trusts other domains</xsl:variable>
	<xsl:variable name="entraid_statusdetails_workstationtrustaccount">This is a computer account for a computer that is running Microsoft Windows NT 4.0 Workstation, Microsoft Windows NT 4.0 Server, Microsoft Windows 2000 Professional, or Windows 2000 Server and is a member of this domain</xsl:variable>
	<xsl:variable name="entraid_statusdetails_servertrustaccount">Computer account for a domain controller that is a member of this domain</xsl:variable>
	<xsl:variable name="entraid_statusdetails_usedeskeyonly">Use only Data Encryption Standard (DES) encryption types for keys</xsl:variable>
	<xsl:variable name="entraid_statusdetails_dontreqpreauth">The account doesn't require Kerberos pre-authentication </xsl:variable>
	<xsl:variable name="entraid_statusdetails_passwordexpired">The password of the user has expired</xsl:variable>
	<xsl:variable name="entraid_statusdetails_trustedtoauthfordelegation">The account is enabled for delegation</xsl:variable>
	<xsl:variable name="entraid_statusdetails_partialsecretsaccount">The account is a read-only domain controller (RODC)</xsl:variable>
	
	<xsl:variable name="entraid_group_details_membership_noresult">No members have been found.</xsl:variable>
	<xsl:variable name="entraid_user_details_membership_noresult">No memberships have been found.</xsl:variable>
	<xsl:variable name="entraid_user_details_groupsowner_noresult">No responsible groups have been found.</xsl:variable>
	<xsl:variable name="entraid_license_details_membership_noresult">No activated services have been found.</xsl:variable>
	<xsl:variable name="entraid_user_details_roles_noresult">No roles have been found.</xsl:variable>
	<xsl:variable name="entraid_user_details_enabledservices_noresult">No activated services have been found.</xsl:variable>
	<xsl:variable name="entraid_group_details_owners_noresult">No owner were found.</xsl:variable>
	<xsl:variable name="entraid_group_details_entraidroleassignments_noresult">No administrative roles have been found.</xsl:variable>

	<xsl:variable name="entraid_select_all">All</xsl:variable>
	<xsl:variable name="entraid_select_notconnected">Not connected</xsl:variable>
	
	<xsl:variable name="entraid_admin_quickfilter_user_1">Users in the</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_user_2">Entra ID</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_groups_1">Groups in the</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_groups_2">Entra ID</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_roles_1">Roles in the</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_roles_2">Entra ID</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_licenses_1">Licenses in the</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_licenses_2">Entra ID</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_tenant_1">various</xsl:variable>
	<xsl:variable name="entraid_admin_quickfilter_tenant_2">Tenants</xsl:variable>
	
	<xsl:variable name="entraid_tooltip_text_entraid">To get the search for a specific Entra ID, select the corresponding Entra ID.</xsl:variable>
	<xsl:variable name="entraid_tooltip_label_entraid">Tenant</xsl:variable>

	<xsl:variable name="entraid_label_policies">Policies</xsl:variable>
	<xsl:variable name="entraid_label_policies_notconfigured">No policies are available because no policy packs are installed.</xsl:variable>
	<xsl:variable name="entraid_label_policies_risklow">less critical policies are exceeded</xsl:variable>
	<xsl:variable name="entraid_label_policies_riskhigh">higher critical policies have been exceeded</xsl:variable>
	<xsl:variable name="entraid_label_policies_showhistory">Show history for:</xsl:variable>

	<xsl:variable name="entraid_select_policies_showhistory_last7days">last 7 days</xsl:variable>
	<xsl:variable name="entraid_select_policies_showhistory_last14days">last 14 days</xsl:variable>
	<xsl:variable name="entraid_select_policies_showhistory_last30days">last 30 days</xsl:variable>
	<xsl:variable name="entraid_select_policies_showhistory_last90days">last 90 days</xsl:variable>
	<xsl:variable name="entraid_select_policies_showhistory_last180days">last 180 days</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_low_1">Criticality: low (of</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_low_2">to</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_low_3">)</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_medium_1">Criticality: middle (of</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_medium_2">to</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_medium_3">)</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_high_1">Criticality: high (of</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_high_2">to</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_high_3">)</xsl:variable>
	<xsl:variable name="entraid_select_policies_legend_numberof">Number of </xsl:variable>
	<xsl:variable name="entraid_message_policies_notscheduled">Note! The policy is currently not analyzed on a time-controlled basis and therefore no historical values ​​are determined.</xsl:variable>	
	<xsl:variable name="entraid_message_policies_error_text_1">There are</xsl:variable>
	<xsl:variable name="entraid_message_policies_error_text_2">policies with errors.</xsl:variable>
	<xsl:variable name="entraid_message_policies_disabled_text_1">There are</xsl:variable>
	<xsl:variable name="entraid_message_policies_disabled_text_2">deactivated policies.</xsl:variable>
	<xsl:variable name="entraid_message_policies_show_critical">show critical policies</xsl:variable>
	<xsl:variable name="entraid_message_policies_show_mediumcritical">show less critical policies</xsl:variable>
	<xsl:variable name="entraid_message_policies_show_all_1">show all</xsl:variable>
	<xsl:variable name="entraid_message_policies_show_all_2">policies</xsl:variable>
	<xsl:variable name="entraid_message_policies_no_policies">There are currently no policies available</xsl:variable>
	<xsl:variable name="entraid_message_policies_no_critical">There are currently no critical policies available</xsl:variable>
	<xsl:variable name="entraid_message_policies_no_mediumcritical">There are currently no less critical policies available.</xsl:variable>
	
	<xsl:variable name="msfileserver_message_contenttofollow">Content to follow...</xsl:variable>
	<xsl:variable name="entraid_label_systemid">SystemId</xsl:variable>
	<xsl:variable name="entraid_label_uniqueid">UniqueId</xsl:variable>
	<xsl:variable name="entraid_label_history">History:</xsl:variable>
	
	<xsl:variable name="entraid_select_lastused_all">All</xsl:variable>
	<xsl:variable name="entraid_select_lastused_7days">older than 1 week</xsl:variable>
	<xsl:variable name="entraid_select_lastused_30days">older than 1 month</xsl:variable>
	<xsl:variable name="entraid_select_lastused_180days">older than 180 days</xsl:variable>
	<xsl:variable name="entraid_select_lastused_365days">older than 1 year</xsl:variable>
	
	<xsl:variable name="entraid_select_grouptype_all">All</xsl:variable>
	<xsl:variable name="entraid_select_grouptype_global">global</xsl:variable>
	<xsl:variable name="entraid_select_grouptype_domainlocal">domain local</xsl:variable>
	<xsl:variable name="entraid_select_grouptype_universal">universal</xsl:variable>
	
	<xsl:variable name="entraid_select_groupcategory_all">All</xsl:variable>
	<xsl:variable name="entraid_select_groupcategory_security">security groups</xsl:variable>
	<xsl:variable name="entraid_select_groupcategory_special">special identity groups</xsl:variable>

	<xsl:variable name="entraid_select_datatypes_all">All</xsl:variable>
	<xsl:variable name="entraid_select_datatypes_users">Users</xsl:variable>
	<xsl:variable name="entraid_select_datatypes_groups">Groups</xsl:variable>
	<xsl:variable name="entraid_select_datatypes_roles">Roles</xsl:variable>
	<xsl:variable name="entraid_select_datatypes_licenses">Licenses</xsl:variable>
	
	<xsl:variable name="entraid_dashboard_headline">Entra ID</xsl:variable>
	<xsl:variable name="entraid_dashboard_subtitle_users">User</xsl:variable>
	<xsl:variable name="entraid_dashboard_subtitle_groups">Groups</xsl:variable>
	<xsl:variable name="entraid_dashboard_subtitle_roles">Roles</xsl:variable>
	<xsl:variable name="entraid_dashboard_subtitle_licenses">Licenses</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_allusers_part1">A total of</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_allusers_part2">user was/were recorded.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_userdeletecount_part1">In the past 30 days</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_userdeletecount_part2">user has/have been removed.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_useraddcount_part1">In the past 30 days</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_useraddcount_part2">user has/have been added.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_allgroups_part1">A total of</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_allgroups_part2">groups was/were recorded.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_groupdeletecount_part1">In the past 30 days</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_groupdeletecount_part2">group(s) has/have been removed.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_groupaddcount_part1">In the past 30 days</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_groupaddcount_part2">group(s) has/have been added.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_allroles_part1">A total of</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_allroles_part2">roles was/were recorded.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_roledeletecount_part1">In the past 30 days</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_roledeletecount_part2">role(s) has/have been removed.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_roleaddcount_part1">In the past 30 days</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_roleaddcount_part2">role(s) has/have been added.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_alllicenses_part1">A total of</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_alllicenses_part2">licenses was/were recorded.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_licensedeletecount_part1">In the past 30 days</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_licensedeletecount_part2">license(s) has/have been removed.</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_licenseaddcount_part1">In the past 30 days</xsl:variable>
	<xsl:variable name="entraid_dashboard_title_licenseaddcount_part2">license(s) has/have been added.</xsl:variable>
	<xsl:variable name="entraid_dashboard_message_policies_part1">from</xsl:variable>
	<xsl:variable name="entraid_dashboard_message_policies_part2">policies has/have been exceeded.</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_status">Status</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_status_title">Overview of the status of users.</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_matched">Assignment</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_matched_title">Are user accounts assigned to natural persons?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_login">Login</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_login_title">How is the "last login" spread over time?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_membership">Groups</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_membership_title">How many groups are the users in?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_roles">Roles</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_roles_title">How many roles are assigned to the accounts?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_licenses">Licenses</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_licenses_title">How many licenses are assigned to the accounts?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_scope">Scope</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_scope_title">Overview of the scope of security groups</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_category">Types</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_category_title">Overview of the types of groups</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_members">Members</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_members_title">How many members do the groups have?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_usertoroles">User</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_usertoroles_title">How many users are assigned to the roles?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_top5roles">Assignments</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_top5roles_title">Top 5 roles with the most role assignments</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_rolesexpires">Expires</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_rolesexpires_title">When do the roles expire?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_usedunused">Status</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_usedunused_title">Overview of used and unused licenses.</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_grouplicenseassignments">Assignments</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_grouplicenseassignments_title">Overview of direct and indirect license assignments.</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_licenseexpires">Expires</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_licenseexpires_title">When do the licenses expire?</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_top5licenses">Top5</xsl:variable>
	<xsl:variable name="entraid_dashboard_tab_top5licenses_title">Top 5 licenses with the most license assignments</xsl:variable>
	<xsl:variable name="entraid_dashboard_daysnever">Never</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_numberofuser">Number of user</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_lastlogin">Period of the last login: </xsl:variable>
	<xsl:variable name="entraid_dashboard_days0_7">0-7d</xsl:variable>
	<xsl:variable name="entraid_dashboard_days7_30">7-30d</xsl:variable>
	<xsl:variable name="entraid_dashboard_days30_180">30-180d</xsl:variable>
	<xsl:variable name="entraid_dashboard_days180_365">180-1y</xsl:variable>
	<xsl:variable name="entraid_dashboard_days365andmore">&gt;1y</xsl:variable>
	
	<xsl:variable name="entraid_dashboard_label_membership">Number of memberships: </xsl:variable>
	<xsl:variable name="entraid_dashboard_withoutmemberof">None</xsl:variable>
	<xsl:variable name="entraid_dashboard_withmemberof1_10">1-10</xsl:variable>
	<xsl:variable name="entraid_dashboard_withmemberof11_50">11-50</xsl:variable>
	<xsl:variable name="entraid_dashboard_withmemberof51_200">51-200</xsl:variable>
	<xsl:variable name="entraid_dashboard_withmemberof200more">&gt;200</xsl:variable>
	
	<xsl:variable name="entraid_add_text">Entra ID</xsl:variable>
	<xsl:variable name="entraid_config_headline_gadgetconfiguration">Configure view (Entra ID)</xsl:variable>
	<xsl:variable name="entraid_config_headline_removegadget">Remove view</xsl:variable>
	<xsl:variable name="entraid_config_modus_big_all">Full scope</xsl:variable>
	<xsl:variable name="entraid_config_modus_big_all_description">In addition to the number of accounts and groups from Entra ID, further information is displayed in the form of diagrams.</xsl:variable>
	<xsl:variable name="entraid_config_modus_small_numbers">Metrics</xsl:variable>
	<xsl:variable name="entraid_config_modus_small_numbers_description">Depending on the selection, information about the accounts and groups from Entra ID is displayed in the form of numbers.</xsl:variable>
	<xsl:variable name="entraid_config_modus_medium_numbers_charts">Metrics &amp; Diagrams</xsl:variable>
	<xsl:variable name="entraid_config_modus_medium_numbers_description">Depending on the selection, information about the accounts and groups from Entra ID is displayed in the form of numbers and diagrams.</xsl:variable>
	<xsl:variable name="entraid_config_modus_hidden">Hidden</xsl:variable>
	<xsl:variable name="entraid_config_modus_hidden_text">Is hidden and not shown.</xsl:variable>
	<xsl:variable name="entraid_config_button_remove">Remove</xsl:variable>
	<xsl:variable name="entraid_config_button_remove_text">Are you sure you want to remove the view?</xsl:variable>
	<xsl:variable name="entraid_config_button_remove_message_note">ATTENTION!</xsl:variable>
	<xsl:variable name="entraid_config_button_remove_message_note_text">If you remove the view, it will no longer be displayed. However, you can integrate the view again at any time.</xsl:variable>
	<xsl:variable name="entraid_config_button_customize">Adjust</xsl:variable>
	<xsl:variable name="entraid_config_modus_text_users">Entra ID - Users</xsl:variable>
	<xsl:variable name="entraid_config_modus_text_groups">Entra ID - Groups</xsl:variable>
	<xsl:variable name="entraid_config_modus_text_roles">Entra ID - Roles</xsl:variable>
	<xsl:variable name="entraid_config_modus_text_licenses">Entra ID - Licenses</xsl:variable>
	<xsl:variable name="entraid_config_modus_text_fullscore">Entra ID - Users &amp; Groups</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_choose">Bitte wählen...</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_header_part1">There are</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_header_part2">charts selected.</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_onechart_part1">There is</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_onechart_part2">chart selected.</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_nochartselected">No chart is selected.</xsl:variable>
	<xsl:variable name="entraid_config_label_data">Data:</xsl:variable>
	<xsl:variable name="entraid_config_label_charts">Diagrams:</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_user_status">Status</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_user_matched">Matched</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_user_membership">Groups</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_user_login">Login</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_user_roles">Roles</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_user_licenses">Licenses</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_group_category">Types</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_group_members">Members</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_role_usertoroles">User</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_role_top5roles">Assignments</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_role_rolesexpires">Expires</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_license_usedunused">Status</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_license_grouplicenseassignments">Assignments</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_license_licenseexpires">Expires</xsl:variable>
	<xsl:variable name="entraid_config_multiselect_charttypes_license_top5licenses">Top5</xsl:variable>
	<xsl:variable name="entraid_button_listview">List view</xsl:variable>
	<xsl:variable name="entraid_button_historyview">History view</xsl:variable>
	
	<xsl:variable name="entraid_dashboard_label_members">Number of members: </xsl:variable>
	<xsl:variable name="entraid_dashboard_label_groupmemberships">Group memberships: </xsl:variable>
	<xsl:variable name="entraid_dashboard_label_groups">Number of groups</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_roles">Assigned roles: </xsl:variable>
	<xsl:variable name="entraid_dashboard_label_licenses">Assigned licenses: </xsl:variable>
	
	<xsl:variable name="entraid_button_general">General</xsl:variable>
	<xsl:variable name="entraid_button_history">History</xsl:variable>
	<xsl:variable name="entraid_button_resources">Ressources</xsl:variable>
	
	<xsl:variable name="entraid_slider_akkordeon_groups">Groups</xsl:variable>
	<xsl:variable name="entraid_slider_akkordeon_groupsowner">Group owner</xsl:variable>
	<xsl:variable name="entraid_slider_akkordeon_roles">Roles</xsl:variable>
	<xsl:variable name="entraid_slider_akkordeon_enabledservices">Services</xsl:variable>
	
	<xsl:variable name="entraid_grouptype_ms365group">Microsoft 365</xsl:variable>
	<xsl:variable name="entraid_grouptype_securitygroup">Security groups</xsl:variable>
	<xsl:variable name="entraid_grouptype_activemailgroup">Mail-enabled security groups</xsl:variable>
	<xsl:variable name="entraid_grouptype_mailenabledsecurity">E-Mail enabled</xsl:variable>
	<xsl:variable name="entraid_grouptype_distributiongroup">Distribution groups</xsl:variable>
	<xsl:variable name="entraid_membershiptype_assigned">Assigned</xsl:variable>
	<xsl:variable name="entraid_membershiptype_dynamic">Dynamic</xsl:variable>
	
	<xsl:variable name="entraid_tab_effectiverights">Effective rights</xsl:variable>
	
	<xsl:variable name="entraid_button_deletedata">Delete data only</xsl:variable>
	<xsl:variable name="entraid_button_deletesystem">Delete completely</xsl:variable>
	<xsl:variable name="entraid_button_editsystem">Edit</xsl:variable>
	<xsl:variable name="entraid_button_export">Export</xsl:variable>
	<xsl:variable name="entraid_button_collectall">Update data</xsl:variable>
	<xsl:variable name="entraid_message_error_connector_notready_attention">ATTENTION!</xsl:variable>
	<xsl:variable name="entraid_message_error_connector_notready">Not all functions can be used because the required connector is not ready.</xsl:variable>
	<xsl:variable name="entraid_message_error_connector_ceunreachable_attention">ATTENTION!</xsl:variable>
	<xsl:variable name="entraid_message_error_connector_ceunreachable">Not all functions can be used because the required collector engine is not reachable.</xsl:variable>
	
	<xsl:variable name="entraid_slider_details_name">Name</xsl:variable>
	<xsl:variable name="entraid_slider_details_description">Description</xsl:variable>
	<xsl:variable name="entraid_slider_details_numberofobjects">Number of objects</xsl:variable>
	<xsl:variable name="entraid_slider_details_status">Status</xsl:variable>
	<xsl:variable name="entraid_slider_details_status_neverread">NEVER READ</xsl:variable>
	<xsl:variable name="entraid_slider_details_status_isrunning">IS RUNNING</xsl:variable>
	<xsl:variable name="entraid_slider_details_status_success">SUCCESSFUL</xsl:variable>
	<xsl:variable name="entraid_slider_details_status_error">FAULTY</xsl:variable>
	<xsl:variable name="entraid_slider_details_laststart">Last start of update</xsl:variable>
	<xsl:variable name="entraid_slider_details_lastruntime">Last term </xsl:variable>
	<xsl:variable name="entraid_slider_details_nextstart">Next scheduled update</xsl:variable>
	<xsl:variable name="entraid_slider_details_updatedata">Update data</xsl:variable>
	
	<xsl:variable name="entraid_seconds">sec</xsl:variable>
	<xsl:variable name="entraid_minutes">min</xsl:variable>
	<xsl:variable name="entraid_hours">hours</xsl:variable>
	<xsl:variable name="entraid_days">days</xsl:variable>
	
	<xsl:variable name="entraid_slider_message_updated_success">UPDATE SUCCESSFUL</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_success_short">SUCCESSFUL</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_error">UPDATE FAILED</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_error_short">FAILED</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_warning">NEVER READ</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_notyetread">UPDATE FOLLOWS...</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_running">WILL BE READ</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_notconfigured">NOT CONFIGURED</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_notscheduled">NOT PLANNED</xsl:variable>
	<xsl:variable name="entraid_slider_message_updated_disabled">DISABLED</xsl:variable>
	
	<xsl:variable name="entraid_slider_collector_text_notconfigured">The collector has not yet been configured.</xsl:variable>
	<xsl:variable name="entraid_slider_collector_text_disabled">The collector is disabled.</xsl:variable>
	<xsl:variable name="entraid_slider_collector_text_notscheduled">The collector has never been imported.</xsl:variable>
	<xsl:variable name="entraid_slider_title_scheduler">will start according to schedule</xsl:variable>
	<xsl:variable name="entraid_slider_title_scheduler_nextstarttime">Next execution:</xsl:variable>
	<xsl:variable name="entraid_slider_title_notscheduler">The schedule is unplanned.</xsl:variable>
	
	<xsl:variable name="entraid_slider_box_lastcollect_start">Last start of update:</xsl:variable>
	<xsl:variable name="entraid_slider_box_lastcollect">Last updated on:</xsl:variable>
	<xsl:variable name="entraid_slider_box_nextcollect">Next scheduled update:</xsl:variable>
	<xsl:variable name="entraid_slider_box_timeschedule">Time schedule:</xsl:variable>
	
	<xsl:variable name="entraid_dashboard_tooltip_top5roles_numberofroles">Number of roles</xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5roles_role">Role: </xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5roles_numberofassignments">Number of assignments</xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5roles_assignments">Assignments</xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5roles_users">User</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_users">Number of users: </xsl:variable>
	<xsl:variable name="entraid_dashboard_withoutroles">No</xsl:variable>
	<xsl:variable name="entraid_dashboard_withroles1_10">1-10</xsl:variable>
	<xsl:variable name="entraid_dashboard_withroles11_50">11-50</xsl:variable>
	<xsl:variable name="entraid_dashboard_withroles51_200">51-200</xsl:variable>
	<xsl:variable name="entraid_dashboard_withroles200more">&gt;200</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_numberofroles">Number of roles</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_roleexpires">Period in which the role expires: </xsl:variable>
	<xsl:variable name="entraid_status_usedlicenses">license used</xsl:variable>
	<xsl:variable name="entraid_status_unusedlicenses">unused license</xsl:variable>
	<xsl:variable name="entraid_grouplicenseassignments_direct">direct assignment</xsl:variable>
	<xsl:variable name="entraid_grouplicenseassignments_indirect">indirect assignment</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_numberoflicenses">Number of licenses</xsl:variable>
	<xsl:variable name="entraid_dashboard_label_licensesexpires">Period in which the license expires: </xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5licenses_numberoflicenses">Number of license assignments</xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5licenses_licenses">License: </xsl:variable>
	<xsl:variable name="entraid_dashboard_tooltip_top5licenses_assignments">Assignments</xsl:variable>
	
	<xsl:variable name="dac_entraid_undefined_personalstatus">Undefined personal status</xsl:variable>
</xsl:stylesheet>