<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-groups-chart-category</xsl:variable>
		<xsl:variable name="groupcount" select="//countsummary/counts/groupcount" />
		<xsl:variable name="category_security" select="//countsummary/counts/category_security" />
		<xsl:variable name="category_o365" select="//countsummary/counts/category_o365" />
		<xsl:variable name="category_mailenabledsecurity" select="//countsummary/counts/category_mailenabledsecurity" />
		<xsl:variable name="category_distribution" select="//countsummary/counts/category_distribution" />
		
		<p style="text-align:left;margin: 10px 0px 0px 0px;color:#888;font-size: 8pt;">
			<xsl:value-of select="$entraid_dashboard_tab_category_title" />
		</p>
		<div style="width:350px;height:170px;float:left;margin-top:10px;">		
			<div>
				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart</xsl:attribute>
			</div>
			<script>
				var options = {
					series: [<xsl:value-of select="$category_security"/>, <xsl:value-of select="$category_o365"/>, <xsl:value-of select="$category_mailenabledsecurity"/>, <xsl:value-of select="$category_distribution"/>],
					plotOptions: {
						pie: {
							expandOnClick: false,
							dataLabels: {
						        offset: -10
						    }, 
						}
					},
					chart: {
						width: 350,
						height: 170,
						type: 'pie',
					},
					labels: ['<xsl:value-of select="$entraid_grouptype_securitygroup"/>', '<xsl:value-of select="$entraid_grouptype_ms365group"/>', '<xsl:value-of select="$entraid_grouptype_mailenabledsecurity"/>', '<xsl:value-of select="$entraid_grouptype_distributiongroup"/>'],
			        dataLabels: {
						formatter: function (val, opts) {
					        return opts.w.config.series[opts.seriesIndex]
					    },
					    style: {
   							fontSize: '12px',
							fontFamily: 'Verdana,Arial,Helvetica,sans serif',
   							fontWeight: '300'
						},
						dropShadow: {
						    enabled: false
						}
					},
					legend: {
						fontSize: '11px',
						fontFamily: 'Verdana,Arial,Helvetica,sans serif',
						labels: {
							colors: ['#888']
						},
					},
					responsive: [{
						breakpoint: 480,
						options: {
							chart: {
								width: 200
							},
							legend: {
								position: 'bottom'
							}
						}
					}]
				};
				var chart = new ApexCharts(document.querySelector("#<xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart"), options);
				chart.render();
   
			</script>
			<style>
				.apexcharts-legend {
					margin-top: 50px;
				}
				
				.apexcharts-legend-series {
					margin: 2px 5px !important;
				}

				.apexcharts-legend-marker {
					margin-right: 6px;
				}
			</style>

		</div>

	</xsl:template>
</xsl:stylesheet>