<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-groups-chart-members</xsl:variable>
		<xsl:variable name="groupcount" select="//countsummary/counts/groupcount" />
		<xsl:variable name="groupswithoutmembers" select="//countsummary/counts/groupswithoutmembers" />
		<xsl:variable name="groupswithmembers1_10" select="//countsummary/counts/groupswithmembers1_10" />
		<xsl:variable name="groupswithmembers11_50" select="//countsummary/counts/groupswithmembers11_50" />
		<xsl:variable name="groupswithmembers51_200" select="//countsummary/counts/groupswithmembers51_200" />
		<xsl:variable name="groupswithmembers200more" select="//countsummary/counts/groupswithmembers200more" />
		
		<p style="text-align:left;margin: 10px 0px 0px 0px;color:#888;font-size: 8pt;">
			<xsl:value-of select="$entraid_dashboard_tab_members_title" />
		</p>
		<div style="width:350px;height:160px;float:left;">		
			<div>
				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart</xsl:attribute>
			</div>
			
			<script>
				
				var options = {
					series: [{
						name: "<xsl:value-of select="$entraid_dashboard_label_groups" />",
						data: [<xsl:value-of select="$groupswithoutmembers"/>, <xsl:value-of select="$groupswithmembers1_10"/>, <xsl:value-of select="$groupswithmembers11_50"/>, <xsl:value-of select="$groupswithmembers51_200"/>, <xsl:value-of select="$groupswithmembers200more"/>]
					}],
					plotOptions: {
						bar: {
							columnWidth: '45%',
							distributed: true
						}
					},
					chart: {
						toolbar: {
							show: false
						},
						height: 140,
						type: 'bar',
						events: {
							click: function(chart, w, e) {
								// console.log(chart, w, e)
							}
						}
					},					
			        colors: ['#008FFB', '#00E396', '#FEB019', '#FF4560', '#775DD0'],
					dataLabels: {
						enabled: false
					},
					legend: {
						show: false
					},
					title: {
						style: {
							fontSize:  '12pt',
							fontFamily: 'Verdana,Arial,Helvetica,sans serif'
						}	
					},
			        xaxis: {
						categories: [
							['<xsl:value-of select="$entraid_dashboard_withoutmemberof"/>'],
							['<xsl:value-of select="$entraid_dashboard_withmemberof1_10"/>'],
							['<xsl:value-of select="$entraid_dashboard_withmemberof11_50"/>'],
							['<xsl:value-of select="$entraid_dashboard_withmemberof51_200"/>'],
							['<xsl:value-of select="$entraid_dashboard_withmemberof200more"/>'],
			          ],
			          labels: {
			            style: {
			              colors: ['#888','#888','#888','#888','#888'],
			              fontSize: '12px'
			            }
			          }
			        },
			        tooltip: {
  						x: {
    						formatter: function(value, { series, seriesIndex, dataPointIndex, w }) {
      							return '<xsl:value-of select="$entraid_dashboard_label_membership"/>' + value
    						}
  						}
					}
		        };
		
		        var chart = new ApexCharts(document.querySelector("#<xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart"), options);
		        chart.render();
			</script>
		</div>
	</xsl:template>
</xsl:stylesheet>