<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-groups-overview</xsl:variable>
		
		<xsl:variable name="groupcount" select="//countsummary/counts/groupcount" />
		<xsl:variable name="groupaddcount" select="//countsummary/counts/historycounts/historycount/groupaddcount" />
		<xsl:variable name="groupdeletecount" select="//countsummary/counts/historycounts/historycount/groupdeletecount" />
		
		<div class="entraid-overview-image entraid-overview-image-groups">
			<xsl:attribute name="onclick">
				window.location.href = 'entraid.html?tab=admin&amp;view=group-list';
			</xsl:attribute>
			<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_title_allgroups_part1"/>&#160;<xsl:value-of select="$groupcount" />&#160;<xsl:value-of select="$entraid_dashboard_title_allgroups_part2"/></xsl:attribute>
		</div>

		<div class="entraid-overview-wrapper">
			<div class="entraid-overview-wrapper-numbers">
				<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_title_allgroups_part1"/>&#160;<xsl:value-of select="$groupcount" />&#160;<xsl:value-of select="$entraid_dashboard_title_allgroups_part2"/></xsl:attribute>
				<div class="entraid-overview-wrapper-numbers-groupcount">
<!-- 					<xsl:value-of select="$groupcount" /> -->
					<xsl:attribute name="onclick">
						window.location.href = 'entraid.html?tab=admin&amp;view=group-list';
					</xsl:attribute>
					<xsl:call-template name="format-longnumber">
						<xsl:with-param name="number" select="$groupcount"/>
					</xsl:call-template>
				</div>
				<div class="entraid-overview-wrapper-numbers-historycounts">
					<span style="color:red;cursor:pointer;">
						<xsl:attribute name="onclick">
							window.location.href = 'entraid.html?tab=admin&amp;view=group-history-list';
						</xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_title_groupdeletecount_part1" />&#160;<xsl:value-of select="$groupdeletecount" />&#160;<xsl:value-of select="$entraid_dashboard_title_groupdeletecount_part2" /></xsl:attribute>
<!-- 						<xsl:value-of select="$groupdeletecount" /> -->
						-<xsl:call-template name="format-longnumber">
							<xsl:with-param name="number" select="$groupdeletecount"/>
						</xsl:call-template>
						</span> | <span style="color:green;cursor:pointer;font-size:12pt;">
						<xsl:attribute name="onclick">
							window.location.href = 'entraid.html?tab=admin&amp;view=group-history-list';
						</xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_title_groupaddcount_part1" />&#160;<xsl:value-of select="$groupaddcount" />&#160;<xsl:value-of select="$entraid_dashboard_title_groupaddcount_part2" /></xsl:attribute>						
<!-- 						<xsl:value-of select="$groupaddcount" /> -->
						+<xsl:call-template name="format-longnumber">
							<xsl:with-param name="number" select="$groupaddcount"/>
						</xsl:call-template>						
					</span>
				</div>
		</div>
		<div style="clear:both;font-size:11pt;color: #aaaaaa;line-height:34px;">
			<xsl:value-of select="$entraid_dashboard_subtitle_groups" />
		</div>
	</div>
	</xsl:template>
	
	<xsl:template name="format-longnumber">
	    <xsl:param name="number"/>
	    <xsl:choose>
	      <xsl:when test="$number &lt; '10000'">
	        	<xsl:value-of select="$number"/>
	      </xsl:when>
	      <xsl:when test="$number &lt; '100000'">
	        	<xsl:value-of select="substring($number,1,2)"/>.<xsl:value-of select="substring($number,3,1)"/>k
	      </xsl:when>
	      <xsl:when test="$number = '100000'">
	        	<xsl:value-of select="substring($number,1,2)"/>k
	      </xsl:when>
	      <xsl:when test="$number &lt; '1000000'">
	        	<xsl:value-of select="substring($number,1,3)"/>.<xsl:value-of select="substring($number,4,1)"/>k
	      </xsl:when>
	      <xsl:when test="$number &lt; '1100000'">
	        	1M
	      </xsl:when>
	      <xsl:when test="$number &lt; '10000000'">
	        	<xsl:value-of select="substring($number,1,1)"/>.<xsl:value-of select="substring($number,2,1)"/>M
	      </xsl:when>
	      <xsl:when test="$number &lt; '100000000'">
	        	<xsl:value-of select="substring($number,1,2)"/>.<xsl:value-of select="substring($number,3,1)"/>M
	      </xsl:when>
	      <xsl:when test="$number &lt; '1000000000'">
	        	<xsl:value-of select="substring($number,1,3)"/>M
	      </xsl:when>
	      <xsl:when test="$number &gt;= '1000000000'">
	        	<xsl:value-of select="$number"/>
	      </xsl:when>
	      <xsl:otherwise>
	        	<xsl:value-of select="$number"/>
	      </xsl:otherwise>
	    </xsl:choose>
	</xsl:template>	
	
</xsl:stylesheet>