<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-groups</xsl:variable>
		<xsl:variable name="charttypes" select="//parameters/parameter[@name='charttypes']" />
		<xsl:variable name="mode" select="//parameters/parameter[@name='mode']" />
		<xsl:variable name="activeheader_charttype">
			<xsl:choose>
				<xsl:when test="contains($charttypes,',')"><xsl:value-of select="substring-before($charttypes,',')" /></xsl:when>
				<xsl:when test="$mode = 'big_all'">category</xsl:when>
				<xsl:otherwise><xsl:value-of select="$charttypes" /></xsl:otherwise>
			</xsl:choose>		
		</xsl:variable>

		<div class="{$parentid}-medium-numbers-charts-wrapper">
			<div class="{$parentid}-medium-numbers-charts-wrapper-left">
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getGroupCountSummaryForDashboard</xsl:attribute>
					<xsl:attribute name="style">margin-top:50px;</xsl:attribute>
				</inchorus-content>
	
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getGroupCountHistoryForDashboard</xsl:attribute>
					<xsl:attribute name="parameters">[{"duration":"90"}]</xsl:attribute>
				</inchorus-content>
			</div>
			<div class="{$parentid}-medium-numbers-charts-wrapper-right">
				
				<inchorus-tabs>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="activeheaderid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-<xsl:value-of select="$activeheader_charttype" /></xsl:attribute>
					
					<inchorus-tab-header-area>
				    	<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
				    	<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
							<xsl:if test="contains($charttypes,'category') = 'true' or $mode = 'big_all'">		
								<inchorus-tab-header>
									<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-category</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_category_title" /></xsl:attribute>
				        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-category</xsl:attribute>
				        				<div>
					        				<div>
					        					<xsl:value-of select="$entraid_dashboard_tab_category" />
					        				</div>
					        			</div>
								</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'members') = 'true' or $mode = 'big_all'">
							<inchorus-tab-header>
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-members</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_members_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-members</xsl:attribute>
			        				<div>
				        				<div>
				        					<xsl:value-of select="$entraid_dashboard_tab_members" />
				        				</div>
				        			</div>
							</inchorus-tab-header>
							</xsl:if>
				    </inchorus-tab-header-area>
				        
				    <inchorus-tab-content-area>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-content-area</xsl:attribute>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-category</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-category</xsl:attribute>
			        			<xsl:attribute name="command">getGroupCategorySummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>			        			
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-members</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-members</xsl:attribute>
			        			<xsl:attribute name="command">getGroupMemberSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      						    	
				    </inchorus-tab-content-area>
				    
				 </inchorus-tabs>
			
			</div>
		</div>
		<!-- 
		<div style="height:180px;margin-bottom:20px;width: 100%;">
			<div style="width:calc(35% - 15px);height:100%;float:left;margin-right:30px;">
			
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getGroupCountSummaryForDashboard</xsl:attribute>
					<xsl:attribute name="style">margin-top:50px;</xsl:attribute>
				</inchorus-content>
				
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getGroupCountHistoryForDashboard</xsl:attribute>
					<xsl:attribute name="parameters">[{"duration":"90"}]</xsl:attribute>
				</inchorus-content>			

			</div>
			
			<div style="width:calc(65% - 15px);height:100%;float:left;">
			
				<inchorus-tabs>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="activeheaderid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-0</xsl:attribute>
			
					<inchorus-tab-header-area>
				    	<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
				    	<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
							
							<inchorus-tab-header>
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-0</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_scope_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-scope</xsl:attribute>
			        			
			        				<div>
				        				<div>
				        					<xsl:value-of select="$entraid_dashboard_tab_scope" />
				        				</div>
				        			</div>
			        						        			
							</inchorus-tab-header>
							
							<inchorus-tab-header>
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-1</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_members_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-members</xsl:attribute>
			        			
			        				<div>
				        				<div>
				        					<xsl:value-of select="$entraid_dashboard_tab_members" />
				        				</div>
				        			</div>
			        						        			
							</inchorus-tab-header>
							
				    </inchorus-tab-header-area>
				        
				    <inchorus-tab-content-area>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-content-area</xsl:attribute>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-scope</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-scope</xsl:attribute>
			        			<xsl:attribute name="command">getGroupScopeSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>			        			
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-members</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-members</xsl:attribute>
			        			<xsl:attribute name="command">getGroupMemberSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      						    	
				    </inchorus-tab-content-area>
				    
				 </inchorus-tabs>	
				 		
			</div>
			
		</div>
		-->
	</xsl:template>
</xsl:stylesheet>