<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-licenses-chart-top5licenses</xsl:variable>
		<xsl:variable name="licensesnames" select="//countsummary/licenses" />
		<xsl:variable name="licensescounts" select="//countsummary/assignments" />

		<p style="text-align:left;margin: 10px 0px 0px 0px;color:#888;font-size: 8pt;">
			<xsl:value-of select="$entraid_dashboard_tab_top5licenses_title" />
		</p>
		<div style="width:350px;height:170px;float:left;margin-top:-10px;">		
			<div>
				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart</xsl:attribute>
			</div>
			<script>
		        var options = {
		          series: [{
		          name: '<xsl:value-of select="$entraid_dashboard_tooltip_top5licenses_numberoflicenses"/>',
		          data: [<xsl:value-of select="$licensescounts" />]
		        }],
		          chart: {
		          type: 'bar',
		          height: 200,
		          width: 350,
		          toolbar: {
				    show: true,
				    tools: {
				      download: false
				    }
				  }
		        },
		        plotOptions: {
		          bar: {
		            horizontal: true,
		            dataLabels: {
		              position: 'top',
		            },
		          }
		        },
		        dataLabels: {
		          enabled: true,
		          offsetX: 20,
		          style: {
		            fontSize: '12px',
		            colors: ['#008ffb']
		          }
		        },
		        stroke: {
		          show: true,
		          width: 1,
		          colors: ['#fff']
		        },
		        tooltip: {
		          shared: true,
		          intersect: false,
		           x: {
		            formatter: function (val) {
		              return "<xsl:value-of select="$entraid_dashboard_tooltip_top5licenses_licenses"/> " + val
		             }
		           },
		           y: {
		             formatter: function (val) {
		               return val + " <xsl:value-of select="$entraid_dashboard_tooltip_top5licenses_assignments" />"
		             }
		           }
		        },
		        xaxis: {
		          categories: [<xsl:value-of select="$licensesnames" />],
		          labels: {
							style: {
								colors: ['#888','#888','#888','#888','#888']
							}
				  }
		        },
		        yaxis: {
		          labels: {
							style: {
								colors: ['#888','#888','#888','#888','#888']
							}
				  }
		        },
		        };
				var chart = new ApexCharts(document.querySelector("#<xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart"), options);
				chart.render();
   
			</script>
			<style>
				.apexcharts-legend {
					margin-top: 50px;
				}
				
				.apexcharts-legend-series {
					margin: 2px 5px !important;
				}

				.apexcharts-legend-marker {
					margin-right: 6px;
				}
			</style>


		</div>
	</xsl:template>
</xsl:stylesheet>