<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-licenses-timeline</xsl:variable>

		<xsl:variable name="duration" select="//parameters/parameter[@name='duration']" />
		<xsl:variable name="objectname" select="//data/policy/objectname" />
		<xsl:variable name="description" select="//data/policy/description" />
		<xsl:variable name="dates" select="//data/statistics/dates" />
		<xsl:variable name="values" select="//data/statistics/values" />

		<div style="margin-top:28px;float:right;">
			<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-<xsl:value-of select="$parentid"/>-chart</xsl:attribute>
			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart</xsl:attribute>
		</div>
		
		<script>
			var options = {
				series: [{
					name: "<xsl:value-of select="$description" />",
					data: [<xsl:value-of select="$values" />]
				}],
				chart: {
					height: 50,
					type: 'area',
					zoom: {
						enabled: false
					},
					sparkline: {
						enabled: true
					}
				},
				stroke: {
					curve: 'straight',
					width: 2
				},
				colors: ['#3f7e8d'],
				fill: {
					type: "gradient",
					gradient: {
						shadeIntensity: 1,
						opacityFrom: 0.5,
						opacityTo: 0.7,
						stops: [0, 90, 100]
					}
				},
        		xaxis: {
					categories: [<xsl:value-of select="$dates" />],
					labels: {
						show: false
					}
				},
<!-- 				yaxis: {
					min: 50
				}, -->
				tooltip: {
					style: {
						fontSize: '12px',
						fontFamily: 'Verdana,Arial,Helvetica,sans serif'
					},
 					fixed: {
						enabled: true,
						position: 'topRight',
						offsetX: 100,
						offsetY: -50,
					},
				}
			};

			var chart = new ApexCharts(
				document.querySelector("#<xsl:value-of select="$contentid"/>-<xsl:value-of select="$parentid"/>-chart"),
				options
			);
			chart.render();
		</script>
				
	</xsl:template>
</xsl:stylesheet>