<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-licenses</xsl:variable>
		<xsl:variable name="charttypes" select="//parameters/parameter[@name='charttypes']" />
		<xsl:variable name="mode" select="//parameters/parameter[@name='mode']" />
		<xsl:variable name="activeheader_charttype">
			<xsl:choose>
				<xsl:when test="contains($charttypes,',')"><xsl:value-of select="substring-before($charttypes,',')" /></xsl:when>
				<xsl:when test="$mode = 'big_all'">status</xsl:when>
				<xsl:otherwise><xsl:value-of select="$charttypes" /></xsl:otherwise>
			</xsl:choose>		
		</xsl:variable>

		<div class="{$parentid}-medium-numbers-charts-wrapper">
			<div class="{$parentid}-medium-numbers-charts-wrapper-left">
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getLicenseCountSummaryForDashboard</xsl:attribute>
				</inchorus-content>
				
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getLicenseCountHistoryForDashboard</xsl:attribute>
					<xsl:attribute name="parameters">[{"duration":"90"}]</xsl:attribute>
				</inchorus-content>
			</div>
			<div class="{$parentid}-medium-numbers-charts-wrapper-right">
				<inchorus-tabs>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="activeheaderid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-<xsl:value-of select="$activeheader_charttype" /></xsl:attribute>
					
					<inchorus-tab-header-area>
				    	<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
						<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
							<xsl:if test="contains($charttypes,'usedunused') = 'true' or $mode = 'big_all'">
								<inchorus-tab-header>
									<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-usedunused</xsl:attribute>
									<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-header-usedunused</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_usedunused_title" /></xsl:attribute>
				      				<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-usedunused</xsl:attribute>	
				        				<div>
					        				<div>
					        					<xsl:value-of select="$entraid_dashboard_tab_usedunused" />
					        				</div>
					        			</div>
								</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'grouplicenseassignments') = 'true' or $mode = 'big_all'">
								<inchorus-tab-header>
				      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-grouplicenseassignments</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_grouplicenseassignments_title" /></xsl:attribute>
				        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-grouplicenseassignments</xsl:attribute>
				        				<div>
					        				<div>
					        					<xsl:value-of select="$entraid_dashboard_tab_grouplicenseassignments" />
					        				</div>
					        			</div>
								</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'licenseexpires') = 'true' or $mode = 'big_all'">
								<inchorus-tab-header>
									<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-licenseexpires</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_licenseexpires_title" /></xsl:attribute>
				      				<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-licenseexpires</xsl:attribute>
				        				<div>
					        				<div>
					        					<xsl:value-of select="$entraid_dashboard_tab_licenseexpires" />
					        				</div>
					        			</div>		        			
								</inchorus-tab-header>
							</xsl:if>
							<xsl:if test="contains($charttypes,'top5licenses') = 'true' or $mode = 'big_all'">
								<inchorus-tab-header>
									<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-top5licenses</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_top5licenses_title" /></xsl:attribute>
				        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-top5licenses</xsl:attribute>
				        				<div>
					        				<div>
					        					<xsl:value-of select="$entraid_dashboard_tab_top5licenses" />
					        				</div>
					        			</div>
								</inchorus-tab-header>
							</xsl:if>
				    </inchorus-tab-header-area>
				        
				    <inchorus-tab-content-area>
						<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-content-area</xsl:attribute>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-usedunused</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-usedunused</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-usedunused</xsl:attribute>
			        			<xsl:attribute name="command">getLicenseStatusSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-grouplicenseassignments</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-grouplicenseassignments</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-grouplicenseassignments</xsl:attribute>
			        			<xsl:attribute name="command">getLicenseAssignmentSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
						
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-licenseexpires</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-licenseexpires</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-expires</xsl:attribute>
			        			<xsl:attribute name="command">getDefaultData</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-top5licenses</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-top5licenses</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-top5licenses</xsl:attribute>
			        			<xsl:attribute name="command">getLicenseAssignmentTop5SummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      						    	
				    </inchorus-tab-content-area>
				    
				 </inchorus-tabs>
			</div>
		</div>
		
	</xsl:template>
</xsl:stylesheet>