<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-policies</xsl:variable>
		<xsl:variable name="total" select="//policiessummary/total" />
		<xsl:variable name="level_medium" select="//policiessummary/level_medium" />
		<xsl:variable name="level_high" select="//policiessummary/level_high" />
		<xsl:variable name="levelsum" select="number(number($level_medium) + number($level_high))" />
		
		<div>
			<xsl:attribute name="title"><xsl:value-of select="$levelsum" />&#160;<xsl:value-of select="$entraid_dashboard_message_policies_part1" />&#160;<xsl:value-of select="$total" />&#160;<xsl:value-of select="$entraid_dashboard_message_policies_part2" /></xsl:attribute>
			<xsl:choose>	
				<xsl:when test="$level_high &gt; '0'">
					<xsl:attribute name="class">dac-dashboard-policies dac-dashboard-policies-level-high</xsl:attribute>
				</xsl:when>
				<xsl:when test="$level_medium &gt; '0'">
					<xsl:attribute name="class">dac-dashboard-policies dac-dashboard-policies-level-medium</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="class">dac-dashboard-policies dac-dashboard-policies-level-low</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:attribute name="onclick">
				window.location.href = 'entraid.html?tab=admin&amp;view=policies-list';
			</xsl:attribute>
			<div class="dac-dashboard-policies-image">
			</div>
			<div class="dac-dashboard-policies-text">
				<xsl:value-of select="$levelsum" />
			</div>
		</div>
		
		<!-- 
		<inchorus-message>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message</xsl:attribute>
			<xsl:choose>
				<xsl:when test="$level_high &gt; '0'">
					<xsl:attribute name="type">error</xsl:attribute>
				</xsl:when>
				<xsl:when test="$level_medium &gt; '0'">
					<xsl:attribute name="type">warning</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="type">success</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:attribute name="style">cursor:pointer;</xsl:attribute>
			<xsl:attribute name="onclick">
				window.location.href = 'entraid.html?tab=admin&amp;view=policies-list';
			</xsl:attribute>
			<xsl:value-of select="$levelsum" />&#160;<xsl:value-of select="$entraid_dashboard_message_policies_part1" />&#160;<xsl:value-of select="$total" />&#160;<xsl:value-of select="$entraid_dashboard_message_policies_part2" />
		</inchorus-message>
		-->
	</xsl:template>
</xsl:stylesheet>