<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-users-chart-rolesexpires</xsl:variable>
		
		<!-- 
		<xsl:variable name="lastloginnever" select="//countsummary/counts/lastloginnever" />
		<xsl:variable name="lastlogin0_7" select="//countsummary/counts/lastlogin0_7" />
		<xsl:variable name="lastlogin7_30" select="//countsummary/counts/lastlogin7_30" />
		<xsl:variable name="lastlogin30_180" select="//countsummary/counts/lastlogin30_180" />
		<xsl:variable name="lastlogin180_365" select="//countsummary/counts/lastlogin180_365" />
		<xsl:variable name="lastlogin365andmore" select="//countsummary/counts/lastlogin365andmore" />
		-->
		
		<xsl:variable name="lastloginnever">0</xsl:variable>
		<xsl:variable name="lastlogin0_7">0</xsl:variable>
		<xsl:variable name="lastlogin7_30">0</xsl:variable>
		<xsl:variable name="lastlogin30_180">0</xsl:variable>
		<xsl:variable name="lastlogin180_365">0</xsl:variable>
		<xsl:variable name="lastlogin365andmore">0</xsl:variable>
		
		<p style="text-align:left;margin: 10px 0px 0px 0px;color:#888;font-size: 8pt;">
			<xsl:value-of select="$entraid_dashboard_tab_rolesexpires_title" />
		</p>
		<div style="width:350px;height:190px;float:left;margin-top:5px;">		
			<div>
				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart</xsl:attribute>
			</div>
			
			<script>
				
				var options = {
					series: [{
						name: "<xsl:value-of select="$entraid_dashboard_label_numberofroles" />",
						data: [<xsl:value-of select="$lastloginnever" />,<xsl:value-of select="$lastlogin0_7" />,<xsl:value-of select="$lastlogin7_30" />,<xsl:value-of select="$lastlogin30_180" />,<xsl:value-of select="$lastlogin180_365" />,<xsl:value-of select="$lastlogin365andmore" />]
					}],
					plotOptions: {
						bar: {
							columnWidth: '45%',
							distributed: true
						}
					},
					chart: {
						toolbar: {
							show: false
						},
						height: 190,
						type: 'bar',
						events: {
							click: function(chart, w, e) {
								// console.log(chart, w, e)
							}
						}
					},
					colors: ['#008FFB', '#00E396', '#FEB019', '#FF4560', '#775DD0'],
					dataLabels: {
						enabled: false
					},
					legend: {
						show: false
					},
					title: {
						style: {
							fontSize:  '12pt',
							fontFamily: 'Verdana,Arial,Helvetica,sans serif'
						}	
					},
					xaxis: {
						categories: [
							['<xsl:value-of select="$entraid_dashboard_daysnever"/>'],
							['<xsl:value-of select="$entraid_dashboard_days0_7"/>'],
							['<xsl:value-of select="$entraid_dashboard_days7_30"/>'],
							['<xsl:value-of select="$entraid_dashboard_days30_180"/>'],
							['<xsl:value-of select="$entraid_dashboard_days180_365"/>'],
							['<xsl:value-of select="$entraid_dashboard_days365andmore"/>']
						],	
						labels: {
							style: {
								colors: ['#888','#888','#888','#888','#888','#888'],
								fontSize: '12px'
							}
						}
			        },
			        yaxis: {
			        	labels: {
							style: {
								colors: ['#888','#888','#888','#888','#888','#888','#888'],
							}
						}
			        },
					tooltip: {
  						x: {
    						formatter: function(value, { series, seriesIndex, dataPointIndex, w }) {
      							return '<xsl:value-of select="$entraid_dashboard_label_roleexpires"/>' + value
    						}
  						}
					}
		        };
		
		        var chart = new ApexCharts(document.querySelector("#<xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart"), options);
		        chart.render();
			</script>
		</div>
	</xsl:template>
</xsl:stylesheet>