<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-users-chart-usertoroles</xsl:variable>
		<xsl:variable name="usercount" select="//countsummary/counts/usercount" />
		<xsl:variable name="userwithoutroles" select="//countsummary/counts/userwithoutroles" />
		<xsl:variable name="userwithroles1_10" select="//countsummary/counts/userwithroles1_10" />
		<xsl:variable name="userwithroles11_50" select="//countsummary/counts/userwithroles11_50" />
		<xsl:variable name="userwithroles51_200" select="//countsummary/counts/userwithroles51_200" />
		<xsl:variable name="userwithroles200more" select="//countsummary/counts/userwithroles200more" />

		<p style="text-align:left;margin: 10px 0px 0px 0px;color:#888;font-size: 8pt;">
			<xsl:value-of select="$entraid_dashboard_tab_usertoroles_title" />
		</p>
		<div style="width:350px;height:170px;float:left;margin-top: 5px;">		
			<div>
				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart</xsl:attribute>
			</div>
			
			<script>
				
				var options = {
					series: [{
						name: "<xsl:value-of select="$entraid_dashboard_label_numberofroles" />",
						data: [<xsl:value-of select="$userwithoutroles"/>, <xsl:value-of select="$userwithroles1_10"/>, <xsl:value-of select="$userwithroles11_50"/>, <xsl:value-of select="$userwithroles51_200"/>, <xsl:value-of select="$userwithroles200more"/>]
					}],
					plotOptions: {
						bar: {
							columnWidth: '45%',
							distributed: true
						}
					},
					chart: {
						toolbar: {
							show: false
						},
						height: 170,
						type: 'bar',
						events: {
							click: function(chart, w, e) {
								// console.log(chart, w, e)
							}
						}
					},
					colors: ['#008FFB', '#00E396', '#FEB019', '#FF4560', '#775DD0'],
					dataLabels: {
						enabled: false
					},
					legend: {
						show: false
					},
					title: {
						style: {
							fontSize:  '12pt',
							fontFamily: 'Verdana,Arial,Helvetica,sans serif'
						}	
					},
					xaxis: {
						categories: [
							['<xsl:value-of select="$entraid_dashboard_withoutroles"/>'],
							['<xsl:value-of select="$entraid_dashboard_withroles1_10"/>'],
							['<xsl:value-of select="$entraid_dashboard_withroles11_50"/>'],
							['<xsl:value-of select="$entraid_dashboard_withroles51_200"/>'],
							['<xsl:value-of select="$entraid_dashboard_withroles200more"/>'],
						],	
						labels: {
							style: {
								colors: ['#888','#888','#888','#888','#888'],
								fontSize: '12px'
							}
						}
			        },
			        yaxis: {
		    			labels: {
							style: {
								colors: ['#888','#888','#888','#888','#888']
							}
				  		}
		        	},
					tooltip: {
  						x: {
    						formatter: function(value, { series, seriesIndex, dataPointIndex, w }) {
      							return '<xsl:value-of select="$entraid_dashboard_label_users"/>' + value
    						}
  						}
					}
		        };
		
		        var chart = new ApexCharts(document.querySelector("#<xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart"), options);
		        chart.render();
			</script>
		</div>
	</xsl:template>
</xsl:stylesheet>