<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-users</xsl:variable>
		<xsl:variable name="charttypes" select="//parameters/parameter[@name='charttypes']" />
		<xsl:variable name="charttype_count" select="string-length($charttypes) - string-length(translate($charttypes, ',', '')) + 1" />
		<xsl:variable name="mode" select="//parameters/parameter[@name='mode']" />
		<xsl:variable name="activeheader_charttype">
			<xsl:choose>
				<xsl:when test="contains($charttypes,',')"><xsl:value-of select="substring-before($charttypes,',')" /></xsl:when>
				<xsl:when test="$mode = 'big_all'">status</xsl:when>
				<xsl:otherwise><xsl:value-of select="$charttypes" /></xsl:otherwise>
			</xsl:choose>		
		</xsl:variable>
		
		<xsl:if test="$charttype_count &gt; '2' or $mode='big_all'">
				 
			<div class="entraid-tabs-button-next">
		  		<xsl:attribute name="onclick">
		       			$('#slidercontainer-<xsl:value-of select="$contentid" /> .slides:first-child' ).insertAfter($('#slidercontainer-<xsl:value-of select="$contentid" /> .slides:last-child'));
				</xsl:attribute>
				<i class="gg-chevron-back"></i>
			</div>
		</xsl:if>
	
		<div class="{$parentid}-medium-numbers-charts-wrapper">
			<div class="{$parentid}-medium-numbers-charts-wrapper-left">
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getUserCountSummaryForDashboard</xsl:attribute>
				</inchorus-content>
				
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getUserCountHistoryForDashboard</xsl:attribute>
					<xsl:attribute name="parameters">[{"duration":"90"}]</xsl:attribute>
				</inchorus-content>
			</div>
			<div class="{$parentid}-medium-numbers-charts-wrapper-right">
				<inchorus-tabs>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="activeheaderid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-<xsl:value-of select="$activeheader_charttype" /></xsl:attribute>
					
					<inchorus-tab-header-area>
				    	<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
						<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
							
						<div style="width:292px;overflow:hidden;">
							<div class="slidescontainer">
								<xsl:attribute name="id">slidercontainer-<xsl:value-of select="$contentid" /></xsl:attribute>
							
								<xsl:if test="contains($charttypes,'status') = 'true' or $mode = 'big_all'">
									<inchorus-tab-header class="slides">
										<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-status</xsl:attribute>
										<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_status_title" /></xsl:attribute>
					      				<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-status</xsl:attribute>	
					        				<div>
						        				<div>
						        					<xsl:value-of select="$entraid_dashboard_tab_status" />
						        				</div>
						        			</div>
									</inchorus-tab-header>
								</xsl:if>
								<xsl:if test="contains($charttypes,'matched') = 'true' or $mode = 'big_all'">
									<inchorus-tab-header class="slides">
					      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-matched</xsl:attribute>
										<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_matched_title" /></xsl:attribute>
					        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-matched</xsl:attribute>
					        				<div>
						        				<div>
						        					<xsl:value-of select="$entraid_dashboard_tab_matched" />
						        				</div>
						        			</div>
									</inchorus-tab-header>
								</xsl:if>
								<!--
								<xsl:if test="contains($charttypes,'login') = 'true' or $mode = 'big_all'">
									<inchorus-tab-header class="slides">
										<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-login</xsl:attribute>
										<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_login_title" /></xsl:attribute>
					      				<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
					        				<div>
						        				<div>
						        					<xsl:value-of select="$entraid_dashboard_tab_login" />
						        				</div>
						        			</div>		        			
									</inchorus-tab-header>
								</xsl:if>
								-->
								<xsl:if test="contains($charttypes,'membership') = 'true' or $mode = 'big_all'">
									<inchorus-tab-header class="slides">
										<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-membership</xsl:attribute>
										<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_membership_title" /></xsl:attribute>
					        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-membership</xsl:attribute>
					        				<div>
						        				<div>
						        					<xsl:value-of select="$entraid_dashboard_tab_membership" />
						        				</div>
						        			</div>
									</inchorus-tab-header>
								</xsl:if>
								<xsl:if test="contains($charttypes,'userroles') = 'true' or $mode = 'big_all'">
									<inchorus-tab-header class="slides">
										<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-userroles</xsl:attribute>
										<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_roles_title" /></xsl:attribute>
					        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-userroles</xsl:attribute>
					        				<div>
						        				<div>
						        					<xsl:value-of select="$entraid_dashboard_tab_roles" />
						        				</div>
						        			</div>
									</inchorus-tab-header>
								</xsl:if>
								<xsl:if test="contains($charttypes,'userlicenses') = 'true' or $mode = 'big_all'">
									<inchorus-tab-header class="slides">
										<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-userlicenses</xsl:attribute>
										<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_licenses_title" /></xsl:attribute>
					        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-userlicenses</xsl:attribute>
					        				<div>
						        				<div>
						        					<xsl:value-of select="$entraid_dashboard_tab_licenses" />
						        				</div>
						        			</div>
									</inchorus-tab-header>
								</xsl:if>
							</div>
						</div>
				    </inchorus-tab-header-area>
				        
				    <inchorus-tab-content-area>
						<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-content-area</xsl:attribute>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-status</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-status</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-status</xsl:attribute>
			        			<xsl:attribute name="command">getUserStatusSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-matched</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-matched</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-matched</xsl:attribute>
			        			<xsl:attribute name="command">getUserMatchingSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
						
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			<xsl:attribute name="command">getUserLoginSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-membership</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-membership</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-membership</xsl:attribute>
			        			<xsl:attribute name="command">getUserMemberOfSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-userroles</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-roles</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-roles</xsl:attribute>
			        			<xsl:attribute name="command">getUserRoleOfSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-userlicenses</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-licenses</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-licenses</xsl:attribute>
			        			<xsl:attribute name="command">getUserLicenseOfSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      						    	
				    </inchorus-tab-content-area>
				    
				 </inchorus-tabs>
			</div>
		</div>
		
		
	<!-- 	
		<div style="height:160px;margin-bottom:20px;">
			<div style="width:calc(35% - 15px);height:100%;float:left;margin-right:20px;">
			
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-overview</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getUserCountSummaryForDashboard</xsl:attribute>
				</inchorus-content>
				
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-timeline</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="command">getUserCountHistoryForDashboard</xsl:attribute>
					<xsl:attribute name="parameters">[{"duration":"90"}]</xsl:attribute>
				</inchorus-content>

			</div>
			
			<div style="width:calc(65% - 15px);height:100%;float:left;">
			
				<inchorus-tabs>
					<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
					<xsl:attribute name="activeheaderid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-0</xsl:attribute>
					<xsl:attribute name="style">margin-top: -45px;</xsl:attribute>
					
					<inchorus-tab-header-area>
				    	<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
						<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
							
							<inchorus-tab-header>
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-0</xsl:attribute>
								<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-header-0</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_status_title" /></xsl:attribute>
			      				<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-status</xsl:attribute>
			        			
			        				<div>
				        				<div>
				        					<xsl:value-of select="$entraid_dashboard_tab_status" />
				        				</div>
				        			</div>
			        						        			
							</inchorus-tab-header>
							
							<inchorus-tab-header>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-1</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_matched_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-matched</xsl:attribute>
			        			
			        				<div>
				        				<div>
				        					<xsl:value-of select="$entraid_dashboard_tab_matched" />
				        				</div>
				        			</div>
			        						        			
							</inchorus-tab-header>
							
							<inchorus-tab-header>
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-2</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_login_title" /></xsl:attribute>
			      				<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			
			        				<div>
				        				<div>
				        					<xsl:value-of select="$entraid_dashboard_tab_login" />
				        				</div>
				        			</div>
			        						        			
							</inchorus-tab-header>
							
							<inchorus-tab-header>
								<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-header-3</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$entraid_dashboard_tab_membership_title" /></xsl:attribute>
			        			<xsl:attribute name="linkedcontentid"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-membership</xsl:attribute>
			        			
			        				<div>
				        				<div>
				        					<xsl:value-of select="$entraid_dashboard_tab_membership" />
				        				</div>
				        			</div>
			        						        			
							</inchorus-tab-header>
				    </inchorus-tab-header-area>
				        
				    <inchorus-tab-content-area>
						<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-content-area</xsl:attribute>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-status</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-status</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-status</xsl:attribute>
			        			<xsl:attribute name="command">getUserStatusSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
						
							<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-matched</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-matched</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-matched</xsl:attribute>
			        			<xsl:attribute name="command">getUserMatchingSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
						
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-login</xsl:attribute>
			        			<xsl:attribute name="command">getUserLoginSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      			
			      			<inchorus-tab-content>
			      				<xsl:attribute name="id"><xsl:value-of select="$contentid" />-<xsl:value-of select="$parentid"/>-chart-membership</xsl:attribute>
			        			<xsl:attribute name="class"><xsl:value-of select="$parentid"/>-chart-membership</xsl:attribute>
			        			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			        			<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-chart-membership</xsl:attribute>
			        			<xsl:attribute name="command">getUserMemberOfSummaryForDashboard</xsl:attribute>
			        			<xsl:attribute name="style">margin-top:-4px;</xsl:attribute>
			      			</inchorus-tab-content>
			      						    	
				    </inchorus-tab-content-area>
				    
				 </inchorus-tabs>	
				 		
			</div>
			
		</div>
		-->
		
	</xsl:template>
</xsl:stylesheet>