<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->

	<xsl:template match="data">
		<xsl:variable name="case" select="case" />
		
		<xsl:choose>
			<xsl:when test="$statustype='success' and $statuscode='LOGIN_PROCESS_STARTED'">		
		
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-content-1</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">login</xsl:attribute>
					<xsl:attribute name="securitymode">public</xsl:attribute>
				</inchorus-content>
				
			</xsl:when>
			<xsl:when test="$statustype='success' and $statuscode='LOGIN_PROCESS_SUCCESS'">		
				
				<script>inchorus.$('<xsl:value-of select="$contentid"/>').load();</script>
				
			</xsl:when>
			
			<xsl:when test="$statustype='success' and $statuscode='LOGOUT_PROCESS_SUCCESS'">		
				
				<script>inchorus.$('<xsl:value-of select="$contentid"/>').load();</script>
				
			</xsl:when>
			
			<xsl:when test="$statustype='error' and $statuscode='LOGIN_PROCESS_NO_AUTHENTICATION_ERROR'">
			
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-content-1</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">login</xsl:attribute>
					<xsl:attribute name="alternativetargetid"><xsl:value-of select="$contentid"/></xsl:attribute>
					<xsl:attribute name="securitymode">public</xsl:attribute>
					<xsl:attribute name="parameters">[{"statuscode":"<xsl:value-of select="$statuscode"/>"}]</xsl:attribute>
				</inchorus-content>			

			</xsl:when>
			
			<xsl:when test="$statustype='error' and $statuscode='LOGIN_PROCESS_NOT_AUTHORIZED_ERROR'">
			
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-content-1</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">login</xsl:attribute>
					<xsl:attribute name="alternativetargetid"><xsl:value-of select="$contentid"/></xsl:attribute>
					<xsl:attribute name="securitymode">public</xsl:attribute>
					<xsl:attribute name="parameters">[{"statuscode":"<xsl:value-of select="$statuscode"/>"}]</xsl:attribute>
				</inchorus-content>			

			</xsl:when>
			
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>