<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="size" select="//groups/page/pagesize" />
		<xsl:variable name="currentpage" select="//groups/page/currentpage" />
		<xsl:variable name="prevpage" select="//groups/page/prevpage" />
		<xsl:variable name="nextpage" select="//groups/page/nextpage" />
		<xsl:variable name="firstpage">1</xsl:variable>
		<xsl:variable name="startpage" select="//groups/page/startpage" />
		<xsl:variable name="endpage" select="//groups/page/endpage" />
		<xsl:variable name="pages" select="//groups/page/pagecount" />
		<xsl:variable name="pagecount" select="//groups/page/pagecount" />
		<xsl:variable name="entrycount" select="//groups/page/count" />
		
		<xsl:variable name="variable_column_1" select="//parameters/parameter[@name='column-1']" />
		<xsl:variable name="variable_column_2" select="//parameters/parameter[@name='column-2']" />
		
		<xsl:variable name="parentid">entraid-admin-groups-list</xsl:variable>
		<xsl:variable name="navigationareaid">entraid-admin-groups-list-navigation</xsl:variable>

		<br/>
		<!-- list topbar start -->
		
		<div class="inc-list-topbar">
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-topbar</xsl:attribute>
			
			<div class="inc-list-topbar-left">
				<span class="inc-list-topbar-left-quantity-text"><xsl:value-of select="$inchorus_list_topbar_quantity" /></span>
				<select id="inc-select-pagesize" name="inc-pagesize" class="inc-list-topbar-left-quantity-select">
							<xsl:attribute name="onChange">
								$('#<xsl:value-of select="$parentid" />').attr('size',$('#inc-select-pagesize').val());
								$('#<xsl:value-of select="$parentid" />').attr('page','1');
								inchorus.$('<xsl:value-of select="$parentid" />').load();
							</xsl:attribute>
							
							<option value="20">
								<xsl:if test="$size = '20'">
									<xsl:attribute name="selected">selected</xsl:attribute>
								</xsl:if>
								20
							</option>
							<option value="50">
								<xsl:if test="$size = '50'">
									<xsl:attribute name="selected">selected</xsl:attribute>
								</xsl:if>
								50
							</option>
							<option value="100">
								<xsl:if test="$size = '100'">
									<xsl:attribute name="selected">selected</xsl:attribute>
								</xsl:if>
								100
							</option>
							<option value="500">
								<xsl:if test="$size = '500'">
									<xsl:attribute name="selected">selected</xsl:attribute>
								</xsl:if>
								500
							</option>
							<option value="1000">
								<xsl:if test="$size = '1000'">
									<xsl:attribute name="selected">selected</xsl:attribute>
								</xsl:if>
								1000
							</option>
				</select>
				<span class="inc-list-topbar-left-quantity-fromtext"><xsl:value-of select="$inchorus_list_topbar_from" />&#160;<xsl:value-of select="$entrycount" /></span>
			</div>
			<div class="inc-list-topbar-right">
				<div class="inc-list-topbar-right-wrapper">
					<div class="inc-list-topbar-right-wrapper-pagenavigation">
						<span class="inc-list-topbar-right-wrapper-pagenavigation-first">
							<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_first" /></xsl:attribute>
							<xsl:attribute name="onClick">
								jQuery('#<xsl:value-of select="$parentid" />').attr('page','1');
								inchorus.$('<xsl:value-of select="$parentid" />').load();
							</xsl:attribute>
							&#8249;&#8249;
						</span>
						<span class="inc-list-topbar-right-wrapper-pagenavigation-prev">
							<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_prev" /></xsl:attribute>
							<xsl:if test="$currentpage != $prevpage">
								<xsl:attribute name="onClick">
									jQuery('#<xsl:value-of select="$parentid" />').attr('page','<xsl:value-of select="$prevpage" />');
									inchorus.$('<xsl:value-of select="$parentid" />').load();
								</xsl:attribute>
							</xsl:if>
							&#8249;
						</span>
						<xsl:value-of select="$inchorus_list_topbar_page" />
					</div>
					<select id="inc-select-page" class="inc-list-topbar-right-page-select">
						<xsl:attribute name="onChange">
							$('#<xsl:value-of select="$parentid" />').attr('page',$('#inc-select-page').val());
							inchorus.$('<xsl:value-of select="$parentid" />').load();
						</xsl:attribute>
						
						<xsl:call-template name="loop">
    						<xsl:with-param name="varstart">
								<xsl:value-of select="$firstpage" />
							</xsl:with-param>
    						<xsl:with-param name="varend">
								<xsl:value-of select="$pagecount" />
							</xsl:with-param>
							<xsl:with-param name="varselected">
								<xsl:value-of select="$currentpage" />
							</xsl:with-param>
  						</xsl:call-template>
					</select>
					<span class="inc-list-topbar-right-wrapper-pagenavigation-from"><xsl:value-of select="$inchorus_list_topbar_from" />&#160;<xsl:value-of select="$pages" /></span>
					<span class="inc-list-topbar-right-wrapper-pagenavigation-next">
						<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_next" /></xsl:attribute>
						<xsl:if test="$currentpage != $endpage">
							<xsl:attribute name="onClick">
								jQuery('#<xsl:value-of select="$parentid" />').attr('page','<xsl:value-of select="$nextpage" />');
								inchorus.$('<xsl:value-of select="$parentid" />').load();
							</xsl:attribute>
						</xsl:if>
						&#8250;
					</span>
					<span class="inc-list-topbar-right-wrapper-pagenavigation-last">
						<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_last" /></xsl:attribute>
						<xsl:attribute name="onClick">
							jQuery('#<xsl:value-of select="$parentid" />').attr('page','<xsl:value-of select="$pagecount" />');
							inchorus.$('<xsl:value-of select="$parentid" />').load();
						</xsl:attribute>
						&#8250;&#8250;
					</span>			
				</div>
			</div>
		</div>
		
		<!-- list header area start -->
					<xsl:variable name="headerareaid">tab-groups-list-header</xsl:variable>
					<inchorus-list-header-row>
						<inchorus-list-header class="dac-list-row-header" style="width:calc(15% - 20px);">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-groupname</xsl:attribute>
							<xsl:attribute name="databinding">name</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sort">true</xsl:attribute>
							<xsl:attribute name="sortable">true</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_list_groupname"/></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-list-row-header" style="width: calc(30% - 20px);">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-description</xsl:attribute>
							<xsl:attribute name="databinding">description</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">true</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_list_description"/></xsl:attribute>
						</inchorus-list-header> 
						<inchorus-list-header class="dac-list-row-header" style="width:calc(16% - 20px);">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-systemname</xsl:attribute>
							<xsl:attribute name="databinding">systemname</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">true</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_list_domain"/></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-list-row-header" style="width:calc(8% - 20px);">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-directorysync</xsl:attribute>
							<xsl:attribute name="databinding">directorysync</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">true</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_list_directorysync"/></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-list-row-header" style="width:calc(10% - 20px);">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-category</xsl:attribute>
							<xsl:attribute name="databinding">category</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">true</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_list_category"/></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-list-row-header" style="width:calc(9% - 20px);">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-mailenables</xsl:attribute>
							<xsl:attribute name="databinding">mailenabled</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">true</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_list_mailenabled"/></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-list-row-header" style="width:10%;">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-membershiptype</xsl:attribute>
							<xsl:attribute name="databinding">membershiptype</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">true</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_list_membershiptype"/></xsl:attribute>
						</inchorus-list-header>
					</inchorus-list-header-row>
				<!-- list header area end -->
				
				<xsl:choose>
					<xsl:when test="//groups/group">	
				
				<inchorus-list-content class="rowname">
					<xsl:for-each select="//groups/group">
						<xsl:variable name="uniqueid" select="uniqueid" />
						<xsl:variable name="groupid" select="groupid" />
						<xsl:variable name="groupname" select="name" />
						<xsl:variable name="category" select="category" />
						<xsl:variable name="mailenabled" select="mailenabled" />
						<xsl:variable name="isconnected" select="isconnected" />
						<xsl:variable name="securityenabled" select="securityEnabled" />
						<xsl:variable name="membershiptype" select="membershiptype" />
						<xsl:variable name="membershiprule" select="membershiprule" />
						<xsl:variable name="description" select="description" />
						<xsl:variable name="adname" select="adname"/>
						<xsl:variable name="scope" select="scope" />
						<xsl:variable name="systemname" select="systemname" />
						<xsl:variable name="systemid" select="systemid" />
											
						<inchorus-list-content-row style="cursor:pointer;">
							<xsl:attribute name="position"><xsl:value-of select="position()"/></xsl:attribute>
							<xsl:attribute name="onClick">
								$('.active_row').removeClass('active_row');
								$(this).addClass('active_row');
								entraid.slider.showDetails(
									'small',
									{
										'objecttype':'entraidgroup',
										'header' : '<xsl:value-of select="$groupname" />',
										'uniqueid' : '<xsl:value-of select="$uniqueid"/>',
										'systemid' : '<xsl:value-of select="$systemid"/>'
									}
								);		
							</xsl:attribute>
							<div style="width: 15% !important">
								<xsl:attribute name="title">
									<xsl:value-of select="$groupid" />
								</xsl:attribute>
								<div class="rowname">
									<xsl:value-of select="$groupname" />
								</div>
							</div>
							<div style="width: 30%  !important">
								<div class="rowname" style="width: 	overflow-x: no-display; width: 97% !important;">
									<xsl:if test="$description != 'null'">
										<xsl:value-of select="$description" />
									</xsl:if>
								</div>
							</div>
							<div style="width: 16%  !important">
								<div class="rowname" style="width: 	overflow-x: no-display; width: 97% !important;">
									<xsl:value-of select="$systemname" />
								</div>
							</div>
							<div style="width: 8%  !important">
								<div class="rowname" style="width: 	overflow-x: no-display; width: 97% !important;">
									<xsl:choose>
										<xsl:when test="$isconnected = 'true'">
											<xsl:value-of select="$entraid_selectbox_yes" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$entraid_selectbox_no" />
										</xsl:otherwise>
									</xsl:choose>
								</div>
							</div>
							<div style="width: 10% !important">
								<div>
									<xsl:choose>
										<xsl:when test="$category = 'o365'">
											<xsl:value-of select="$entraid_grouptype_ms365group" />
										</xsl:when>
										<xsl:when test="$category = 'security'">
											<xsl:value-of select="$entraid_grouptype_securitygroup" />
										</xsl:when>
										<xsl:when test="$category = 'mailenabledsecurity'">
											<xsl:value-of select="$entraid_grouptype_activemailgroup" />
										</xsl:when>
										<xsl:when test="$category = 'distribution'">
											<xsl:value-of select="$entraid_grouptype_distributiongroup" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$category" />
										</xsl:otherwise>
									</xsl:choose>
								</div>
							</div>
							<div style="width: 9% !important">
								<div class="rowname" style="width: 	overflow-x: no-display; width: 97% !important;">
									<xsl:choose>
										<xsl:when test="$mailenabled = 'true'">
											<xsl:value-of select="$entraid_selectbox_yes" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$entraid_selectbox_no" />
										</xsl:otherwise>
									</xsl:choose>
								</div>
							</div>
							<div style="width: 11% !important;">
								<div class="rowname" style="width: 	overflow-x: no-display; width: 97% !important;">
									<xsl:choose>
										<xsl:when test="$membershiptype = 'dynamic'">
											<xsl:value-of select="$entraid_membershiptype_dynamic" />
										</xsl:when>
										<xsl:when test="$membershiptype = 'static'">
											<xsl:value-of select="$entraid_membershiptype_assigned" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$entraid_membershiptype_assigned" />
										</xsl:otherwise>
									</xsl:choose>
								</div>
							</div>
							<!-- 
							<div style="width: 16% !important">
								<div>
									<xsl:choose>
										<xsl:when test="$membershiptype = 'dynamic'">
											<xsl:value-of select="$entraid_membershiptype_dynamic" />
										</xsl:when>
										<xsl:when test="$membershiptype = 'static'">
											<xsl:value-of select="$entraid_membershiptype_assigned" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$entraid_membershiptype_assigned" />
										</xsl:otherwise>
									</xsl:choose>
								</div>
							</div>
							-->
						</inchorus-list-content-row>
					</xsl:for-each>
										
				</inchorus-list-content>
				
				<!-- list navigation area start -->
			
					<xsl:variable name="navigationareaid"><xsl:value-of select="$parentid" />-navigation</xsl:variable>
						
					<inchorus-list-navigation-area>
					
						<xsl:if test="//groups/group">			
						
							<xsl:attribute name="id"><xsl:value-of select="$navigationareaid"/></xsl:attribute>
							<inchorus-list-navigation-wrapper>
								<inchorus-list-navigation>
									<xsl:attribute name="id"><xsl:value-of select="$navigationareaid"/>-first</xsl:attribute>
									<xsl:attribute name="page">1</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_first"/></xsl:attribute>
									<xsl:attribute name="type">first</xsl:attribute>
								</inchorus-list-navigation>
								<inchorus-list-navigation>
									<xsl:attribute name="id"><xsl:value-of select="$navigationareaid"/>-previous</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_prev"/></xsl:attribute>
									<xsl:attribute name="page"><xsl:value-of select="$prevpage" /></xsl:attribute>
									<xsl:attribute name="type">previous</xsl:attribute>
								</inchorus-list-navigation>
							</inchorus-list-navigation-wrapper>
							<inchorus-list-navigation-pageselect>
								<xsl:attribute name="id"><xsl:value-of select="$navigationareaid"/>-pageselect</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_specific"/></xsl:attribute>
								<xsl:attribute name="pagecount"><xsl:value-of select="$pages" /></xsl:attribute>
								<xsl:attribute name="type">previous</xsl:attribute>			
							</inchorus-list-navigation-pageselect>
							<inchorus-list-navigation-wrapper>
								<inchorus-list-navigation>
									<xsl:attribute name="id"><xsl:value-of select="$navigationareaid"/>-next</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_next"/></xsl:attribute>
									<xsl:attribute name="page"><xsl:value-of select="$nextpage" /></xsl:attribute>
									<xsl:attribute name="type">next</xsl:attribute>
								</inchorus-list-navigation>
								<inchorus-list-navigation>
									<xsl:attribute name="id"><xsl:value-of select="$navigationareaid"/>-last</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_last"/></xsl:attribute>
									<xsl:attribute name="page"><xsl:value-of select="$pagecount" /></xsl:attribute>
									<xsl:attribute name="type">last</xsl:attribute>
								</inchorus-list-navigation>
							</inchorus-list-navigation-wrapper>	
							
						</xsl:if>
						
					</inchorus-list-navigation-area>
					
					<!-- list navigation area end -->
				
				
					</xsl:when>
					<xsl:otherwise>
						
						<inchorus-message>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-noresults</xsl:attribute>
							<xsl:attribute name="active">true</xsl:attribute>
							<xsl:attribute name="type">node</xsl:attribute>
							<xsl:value-of select="$inchorus_list_noresults" />
						</inchorus-message>
						
					</xsl:otherwise>
				</xsl:choose>

	</xsl:template>
	
	<xsl:template name="loop">
	  <xsl:param name="varstart"></xsl:param>
	  <xsl:param name="varend"></xsl:param>
	  <xsl:param name="varselected"></xsl:param>
	  <xsl:choose>
	    <xsl:when test="$varstart &lt;= $varend">
	      	<option>
	      		<xsl:attribute name="value"><xsl:value-of select="$varstart" /></xsl:attribute>
	      		<xsl:if test="$varstart = $varselected">
	      			<xsl:attribute name="selected">selected</xsl:attribute>
	      		</xsl:if>
	      		<xsl:value-of select="$varstart" />
	      	</option>
	      <xsl:text>&#xa;</xsl:text> <!-- newline -->
	      <xsl:call-template name="loop">
	        <xsl:with-param name="varstart">
	        <xsl:number value="number($varstart)+1" />
	        </xsl:with-param>
	        <xsl:with-param name="varend">
	       	 <xsl:number value="number($varend)" />
	        </xsl:with-param>
	        <xsl:with-param name="varselected">
	       	 <xsl:number value="$varselected" />
	        </xsl:with-param>
	      </xsl:call-template>
	    </xsl:when>
	    <xsl:otherwise>
	      <xsl:text></xsl:text>
	    </xsl:otherwise>
	  </xsl:choose>
	</xsl:template>
</xsl:stylesheet>