<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-admin-groups-tree-details</xsl:variable>
		<xsl:variable name="groupid" select="//parameters/parameter[@name='groupid']" />
		<xsl:variable name="name" select="//parameters/parameter[@name='name']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="uniqueid" select="//data/groups/group/uniqueid" />
		<xsl:variable name="dn" select="//data/groups/group/groupid" />
		<xsl:variable name="cn" select="//data/groups/group/name" />
		<xsl:variable name="description" select="//data/groups/group/description" />
		<xsl:variable name="modified" select="//data/groups/group/modified" />
		<xsl:variable name="created" select="//data/groups/group/created" />
		<xsl:variable name="scope" select="//data/groups/group/scope" />
		<xsl:variable name="category" select="//data/groups/group/category" />

		<div style="width:100%; height:8px;background-color: #005162;">
		</div>
		<div style="padding:20px;border-left: 2px solid #ddd;height: auto;overflow:hidden;width:460px;">
			<div style="margin:0px;">
				<h1 style="width:444px;float:left;overflow:hidden; min-height:34px;height:auto;">
					<div class="entraid-slider-headline-icon entraid-slider-headline-icon-group" style="margin-bottom:0px;"></div>
					<b><xsl:value-of select="$name" /></b>
				</h1>
				<inchorus-button>
			  		<xsl:attribute name="id">inchorus-favorite-lightbox-close</xsl:attribute>
			  		<xsl:attribute name="active">true</xsl:attribute>
			  		<xsl:attribute name="title">Close</xsl:attribute>
			  		<xsl:attribute name="type">icon</xsl:attribute>
			  		<xsl:attribute name="icon">close</xsl:attribute>
			  		<xsl:attribute name="border">false</xsl:attribute>
			  		<xsl:attribute name="highlighting">none</xsl:attribute>
			  		<xsl:attribute name="hover">false</xsl:attribute>
			  		<xsl:attribute name="onClick">
			  			toggleSlider();
			  		</xsl:attribute>
			  		<xsl:attribute name="style">float:left;margin:0px;</xsl:attribute>
			  	</inchorus-button>
			 </div>
			 
			 
			 <div style="clear:both;">
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_objectsid" />
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:value-of select="$uniqueid"/>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_dn"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:choose>
						    <xsl:when test="$dn = 'null'">
						    </xsl:when>
						    <xsl:otherwise>
						   	 <xsl:value-of select="$dn"/>
						    </xsl:otherwise>
					    </xsl:choose>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_cn"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:value-of select="$cn"/>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_description"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:choose>
						    <xsl:when test="$description = 'null'">
						    </xsl:when>
						    <xsl:otherwise>
						   	 <xsl:value-of select="$description"/>
						    </xsl:otherwise>
					    </xsl:choose>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_whencreated"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
					
						<xsl:choose>
							<xsl:when test="$created = 'null'">
						    </xsl:when>
							<xsl:otherwise test="$created != ''">
								<xsl:choose>
									<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
										<xsl:value-of select="substring($created,9,2)"/>.<xsl:value-of select="substring($created,6,2)"/>.<xsl:value-of select="substring($created,1,4)"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="substring($created,1,4)"/>-<xsl:value-of select="substring($created,6,2)"/>-<xsl:value-of select="substring($created,9,2)"/>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:otherwise>
						</xsl:choose>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_whenchanged"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:choose>
							<xsl:when test="$modified = 'null'">
						    </xsl:when>
							<xsl:otherwise test="$modified != ''">
								<xsl:choose>
									<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
										<xsl:value-of select="substring($modified,9,2)"/>.<xsl:value-of select="substring($modified,6,2)"/>.<xsl:value-of select="substring($modified,1,4)"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="substring($modified,1,4)"/>-<xsl:value-of select="substring($modified,6,2)"/>-<xsl:value-of select="substring($modified,9,2)"/>
									</xsl:otherwise>
								</xsl:choose>
						</xsl:otherwise>
						</xsl:choose>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_category"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:value-of select="$category"/>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							Scope
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:value-of select="$scope"/>
					</div>
				</div>
			</div>
			
			<div style="overflow:hidden;">
				<div style="overflow:hidden;border-bottom: 1px dotted silver;">
					<div style="float:left; width: 150px;height: 45px;float:left;padding-top:34px;">
							<b style="font-size:20px;"><xsl:value-of select="$entraid_label_members"/></b>
					</div>
				</div>
										
				<div style="overflow-y: scroll; height:160px;">
					<inchorus-content>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-members</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
						<xsl:attribute name="command">getGroupMembers</xsl:attribute>
					</inchorus-content>
				</div>
			</div>
		</div>		
	</xsl:template>
	
	<xsl:template name="replace-string">
	    <xsl:param name="text"/>
	    <xsl:param name="replace"/>
	    <xsl:param name="with"/>
	    <xsl:choose>
	      <xsl:when test="contains($text,$replace)">
	        <xsl:value-of select="substring-before($text,$replace)"/>
	        <xsl:value-of select="$with"/>
	        <xsl:call-template name="replace-string">
	          <xsl:with-param name="text" select="substring-after($text,$replace)"/>
	          <xsl:with-param name="replace" select="$replace"/>
	          <xsl:with-param name="with" select="$with"/>
	        </xsl:call-template>
	      </xsl:when>
	      <xsl:otherwise>
	        <xsl:value-of select="$text"/>
	      </xsl:otherwise>
	    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>