<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />

	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="treeprefix">entraid-admin-groups-tree-nextrow</xsl:variable>
	  	<xsl:variable name="countentries" select="count(//domains/domain)" />
		
		<xsl:choose>
			<xsl:when test="not(//domains/domain)">
				<inchorus-message>
		    		<xsl:attribute name="id"><xsl:value-of select="$treeprefix" />-message-noresult</xsl:attribute>
		    		<xsl:attribute name="type">node</xsl:attribute>
		        	<xsl:attribute name="active">true</xsl:attribute>
		        	<xsl:value-of select="$inchorus_list_message_noresults"/>
		    	</inchorus-message>
			</xsl:when>
			<xsl:otherwise>
				<xsl:for-each select="//domains/domain">
		  			<xsl:variable name="position" select="position()" />
		  			<xsl:variable name="name" select="s.name" />
		  			<xsl:variable name="systemid" select="s.systemid" />
					
					<inchorus-tree-row class="flex-container" style="display: flex; flex-wrap: nowrap;">
		  				<xsl:attribute name="id"><xsl:value-of select="$treeprefix" />-entry-<xsl:value-of select="$systemid" /></xsl:attribute>
		  				
		  				<inchorus-tree-row-header style="width:672px;min-width:672px;padding: 7px 10px;">
		  					<xsl:attribute name="backgroundcode"><xsl:value-of select="$countentries" />-<xsl:value-of select="$position" /></xsl:attribute>
		  				
		  					<inchorus-tree-button>
		  						<xsl:attribute name="id"><xsl:value-of select="$treeprefix" />-button-<xsl:value-of select="$systemid" /></xsl:attribute>
		  						<xsl:attribute name="type">text</xsl:attribute>
								<xsl:attribute name="text">&#160;</xsl:attribute>
								
								<xsl:attribute name="onclick">
									inchorus.$('<xsl:value-of select="$treeprefix" />-entry-<xsl:value-of select="$systemid" />-parent-<xsl:value-of select="$systemid" />-nextlevel').setParameters( 
										{
											parentid: '<xsl:value-of select="$systemid"/>',
											systemid: '<xsl:value-of select="$systemid" />',
											uniqueid: '<xsl:value-of select="$systemid"/>'
										}
									);
									inchorus.$("<xsl:value-of select="$treeprefix" />-button-<xsl:value-of select="$systemid" />").toggleActive();
									inchorus.$("<xsl:value-of select="$treeprefix" />-entry-<xsl:value-of select="$systemid" />-parent-<xsl:value-of select="$systemid" />-nextlevel").toggleActive();
								</xsl:attribute>
								<xsl:attribute name="border">false</xsl:attribute>
								<xsl:attribute name="parameters">[{"parentid":"<xsl:value-of select="$systemid" />"}]</xsl:attribute>
		  					</inchorus-tree-button>
		  					<div style="cursor:pointer;">
		  						<!-- 
			  					<xsl:attribute name="onClick">
			  							entraid.slider.showDetails(
										'small',
										{
											'objecttype':'entraidgroup',
											'header' : '<xsl:value-of select="$name" />',
											'systemid' : '<xsl:value-of select="$systemid" />',
											'uniqueid' : '<xsl:value-of select="$systemid"/>'
										}
									);
			  					</xsl:attribute>
			  					-->
			  					<div class="rowname" style="padding-left:0px;color:#666 !important;">
									<xsl:value-of select="$name" />
								</div>
			  				</div>
		  				</inchorus-tree-row-header>
		  				<inchorus-tree-row-content style="min-width:948px;overflow:hidden;display: flex; flex-wrap: nowrap; color:#666 !important;padding: 7px 0px;cursor:pointer;">	
							<!-- 
							<xsl:attribute name="onClick">
									entraid.slider.showDetails(
										'small',
										{
											'objecttype':'entraidgroup',
											'header' : '<xsl:value-of select="$name" />',
											'systemid' : '<xsl:value-of select="$systemid" />',
											'uniqueid' : '<xsl:value-of select="$systemid"/>'
										}
									);								
							</xsl:attribute>
							-->
							<div class="rowname" style="padding: 0px 10px;">
							</div>
		  				</inchorus-tree-row-content>
		  			</inchorus-tree-row>
		  			<inchorus-tree-row-nextlevel style="overflow:hidden; height:auto;">
						<xsl:attribute name="id"><xsl:value-of select="$treeprefix" />-entry-<xsl:value-of select="$systemid" />-parent-<xsl:value-of select="$systemid" />-nextlevel</xsl:attribute>
						<xsl:attribute name="active">false</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="alternativecontentfile">entraid-admin-groups-tree-nextrow</xsl:attribute>
						<xsl:attribute name="activationcontentmode">always</xsl:attribute>
						<xsl:attribute name="deactivationcontentmode">remove</xsl:attribute>
						<xsl:attribute name="command">getRootGroupsForTree</xsl:attribute>
						<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$systemid" />"},{"systemid":"<xsl:value-of select="$systemid" />"}]</xsl:attribute>
					</inchorus-tree-row-nextlevel>
				</xsl:for-each>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>