<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />

	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="managerid" select="//parameters/parameter[@name='managerid']" />
		<xsl:variable name="treeprefix">entraid-admin-groups-tree-nextrow</xsl:variable>
	  	<xsl:variable name="parentid" select="//data/parameters/parameter[@name='parentid']"/>
	 	<xsl:variable name="countentries" select="count(//groups/group)" />
	 	<xsl:variable name="unassignedpersoncount" select="//persons/unassignedpersoncount" />

		<xsl:choose>
			<xsl:when test="not(//groups/group) and not($parentid)">
		  		<inchorus-message>
		    		<xsl:attribute name="id"><xsl:value-of select="$treeprefix" />-message-noresult</xsl:attribute>
		    		<xsl:attribute name="type">node</xsl:attribute>
		        	<xsl:attribute name="active">true</xsl:attribute>
		        	<xsl:value-of select="$inchorus_list_message_noresults"/>
		    	</inchorus-message>
		  	</xsl:when>
		  	<xsl:otherwise>
		  		
		  		<!-- 
		  		<xsl:if test="$unassignedpersoncount &gt; 0">

		  			<inchorus-tree-row class="dac-groups-tree-row-flex-container">
		  				<xsl:attribute name="id"><xsl:value-of select="$treeprefix" />-unassignedperson</xsl:attribute>
		  				
		  				<inchorus-tree-row-header>
		  					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tree-row-header</xsl:attribute>
		  					<xsl:attribute name="backgroundcode">unassignedperson</xsl:attribute>
		  				
		  					<inchorus-tree-button style="margin-top:2px margin-left:5px;">
		  						<xsl:attribute name="id"><xsl:value-of select="$treeprefix" />-button-unassignedperson</xsl:attribute>
		  						<xsl:attribute name="type">text</xsl:attribute>
								<xsl:attribute name="text">&#160;</xsl:attribute>
								<xsl:choose>
									<xsl:when test="$unassignedpersoncount != '' and $unassignedpersoncount != '0'">
										<xsl:attribute name="onclick">
											inchorus.$("<xsl:value-of select="$treeprefix" />-button-unassignedperson").toggleActive();
											inchorus.$("<xsl:value-of select="$treeprefix" />-unassigned-nextlevel").toggleActive();
										</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="class">noicon</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:attribute name="border">false</xsl:attribute>
		  					</inchorus-tree-button>
		  					
		  					<div>
								<div class="rowname">
									<xsl:attribute name="id"><xsl:value-of select="$parentid" />-rowname</xsl:attribute>
									Es gibt <b><xsl:value-of select="$unassignedpersoncount" /> Gruppen</b>, die keiner anderen Person zugeordnet sind.
								</div>
							</div>
		  				</inchorus-tree-row-header>
		  			
		  				<inchorus-tree-row-content class="width-904" style="min-width:945px;background-color:#efd464 !important;padding:7px 0px;">
		  				</inchorus-tree-row-content>
		  			</inchorus-tree-row>
		  			
		  			<inchorus-tree-row-nextlevel style="overflow:hidden; height:auto;">
						<xsl:attribute name="id"><xsl:value-of select="$treeprefix" />-unassigned-nextlevel</xsl:attribute>
						<xsl:attribute name="active">false</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="alternativecontentfile">entraid-admin-groups-tree-nextrow</xsl:attribute>
						<xsl:attribute name="activationcontentmode">always</xsl:attribute>
						<xsl:attribute name="deactivationcontentmode">remove</xsl:attribute>
						<xsl:attribute name="command">getUnassignedPersons</xsl:attribute>
					</inchorus-tree-row-nextlevel>
		  		</xsl:if>
				-->
		  		<xsl:for-each select="//groups/group">
		  			<xsl:variable name="uniqueid" select="uniqueid" />
		  			<xsl:variable name="position" select="position()" />
		  			<xsl:variable name="membercount" select="membercount" />
		  			<xsl:variable name="groupid" select="groupid" />
		  			<xsl:variable name="name" select="name" />
		  			<xsl:variable name="description" select="description" />
		  			<xsl:variable name="category" select="category" />
		  			<xsl:variable name="created" select="created" />
		  			<xsl:variable name="modified" select="modified" />
		  			<xsl:variable name="scope" select="scope" />
		  			<xsl:variable name="systemid" select="systemid" />
		  			
		  			<inchorus-tree-row class="flex-container" style="display: flex; flex-wrap: nowrap;">
		  				<xsl:attribute name="id"><xsl:value-of select="$treeprefix" />-entry-<xsl:value-of select="$uniqueid" />-parent-<xsl:value-of select="$parentid" /></xsl:attribute>
		  				
		  				<inchorus-tree-row-header style="width:672px;min-width:672px;padding: 7px 10px;">
		  					<xsl:attribute name="backgroundcode"><xsl:value-of select="$countentries" />-<xsl:value-of select="$position" /></xsl:attribute>
		  					
		  					<inchorus-tree-button>
		  						<xsl:attribute name="id"><xsl:value-of select="$treeprefix" />-button-<xsl:value-of select="$uniqueid" /></xsl:attribute>
		  						<xsl:attribute name="type">text</xsl:attribute>
								<xsl:attribute name="text">&#160;</xsl:attribute>
								<xsl:choose>
									<xsl:when test="$membercount != '' and $membercount != '0'">
										<xsl:attribute name="onclick">
											inchorus.$('<xsl:value-of select="$treeprefix" />-entry-<xsl:value-of select="$uniqueid" />-parent-<xsl:value-of select="$parentid" />-nextlevel').setParameters(
												{
													parentid: '<xsl:value-of select="$uniqueid"/>',
													systemid: '<xsl:value-of select="$systemid" />',
													uniqueid: '<xsl:value-of select="$uniqueid"/>'
												}
											);
											inchorus.$("<xsl:value-of select="$treeprefix" />-button-<xsl:value-of select="$uniqueid" />").toggleActive();
											inchorus.$("<xsl:value-of select="$treeprefix" />-entry-<xsl:value-of select="$uniqueid" />-parent-<xsl:value-of select="$parentid" />-nextlevel").toggleActive();
										</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="class">noicon</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:attribute name="border">false</xsl:attribute>
								<xsl:attribute name="parameters">[{"parentid":"<xsl:value-of select="$uniqueid" />"}]</xsl:attribute>
		  					</inchorus-tree-button>
		  					
		  					<div style="cursor:pointer;">
			  					<xsl:attribute name="onClick">
<!-- 									inchorus.$('slider-detail-right-content').setCommand('getGroupDetails');
									inchorus.$('slider-detail-right-content').setAlternativecontentfile('entraid-admin-groups-tree-details');
									inchorus.$('slider-detail-right-content').setParameters(
										{
											'name' : '<xsl:value-of select="$name" />',
											'uniqueid' : '<xsl:value-of select="$uniqueid" />',
											'systemid' : '<xsl:value-of select="$systemid" />'
										}
									);
									inchorus.$('slider-detail-right-content').load();
									showRightSlider(); -->
<!-- 									inchorus.$('entraid-slider-details-defaultclickable').setCommand('getGroupDetails');
									inchorus.$('entraid-slider-details-defaultclickable').setAlternativecontentfile('entraid-admin-groups-details');									
									entraid.slider.showDetailsDefaultClickable(
										{
											'name' : '<xsl:value-of select="$name" />',
											'uniqueid' : '<xsl:value-of select="$uniqueid" />',
											'systemid' : '<xsl:value-of select="$systemid" />'
										}
									); -->
									entraid.slider.showDetails(
										'small',
										{
											'objecttype':'entraidgroup',
											'header' : '<xsl:value-of select="$name" />',
											'systemid' : '<xsl:value-of select="$systemid" />',
											'uniqueid' : '<xsl:value-of select="$uniqueid"/>'
										}
									);	
								</xsl:attribute>
								<div class="rowname" style="padding-left:0px;color:#666 !important;">
									<xsl:value-of select="$name" />
								</div>
							</div>
		  					
		  				</inchorus-tree-row-header>
		  				
		  				<inchorus-tree-row-content style="min-width:948px;overflow:hidden;display: flex; flex-wrap: nowrap; color:#666 !important;padding: 7px 0px;cursor:pointer;">	
							<xsl:attribute name="onClick">
<!-- 									inchorus.$('entraid-slider-details-defaultclickable').setCommand('getGroupDetails');
									inchorus.$('entraid-slider-details-defaultclickable').setAlternativecontentfile('entraid-admin-groups-details');									
									entraid.slider.showDetailsDefaultClickable(
										{
											'name' : '<xsl:value-of select="$name" />',
											'uniqueid' : '<xsl:value-of select="$uniqueid" />',
											'systemid' : '<xsl:value-of select="$systemid" />'
										}
									); -->
									entraid.slider.showDetails(
										'small',
										{
											'objecttype':'entraidgroup',
											'header' : '<xsl:value-of select="$name" />',
											'systemid' : '<xsl:value-of select="$systemid" />',
											'uniqueid' : '<xsl:value-of select="$uniqueid"/>'
										}
									);								
							
<!-- 									inchorus.$('slider-detail-right-content').setCommand('getGroupDetails');
									inchorus.$('slider-detail-right-content').setAlternativecontentfile('entraid-admin-groups-tree-details');
									inchorus.$('slider-detail-right-content').setParameters(
										{
											'name' : '<xsl:value-of select="$name" />',
											'uniqueid' : '<xsl:value-of select="$uniqueid" />',
											'systemid' : '<xsl:value-of select="$systemid" />'
										}
									);
									inchorus.$('slider-detail-right-content').load();
									showRightSlider(); -->
									
									/*
									setTimeout(function() {
					  					jQuery('#entraid-slider-notclickable').css('display','block');
									}, 500);
									*/
							</xsl:attribute>
							
							<div class="rowname" style="padding: 0px 10px;">
								<xsl:value-of select="$description"/>&#160;
							</div>
		  				</inchorus-tree-row-content>
		  				
		  			</inchorus-tree-row>
					<inchorus-tree-row-nextlevel style="overflow:hidden; height:auto;">
						<xsl:attribute name="id"><xsl:value-of select="$treeprefix" />-entry-<xsl:value-of select="$uniqueid" />-parent-<xsl:value-of select="$parentid" />-nextlevel</xsl:attribute>
						<xsl:attribute name="active">false</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="alternativecontentfile">entraid-admin-groups-tree-nextrow</xsl:attribute>
						<xsl:attribute name="activationcontentmode">always</xsl:attribute>
						<xsl:attribute name="deactivationcontentmode">remove</xsl:attribute>
						<xsl:attribute name="command">getGroupOwnGroup</xsl:attribute>
						<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"}]</xsl:attribute>
			</inchorus-tree-row-nextlevel>
		  		</xsl:for-each>
			</xsl:otherwise>
		</xsl:choose>
	  <style>
	  	.level-NaN {
	  		background-color:#e8e8e8;
	  	}
	  	
	  	.inchorus-tree-level-NaN-firstcell, .inchorus-tree-level-NaN  {
	  		padding-left: 7px;
			background-image: url(inc/img/inchorus/tree/tree_lines_level1.png);
			background-repeat: no-repeat;
			background-position: 4px 50%;
	  	}
	  	
	  	inchorus-tree-row[level="NaN"] inchorus-tree-button {
	  		background-image: none !important;
	  		margin-right: 35px !important;
	  	}
	  	
	  	.inchorus-tree-level-NaN-last {
	  		padding-left: 7px;
			background-image: url(inc/img/inchorus/tree/tree_lines_level1_last.png);
			background-repeat: no-repeat;
			background-position: 4px 50%;
	  	}
	  	
	  	
	  	.inchorus-tree-level-0-firstcell {
	  		background-image: url(inc/img/inchorus/tree/tree_lines_level0.png) !important;
	  	}
	  	
	  	#admin-general-tree-unassignedperson inchorus-tree-row-header {
	  		padding-left: 7px;
			background-image: url(inc/img/inchorus/tree/tree_lines_level0_first.png);
			background-repeat: no-repeat;
			background-position: 4px 50%;
	  	}
	  </style>
	  
	  <style>
		.flex-container > div {
			  background-color:#999999;
			  color:#fff;
			  padding: 7px 10px;
			  font-weight: bold;
		}
	
		.width-904 {
			 min-width: 904px;
			 width: 904px;
		}
	
		.width-672 {
			 min-width: 472px;
			 width: 672px;
		}
		
		.width-336 {
			 min-width: 236px;
			 width: 336px;
		}
		
		.width-70 {
			 text-align: center;
			 min-width: 70px;
			 width: 70px;
		}
	</style>
	</xsl:template>
</xsl:stylesheet>