<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-admin-groups-tree</xsl:variable>
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		
		<inchorus-tree-row>
			<div class="dac-entraid-tree-row-flex-container">
				<div class="dac-entraid-tree-row-flex-container-width-672">
					<xsl:value-of select="$entraid_label_name"/>
				</div>
				<div class="dac-entraid-tree-row-flex-container-width-336" style="width:calc(100% - 709px);min-width: 948px;display:flex;">
					<xsl:value-of select="$entraid_label_description"/>
				</div>
			</div>
		</inchorus-tree-row>
		
		<inchorus-tree>
	    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-firstrow</xsl:attribute>
	    	<xsl:attribute name="active">true</xsl:attribute>
	    	<xsl:attribute name="hascontentfile">true</xsl:attribute>
	    	<xsl:attribute name="parameters">[{"systemid":"<xsl:value-of select="$systemid" />"}]</xsl:attribute>
	   	 	<xsl:attribute name="command">getTenantsForGroupTree</xsl:attribute>
		</inchorus-tree>
		
	</xsl:template>
</xsl:stylesheet>