<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-admin-headerinfos-entraidsummary</xsl:variable>
		<xsl:variable name="previousparentid">entraid-admin</xsl:variable>
		<xsl:variable name="countfileserver" select="count(//data/systems/system)"/>

		<div class="dac-header-infos-middle-icon-wrapper">
			<xsl:attribute name="style">cursor:pointer;</xsl:attribute>
			<xsl:attribute name="onClick">
				inchorus.$('<xsl:value-of select="$previousparentid" />-roles').deactivate();
				inchorus.$('<xsl:value-of select="$previousparentid" />-licenses').deactivate();
				inchorus.$('<xsl:value-of select="$previousparentid" />-groups').deactivate();
				inchorus.$('<xsl:value-of select="$previousparentid" />-policies').deactivate();
				inchorus.$('<xsl:value-of select="$previousparentid" />-quickfilter').activate();
				inchorus.$('<xsl:value-of select="$previousparentid" />-users').activate();
			</xsl:attribute>
			<inchorus-icon style="background-position-y: 0px;">
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-icon-entraid</xsl:attribute>
	 			<xsl:attribute name="title">Entra ID</xsl:attribute>
	 			<xsl:attribute name="picture">/<!--GADGET:PATH-->/inc/img/inchorus/actions/header/entraid.png</xsl:attribute>
	 			<xsl:attribute name="active">true</xsl:attribute>
				<xsl:attribute name="class">dac-header-infos-middle-icon-entraid</xsl:attribute>
			</inchorus-icon>
			<div style="float:left;font-size: 34px;font-weight:bold;font-family: 'Century Gothic',AppleGothic,'URW Gothic L',Arial,sans-serif;color: #666666;padding: 4px 20px 0px 5px;">
				<xsl:value-of select="$countfileserver" />
			</div>
		</div>
		
	</xsl:template>
</xsl:stylesheet>