<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-admin-headerinfos</xsl:variable>
		<xsl:variable name="previousparentid">entraid-admin</xsl:variable>
		
		<!-- 
		<xsl:variable name="personcount" select="//persons/person/personcount" />
		<xsl:variable name="activepersoncount" select="//persons/person/activepersoncount" />
		<xsl:variable name="inactivepersoncount" select="//persons/person/inactivepersoncount" />
		<xsl:variable name="internalpersoncount" select="//persons/person/internalpersoncount" />
		<xsl:variable name="externalpersoncount" select="//persons/person/externalpersoncount" />
		<xsl:variable name="validateperson" select="//validateperson" />
		<xsl:variable name="uncertifiedpersoncount" select="//counts/count/uncertifiedpersoncount" />
		<xsl:variable name="certifiedpersoncountuntil30days" select="//counts/count/certifiedpersoncountuntil30days" />
		-->
		
		<inchorus-content>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-entraidsummary</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="command">getAllEntraIDTenants</xsl:attribute>
		</inchorus-content>
		
		<inchorus-content>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policiessummary</xsl:attribute>
			<xsl:attribute name="active">true</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="command">getPoliciesSummary</xsl:attribute>
			<div class="dac-header-infos-middle-icon-wrapper">
				<inchorus-icon style="background-position-y: 0px;">
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-icon-policiessummary-isloading</xsl:attribute>
		 			<xsl:attribute name="picture">/<!--GADGET:PATH-->/inc/img/inchorus/actions/policies/policies.png</xsl:attribute>
		 			<xsl:attribute name="type">bubble-green-red</xsl:attribute>
		 			<xsl:attribute name="active">true</xsl:attribute>
		 			<xsl:attribute name="highlighting1">none</xsl:attribute>
					<xsl:attribute name="highlighting2">none</xsl:attribute>
					<xsl:attribute name="title1"></xsl:attribute>
					<xsl:attribute name="title2"></xsl:attribute>
					<xsl:attribute name="value1">0</xsl:attribute>
					<xsl:attribute name="value2">0</xsl:attribute>
					<xsl:attribute name="title"></xsl:attribute>
					<xsl:attribute name="class">dac-header-infos-middle-icon-policies dac-header-infos-icon-policies-grey</xsl:attribute>
				</inchorus-icon>
				<img src="inc/img/loading.gif" style="margin-left:-16px;margin-top:12px;position:relative;"/>
			</div>
		</inchorus-content>
	
	<!-- 	
		<div style="float:right;">
			<div class="dac-header-infos-first">
				<xsl:attribute name="title"><xsl:value-of select="$personcount" />&#160;<xsl:value-of select="$persons_title_persons" /></xsl:attribute>
				<xsl:attribute name="onClick">
					if ($('#<xsl:value-of select="$previousparentid"/>-general').attr('active') == 'true') {
						inchorus.$('<xsl:value-of select="$previousparentid"/>-general').setParameters(
							{
							"status" : "",
							"type" : ""	
							}
						);
						inchorus.$('<xsl:value-of select="$previousparentid"/>-general-filter').clear();
						inchorus.$('<xsl:value-of select="$previousparentid"/>-general-filter').submit();
					} else {
						inchorus.$('<xsl:value-of select="$previousparentid"/>-validation').deactivate();
						inchorus.$('<xsl:value-of select="$previousparentid"/>-history').deactivate();
						inchorus.$('<xsl:value-of select="$previousparentid"/>-general').activate();					
					}
				</xsl:attribute>
				
				<img src="../persons/inc/img/persons.png"/>
				<div class="dac-header-infos-first-wrapper">
					<b><xsl:value-of select="$personcount" /></b>
				</div>
			</div>
			
			<div class="dac-header-infos-middle">
				<div class="dac-header-infos-middle-wrapper">
					<div class="dac-header-infos-middle-row">
						<xsl:attribute name="onClick">
							inchorus.$('<xsl:value-of select="$previousparentid"/>-validation').deactivate();
							inchorus.$('<xsl:value-of select="$previousparentid"/>-history').deactivate();
							inchorus.$('<xsl:value-of select="$previousparentid"/>-general').setParameters(
								{
									"status" : "active"	
								}
							);
							inchorus.$('<xsl:value-of select="$previousparentid"/>-general').activate();
						</xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="$activepersoncount" />&#160;<xsl:value-of select="$persons_title_persons_active" /></xsl:attribute>
						<div class="dac-header-infos-middle-row-image"><img src="../persons/inc/img/inchorus/actions/status/status_active.png"/></div>
						<div class="dac-header-infos-middle-row-count"><b class="level-normal"><xsl:value-of select="$activepersoncount" /></b></div>
					</div>
					<div class="dac-header-infos-middle-row">
						<xsl:attribute name="onClick">
							inchorus.$('<xsl:value-of select="$previousparentid"/>-validation').deactivate();
							inchorus.$('<xsl:value-of select="$previousparentid"/>-history').deactivate();
							inchorus.$('<xsl:value-of select="$previousparentid"/>-general').setParameters(
								{
									"status" : "inactive"	
								}
							);
							inchorus.$('<xsl:value-of select="$previousparentid"/>-general').activate();
						</xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="$inactivepersoncount" />&#160;<xsl:value-of select="$persons_title_persons_inactive" /></xsl:attribute>
						<div class="dac-header-infos-middle-row-image"><img src="../persons/inc/img/inchorus/actions/status/status_inactive.png" /></div>
						<div class="dac-header-infos-middle-row-count"><b class="level-normal"><xsl:value-of select="$inactivepersoncount" /></b></div>
					</div>
				</div>
			</div>
			
			<div class="dac-header-infos-middle">
				<div class="dac-header-infos-middle-wrapper" style="border: 0px solid #666;">
					<div class="dac-header-infos-middle-row">
						<xsl:attribute name="onClick">
							inchorus.$('<xsl:value-of select="$previousparentid"/>-validation').deactivate();
							inchorus.$('<xsl:value-of select="$previousparentid"/>-history').deactivate();
							inchorus.$('<xsl:value-of select="$previousparentid"/>-general').setParameters(
								{
									"type" : "internal"	
								}
							);
							inchorus.$('<xsl:value-of select="$previousparentid"/>-general').activate();
						</xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="$internalpersoncount" />&#160;<xsl:value-of select="$persons_title_persons_internal" /></xsl:attribute>
						<div class="dac-header-infos-middle-row-image"><img src="../persons/inc/img/inchorus/actions/type/type_internal.png"/></div>
						<div class="dac-header-infos-middle-row-count"><b class="level-low"><xsl:value-of select="$internalpersoncount" /></b></div>
					</div>
					<div class="dac-header-infos-middle-row">
						<xsl:attribute name="onClick">
							inchorus.$('<xsl:value-of select="$previousparentid"/>-validation').deactivate();
							inchorus.$('<xsl:value-of select="$previousparentid"/>-history').deactivate();
							inchorus.$('<xsl:value-of select="$previousparentid"/>-general').setParameters(
								{
									"type" : "external"	
								}
							);
							inchorus.$('<xsl:value-of select="$previousparentid"/>-general').activate();
						</xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="$externalpersoncount" />&#160;<xsl:value-of select="$persons_title_persons_external" /></xsl:attribute>
						<div class="dac-header-infos-middle-row-image"><img src="../persons/inc/img/inchorus/actions/type/type_external.png"/></div>
						<div class="dac-header-infos-middle-row-count"><b class="level-medium"><xsl:value-of select="$externalpersoncount" /></b></div>
					</div>
				</div>
			</div>
			
			<inchorus-content>
				<xsl:attribute name="id"><xsl:value-of select="parentid" />-history</xsl:attribute>
				<xsl:attribute name="active">true</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-history</xsl:attribute>
				<xsl:attribute name="command">getHistoryCounts</xsl:attribute>
			</inchorus-content>

			<xsl:if test="$validateperson = '1'">
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="parentid" />-certification</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					
					<div id="entraid-admin-headerinfos-certification-wrapper">
						<xsl:attribute name="onClick">
							inchorus.$('<xsl:value-of select="$previousparentid"/>-general').deactivate();
							inchorus.$('<xsl:value-of select="$previousparentid"/>-history').deactivate();
							inchorus.$('<xsl:value-of select="$previousparentid"/>-validation').activate();
						</xsl:attribute>
						<inchorus-icon>
							<xsl:attribute name="id">entraid-icon-person-certification</xsl:attribute>
							<xsl:attribute name="title"><xsl:value-of select="$persons_label_personvalidation" /></xsl:attribute>
				 			<xsl:attribute name="picture">/<!--GADGET:PATH-->/inc/img/inchorus/actions/certification.png</xsl:attribute>
				 			<xsl:attribute name="type">bubble-red-yellow</xsl:attribute>
				 			<xsl:attribute name="active">true</xsl:attribute>
				 			<xsl:attribute name="highlighting1">high</xsl:attribute>
							<xsl:attribute name="highlighting2">medium</xsl:attribute>
							<xsl:attribute name="title1"><xsl:value-of select="$uncertifiedpersoncount" />&#160;<xsl:value-of select="$persons_title_uncertifiedpersoncount" /></xsl:attribute>
							<xsl:attribute name="title2"><xsl:value-of select="$certifiedpersoncountuntil30days" />&#160;<xsl:value-of select="$persons_title_certifiedpersoncountuntil30days" /></xsl:attribute>
							<xsl:attribute name="value1"><xsl:value-of select="$uncertifiedpersoncount" /></xsl:attribute>
							<xsl:attribute name="value2"><xsl:value-of select="$certifiedpersoncountuntil30days" /></xsl:attribute>
							<xsl:attribute name="class">dac-header-infos-middle-icon-policies</xsl:attribute>
							<xsl:attribute name="style">float: left;height: 57px;</xsl:attribute>
						</inchorus-icon>
					</div>
				</inchorus-content>
			</xsl:if>
		</div>
		-->
	</xsl:template>
</xsl:stylesheet>