<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-admin-licenses-details</xsl:variable>
		<xsl:variable name="userid" select="//parameters/parameter[@name='userid']" />
		<xsl:variable name="name" select="//parameters/parameter[@name='name']" />
		<xsl:variable name="uniqueid" select="//data/users/user/uniqueid" />
		<xsl:variable name="dn" select="//data/users/user/userid" />
		<xsl:variable name="cn" select="//data/users/user/name" />
		<xsl:variable name="surname" select="//data/users/user/surname" />
		<xsl:variable name="givenname" select="//data/users/user/givenname" />
		<xsl:variable name="lastused" select="//data/users/user/lastused" />
		<xsl:variable name="statusdetail" select="//data/users/user/statusdetail" />
		<xsl:variable name="created" select="//data/users/user/created" />
		<xsl:variable name="modified" select="//data/users/user/modified" />
		<xsl:variable name="alternativename" select="//data/users/user/alternativename" />
		<xsl:variable name="hasPrint">true</xsl:variable>
		<xsl:variable name="hasExportcsv">true</xsl:variable>
		<xsl:variable name="hasExportpdf">true</xsl:variable>
		<xsl:variable name="mode">dev</xsl:variable>
		
		<xsl:variable name="header" select="//parameters/parameter[@name='header']" />
		<xsl:variable name="function_to_close" select="//parameters/parameter[@name='function_to_close']" />
		
		<div style="width:100%; height:8px;background-color: #005162;">
		</div>
		
		<div style="padding:20px;border-left: 2px solid #ddd;height: calc(100% - 8px);width:530px;">
			
			<div style="margin:0px;">
				<h1 style="width:444px;float:left;overflow:hidden; min-height:34px;height:auto;">
					<div class="entraid-slider-headline-icon entraid-slider-headline-icon-user" style="margin-bottom:0px;"></div>
					<b><xsl:value-of select="$header" /></b>
				</h1>
			</div>
			
			<div class="dac-slider-right-options">
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-button-close</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_close" /></xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="border">true</xsl:attribute>
					<xsl:attribute name="hover">true</xsl:attribute>
					<xsl:attribute name="onclick"><xsl:value-of select="$function_to_close" /></xsl:attribute>
				</inchorus-button>
			
			<xsl:if test="$hasExportcsv = 'true' or $hasExportpdf = 'true'">				
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-button-export</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">reports</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_reports" /></xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="border">true</xsl:attribute>
					<xsl:attribute name="hover">true</xsl:attribute>
					<xsl:attribute name="style">float:right;margin-right:0px;</xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$parentid" />-tooltip-export').activate();
					</xsl:attribute>
				</inchorus-button>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-export</xsl:attribute>
					<xsl:attribute name="position">bottom-left</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid" />-policy-button-export</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="deactivationcontentmode">remove</xsl:attribute>
					<xsl:attribute name="class">dac-tooltip-reports</xsl:attribute>
					
					<div class="dac-entraid-tooltip-wrapper">
					
						<xsl:if test="$hasExportpdf = 'true'">							
							<div class="dac-entraid-tooltip-reports-row">
								<xsl:attribute name="onClick">
									inchorus.$('<xsl:value-of select="$parentid"/>-policy-export-form').setParameters(
									{
										'uniqueid' : '<xsl:value-of select="$uniqueid"/>',
										'orientation' : 'portrait',
										'exporttype' : 'pdf'
										
									});
									inchorus.$('<xsl:value-of select="$parentid"/>-policy-export-form').submit();
								</xsl:attribute>
								<div class="dac-entraid-reports-pdf" />
								<xsl:value-of select="$inchorus_tooltip_reports_pdf" />
							</div>
						</xsl:if>
						<xsl:if test="$hasExportcsv = 'true'">
								<div class="dac-entraid-tooltip-reports-row-last">
								<xsl:attribute name="onClick">
									inchorus.$('<xsl:value-of select="$parentid"/>-policy-export-form').setParameters(
									{
										'uniqueid' : '<xsl:value-of select="$uniqueid"/>',
										'exporttype' : 'csv'
										
									});
									inchorus.$('<xsl:value-of select="$parentid"/>-policy-export-form').submit();
								</xsl:attribute>
								<div class="dac-entraid-reports-csv" />
								<xsl:value-of select="$inchorus_tooltip_reports_csv" />
							</div>
						</xsl:if>
					</div>
					
				</inchorus-tooltip>
				<inchorus-form>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-export-form</xsl:attribute>
					<xsl:attribute name="submitprefix">inc-</xsl:attribute>
					<xsl:attribute name="responsetype">download</xsl:attribute>
					<xsl:attribute name="hasresponsefile">true</xsl:attribute>
					<xsl:attribute name="command">exportUserDetails</xsl:attribute>
				</inchorus-form>
			</xsl:if>
			<xsl:if test="$hasPrint = 'true'">
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-button-print</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">print</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_print" /></xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="border">true</xsl:attribute>
					<xsl:attribute name="hover">true</xsl:attribute>
					<xsl:choose>
						<xsl:when test="$hasExportcsv = 'true' or $hasExportpdf = 'true'">
							<xsl:attribute name="style">float:right;margin-right:15px;</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="style">float:right;margin-right:0px;</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$parentid"/>-policy-print').submit();
					</xsl:attribute>
				</inchorus-button>						
				<inchorus-form>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-print</xsl:attribute>
					<xsl:attribute name="submitprefix">inc-</xsl:attribute>
					<xsl:attribute name="responsetype">tab</xsl:attribute>
					<xsl:attribute name="hasresponsefile">true</xsl:attribute>
					<xsl:attribute name="command">exportUserDetails</xsl:attribute>
					<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"}]</xsl:attribute>
				</inchorus-form>
			</xsl:if>
			
			</div>
			
			
			<!-- 
			<div style="margin:0px;">
				<h1 style="width:444px;float:left;overflow:hidden; min-height:34px;height:auto;">
					<div class="entraid-slider-headline-icon entraid-slider-headline-icon-user" style="margin-bottom:0px;"></div>
					<b><xsl:value-of select="$name" /></b>
				</h1>
				<inchorus-button>
			  		<xsl:attribute name="id">inchorus-favorite-lightbox-close</xsl:attribute>
			  		<xsl:attribute name="active">true</xsl:attribute>
			  		<xsl:attribute name="title">Close</xsl:attribute>
			  		<xsl:attribute name="type">icon</xsl:attribute>
			  		<xsl:attribute name="icon">close</xsl:attribute>
			  		<xsl:attribute name="border">false</xsl:attribute>
			  		<xsl:attribute name="highlighting">none</xsl:attribute>
			  		<xsl:attribute name="hover">false</xsl:attribute>
			  		<xsl:attribute name="onClick">
			  			jQuery('inchorus-list-content-row.active_row').removeClass('active_row');
			  			hideUserSlider();
			  		</xsl:attribute>
			  		<xsl:attribute name="style">float:left;margin:0px;</xsl:attribute>
			  	</inchorus-button>
			 </div>
			 -->

			 <div style="clear:both;">
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_objectsid"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:value-of select="$uniqueid" />
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_dn"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:value-of select="$dn" />
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_cn"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:value-of select="$cn" />
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_surname"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:value-of select="$surname" />
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_givenname"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:value-of select="$givenname" />
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_lastlogon"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:if test="$lastused != ''">
							<xsl:choose>
								<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
									<xsl:value-of select="substring($lastused,9,2)"/>.<xsl:value-of select="substring($lastused,6,2)"/>.<xsl:value-of select="substring($lastused,1,4)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="substring($lastused,1,4)"/>-<xsl:value-of select="substring($lastused,6,2)"/>-<xsl:value-of select="substring($lastused,9,2)"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_useraccountcontrol"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						Value: <xsl:value-of select="$statusdetail"/>
						<ul style="margin-left:-25px;">
								<xsl:if test="$statusdetail = '1' or (($statusdetail mod 2) - ($statusdetail mod 1)) = '1'">
									<!-- SKRIPT -->
									<li><xsl:value-of select="$entraid_statusdetails_script" /></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '512' or (($statusdetail mod 1024) - ($statusdetail mod 512)) = '512'">
									<!-- NORMAL-ACCOUNT -->
									<li>Standardaccount</li>
								</xsl:if>
								<xsl:if test="$statusdetail = '2' or (($statusdetail mod 4) - ($statusdetail mod 2)) = '2'">
									<!-- ACCOUNTDISABLE -->
									<li><xsl:value-of select="$entraid_statusdetails_accountdisabled" /></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '8' or (($statusdetail mod 16) - ($statusdetail mod 8)) = '8'">
									<!-- HOMEDIR_REQUIRED -->
									<li><xsl:value-of select="$entraid_statusdetails_homedir_required" /></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '16' or (($statusdetail mod 32) - ($statusdetail mod 16)) = '16'">
									<!-- KONTOSPERRUNG - LOCKOUT -->
									<li><xsl:value-of select="$entraid_statusdetails_lockout" /></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '32' or (($statusdetail mod 64) - ($statusdetail mod 32)) = '32'">
									<!-- PASSWD_NOTREQD -->
									<li><xsl:value-of select="$entraid_statusdetails_passwdnotreqd"/></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '64' or (($statusdetail mod 128) - ($statusdetail mod 64)) = '64'">
									<!-- PASSWD_CANT_CHANGE -->
									<li><xsl:value-of select="$entraid_statusdetails_passwdcanchange"/>PASSWD_CANT_CHANGE</li>
								</xsl:if>
								<xsl:if test="$statusdetail = '128' or (($statusdetail mod 256) - ($statusdetail mod 128)) = '128'">
									<!-- ENCRYPTED_TEXT_PWD_ALLOWED -->
									<li><xsl:value-of select="$entraid_statusdetails_encryptedtextpwdallowed" /></li>
								</xsl:if>								
								<xsl:if test="$statusdetail = '256' or (($statusdetail mod 512) - ($statusdetail mod 256)) = '256'">
									<!-- TEMP_DUPLICATE_ACCOUNT -->
									<li><xsl:value-of select="$entraid_statusdetails_tempduplicateaccount" /></li>
								</xsl:if>									
								<xsl:if test="$statusdetail = '2048' or (($statusdetail mod 4096) - ($statusdetail mod 2048)) = '2048'">
									<!-- INTERDOMAIN_TRUST_ACCOUNT -->
									<li><xsl:value-of select="$entraid_statusdetails_interdomaintrustaccount" /></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '4096' or (($statusdetail mod 8192) - ($statusdetail mod 4096)) = '4096'">
									<!-- WORKSTATION_TRUST_ACCOUNT -->
									<li><xsl:value-of select="$entraid_statusdetails_workstationtrustaccount"/></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '8192' or (($statusdetail mod 16384) - ($statusdetail mod 8192)) = '8192'">
									<!-- SERVER_TRUST_ACCOUNT -->
									<li><xsl:value-of select="$entraid_statusdetails_servertrustaccount"/></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '65536' or (($statusdetail mod 131072) - ($statusdetail mod 65536)) = '65536'">
									<!-- DONT_EXPIRE_PASSWORD -->
									<li><xsl:value-of select="$entraid_statusdetails_dontexpirepassword" /></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '131072' or (($statusdetail mod 262144) - ($statusdetail mod 131072)) = '131072'">
									<!-- MNS_LOGON_ACCOUNT -->
									<li><xsl:value-of select="$entraid_statusdetails_mnslogonaccount" /></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '262144' or (($statusdetail mod 524288) - ($statusdetail mod 262144)) = '262144'">
									<!-- SMARTCARD_REQUIRED -->
									<li><xsl:value-of select="$entraid_statusdetails_smartcardrequired" /></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '524288' or (($statusdetail mod 1048576) - ($statusdetail mod 524288)) = '524288'">
									<!-- TRUSTED_FOR_DELEGATION -->
									<li><xsl:value-of select="$entraid_statusdetails_trustedfordelegation"/></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '1048576' or (($statusdetail mod 2097152) - ($statusdetail mod 1048576)) = '1048576'">
									<!-- NOT_DELEGATED -->
									<li><xsl:value-of select="$entraid_statusdetails_notdelegated"/></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '2097152' or (($statusdetail mod 4194304) - ($statusdetail mod 2097152)) = '2097152'">
									<!-- USE_DES_KEY_ONLY -->
									<li><xsl:value-of select="$entraid_statusdetails_usedeskeyonly"/></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '4194304' or (($statusdetail mod 8388608) - ($statusdetail mod 4194304)) = '4194304'">
									<!-- DONT_REQ_PREAUTH -->
									<li><xsl:value-of select="$entraid_statusdetails_dontreqpreauth" /></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '8388608' or (($statusdetail mod 16777216) - ($statusdetail mod 8388608)) = '8388608'">
									<!-- PASSWORD_EXPIRED -->
									<li><xsl:value-of select="$entraid_statusdetails_passwordexpired" /></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '16777216' or (($statusdetail mod 33554432) - ($statusdetail mod 16777216)) = '16777216'">
									<!-- TRUSTED_TO_AUTH_FOR_DELEGATION -->
									<li><xsl:value-of select="$entraid_statusdetails_trustedtoauthfordelegation" /></li>
								</xsl:if>
								<xsl:if test="$statusdetail = '67108864' or (($statusdetail mod 33554432) - ($statusdetail mod 67108864)) = '16777216'">
									<!-- PARTIAL_SECRETS_ACCOUNT -->
									<li><xsl:value-of select="$entraid_statusdetails_partialsecretsaccount" /></li>
								</xsl:if>
						</ul>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_whencreated"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:if test="$created != ''">
							<xsl:choose>
								<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
									<xsl:value-of select="substring($created,9,2)"/>.<xsl:value-of select="substring($created,6,2)"/>.<xsl:value-of select="substring($created,1,4)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="substring($created,1,4)"/>-<xsl:value-of select="substring($created,6,2)"/>-<xsl:value-of select="substring($created,9,2)"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_whenchanged"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:if test="$modified != ''">
							<xsl:choose>
								<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
									<xsl:value-of select="substring($modified,9,2)"/>.<xsl:value-of select="substring($modified,6,2)"/>.<xsl:value-of select="substring($modified,1,4)"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="substring($modified,1,4)"/>-<xsl:value-of select="substring($modified,6,2)"/>-<xsl:value-of select="substring($modified,9,2)"/>
								</xsl:otherwise>
							</xsl:choose>
						</xsl:if>
					</div>
				</div>
				<div class="inc-portal-input-wrapper">
					<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
						<div style="float:left;">
							<xsl:value-of select="$entraid_label_samaccountname"/>
						</div>
					</label>
					<div class="inc-portal-control-wrapper">
						<xsl:value-of select="$alternativename" />
					</div>
				</div>
			</div>
			
			<div style="overflow:hidden;">
				<div style="overflow:hidden;border-bottom: 1px dotted silver;">
					<div style="float:left; width: 150px;height: 45px;float:left;padding-top:34px;">
						<b style="font-size:20px;"><xsl:value-of select="$entraid_label_groupmemberships"/></b>
					</div>
				</div>
										
				<div style="overflow-y: scroll; height:160px;">
					<inchorus-content>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-memberships</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"}]</xsl:attribute>
						<xsl:attribute name="command">getGroupMembershipForUser</xsl:attribute>
					</inchorus-content>
				</div>
			</div>
			
		</div>
		
	</xsl:template>
	
	<xsl:template name="replace-string">
	    <xsl:param name="text"/>
	    <xsl:param name="replace"/>
	    <xsl:param name="with"/>
	    <xsl:choose>
	      <xsl:when test="contains($text,$replace)">
	        <xsl:value-of select="substring-before($text,$replace)"/>
	        <xsl:value-of select="$with"/>
	        <xsl:call-template name="replace-string">
	          <xsl:with-param name="text" select="substring-after($text,$replace)"/>
	          <xsl:with-param name="replace" select="$replace"/>
	          <xsl:with-param name="with" select="$with"/>
	        </xsl:call-template>
	      </xsl:when>
	      <xsl:otherwise>
	        <xsl:value-of select="$text"/>
	      </xsl:otherwise>
	    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>