<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="size" select="//licenseplans/page/pagesize" />
		<xsl:variable name="currentpage" select="//licenseplans/page/currentpage" />
		<xsl:variable name="prevpage" select="//licenseplans/page/prevpage" />
		<xsl:variable name="nextpage" select="//licenseplans/page/nextpage" />
		<xsl:variable name="firstpage">1</xsl:variable>
		<xsl:variable name="startpage" select="//licenseplans/page/startpage" />
		<xsl:variable name="endpage" select="//licenseplans/page/endpage" />
		<xsl:variable name="pages" select="//licenseplans/page/pagecount" />
		<xsl:variable name="pagecount" select="//licenseplans/page/pagecount" />
		<xsl:variable name="entrycount" select="//licenseplans/page/count" />
		
		<xsl:variable name="variable_column_1" select="//parameters/parameter[@name='column-1']" />
		<xsl:variable name="variable_column_2" select="//parameters/parameter[@name='column-2']" />
		
		<xsl:variable name="parentid">entraid-admin-licenses-list</xsl:variable>
		<xsl:variable name="navigationareaid">entraid-admin-licenses-list-navigation</xsl:variable>

		<br/>
		<!-- list topbar start -->
		
		<div class="inc-list-topbar">
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-topbar</xsl:attribute>
			
			<div class="inc-list-topbar-left">
				<span class="inc-list-topbar-left-quantity-text"><xsl:value-of select="$inchorus_list_topbar_quantity" /></span>
				<select id="inc-select-pagesize" name="inc-pagesize" class="inc-list-topbar-left-quantity-select">
							<xsl:attribute name="onChange">
								$('#<xsl:value-of select="$parentid" />').attr('size',$('#inc-select-pagesize').val());
								$('#<xsl:value-of select="$parentid" />').attr('page','1');
								inchorus.$('<xsl:value-of select="$parentid" />').load();
							</xsl:attribute>
							
							<option value="20">
								<xsl:if test="$size = '20'">
									<xsl:attribute name="selected">selected</xsl:attribute>
								</xsl:if>
								20
							</option>
							<option value="50">
								<xsl:if test="$size = '50'">
									<xsl:attribute name="selected">selected</xsl:attribute>
								</xsl:if>
								50
							</option>
							<option value="100">
								<xsl:if test="$size = '100'">
									<xsl:attribute name="selected">selected</xsl:attribute>
								</xsl:if>
								100
							</option>
							<option value="500">
								<xsl:if test="$size = '500'">
									<xsl:attribute name="selected">selected</xsl:attribute>
								</xsl:if>
								500
							</option>
							<option value="1000">
								<xsl:if test="$size = '1000'">
									<xsl:attribute name="selected">selected</xsl:attribute>
								</xsl:if>
								1000
							</option>
				</select>
				<span class="inc-list-topbar-left-quantity-fromtext"><xsl:value-of select="$inchorus_list_topbar_from" />&#160;<xsl:value-of select="$entrycount" /></span>
			</div>
			<div class="inc-list-topbar-right">
				<div class="inc-list-topbar-right-wrapper">
					<div class="inc-list-topbar-right-wrapper-pagenavigation">
						<span class="inc-list-topbar-right-wrapper-pagenavigation-first">
							<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_first" /></xsl:attribute>
							<xsl:attribute name="onClick">
								jQuery('#<xsl:value-of select="$parentid" />').attr('page','1');
								inchorus.$('<xsl:value-of select="$parentid" />').load();
							</xsl:attribute>
							&#8249;&#8249;
						</span>
						<span class="inc-list-topbar-right-wrapper-pagenavigation-prev">
							<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_prev" /></xsl:attribute>
							<xsl:if test="$currentpage != $prevpage">
								<xsl:attribute name="onClick">
									jQuery('#<xsl:value-of select="$parentid" />').attr('page','<xsl:value-of select="$prevpage" />');
									inchorus.$('<xsl:value-of select="$parentid" />').load();
								</xsl:attribute>
							</xsl:if>
							&#8249;
						</span>
						<xsl:value-of select="$inchorus_list_topbar_page" />
					</div>
					<select id="inc-select-page" class="inc-list-topbar-right-page-select">
						<xsl:attribute name="onChange">
							$('#<xsl:value-of select="$parentid" />').attr('page',$('#inc-select-page').val());
							inchorus.$('<xsl:value-of select="$parentid" />').load();
						</xsl:attribute>
						
						<xsl:call-template name="loop">
    						<xsl:with-param name="varstart">
								<xsl:value-of select="$firstpage" />
							</xsl:with-param>
    						<xsl:with-param name="varend">
								<xsl:value-of select="$pagecount" />
							</xsl:with-param>
							<xsl:with-param name="varselected">
								<xsl:value-of select="$currentpage" />
							</xsl:with-param>
  						</xsl:call-template>
					</select>
					<span class="inc-list-topbar-right-wrapper-pagenavigation-from"><xsl:value-of select="$inchorus_list_topbar_from" />&#160;<xsl:value-of select="$pages" /></span>
					<span class="inc-list-topbar-right-wrapper-pagenavigation-next">
						<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_next" /></xsl:attribute>
						<xsl:if test="$currentpage != $endpage">
							<xsl:attribute name="onClick">
								jQuery('#<xsl:value-of select="$parentid" />').attr('page','<xsl:value-of select="$nextpage" />');
								inchorus.$('<xsl:value-of select="$parentid" />').load();
							</xsl:attribute>
						</xsl:if>
						&#8250;
					</span>
					<span class="inc-list-topbar-right-wrapper-pagenavigation-last">
						<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_last" /></xsl:attribute>
						<xsl:attribute name="onClick">
							jQuery('#<xsl:value-of select="$parentid" />').attr('page','<xsl:value-of select="$pagecount" />');
							inchorus.$('<xsl:value-of select="$parentid" />').load();
						</xsl:attribute>
						&#8250;&#8250;
					</span>			
				</div>
			</div>
		</div>
		
		<!-- list header area start -->
					<xsl:variable name="headerareaid">tab-user-list-header</xsl:variable>
					<inchorus-list-header-row>
						<inchorus-list-header class="dac-list-row-header dac-list-row-header-width-336px" style="width: 20% !important;">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-name</xsl:attribute>
							<xsl:attribute name="databinding">name</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sort">true</xsl:attribute>
							<xsl:attribute name="sortable">true</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_list_name"/></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-list-row-header dac-list-row-header-width-336px" style="width: 20% !important;">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-appliesTo</xsl:attribute>
							<xsl:attribute name="databinding">appliesTo</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">true</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_list_appliesTo"/></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-list-row-header dac-list-row-header-width-336px" style="width: 20% !important;">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-tenant</xsl:attribute>
							<xsl:attribute name="databinding">systemid</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">true</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_list_tenant"/></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-list-row-header dac-list-row-header-width-336px" style="width: 20% !important;">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-capacilityStatus</xsl:attribute>
							<xsl:attribute name="databinding">capacilityStatus</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">true</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_list_capacilitystatus"/></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-list-row-header dac-list-row-header-width-336px" style="width: 20% !important;">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-consumedUnits</xsl:attribute>
							<xsl:attribute name="databinding">consumedUnits</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">true</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_list_consumedunits"/></xsl:attribute>
						</inchorus-list-header>
				</inchorus-list-header-row>
				<!-- list header area end -->	
				
				
				<xsl:choose>
					<xsl:when test="//licenseplans/licenseplan">	
					
 				
				<inchorus-list-content class="rowname">
					<xsl:for-each select="//licenseplans/licenseplan">
						<xsl:variable name="uniqueid" select="uniqueid" />
						<xsl:variable name="systemid" select="systemid" />
						<xsl:variable name="systemname" select="systemname" />
						<xsl:variable name="name" select="name" />
						<xsl:variable name="appliesTo" select="appliesTo" />
						<xsl:variable name="capabilityStatus" select="capabilityStatus" />
						<xsl:variable name="consumedUnits" select="consumedUnits" />
						<xsl:variable name="skuId" select="skuId" />
						
						<inchorus-list-content-row class="rowname" style="cursor:pointer;">
							<xsl:attribute name="position"><xsl:value-of select="position()"/></xsl:attribute>
							<xsl:attribute name="onClick">
								$('.active_row').removeClass('active_row');
								$(this).addClass('active_row');

								entraid.slider.showDetails(
									'small',
									{
										'objecttype':'entraidlicense',
										'header' : '<xsl:value-of select="$name" />',
										'uniqueid' : '<xsl:value-of select="$uniqueid"/>',
										'systemid' : '<xsl:value-of select="$systemid"/>'
									}
								);								
							</xsl:attribute>
							<div class="dac-list-row-column-336px rowname" style="width:20% !important;">
								<xsl:attribute name="title">
									<xsl:value-of select="$uniqueid" />
								</xsl:attribute>
								<div class="rowname">
									<span style="float:left;"><xsl:value-of select="$name" /></span>
								</div>
							</div>
							<div class="dac-list-row-column-336px rowname" style="width: 20% !important;">
								<div class="rowname">
									<xsl:value-of select="$appliesTo" />
								</div>
							</div>
							<div class="dac-list-row-column-336px rowname" style="width: 20% !important;">
								<div class="rowname">
									<xsl:value-of select="$systemname" />
								</div>
							</div>
							<div class="dac-list-row-column-336px rowname" style="width: 20% !important;">
								<div class="rowname">
									<xsl:choose>
										<xsl:when test="$capabilityStatus = 'Enabled'">
											<xsl:attribute name="title"><xsl:value-of select="$entraid_title_capabilitystatus_enabled" /></xsl:attribute>
											<xsl:value-of select="$entraid_text_enabled" />
										</xsl:when>
										<xsl:when test="$capabilityStatus = 'Warning'">
										<xsl:attribute name="title"><xsl:value-of select="$entraid_title_capabilitystatus_warning" /></xsl:attribute>
											<xsl:value-of select="$entraid_text_warning" />
										</xsl:when>
										<xsl:when test="$capabilityStatus = 'Suspended'">
											<xsl:attribute name="title"><xsl:value-of select="$entraid_title_capabilitystatus_suspended" /></xsl:attribute>
											<xsl:value-of select="$entraid_text_suspended" />
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="$capabilityStatus" />
										</xsl:otherwise>
									</xsl:choose>
								</div>
							</div>
							<div class="dac-list-row-column-336px rowname" style="width: 20% !important;">
								<div class="rowname">
									<xsl:value-of select="$consumedUnits" />
								</div>
							</div>
						</inchorus-list-content-row>
					</xsl:for-each>
										
				</inchorus-list-content>
				
				
				
				<!-- list navigation area start -->
 			
					<xsl:variable name="navigationareaid">tab-costmanager-list-navigation</xsl:variable>
						
					<inchorus-list-navigation-area>
					
						<xsl:if test="//licenseplans/licenseplan">			
						
							<xsl:attribute name="id"><xsl:value-of select="$navigationareaid"/></xsl:attribute>
							<inchorus-list-navigation-wrapper>
								<inchorus-list-navigation>
									<xsl:attribute name="id"><xsl:value-of select="$navigationareaid"/>-first</xsl:attribute>
									<xsl:attribute name="page">1</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_first"/></xsl:attribute>
									<xsl:attribute name="type">first</xsl:attribute>
								</inchorus-list-navigation>
								<inchorus-list-navigation>
									<xsl:attribute name="id"><xsl:value-of select="$navigationareaid"/>-previous</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_prev"/></xsl:attribute>
									<xsl:attribute name="page"><xsl:value-of select="$prevpage" /></xsl:attribute>
									<xsl:attribute name="type">previous</xsl:attribute>
								</inchorus-list-navigation>
							</inchorus-list-navigation-wrapper>
							<inchorus-list-navigation-pageselect>
								<xsl:attribute name="id"><xsl:value-of select="$navigationareaid"/>-pageselect</xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_specific"/></xsl:attribute>
								<xsl:attribute name="pagecount"><xsl:value-of select="$pages" /></xsl:attribute>
								<xsl:attribute name="type">previous</xsl:attribute>			
							</inchorus-list-navigation-pageselect>
							<inchorus-list-navigation-wrapper>
								<inchorus-list-navigation>
									<xsl:attribute name="id"><xsl:value-of select="$navigationareaid"/>-next</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_next"/></xsl:attribute>
									<xsl:attribute name="page"><xsl:value-of select="$nextpage" /></xsl:attribute>
									<xsl:attribute name="type">next</xsl:attribute>
								</inchorus-list-navigation>
								<inchorus-list-navigation>
									<xsl:attribute name="id"><xsl:value-of select="$navigationareaid"/>-last</xsl:attribute>
									<xsl:attribute name="title"><xsl:value-of select="$inchorus_list_navigation_last"/></xsl:attribute>
									<xsl:attribute name="page"><xsl:value-of select="$pagecount" /></xsl:attribute>
									<xsl:attribute name="type">last</xsl:attribute>
								</inchorus-list-navigation>
							</inchorus-list-navigation-wrapper>	
							
						</xsl:if>
						
					</inchorus-list-navigation-area>
					
					<!-- list navigation area end -->
				
				
					</xsl:when>
					<xsl:otherwise>
						
						<inchorus-message>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-noresults</xsl:attribute>
							<xsl:attribute name="active">true</xsl:attribute>
							<xsl:attribute name="type">node</xsl:attribute>
							<xsl:value-of select="$inchorus_list_noresults" />
						</inchorus-message>
						
					</xsl:otherwise>
				</xsl:choose>

	</xsl:template>
	
	<xsl:template name="loop">
	  <xsl:param name="varstart"></xsl:param>
	  <xsl:param name="varend"></xsl:param>
	  <xsl:param name="varselected"></xsl:param>
	  <xsl:choose>
	    <xsl:when test="$varstart &lt;= $varend">
	      	<option>
	      		<xsl:attribute name="value"><xsl:value-of select="$varstart" /></xsl:attribute>
	      		<xsl:if test="$varstart = $varselected">
	      			<xsl:attribute name="selected">selected</xsl:attribute>
	      		</xsl:if>
	      		<xsl:value-of select="$varstart" />
	      	</option>
	      <xsl:text>&#xa;</xsl:text> <!-- newline -->
	      <xsl:call-template name="loop">
	        <xsl:with-param name="varstart">
	        <xsl:number value="number($varstart)+1" />
	        </xsl:with-param>
	        <xsl:with-param name="varend">
	       	 <xsl:number value="number($varend)" />
	        </xsl:with-param>
	        <xsl:with-param name="varselected">
	       	 <xsl:number value="$varselected" />
	        </xsl:with-param>
	      </xsl:call-template>
	    </xsl:when>
	    <xsl:otherwise>
	      <xsl:text></xsl:text>
	    </xsl:otherwise>
	  </xsl:choose>
	</xsl:template>
</xsl:stylesheet>