<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<!--POLICY:TRANSLATION:START-->
	<xsl:variable name="label_groupname">Gruppenname</xsl:variable>
	<xsl:variable name="label_groupid">ID</xsl:variable>
	<xsl:variable name="label_scope">Scope</xsl:variable>
	<xsl:variable name="label_category">Kategorie</xsl:variable>
	<xsl:variable name="label_groupdepth">Anzahl Verschachtelung</xsl:variable>
	<xsl:variable name="title_groupdepth">Hier klicken um die relevanten Gruppen aufzulisten</xsl:variable>
	<xsl:variable name="text_no_objects">Keine Datensätze zur Anzeige vorhanden</xsl:variable>
	<xsl:variable name="label_scope_server_local">Lokal</xsl:variable>
	<xsl:variable name="label_scope_global">Global</xsl:variable>
	<xsl:variable name="label_scope_universal">Universal</xsl:variable>
	<xsl:variable name="label_scope_domain_local">Domänenlokal</xsl:variable>
	<xsl:variable name="label_category_special">Spezial</xsl:variable>
	<xsl:variable name="label_category_security">Sicherheit</xsl:variable>
	<!--POLICY:TRANSLATION:END-->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-admin-policies-policydetails-list</xsl:variable>
		<xsl:variable name="policyid" select="//parameters/parameter[@name='policyid']" />
		<xsl:variable name="qualitylevel" select="//parameters/parameter[@name='qualitylevel']" />
		
		<xsl:choose>
			<xsl:when test="//data/objects/object">
		
				<inchorus-list>
					<xsl:attribute name="id">list</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="style">margin-bottom:20px;</xsl:attribute>
					
					<inchorus-list-header-row>
						<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-440px">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-groupname</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$label_groupname" /></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-900px">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-groupid</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$label_groupid" /></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-150px">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-scope</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$label_scope" /></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-150px">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-category</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$label_category" /></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-200px">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-groupdepth</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$label_groupdepth" /></xsl:attribute>
						</inchorus-list-header>	
					</inchorus-list-header-row>
					
					<div class="dac-policy-list-400px">
						<xsl:for-each select="//data/objects/object">
							<xsl:variable name="groupid" select="groupid" />
							<xsl:variable name="uniqueid" select="uniqueid" />
							<xsl:variable name="systemid" select="systemid" />
							<xsl:variable name="name" select="name" />
							<xsl:variable name="scope" select="scope" />
							<xsl:variable name="category" select="category" />
							<xsl:variable name="groupdepth" select="groupdepth" />
							
							<inchorus-list-content-row>
								<xsl:attribute name="position"><xsl:value-of select="position()"/></xsl:attribute>
								<xsl:attribute name="title"><xsl:value-of select="$title_groupdepth"/></xsl:attribute>
								<xsl:attribute name="onclick">
									inchorus.$("<xsl:value-of select="$parentid"/>").setCommand("getPolicySecondData");
									inchorus.$("<xsl:value-of select="$parentid"/>").setAlternativecontentfile("entraid-admin-policies-policydetails-listsecond-<xsl:value-of select="$policyid"/>");
									inchorus.$("<xsl:value-of select="$parentid"/>").setParameters(
										{
											"policyid":"<xsl:value-of select="$policyid"/>",
											"systemid":"<xsl:value-of select="$systemid"/>",
											"objectid":"<xsl:value-of select="$groupid"/>",
											"qualitylevel":"<xsl:value-of select="$qualitylevel"/>",
											"header" : "<xsl:value-of select="$name"/>",
											"objectuniqueid":"<xsl:value-of select="$uniqueid"/>",
											"objecttype" : "adgroup"
										}
									);
									inchorus.$('<xsl:value-of select="$parentid"/>').load();
								</xsl:attribute>
								<div class="dac-policy-list-row-440px">
									<div>
										<xsl:value-of select="$name" />
									</div>
								</div>
								<div class="dac-policy-list-row-900px">
									<div>
										<xsl:value-of select="$groupid" />
									</div>
								</div>
								<div class="dac-policy-list-row-150px">
									<div>
										<xsl:variable name="scopeVar" select="$scope"/>
										<xsl:choose>
											<xsl:when test="$scopeVar = 'server local'">
												<xsl:value-of select="$label_scope_server_local" />
											</xsl:when>
											<xsl:when test="$scopeVar = 'universal'">
												<xsl:value-of select="$label_scope_universal" />
											</xsl:when>
											<xsl:when test="$scopeVar = 'global'">
												<xsl:value-of select="$label_scope_global" />
											</xsl:when>
											<xsl:when test="$scopeVar = 'domain local'">
												<xsl:value-of select="$label_scope_domain_local" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="$scope" />
											</xsl:otherwise>
										</xsl:choose>
									</div>
								</div>
								<div class="dac-policy-list-row-150px">
									<div>
										<xsl:variable name="categoryVar" select="$category"/>
										<xsl:choose>
											<xsl:when test="$categoryVar = 'special'">
												<xsl:value-of select="$label_category_special" />
											</xsl:when>
											<xsl:when test="$categoryVar = 'security'">
												<xsl:value-of select="$label_category_security" />
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="$category" />
											</xsl:otherwise>
										</xsl:choose>
									</div>
								</div>
								<div class="dac-policy-list-row-200px">
									<div>
										<xsl:value-of select="$groupdepth" />
									</div>
								</div>
							</inchorus-list-content-row>	
						</xsl:for-each>
					</div>
				</inchorus-list>
			</xsl:when>
			<xsl:otherwise>
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message</xsl:attribute>
					<xsl:attribute name="type">success</xsl:attribute>					
					<xsl:value-of select="$text_no_objects"/>
				</inchorus-message>
			</xsl:otherwise>
		</xsl:choose>		
	</xsl:template>
</xsl:stylesheet>