<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->

	<!--POLICY:TRANSLATION:START-->
	<xsl:variable name="title_row">Hier klicken um Details zu dem Benutzerkonto einzusehen.</xsl:variable>	
	<xsl:variable name="label_username">Benutzername</xsl:variable>
	<xsl:variable name="label_group">Gruppe</xsl:variable>
	<xsl:variable name="label_userid">ID</xsl:variable>
	<xsl:variable name="label_surname">Nachname</xsl:variable>
	<xsl:variable name="label_givenname">Vorname</xsl:variable>
	<xsl:variable name="label_systemname">System</xsl:variable>
	<xsl:variable name="label_created">angelegt</xsl:variable>
	<xsl:variable name="label_modified">geändert</xsl:variable>
	<xsl:variable name="label_lastused">genutzt</xsl:variable>
	<xsl:variable name="label_status">Status</xsl:variable>
	<xsl:variable name="button_back">Zur&#252;ck zur &#220;bersicht</xsl:variable>
	<!--POLICY:TRANSLATION:END-->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-admin-policies-policydetails-list</xsl:variable>
		<xsl:variable name="policyid" select="//parameters/parameter[@name='policyid']" />
		<xsl:variable name="qualitylevel" select="//parameters/parameter[@name='qualitylevel']" />
		<xsl:variable name="objecttype" select="//parameters/parameter[@name='objecttype']" />
		<xsl:variable name="objectid" select="//parameters/parameter[@name='objectid']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="objectuniqueid" select="//parameters/parameter[@name='objectuniqueid']" />
		<xsl:variable name="header" select="//parameters/parameter[@name='header']" />
				
		<inchorus-button>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-back</xsl:attribute>
			<xsl:attribute name="type">icontext</xsl:attribute>
			<xsl:attribute name="icon">arrow_back</xsl:attribute>
			<xsl:attribute name="border">true</xsl:attribute>
			<xsl:attribute name="highlighting">low</xsl:attribute>
			<xsl:attribute name="hover">true</xsl:attribute>
			<xsl:attribute name="text"><xsl:value-of select="$button_back" /></xsl:attribute>
			<xsl:attribute name="active">true</xsl:attribute>
			<xsl:attribute name="title"><xsl:value-of select="$button_back" /></xsl:attribute>
			<xsl:attribute name="onclick">
				entraid.policy.back("<xsl:value-of select="$parentid"/>","<xsl:value-of select="$qualitylevel"/>","<xsl:value-of select="$policyid"/>");
			</xsl:attribute>
			<xsl:attribute name="class">dac-policies-policydetails-button-back</xsl:attribute>
 		</inchorus-button>

		<div class="dac-policies-policydetails-buttontext">
 			<xsl:value-of select="$label_group" />:
 		</div>
		<inchorus-button>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-object</xsl:attribute>
			<xsl:attribute name="type">text</xsl:attribute>
			<xsl:attribute name="border">true</xsl:attribute>
			<xsl:attribute name="highlighting">low</xsl:attribute>
			<xsl:attribute name="hover">true</xsl:attribute>
			<xsl:attribute name="text"><xsl:value-of select="$header" /></xsl:attribute>
			<xsl:attribute name="active">true</xsl:attribute>
			<xsl:attribute name="title"><xsl:value-of select="$header" /></xsl:attribute>
			<xsl:attribute name="onClick">
				entraid.slider.showDetails(
					'small',
					{
						'objecttype' : '<xsl:value-of select="$objecttype" />',
						'header' : '<xsl:value-of select="$header"/>',
						'systemid' : '<xsl:value-of select="$systemid" />',
						'uniqueid' : '<xsl:value-of select="$objectuniqueid"/>'

					}
				);
			</xsl:attribute>
			<xsl:attribute name="class">dac-policies-policydetails-button-object</xsl:attribute>
 		</inchorus-button>
		
		<inchorus-list>
			<xsl:attribute name="id">list</xsl:attribute>
			<xsl:attribute name="hascontentfile">false</xsl:attribute>
			
			<inchorus-list-header-row>
				<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-200px">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-username</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$label_username" /></xsl:attribute>
				</inchorus-list-header>
				<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-700px">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-userid</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$label_userid" /></xsl:attribute>
				</inchorus-list-header>
				<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-200px">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-surname</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$label_surname" /></xsl:attribute>
				</inchorus-list-header>
				<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-200px">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-givenname</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$label_givenname" /></xsl:attribute>
				</inchorus-list-header>
				<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-150px">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-created</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$label_created" /></xsl:attribute>
				</inchorus-list-header>
				<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-150px">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-modified</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$label_modified" /></xsl:attribute>
				</inchorus-list-header>
				<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-150px">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-lastused</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$label_lastused" /></xsl:attribute>
				</inchorus-list-header>
				<inchorus-list-header class="dac-policy-list-header dac-policy-list-header-center-80px">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-status</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$label_status" /></xsl:attribute>
				</inchorus-list-header>				
			</inchorus-list-header-row>
			
			<div class="dac-policy-list-200px">
				<xsl:for-each select="//data/objects/object">
					<xsl:variable name="name" select="name" />
					<xsl:variable name="userid" select="userid" />
					<xsl:variable name="useruniqueid" select="uniqueid" />
					<xsl:variable name="surname" select="surname" />
					<xsl:variable name="givenname" select="givenname" />
					<xsl:variable name="systemid" select="systemid" />
					<xsl:variable name="created" select="created" />
					<xsl:variable name="modified" select="modified" />
					<xsl:variable name="lastused" select="lastused" />
					<xsl:variable name="status" select="status" />
					
					<inchorus-list-content-row>
						<xsl:attribute name="position"><xsl:value-of select="position()"/></xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="$title_row"/></xsl:attribute>
						<xsl:attribute name="onClick">
							entraid.slider.showDetails(
								'small',
								{
									'objecttype' : 'aduser',
									'header' : '<xsl:value-of select="$name"/>',
									'systemid' : '<xsl:value-of select="$systemid"/>',
									'uniqueid' : '<xsl:value-of select="$useruniqueid"/>'
								}
							);
						</xsl:attribute>
	
						<div class="dac-policy-list-row-200px">
							<div>
								<xsl:value-of select="$name" />
							</div>
						</div>
						<div class="dac-policy-list-row-700px">
							<div>
								<xsl:value-of select="$userid" />
							</div>
						</div>
						<div class="dac-policy-list-row-200px">
							<div>
								<xsl:value-of select="$surname" />
							</div>
						</div>
						<div class="dac-policy-list-row-200px">
							<div>
								<xsl:value-of select="$givenname" />
							</div>
						</div>
						<div class="dac-policy-list-row-150px">
							<div>
								<xsl:if test="$created != ''">
									<xsl:choose>
										<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
											<xsl:value-of select="substring($created,9,2)"/>.<xsl:value-of select="substring($created,6,2)"/>.<xsl:value-of select="substring($created,1,4)"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="substring($created,1,4)"/>-<xsl:value-of select="substring($created,6,2)"/>-<xsl:value-of select="substring($created,9,2)"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:if>
							</div>
						</div>
						<div class="dac-policy-list-row-150px">
							<div>
								<xsl:if test="$modified != ''">
									<xsl:choose>
										<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
											<xsl:value-of select="substring($modified,9,2)"/>.<xsl:value-of select="substring($modified,6,2)"/>.<xsl:value-of select="substring($modified,1,4)"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="substring($modified,1,4)"/>-<xsl:value-of select="substring($modified,6,2)"/>-<xsl:value-of select="substring($modified,9,2)"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:if>
							</div>
						</div>
						<div class="dac-policy-list-row-150px">
							<div>
								<xsl:if test="$lastused != ''">
									<xsl:choose>
										<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
											<xsl:value-of select="substring($lastused,9,2)"/>.<xsl:value-of select="substring($lastused,6,2)"/>.<xsl:value-of select="substring($lastused,1,4)"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="substring($lastused,1,4)"/>-<xsl:value-of select="substring($lastused,6,2)"/>-<xsl:value-of select="substring($lastused,9,2)"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:if>
							</div>
						</div>
						<div class="dac-policy-list-row-center-80px">
							<div>
								<center>
									<xsl:choose>
										<xsl:when test="$status = 'disabled'">
											<img src="/entraid/inc/img/inchorus/actions/status/status_inactive.png">
												<xsl:attribute name="title"><xsl:value-of select="$dac_persons_status_inactive" /></xsl:attribute>
											</img>
										</xsl:when>
										<xsl:when test="$status = 'active'">
											<img src="/entraid/inc/img/inchorus/actions/status/status_active.png">
												<xsl:attribute name="title"><xsl:value-of select="$dac_persons_status_active" /></xsl:attribute>
											</img>
										</xsl:when>
									</xsl:choose>
								</center>
							</div>
						</div>
					</inchorus-list-content-row>	
				</xsl:for-each>
			</div>
		</inchorus-list>
	</xsl:template>
</xsl:stylesheet>