<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<!--POLICY:TRANSLATION:START-->
		<xsl:variable name="note_description_title">Beschreibung</xsl:variable>
		<xsl:variable name="note_description_text">
			Benutzerkonten, die in zu vielen Gruppen Mitglied sind, können sich gegebenenfalls nicht mehr am System anmelden. Die maximale Anzahl an direkten oder indirekten Gruppenmitgliedschaften liegt bei ca. 1015 Gruppen.
		</xsl:variable>
		<xsl:variable name="note_description_text1">
			Technischer Hintergrund: Jede direkte oder indirekte Gruppenmitgliedschaft eines Benutzerkontos führt zu einer Ablage der Gruppen-SID innerhalb des Kerberos-Tickets, welches bei der Anmeldung ausgestellt wird. Das Kerberos-Ticket hat allerdings eine festgelegte Speichergrösse. Aus diesem Grund ist die Anzahl der möglichen Gruppenmitgliedschaften eines Benutzers technisch eingeschränkt. 
		</xsl:variable>
		<xsl:variable name="note_analysis_title">Auswertungsdetails</xsl:variable>
		<xsl:variable name="note_analysis_text">
			Im Active Directory System wurden Benutzerkonten gefunden, die die maximale Anzahl an Gruppenmitgliedschaften von 1015 erreicht oder überschritten haben.
		</xsl:variable>
		<xsl:variable name="note_recommendation_title">Empfehlung</xsl:variable>
		<xsl:variable name="note_recommendation_text">
			In der Praxis empfiehlt es sich einen Benutzer nicht zu vielen Gruppen zuzuordnen um Probleme bei der Anmeldung oder bei der Berücksichtigung von Berechtigungen zu vermeiden. Dabei müssen auch indirekte Gruppenmitgliedschaften über Gruppen in Gruppen Verschachtelungen berücksichtigt werden.
		</xsl:variable>
	<!--POLICY:TRANSLATION:END-->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-admin-policies-policydetails-note</xsl:variable>
		<xsl:variable name="policyid" select="//parameters/parameter[@name='policyid']" />
		<xsl:variable name="qualitylevel" select="//parameters/parameter[@name='qualitylevel']" />
		
		<p style="text-align:left;">
			<b><xsl:value-of select="$note_description_title"/>:</b><br/>
			<xsl:value-of select="$note_description_text"/><br/>
			<xsl:value-of select="$note_description_text1"/>
		</p>
		<p style="text-align:left;">
			<b><xsl:value-of select="$note_analysis_title"/>:</b><br/>
			<xsl:value-of select="$note_analysis_text"/>	
		</p>
		<p style="text-align:left;">
			<b><xsl:value-of select="$note_recommendation_title"/>:</b><br/>
			<xsl:value-of select="$note_recommendation_text"/>	
		</p>
	</xsl:template>
</xsl:stylesheet>