<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<!--POLICY:TRANSLATION:START-->
		<xsl:variable name="note_description_title">Beschreibung</xsl:variable>
		<xsl:variable name="note_description_text">
			Nach den Empfehlungen von Microsoft (AGDLP Konzept) sollten möglichst keine Benutzerkonten einer domänenlokalen Gruppe als Mitglied zugeordnet werden.
		</xsl:variable>
		<xsl:variable name="note_analysis_title">Auswertungsdetails</xsl:variable>
		<xsl:variable name="note_analysis_text">
			Im Active Directory System wurden domänenlokalen Gruppen gefunden, die Benutzerkonten als Mitglieder haben.
		</xsl:variable>
		<xsl:variable name="note_recommendation_title">Empfehlung</xsl:variable>
		<xsl:variable name="note_recommendation_text">
			Weisen Sie (nach dem empfohlenen ADGLP Prinzip) die Benutzerkonten den globalen Gruppen zu, die wiederum Mitglied der domänenlokalen Gruppen werden. Vergeben Sie dann die Berechtigungen in den domänenlokalen Gruppen. 
		</xsl:variable>
		<xsl:variable name="note_recommendation_text1">
			Weitere Empfehlungen des Bundesamtes für Sicherheit in der Informationstechnologie (BSI) bezüglich Fileserver finden Sie im IT Grundschutz Kompendium unter Artikel  APP.3.3 Fileserver oder unter Artikel SYS.1.2.2 Windows Server. 
			Hier erhalten Sie Empfehlungen des BSI zum Thema "Absicherung von Windows Server 2012 und Windows Server 2012 R2".		</xsl:variable>
	<!--POLICY:TRANSLATION:END-->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">msfileserver-admin-policies-policydetails-note</xsl:variable>
		<xsl:variable name="policyid" select="//parameters/parameter[@name='policyid']" />
		<xsl:variable name="qualitylevel" select="//parameters/parameter[@name='qualitylevel']" />	

		<p style="text-align:left;">
			<b><xsl:value-of select="$note_description_title"/>:</b><br/>
			<xsl:value-of select="$note_description_text"/>	
		</p>
		<p style="text-align:left;">
			<b><xsl:value-of select="$note_analysis_title"/>:</b><br/>
			<xsl:value-of select="$note_analysis_text"/>	
		</p>
		<p style="text-align:left;">
			<b><xsl:value-of select="$note_recommendation_title"/>:</b><br/>
			<xsl:value-of select="$note_recommendation_text"/><br/>
			<xsl:value-of select="$note_recommendation_text1"/>
		</p>
	</xsl:template>
</xsl:stylesheet>