<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<!--POLICY:TRANSLATION:START-->
		<xsl:variable name="note_description_title">Beschreibung</xsl:variable>
		<xsl:variable name="note_description_text">
			Active Directory Gruppen, welche mit sich selbst verschachtelt sind, können innerhalb von Anwendungen oder Scripten zu Problemen in Form von Abstürzen, unendliche Schleifen und ungewollten Fehlermeldungen führen. 
			Zirkuläre Verschachtelung sind aus diesem Grund möglichst zu vermeiden.
		</xsl:variable>
		<xsl:variable name="note_analysis_title">Auswertungsdetails</xsl:variable>
		<xsl:variable name="note_analysis_text">
			Im Active Directory System gibt es Gruppen, die mit sich selbst verschachtelt sind.	
		</xsl:variable>
		<xsl:variable name="note_recommendation_title">Empfehlung</xsl:variable>
		<xsl:variable name="note_recommendation_text">
			Überprüfen Sie Ihre Gruppenkonstellation und beheben Sie die zirkuläre Verschachtelung.
		</xsl:variable>
	<!--POLICY:TRANSLATION:END-->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">msfileserver-admin-policies-policydetails-note</xsl:variable>
		<xsl:variable name="policyid" select="//parameters/parameter[@name='policyid']" />
		<xsl:variable name="qualitylevel" select="//parameters/parameter[@name='qualitylevel']" />	

		<p style="text-align:left;">
			<b><xsl:value-of select="$note_description_title"/>:</b><br/>
			<xsl:value-of select="$note_description_text"/>	
		</p>
		<p style="text-align:left;">
			<b><xsl:value-of select="$note_analysis_title"/>:</b><br/>
			<xsl:value-of select="$note_analysis_text"/>	
		</p>
		<p style="text-align:left;">
			<b><xsl:value-of select="$note_recommendation_title"/>:</b><br/>
			<xsl:value-of select="$note_recommendation_text"/>	
		</p>
	</xsl:template>
</xsl:stylesheet>