<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-admin-policies-policydetails</xsl:variable>
		<xsl:variable name="policyid" select="policy/policyid" />
		<xsl:variable name="description" select="policy/description" />
		<xsl:variable name="level" select="policy/level" />
		<xsl:variable name="message" select="policy/message" />
		<xsl:variable name="hasData" select="policy/hasData" />
		<xsl:variable name="hasNote" select="policy/hasNote" />
		<xsl:variable name="hasHistory" select="policy/hasHistory" />
		<xsl:variable name="hasPrint" select="policy/hasPrint" />
		<xsl:variable name="hasExportcsv" select="policy/hasExportcsv" />
		<xsl:variable name="hasExportpdf" select="policy/hasExportpdf" />
		<xsl:variable name="qualitylevel" select="policy/qualitylevel" />
		<xsl:variable name="duration" select="policy/duration" />
		
		<h1 class="dac-slider-header">
			<div class="entraid-slider-headline-icon entraid-slider-headline-icon-policy" style="margin-bottom:0px;"></div>
			<b><xsl:value-of select="$description" /></b>
		</h1>
		
		<div class="dac-slider-policies-options">
			<inchorus-button>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-button-close</xsl:attribute>
				<xsl:attribute name="type">icon</xsl:attribute>
				<xsl:attribute name="icon">close</xsl:attribute>
				<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_close" /></xsl:attribute>
				<xsl:attribute name="highlighting">low</xsl:attribute>
				<xsl:attribute name="active">true</xsl:attribute>
				<xsl:attribute name="border">true</xsl:attribute>
				<xsl:attribute name="hover">true</xsl:attribute>
				<xsl:attribute name="class">dac-slider-policies-options-close</xsl:attribute>
				<xsl:attribute name="onclick">
						entraid.slider.hideDetailsMaximized();
				</xsl:attribute>
			</inchorus-button>
			<xsl:if test="$hasExportcsv = 'true' or $hasExportpdf = 'true'">				
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-button-export</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">reports</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_reports" /></xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="border">true</xsl:attribute>
					<xsl:attribute name="hover">true</xsl:attribute>
					<xsl:attribute name="class">dac-slider-policies-options-reports</xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$parentid" />-tooltip-export').activate();
					</xsl:attribute>
				</inchorus-button>
				<inchorus-tooltip>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-export</xsl:attribute>
					<xsl:attribute name="position">bottom-left</xsl:attribute>
					<xsl:attribute name="active">false</xsl:attribute>
					<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
					<xsl:attribute name="hascontentfile">false</xsl:attribute>
					<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid" />-policy-button-export</xsl:attribute>
					<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
					<xsl:attribute name="deactivationcontentmode">remove</xsl:attribute>
					<xsl:attribute name="class">dac-tooltip-reports</xsl:attribute>
					
					<div class="dac-persons-tooltip-wrapper">
						<div class="dac-entraid-reports-preload-loading"/>
						<xsl:if test="$hasExportpdf = 'true'">							
							<div class="dac-entraid-tooltip-reports-row">
								<xsl:attribute name="onClick">
									inchorus.$('<xsl:value-of select="$parentid"/>-policy-export-form').setParameters(
									{
										'policyid' : '<xsl:value-of select="$policyid"/>',
										'qualitylevel' : '<xsl:value-of select="$qualitylevel"/>',
										'exporttype' : 'pdf'
										
									});
									inchorus.$('<xsl:value-of select="$parentid"/>-policy-export-form').submit();
									
									jQuery("#<xsl:value-of select="$parentid" />-tooltip-export-pdf").attr('class','dac-entraid-reports-loading');
				 					inchorus.$.delay(
										2000, 
										"inchorus.$('<xsl:value-of select="$parentid" />-tooltip-export').deactivate();jQuery('#<xsl:value-of select="$parentid" />-tooltip-export-pdf').attr('class','dac-entraid-reports-pdf')"
									);		
								</xsl:attribute>
								<div class="dac-entraid-reports-pdf">
									<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-export-pdf</xsl:attribute>
								</div>
								<xsl:value-of select="$inchorus_tooltip_reports_pdf" />
							</div>
						</xsl:if>
						<xsl:if test="$hasExportcsv = 'true'">
								<div class="dac-entraid-tooltip-reports-row-last">
								<xsl:attribute name="onClick">
									inchorus.$('<xsl:value-of select="$parentid"/>-policy-export-form').setParameters(
									{
										'policyid' : '<xsl:value-of select="$policyid"/>',
										'qualitylevel' : '<xsl:value-of select="$qualitylevel"/>',
										'exporttype' : 'csv'
										
									});
									inchorus.$('<xsl:value-of select="$parentid"/>-policy-export-form').submit();
									
									jQuery("#<xsl:value-of select="$parentid" />-tooltip-export-csv").attr('class','dac-entraid-reports-loading');
				 					inchorus.$.delay(
										2000, 
										"inchorus.$('<xsl:value-of select="$parentid" />-tooltip-export').deactivate();jQuery('#<xsl:value-of select="$parentid" />-tooltip-export-csv').attr('class','dac-entraid-reports-csv')"
									);	
								</xsl:attribute>
								<div class="dac-entraid-reports-csv">
									<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-export-csv</xsl:attribute>
								</div>
								<xsl:value-of select="$inchorus_tooltip_reports_csv" />
							</div>
						</xsl:if>
					</div>
					
				</inchorus-tooltip>
				<inchorus-form>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-export-form</xsl:attribute>
					<xsl:attribute name="submitprefix">inc-</xsl:attribute>
					<xsl:attribute name="responsetype">download</xsl:attribute>
					<xsl:attribute name="hasresponsefile">true</xsl:attribute>
					<xsl:attribute name="command">getPolicyExportData</xsl:attribute>
				</inchorus-form>
			</xsl:if>
			<xsl:if test="$hasPrint = 'true'">
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-button-print</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">print</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_print" /></xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="border">true</xsl:attribute>
					<xsl:attribute name="hover">true</xsl:attribute>
					<xsl:choose>
						<xsl:when test="$hasExportcsv = 'true' or $hasExportpdf = 'true'">
							<xsl:attribute name="style">float:right;margin-right:15px;</xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="style">float:right;margin-right:0px;</xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$parentid"/>-policy-print').submit();
					</xsl:attribute>
				</inchorus-button>						
				<inchorus-form>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-print</xsl:attribute>
					<xsl:attribute name="submitprefix">inc-</xsl:attribute>
					<xsl:attribute name="responsetype">tab</xsl:attribute>
					<xsl:attribute name="hasresponsefile">true</xsl:attribute>
					<xsl:attribute name="command">getPolicyPrintData</xsl:attribute>
					<xsl:attribute name="parameters">[{"policyid":"<xsl:value-of select="$policyid"/>"}, {"qualitylevel":"<xsl:value-of select="$qualitylevel"/>"}]</xsl:attribute>
				</inchorus-form>
			</xsl:if>
		</div>
		
<!-- 		<h2 class="dac-slider-header">
			<xsl:value-of select="$description" />
		</h2> -->
		
		<div class="dac-slider-content">
		
			<xsl:if test="$hasNote = 'true'">
				<inchorus-content>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-note-<xsl:value-of select="$policyid"/></xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="parameters">[{"policyid":"<xsl:value-of select="$policyid"/>"},{"qualitylevel":"<xsl:value-of select="$qualitylevel"/>"}]</xsl:attribute>
					<xsl:attribute name="command">getPolicyNote</xsl:attribute>
				</inchorus-content>
			</xsl:if>
			
			<inchorus-message>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message</xsl:attribute>
				<xsl:attribute name="type">
					<xsl:choose>
						<xsl:when test="$level = 'high'">error</xsl:when>
						<xsl:when test="$level = 'medium'">warning</xsl:when>
						<xsl:when test="$level = 'low'">success</xsl:when>
						<xsl:when test="$level = 'none'">node</xsl:when>
					</xsl:choose>
				</xsl:attribute>
				<xsl:attribute name="onclick">
						inchorus.$("entraid-admin-policies-policydetails-list").setCommand("getPolicyFirstData");
						inchorus.$("entraid-admin-policies-policydetails-list").setAlternativecontentfile("entraid-admin-policies-policydetails-list-<xsl:value-of select="$policyid"/>");
						inchorus.$("entraid-admin-policies-policydetails-list").setParameters(
								{
									"policyid":"<xsl:value-of select="$policyid"/>",
									"qualitylevel":"<xsl:value-of select="$qualitylevel"/>"
								}
						);
				</xsl:attribute>
				<xsl:attribute name="style">cursor:pointer;</xsl:attribute>
				<xsl:value-of select="$message"/>
			</inchorus-message>
			
			<div id="entraid-admin-policies-buttonbar" style="margin-top:-5px;padding-bottom:15px;overflow:hidden;height:auto;">
				<div class="dac-persons-buttonbar-wrapper">
				
					<xsl:if test="$hasData = 'true'">					
						<inchorus-button>
							<xsl:attribute name="id">entraid-admin-policies-button-list-policydetails</xsl:attribute>
							<xsl:attribute name="type">icon</xsl:attribute>
							<xsl:attribute name="icon">menu</xsl:attribute>
							<xsl:attribute name="title">Listen-Ansicht</xsl:attribute>
							<xsl:attribute name="highlighting">high</xsl:attribute>
							<xsl:attribute name="active">true</xsl:attribute>
							<xsl:attribute name="border">true</xsl:attribute>
							<xsl:attribute name="hover">true</xsl:attribute>
							<xsl:attribute name="onclick">
								jQuery('#entraid-admin-policies-button-list-policydetails').attr('highlighting','high');								
								jQuery('#entraid-admin-policies-button-history').attr('highlighting','low');
								inchorus.$('<xsl:value-of select="$parentid" />-history-select').deactivate();
								inchorus.$('<xsl:value-of select="$parentid" />-history').deactivate();
								inchorus.$('<xsl:value-of select="$parentid" />-list').activate();
							</xsl:attribute>
						</inchorus-button>
					</xsl:if>							 
					<inchorus-button>
						<xsl:attribute name="id">entraid-admin-policies-button-history</xsl:attribute>
						<xsl:attribute name="type">icon</xsl:attribute>
						<xsl:attribute name="icon">statistic</xsl:attribute>
						<xsl:attribute name="title">History-Ansicht</xsl:attribute>
						<xsl:attribute name="active">true</xsl:attribute>
						<xsl:attribute name="border">true</xsl:attribute>
						<xsl:attribute name="hover">true</xsl:attribute>
						<xsl:attribute name="onclick">
							jQuery('#entraid-admin-policies-button-history').attr('highlighting','high');
							<xsl:if test="$hasData = 'true'">
								jQuery('#entraid-admin-policies-button-list-policydetails').attr('highlighting','low');
								inchorus.$('<xsl:value-of select="$parentid" />-list').deactivate();
							</xsl:if>
							inchorus.$('<xsl:value-of select="$parentid" />-history-select').activate();
							inchorus.$('<xsl:value-of select="$parentid" />-history').activate();
						</xsl:attribute>
						History...
					</inchorus-button>			
				</div>
				<div class="dac-persons-buttonbar-wrapper">
				</div>			
			</div>
			
			<inchorus-content>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-list</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-list-<xsl:value-of select="$policyid"/></xsl:attribute>
				<xsl:attribute name="parameters">[{"policyid":"<xsl:value-of select="$policyid"/>"},{"qualitylevel":"<xsl:value-of select="$qualitylevel"/>"}]</xsl:attribute>
				<xsl:attribute name="command">getPolicyFirstData</xsl:attribute>
				<xsl:attribute name="activationcontentmode">once</xsl:attribute>
			</inchorus-content>
			
			<inchorus-content>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-history-select</xsl:attribute>
				<xsl:attribute name="active">false</xsl:attribute>
				<xsl:attribute name="hascontentfile">false</xsl:attribute>
				
				<div style="float:left;line-height:45px;margin-right:10px;color:#888;"><xsl:value-of select="$entraid_label_policies_showhistory" /></div>
				<inchorus-select>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-duration</xsl:attribute>
					<xsl:attribute name="name">inc-duration</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">select-duration</xsl:attribute>
					<xsl:attribute name="preselect"><xsl:value-of select="$duration" /></xsl:attribute>
					<xsl:attribute name="style">float:left;</xsl:attribute>
					<xsl:attribute name="onchange">
						var temp = $("#entraid-selectDuration").val();
<!-- 						<xsl:choose>
							<xsl:when test="$hasHistory = 'true'">
								inchorus.$("persons-admin-policies-policydetails-history").setAlternativecontentfile("persons-admin-policies-policydetails-history-<xsl:value-of select="$policyid" />");
							</xsl:when>
							<xsl:otherwise>
								inchorus.$("persons-admin-policies-policydetails-history").setAlternativecontentfile("persons-admin-policies-policydetails-history");
							</xsl:otherwise>
						</xsl:choose>	 -->					
						inchorus.$("entraid-admin-policies-policydetails-history").setParameters(
							{	
								"policyid": "<xsl:value-of select="$policyid" />",
								"qualitylevel": "<xsl:value-of select="$qualitylevel" />",
								"duration": temp
							}
						);
<!-- 						inchorus.$("entraid-admin-policies-policydetails-history").setCommand("getPolicyHistoryData"); -->
						inchorus.$("entraid-admin-policies-policydetails-history").load();
					</xsl:attribute>
				</inchorus-select>
			</inchorus-content>
		
			<inchorus-content>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-history</xsl:attribute>
				<xsl:attribute name="active">false</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:choose>
					<xsl:when test="$hasHistory = 'true'">
						<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-history-<xsl:value-of select="$policyid"/></xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-history</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>				
				<xsl:attribute name="parameters">[{"policyid":"<xsl:value-of select="$policyid"/>"},{"qualitylevel":"<xsl:value-of select="$qualitylevel"/>"},{"duration":"7"}]</xsl:attribute>
				<xsl:attribute name="command">getPolicyHistoryData</xsl:attribute>
				<!-- <xsl:attribute name="activationcontentmode">once</xsl:attribute> -->
				<xsl:attribute name="style">margin-top: -5px;padding-bottom: 15px;overflow: hidden;height: auto;</xsl:attribute>
			</inchorus-content>
			
			
		</div>
	</xsl:template>
</xsl:stylesheet>