<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-portalsetup-admin-systems-lightbox-editsystem-entraid</xsl:variable>
		<xsl:variable name="previousparentid">slider-systemdetails-lightbox-editsystem</xsl:variable>
		<xsl:variable name="systemid" select="//data/parameters/parameter[@name='systemid']"/>
		<xsl:variable name="systemtype" select="//data/parameters/parameter[@name='systemtype']"/>
		<xsl:variable name="domainname" select="//data/systems/system/name"/>
		<xsl:variable name="host" select="//data/systems/system/parameters/parameter[@name='host']"/>
		<xsl:variable name="hostname" select="//data/systems/system/parameters/parameter[@name='hostname']"/>
		<xsl:variable name="ssl" select="//data/systems/system/parameters/parameter[@name='ssl']"/>
		<xsl:variable name="port" select="//data/systems/system/parameters/parameter[@name='port']"/>
		<xsl:variable name="userdn" select="//data/systems/system/parameters/parameter[@name='userdn']"/>
		<xsl:variable name="userpw" select="//data/systems/system/parameters/parameter[@name='userpw']"/>
		<xsl:variable name="domainbasedn" select="//data/systems/system/parameters/parameter[@name='domainbasedn']"/>
		<xsl:variable name="proxyhost" select="//data/systems/system/parameters/parameter[@name='proxyhost']"/>
		<xsl:variable name="proxyport" select="//data/systems/system/parameters/parameter[@name='proxyport']"/>
		<xsl:variable name="sslproxy" select="//data/systems/system/parameters/parameter[@name='sslproxy']"/>
		<xsl:variable name="proxyusername" select="//data/systems/system/parameters/parameter[@name='proxyusername']"/>
		<xsl:variable name="proxypassword" select="//data/systems/system/parameters/parameter[@name='proxypassword']"/>
		<xsl:variable name="schedule" select="//data/systems/system/parameters/parameter[@name='schedule']"/>
		<xsl:variable name="loglevel" select="//data/systems/collectors/collector/loglevel"/>
		<xsl:variable name="historymaxnumberofdays" select="//data/systems/collectors/collector/historymaxnumberofdays"/>
		<xsl:variable name="statisticmaxnumberofdays" select="//data/systems/collectors/collector/statisticmaxnumberofdays"/>
		
		<xsl:variable name="authority" select="//data/systems/system/parameters/parameter[@name='authority']"/>
		<xsl:variable name="tenant" select="//data/systems/system/parameters/parameter[@name='tenant']"/>
		<xsl:variable name="clientid" select="//data/systems/system/parameters/parameter[@name='clientid']"/>
		<xsl:variable name="secret" select="//data/systems/system/parameters/parameter[@name='secret']"/>
		<xsl:variable name="scope" select="//data/systems/system/parameters/parameter[@name='scope']"/>
		<xsl:variable name="tenantname" select="//data/systems/system/parameters/parameter[@name='tenantname']"/>
		<xsl:variable name="connecteddomain" select="//data/systems/system/parameters/parameter[@name='connecteddomain']"/>

		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			<xsl:attribute name="command">modifyEntraIDSystem</xsl:attribute>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-systemid</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$systemid"/></xsl:attribute>
				<xsl:attribute name="name">inc-systemid</xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-authority</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$authority"/></xsl:attribute>
				<xsl:attribute name="name">inc-authority</xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-scope</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$scope"/></xsl:attribute>
				<xsl:attribute name="name">inc-scope</xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tenantname</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$tenantname"/></xsl:attribute>
				<xsl:attribute name="name">inc-tenantname</xsl:attribute>
			</input>
								
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-secret-old</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$secret"/></xsl:attribute>
				<xsl:attribute name="name">inc-secret-old</xsl:attribute>
			</input>

			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-clientid-old</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$clientid"/></xsl:attribute>
				<xsl:attribute name="name">inc-clientid-old</xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyhost-old</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$proxyhost"/></xsl:attribute>
				<xsl:attribute name="name">inc-proxyhost-old</xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyport-old</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$proxyport"/></xsl:attribute>
				<xsl:attribute name="name">inc-proxyport-old</xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyusername-old</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$proxyusername"/></xsl:attribute>
				<xsl:attribute name="name">inc-proxyusername-old</xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxypassword-old</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$proxypassword"/></xsl:attribute>
				<xsl:attribute name="name">inc-proxypassword-old</xsl:attribute>
			</input>
									
			<div style="padding:0px 0px 0px 0px;">
					<div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper">
								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-tenant</xsl:attribute>
									<xsl:value-of select="$entraid_setup_system_lightbox_tenant" />*
								</label>
								<input>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tenant</xsl:attribute>
									<xsl:attribute name="type">text</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="$tenant"/></xsl:attribute>
									<xsl:attribute name="name">inc-tenant</xsl:attribute>
									<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-tenant-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-tenant-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-tenant').removeClass('inchorus-form-invalid');
									</xsl:attribute>
									<xsl:attribute name="disabled">disabled</xsl:attribute>
									<xsl:attribute name="style">color:#888;width:300px;margin: 7px 0 7px;</xsl:attribute>
								</input>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tenant-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-tenant</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$entraid_setup_tooltip_tenant" />
									</div>
								</inchorus-tooltip>
							</div>
						</div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper">
								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-clientid</xsl:attribute>
									<xsl:value-of select="$entraid_setup_system_lightbox_clientid" />*
								</label>
								<input>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-clientid</xsl:attribute>
									<xsl:attribute name="type">text</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="$clientid"/></xsl:attribute>
									<xsl:attribute name="name">inc-clientid</xsl:attribute>
									<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-clientid-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-clientid-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-clientid').removeClass('inchorus-form-invalid');
									</xsl:attribute>
									<xsl:attribute name="style">color:#888;width:300px;margin: 7px 0 7px;</xsl:attribute>
								</input>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-clientid-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-clientid</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$entraid_setup_tooltip_clientid" />
									</div>
								</inchorus-tooltip>
							</div>
						</div>
					</div>				
					<div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper">
									<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
										<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-secret</xsl:attribute>
										<xsl:value-of select="$entraid_setup_system_lightbox_secret" />*
									</label>
									<input>
										<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-secret</xsl:attribute>
										<xsl:attribute name="type">password</xsl:attribute>
										<xsl:attribute name="placeholder">*****</xsl:attribute>
										<xsl:attribute name="name">inc-secret</xsl:attribute>
										<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
										<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-secret-tooltip').activate();</xsl:attribute>
										<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-secret-tooltip').deactivate();</xsl:attribute>
										<xsl:attribute name="onchange">
											$('#<xsl:value-of select="$parentid"/>-label-secret').removeClass('inchorus-form-invalid');
										</xsl:attribute>
										<xsl:attribute name="style">color:#888;width:300px;margin: 7px 0 7px;</xsl:attribute>
									</input>
									<inchorus-tooltip>
										<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-secret-tooltip</xsl:attribute>
										<xsl:attribute name="active">false</xsl:attribute>
										<xsl:attribute name="position">right-middle</xsl:attribute>
										<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
										<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
										<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-secret</xsl:attribute>
										<xsl:attribute name="hascontentfile">false</xsl:attribute>
										<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
			
										<div style="margin: 0px 15px;padding: 0px;">
											<xsl:value-of select="$entraid_setup_tooltip_secret" />
										</div>
									</inchorus-tooltip>
							</div>
						</div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper">
								<label  class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-connecteddomain</xsl:attribute>
									<xsl:value-of select="$entraid_setup_system_lightbox_connecteddomain" />*
								</label>
								<inchorus-select>
									<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-connecteddomain</xsl:attribute>
									<xsl:attribute name="name">inc-connecteddomain</xsl:attribute>
									<xsl:attribute name="hascontentfile">true</xsl:attribute>
									<xsl:attribute name="alternativecontentfile">select-domain</xsl:attribute>
									<xsl:attribute name="parameters">[{"notconnected":"true"},{"disabled":"disabled"}]</xsl:attribute>
									<xsl:attribute name="preselect"><xsl:value-of select="$connecteddomain" /></xsl:attribute>
									<xsl:attribute name="command">getADSystems</xsl:attribute>
									<xsl:attribute name="active">true</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-connecteddomain-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-connecteddomain-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										inchorus.$('<xsl:value-of select="$parentid"/>-connecteddomain-tooltip').deactivate();
										$('#<xsl:value-of select="$parentid"/>-label-connecteddomain').removeClass('inchorus-form-invalid');
									</xsl:attribute>
									<xsl:attribute name="disabled">disabled</xsl:attribute>
									<xsl:attribute name="style">color:#888;width:300px;</xsl:attribute>
								</inchorus-select>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-connecteddomain-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-connecteddomain</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 11px 0px 15px 0px;">
										<xsl:value-of select="$entraid_setup_tooltip_connecteddomain" />
									</div>
								</inchorus-tooltip>
							</div>
						</div>
					</div>

					<div>
						<div style="width:100%;float:left;">
							<div class="inc-portal-input-wrapper" style="height: 48px;">
								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-proxy</xsl:attribute>
									<xsl:value-of select="$entraid_setup_system_lightbox_proxy" />*
								</label>

								<inchorus-select>
									<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-sslproxy</xsl:attribute>
									<xsl:attribute name="name">inc-sslproxy</xsl:attribute>
									<xsl:attribute name="hascontentfile">true</xsl:attribute>
									<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									<xsl:attribute name="alternativecontentfile">select-proxy</xsl:attribute>
									<xsl:attribute name="command">getDefaultData</xsl:attribute>
									<xsl:attribute name="active">true</xsl:attribute>
									<xsl:attribute name="preselect"><xsl:value-of select="$sslproxy" /></xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-sslproxy-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-sslproxy-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										
										var proxytemp = jQuery('#entraid-selectProxy option:selected').val();
										
										if (proxytemp == 'false' || proxytemp == 'true') {
											jQuery('#slider-systemdetails-lightbox-editsystem').addClass('withproxy');
											jQuery('#<xsl:value-of select="$parentid" />-proxyhost').attr('inchorus-validate','.+');
									        jQuery('#<xsl:value-of select="$parentid" />-proxyport').attr('inchorus-validate','.+');
											inchorus.$('<xsl:value-of select="$parentid" />-proxycontent').activate();
										} else {
											jQuery('#slider-systemdetails-lightbox-editsystem').removeClass('withproxy');
											jQuery('#<xsl:value-of select="$parentid" />-proxyhost').removeAttr('inchorus-validate');
											jQuery('#<xsl:value-of select="$parentid" />-proxyport').removeAttr('inchorus-validate');
											inchorus.$('<xsl:value-of select="$parentid" />-proxycontent').deactivate();
										}
										
										inchorus.$('<xsl:value-of select="$parentid"/>-sslproxy-tooltip').deactivate();
										$('#<xsl:value-of select="$parentid"/>-label-sslproxy').removeClass('inchorus-form-invalid');
									</xsl:attribute>
								</inchorus-select>
													
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-sslproxy-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-field-sslproxy</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$entraid_setup_tooltip_sslproxy" />
									</div>
								</inchorus-tooltip>
							</div>
						</div>
					</div>

					
					<inchorus-content>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxycontent</xsl:attribute>
						<xsl:attribute name="hascontentfile">false</xsl:attribute>
						<xsl:choose>
							<xsl:when test="$sslproxy = 'false' or $sslproxy = 'true'">
								<xsl:attribute name="active">true</xsl:attribute>
								<script>
									jQuery('#slider-systemdetails-lightbox-editsystem').addClass('withproxy');
								</script>
							</xsl:when>
							<xsl:otherwise>
								<xsl:attribute name="active">false</xsl:attribute>
							</xsl:otherwise>
						</xsl:choose>

					
					<div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper">
								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-tenant</xsl:attribute>
									<xsl:value-of select="$entraid_setup_system_lightbox_proxyhost" />*
								</label>
								<input>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyhost</xsl:attribute>
									<xsl:attribute name="type">text</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="$proxyhost"/></xsl:attribute>
									<xsl:attribute name="name">inc-proxyhost</xsl:attribute>
									<xsl:if test="$proxyhost != ''">
										<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									</xsl:if>
									<xsl:attribute name="preselect"><xsl:value-of select="$proxyhost" /></xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-proxyhost-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-proxyhost-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-proxyhost').removeClass('inchorus-form-invalid');
									</xsl:attribute>
									<xsl:attribute name="style">color:#888;width:300px;margin: 7px 0 7px;</xsl:attribute>
								</input>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyhost-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-proxyhost</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$entraid_setup_tooltip_proxyhost" />
									</div>
								</inchorus-tooltip>
							</div>
						</div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper">
								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-proxyport</xsl:attribute>
									<xsl:value-of select="$entraid_setup_system_lightbox_proxyport" />*
								</label>
								<input>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyport</xsl:attribute>
									<xsl:attribute name="type">text</xsl:attribute>
									<xsl:attribute name="value"><xsl:value-of select="$proxyport"/></xsl:attribute>
									<xsl:attribute name="name">inc-proxyport</xsl:attribute>
									<xsl:if test="$proxyhost != ''">
										<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									</xsl:if>
									<xsl:attribute name="preselect"><xsl:value-of select="$proxyport" /></xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-proxyport-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-proxyport-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-proxyport').removeClass('inchorus-form-invalid');
									</xsl:attribute>
									<xsl:attribute name="style">color:#888;width:300px;margin: 7px 0 7px;</xsl:attribute>
								</input>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyport-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-proxyport</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$entraid_setup_tooltip_proxyport" />
									</div>
								</inchorus-tooltip>
							</div>
						</div>
					</div>
							
							<div>
								<div style="width:50%;float:left;">
									<div class="inc-portal-input-wrapper">
										<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
											<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-proxyusername</xsl:attribute>
											<xsl:value-of select="$entraid_setup_system_lightbox_proxyusername" />
										</label>
										<input>
											<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyusername</xsl:attribute>
											<xsl:attribute name="type">text</xsl:attribute>
											<xsl:attribute name="value"><xsl:value-of select="$proxyusername"/></xsl:attribute>
											<xsl:attribute name="name">inc-proxyusername</xsl:attribute>
											<xsl:attribute name="preselect"><xsl:value-of select="$proxyusername" /></xsl:attribute>
											<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
											<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-proxyusername-tooltip').activate();</xsl:attribute>
											<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-proxyusername-tooltip').deactivate();</xsl:attribute>
											<xsl:attribute name="onchange">
												$('#<xsl:value-of select="$parentid"/>-label-proxyusername').removeClass('inchorus-form-invalid');
											</xsl:attribute>
											<xsl:attribute name="style">color:#888;width:300px;margin: 7px 0 7px;</xsl:attribute>
										</input>
										<inchorus-tooltip>
											<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyusername-tooltip</xsl:attribute>
											<xsl:attribute name="active">false</xsl:attribute>
											<xsl:attribute name="position">right-middle</xsl:attribute>
											<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
											<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
											<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-proxyusername</xsl:attribute>
											<xsl:attribute name="hascontentfile">false</xsl:attribute>
											<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
				
											<div style="margin: 0px 15px;padding: 0px;">
												<xsl:value-of select="$entraid_setup_tooltip_proxyusername" />
											</div>
										</inchorus-tooltip>
									</div>
								</div>
								<div style="width:50%;float:left;">
									<div class="inc-portal-input-wrapper">
										<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
											<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-proxypassword</xsl:attribute>
											<xsl:value-of select="$entraid_setup_system_lightbox_proxypassword" />
										</label>
										<input>
											<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxypassword</xsl:attribute>
											<xsl:attribute name="type">password</xsl:attribute>
											<xsl:attribute name="placeholder">*****</xsl:attribute>
											<xsl:attribute name="name">inc-proxypassword</xsl:attribute>
											<xsl:attribute name="preselect"><xsl:value-of select="$proxypassword" /></xsl:attribute>
											<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
											<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-proxypassword-tooltip').activate();</xsl:attribute>
											<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-proxypassword-tooltip').deactivate();</xsl:attribute>
											<xsl:attribute name="onchange">
												$('#<xsl:value-of select="$parentid"/>-label-proxypassword').removeClass('inchorus-form-invalid');
											</xsl:attribute>
											<xsl:attribute name="style">color:#888;width:300px;margin: 7px 0 7px;</xsl:attribute>
										</input>
										<inchorus-tooltip>
											<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxypassword-tooltip</xsl:attribute>
											<xsl:attribute name="active">false</xsl:attribute>
											<xsl:attribute name="position">right-middle</xsl:attribute>
											<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
											<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
											<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-proxypassword</xsl:attribute>
											<xsl:attribute name="hascontentfile">false</xsl:attribute>
											<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
				
											<div style="margin: 0px 15px;padding: 0px;">
												<xsl:value-of select="$entraid_setup_tooltip_proxypassword" />
											</div>
										</inchorus-tooltip>
									</div>
								</div>
							</div>

					</inchorus-content>
															
					<div class="inc-portal-input-wrapper">
						<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-schedule</xsl:attribute>
							<xsl:value-of select="$entraid_setup_label_scheduler" />*
						</label>
						
						<div>
							<script type="text/javascript">
								    $('#<xsl:value-of select="$parentid"/>-schedule-wrapper').cron({
									    <xsl:choose>
									    	<xsl:when test="$schedule != ''">
									    		initial: "<xsl:value-of select="$schedule"/>",
									    	</xsl:when>
									    	<xsl:otherwise>
									    		initial: "0 0 0 0 0",
									    	</xsl:otherwise>
								    	</xsl:choose>
								    	onChange: function() {
								        	$('#<xsl:value-of select="$parentid"/>-schedule').val($(this).cron("value"));
								    	},
								    	customValues: {
									        "<xsl:value-of select="$entraid_setup_cron_notscheduled"/>" : "0 0 0 0 0"
									    }
									}); 
							</script>
						</div>
						
						<div>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-schedule-wrapper</xsl:attribute>
						</div>
										 
						<input>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-schedule</xsl:attribute>
							<xsl:attribute name="type">hidden</xsl:attribute>
							<xsl:choose>
								<xsl:when test="$schedule != ''">
						    		<xsl:attribute name="value"><xsl:value-of select="$schedule"/></xsl:attribute>
						    	</xsl:when>
						    	<xsl:otherwise>
									<xsl:attribute name="value">0 0 0 0 0</xsl:attribute>
						    	</xsl:otherwise>
						   </xsl:choose>
							<xsl:attribute name="name">inc-schedule</xsl:attribute>
						</input>
					</div>
					<div class="inc-portal-input-wrapper">
						<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-loglevel</xsl:attribute>
							<xsl:value-of select="$entraid_setup_lightbox_loglevel" />*
						</label>
						<inchorus-select>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-loglevel</xsl:attribute>
							<xsl:attribute name="name">inc-loglevel</xsl:attribute>
							<xsl:attribute name="hascontentfile">true</xsl:attribute>
							<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
							<xsl:attribute name="alternativecontentfile">select-loglevel</xsl:attribute>
							<xsl:attribute name="command">getDefaultData</xsl:attribute>
							<xsl:attribute name="preselect"><xsl:value-of select="$loglevel" /></xsl:attribute>
							<xsl:attribute name="active">true</xsl:attribute>
							<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
							<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-loglevel-tooltip').activate();</xsl:attribute>
							<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-loglevel-tooltip').deactivate();</xsl:attribute>
							<xsl:attribute name="onchange">
								$('#<xsl:value-of select="$parentid"/>-label-loglevel').removeClass('inchorus-form-invalid');
							</xsl:attribute>
						</inchorus-select>
						<inchorus-tooltip>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-loglevel-tooltip</xsl:attribute>
							<xsl:attribute name="active">false</xsl:attribute>
							<xsl:attribute name="position">right-middle</xsl:attribute>
							<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
							<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
							<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-field-loglevel</xsl:attribute>
							<xsl:attribute name="hascontentfile">false</xsl:attribute>
							<xsl:attribute name="class">system-tooltip-help</xsl:attribute>

							<div style="margin: 0px 15px;padding: 0px;">
								<xsl:value-of select="$entraid_setup_lightbox_tooltip_loglevel" />
							</div>
						</inchorus-tooltip>
					</div>
					<div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper">
								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field" style="line-height:24px;">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-historymaxnumberofdays</xsl:attribute>
									<xsl:value-of select="$entraid_setup_lightbox_historymaxnumberofdays" />*
								</label>
								<inchorus-select>
									<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-historymaxnumberofdays</xsl:attribute>
									<xsl:attribute name="name">inc-historymaxnumberofdays</xsl:attribute>
									<xsl:attribute name="hascontentfile">true</xsl:attribute>
									<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									<xsl:attribute name="alternativecontentfile">select-historymaxnumberofdays</xsl:attribute>
									<xsl:attribute name="command">getDefaultData</xsl:attribute>
									<xsl:attribute name="preselect"><xsl:value-of select="$historymaxnumberofdays" /></xsl:attribute>
									<xsl:attribute name="active">true</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-historymaxnumberofdays-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-historymaxnumberofdays-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-historymaxnumberofdays').removeClass('inchorus-form-invalid');
									</xsl:attribute>
								</inchorus-select>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-historymaxnumberofdays-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-field-historymaxnumberofdays</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$entraid_setup_lightbox_tooltip_historymaxnumberofdays" />
									</div>
								</inchorus-tooltip>
							</div>
						</div>
						<div style="width:50%;float:left;">
							<div class="inc-portal-input-wrapper" style="padding-left:15px;">
								<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field <!--GADGET:LANGUAGE-->" style="line-height:24px;">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-statisticmaxnumberofdays</xsl:attribute>
									<xsl:value-of select="$entraid_setup_lightbox_statisticmaxnumberofdays" />*
								</label>
								<inchorus-select>
									<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-statisticmaxnumberofdays</xsl:attribute>
									<xsl:attribute name="name">inc-statisticmaxnumberofdays</xsl:attribute>
									<xsl:attribute name="hascontentfile">true</xsl:attribute>
									<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
									<xsl:attribute name="alternativecontentfile">select-statisticmaxnumberofdays</xsl:attribute>
									<xsl:attribute name="command">getDefaultData</xsl:attribute>
									<xsl:attribute name="preselect"><xsl:value-of select="$statisticmaxnumberofdays" /></xsl:attribute>
									<xsl:attribute name="active">true</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-statisticmaxnumberofdays-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-statisticmaxnumberofdays-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-statisticmaxnumberofdays').removeClass('inchorus-form-invalid');
									</xsl:attribute>
								</inchorus-select>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-statisticmaxnumberofdays-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-field-statisticmaxnumberofdays</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 0px;">
										<xsl:value-of select="$entraid_setup_lightbox_tooltip_statisticmaxnumberofdays" />
									</div>
								</inchorus-tooltip>
							</div>
						</div>
					</div>
					
					
					<div style="position:absolute;bottom:67px;width:calc(100% - 40px);">
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
					</div>
					
					<div style="width: 100%;position:absolute;bottom:10px;">
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-check</xsl:attribute>
							<xsl:attribute name="class">dac-system-lightbox-button-check</xsl:attribute>
							<xsl:attribute name="type">icontext</xsl:attribute>
							<xsl:attribute name="icon">save</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_save" /></xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$parentid"/>-button-check').setStatus('loading');
								inchorus.$('<xsl:value-of select="$parentid"/>-button-abort').deactivate();
								inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
							</xsl:attribute>
						</inchorus-button>
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-abort</xsl:attribute>
							<xsl:attribute name="class">dac-system-lightbox-button-abort</xsl:attribute>
							<xsl:attribute name="type">icontext</xsl:attribute>
							<xsl:attribute name="icon">close</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_abort" /></xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$previousparentid"/>').deactivate();
								jQuery('#slider-systemdetails-lightbox-editsystem').removeClass('withproxy');
							</xsl:attribute>
							<xsl:attribute name="style">right:25px;position:absolute;</xsl:attribute>
						</inchorus-button>
					</div>
				</div>
		</inchorus-form>
			<script>
				jQuery('#entraid-selectDomain').setAttr('disabled','disabled');
			</script>
	</xsl:template>
</xsl:stylesheet>