<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-portalsetup-admin-systems-lightbox-editsystem</xsl:variable>
		<xsl:variable name="tab" select="//data/parameters/parameter[@name='tab']"/>
		<xsl:variable name="header" select="//data/parameters/parameter[@name='header']"/>
		<xsl:variable name="systemid" select="//data/parameters/parameter[@name='systemid']"/>
		<xsl:variable name="systemtype" select="//data/parameters/parameter[@name='systemtype']"/>

		<h3>
			<xsl:value-of select="$header" />
		</h3>

		<div class="inchorus-lightbox-options">
			
			<!-- lightbox close button start -->
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-close</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="border">false</xsl:attribute>
					<xsl:attribute name="highlighting">none</xsl:attribute>
					<xsl:attribute name="hover">false</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$entraid_setup_button_close" /></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('slider-systemdetails-lightbox-editsystem').deactivate();
						jQuery('#slider-systemdetails-lightbox-editsystem').removeClass('withproxy');
					</xsl:attribute>
		 		</inchorus-button>
			<!-- lightbox close button end -->
				
		</div>

		<div style="margin-top:17px;padding: 0px 20px 20px 20px;">
			<inchorus-tabs>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tabs</xsl:attribute>
				   	<xsl:choose>
					   	<xsl:when test="$tab = 'system'">
					   		<xsl:attribute name="activeheaderid"><xsl:value-of select="$parentid" />-tab-header-system</xsl:attribute>
					    </xsl:when>
					    <xsl:otherwise>
					    	<xsl:attribute name="activeheaderid"><xsl:value-of select="$parentid" />-tab-header-system</xsl:attribute>
					    </xsl:otherwise>
				    </xsl:choose>


				<inchorus-tab-header-area>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tab-header-area</xsl:attribute>
					    		
				   	<inchorus-tab-header>
				   		<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tab-header-system</xsl:attribute>
				       	<xsl:attribute name="linkedcontentid"><xsl:value-of select="$parentid" />-tab-content-system</xsl:attribute>
				       	<xsl:value-of select="$entraid_setup_tab_system" />
				   	</inchorus-tab-header>
				</inchorus-tab-header-area>		
			
				<inchorus-tab-content-area>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tabs-content-area</xsl:attribute>

					<inchorus-tab-content>
				    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tab-content-system</xsl:attribute>
				       	<xsl:attribute name="hascontentfile">true</xsl:attribute>
				      	<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-entraid</xsl:attribute>
				      	<xsl:attribute name="command">getSystem</xsl:attribute>
				      	<xsl:attribute name="parameters">[{"systemid":"<xsl:value-of select="$systemid" />"}]</xsl:attribute>
					</inchorus-tab-content>
					
				</inchorus-tab-content-area>
			</inchorus-tabs>
		</div>

	</xsl:template>
</xsl:stylesheet>