<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-admin-groups-filter</xsl:variable>
		<xsl:variable name="previousparentid">persons-admin-groups</xsl:variable>
		<xsl:variable name="status" select="//parameters/parameter[@name='status']" />
		<xsl:variable name="type" select="//parameters/parameter[@name='type']" />
		<xsl:variable name="variable_column_1" select="//parameters/parameter[@name='column-1']" />
		<xsl:variable name="variable_column_2" select="//parameters/parameter[@name='column-2']" />
		
		<table>
	    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-table</xsl:attribute>
		    <tr>
		    	<th><xsl:value-of select="$entraid_list_groupname"/></th>
		        <th><xsl:value-of select="$entraid_list_description"/></th>
		        <th><xsl:value-of select="$entraid_list_type"/></th>
		        <th style="width:82px;"></th>
		    </tr>
		    <tr>
				<td>
					<input>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-groupname</xsl:attribute>
						<xsl:attribute name="type">text</xsl:attribute>
						<xsl:attribute name="name">inc-ftGroupname</xsl:attribute>
						<xsl:attribute name="title"></xsl:attribute>
						<xsl:attribute name="value"></xsl:attribute>
						<xsl:attribute name="preselect"></xsl:attribute>
					</input>
				</td>
				<td>
					<input>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-description</xsl:attribute>
						<xsl:attribute name="type">text</xsl:attribute>
						<xsl:attribute name="name">inc-ftDescription</xsl:attribute>
						<xsl:attribute name="title"></xsl:attribute>
						<xsl:attribute name="value"></xsl:attribute>
						<xsl:attribute name="preselect"></xsl:attribute>
					</input>
				</td>
				<td>
					<inchorus-select>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-type</xsl:attribute>
						<xsl:attribute name="name">inc-ftType</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="alternativecontentfile">select-grouptype</xsl:attribute>
						<xsl:attribute name="command">getDefaultData</xsl:attribute>
						<xsl:attribute name="active">true</xsl:attribute>
					</inchorus-select>
				</td>
				<td>
		          <inchorus-button>
		          	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-search</xsl:attribute>
		            <xsl:attribute name="type">icon</xsl:attribute>
		            <xsl:attribute name="icon">search</xsl:attribute>
		            <xsl:attribute name="highlighting">medium</xsl:attribute>
		            <xsl:attribute name="title"><xsl:value-of select="$inchorus_button_search" /></xsl:attribute>
		            <xsl:attribute name="onclick">
		            	inchorus.$('<xsl:value-of select="$parentid" />').submit();
		            </xsl:attribute>
		          </inchorus-button>
		          <inchorus-button>
		            <xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-clear</xsl:attribute>
		            <xsl:attribute name="type">icon</xsl:attribute>
		            <xsl:attribute name="icon">clear</xsl:attribute>
		            <xsl:attribute name="title"><xsl:value-of select="$inchorus_button_clear" /></xsl:attribute>
		            <xsl:attribute name="onclick">
		            	inchorus.$('<xsl:value-of select="$previousparentid"/>').setParameters(
							{
							"status" : "",
							"type" : ""	
							}
						);
		            	inchorus.$('<xsl:value-of select="$parentid" />').clear();
		            </xsl:attribute>
		          </inchorus-button>
		        </td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>