<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-response-policies-policydetails</xsl:variable>
		<xsl:variable name="policyid" select="policy/policyid" />
		<xsl:variable name="description" select="policy/description" />
		<xsl:variable name="level" select="policy/level" />
		<xsl:variable name="message" select="policy/message" />
		<xsl:variable name="hasData" select="policy/hasData" />
		<xsl:variable name="hasNote" select="policy/hasNote" />
		<xsl:variable name="mode">dev</xsl:variable>
			
		<inchorus-button id="inchorus-favorite-lightbox-close">
			<xsl:attribute name="active">true</xsl:attribute>
			<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_close" /></xsl:attribute>
			<xsl:attribute name="type">icon</xsl:attribute>
			<xsl:attribute name="icon">close</xsl:attribute>
			<xsl:attribute name="border">false</xsl:attribute>
			<xsl:attribute name="highlighting">none</xsl:attribute>
			<xsl:attribute name="hover">false</xsl:attribute>
			<xsl:attribute name="style">position:absolute; right:0px;top:20px;</xsl:attribute>
			<xsl:attribute name="onclick">
		  		toggleSliderPolicies();
		  		jQuery('#entraid-slider-policies-notclickable').hide();
		  	</xsl:attribute>
  		</inchorus-button>
		
		<h2><xsl:value-of select="$description" /></h2>
		
		<xsl:if test="$hasNote = 'true'">
			<inchorus-content>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-note-<xsl:value-of select="$policyid"/></xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="parameters">[{"policyid":"<xsl:value-of select="$policyid"/>"},{"mode":"<xsl:value-of select="$mode"/>"}]</xsl:attribute>
				<xsl:attribute name="command">getPolicyNote</xsl:attribute>
			</inchorus-content>
		</xsl:if>
		
		<inchorus-message>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message</xsl:attribute>
			<xsl:attribute name="type">
				<xsl:choose>
					<xsl:when test="$level = 'high'">error</xsl:when>
					<xsl:when test="$level = 'medium'">warning</xsl:when>
					<xsl:when test="$level = 'low'">success</xsl:when>
					<xsl:when test="$level = 'none'">node</xsl:when>
				</xsl:choose>
			</xsl:attribute>
			<xsl:attribute name="onclick">
					inchorus.$("entraid-responsible-policies-policydetails-list").setCommand("getPolicyFirstData");
					inchorus.$("entraid-responsible-policies-policydetails-list").setAlternativecontentfile("entraid-responsible-policies-policydetails-list-<xsl:value-of select="$policyid"/>");
					inchorus.$("entraid-responsible-policies-policydetails-list").setParameters(
							{
								"policyid":"<xsl:value-of select="$policyid"/>",
								"mode":"<xsl:value-of select="$mode"/>"
							}
					);
			</xsl:attribute>
			<xsl:attribute name="style">cursor:pointer;</xsl:attribute>
			<xsl:value-of select="$message"/>
		</inchorus-message>
		
		<xsl:if test="$hasData = 'true'">
			<inchorus-content>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-list</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-list-<xsl:value-of select="$policyid"/></xsl:attribute>
				<xsl:attribute name="parameters">[{"policyid":"<xsl:value-of select="$policyid"/>"},{"mode":"<xsl:value-of select="$mode"/>"}]</xsl:attribute>
				<xsl:attribute name="command">getPolicyFirstData</xsl:attribute>
				<xsl:attribute name="activationcontentmode">once</xsl:attribute>
			</inchorus-content>
		</xsl:if>
		
		<div class="row dac-persons-margintop-20px">
			<div style="width:100%;float:left;position: relative;height: 260px;padding-right: 10px;box-sizing: border-box;margin-right:20px;background-color:#fff;border: 1px solid #ddd;border-radius: 4px;padding: 17px 10px 0px 10px;">
				<div id="chart" style="height:250px;">
				</div>
			</div>
		</div>
		
		
		<script>
var options = {
 annotations: {
        yaxis: [{
          y: 0,
          y2: 25,
          borderColor: '#000',
          fillColor: '#4f8e56',
          opacity: 0.2,
          label: {
            borderColor: 'transparent',
            style: {
              fontSize: '0px',
              color: 'transparent',
              background: 'transparent',
              display: 'none',
            },
            text: '.'
          }
        },
        {
          y: 26,
          y2: 50,
          borderColor: '#000',
          fillColor: '#FFBA00',
          opacity: 0.2,
          label: {
            borderColor: 'transparent',
            style: {
              fontSize: '0px',
              color: 'transparent',
              background: 'transparent',
            },
            text: '.',
          }
        },
        {
          y: 50,
          y2: 150,
          borderColor: '#000',
          fillColor: '#ef1e1e',
          opacity: 0.2,
          label: {
            borderColor: 'transparent',
            style: {
              fontSize: '0px',
              color: 'transparent',
              background: 'transparent',
            },
            text: '.',
          }
        }],
        xaxis: [{
          x: new Date('23 Nov 2017').getTime(),
          strokeDashArray: 0,
          borderColor: '#775DD0',
          label: {
            borderColor: '#775DD0',
            style: {
              color: '#fff',
              background: '#775DD0',
            },
            text: 'Anno Test',
          }
        }, {
          x: new Date('26 Nov 2017').getTime(),
          x2: new Date('28 Nov 2017').getTime(),
          fillColor: '#B3F7CA',
          opacity: 0.4,
          label: {
            borderColor: '#B3F7CA',
            style: {
              fontSize: '10px',
              color: '#fff',
              background: '#00E396',
            },
            offsetY: -10,
            text: 'X-axis range',
          }
        }],
        points: [{
          x: new Date('01 Dec 2017').getTime(),
          y: 8607.55,
          marker: {
            size: 8,
            fillColor: '#fff',
            strokeColor: 'red',
            radius: 2,
            cssClass: 'apexcharts-custom-class'
          },
          label: {
            borderColor: '#FF4560',
            offsetY: 0,
            style: {
              color: '#fff',
              background: '#FF4560',
            },

            text: 'Point Annotation',
          }
        }]
      },           
            chart: {
                height: 240,
                type: 'line',
                zoom: {
                    enabled: false
                }
            },
            series: [{
                name: "Desktops",
                data: [10, 41, 35, 51, 49, 62, 69, 91, 148]
            }],
            dataLabels: {
                enabled: false
            },
            stroke: {
                curve: 'straight'
            },
            title: {
                text: 'Benutzerkonten mit direkten Berechtigungszuweisungen zu Ordnern oder Dateien',
                align: 'left'
            },
            grid: {
                row: {
                    colors: ['#f3f3f3', 'transparent'], // takes an array which will be repeated on columns
                    opacity: 0.5
                },
            },
            xaxis: {
                categories: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep'],
            }
        }

        var chart = new ApexCharts(
            document.querySelector("#chart"),
            options
        );

        chart.render();

  
		</script>

	</xsl:template>
</xsl:stylesheet>