<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" /> 
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-responsible-policies</xsl:variable>
		<xsl:variable name="previousparentid">entraid-responsible</xsl:variable>
		<xsl:variable name="previouspreviousparentid">entraid</xsl:variable>
		<xsl:variable name="total" select="policies/policiessummary/total" />
		<xsl:variable name="level_high" select="policies/policiessummary/level_high" />
		<xsl:variable name="level_medium" select="policies/policiessummary/level_medium" />
		<xsl:variable name="level_sum" select="$level_high + $level_medium" />
		<xsl:variable name="filterLevel" select="policies/policiessummary/filterLevel" />

		<div  style="padding: 8px 0px 13px 0px;border-bottom: 1px solid #ddd;overflow:hidden;height:auto;">
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-buttonbar</xsl:attribute>

			<div class="dac-entraid-buttonbar-wrapper">
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-list</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">menu</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_list"/></xsl:attribute>
					<xsl:attribute name="onclick">

					</xsl:attribute>
					<xsl:attribute name="highlighting">high</xsl:attribute>
				</inchorus-button>
				<!-- 
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-tree</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">tree</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_tree"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previousparentid" />-filter').clear();
						jQuery('#<xsl:value-of select="$previousparentid" />-filter').hide();
						jQuery('#<xsl:value-of select="$previousparentid" />-buttonbar').addClass('nofilter');
						jQuery('#<xsl:value-of select="$previousparentid" />-button-config').hide();
						jQuery('#<xsl:value-of select="$previousparentid" />-button-reports').hide();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-list').deactivate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-tree').activate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-charts').deactivate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-list').setHighlighting("low");
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-tree').setHighlighting("high");
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-charts').setHighlighting("low");						
					</xsl:attribute>
				</inchorus-button>
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-charts</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">statistic</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_chart"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previousparentid" />-filter').clear();
						jQuery('#<xsl:value-of select="$previousparentid" />-filter').hide();
						jQuery('#<xsl:value-of select="$previousparentid" />-buttonbar').addClass('nofilter');
						jQuery('#<xsl:value-of select="$previousparentid" />-button-config').hide();
						jQuery('#<xsl:value-of select="$previousparentid" />-button-reports').hide();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-list').deactivate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-tree').deactivate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-charts').activate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-list').setHighlighting("low");
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-tree').setHighlighting("low");
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-charts').setHighlighting("high");
					</xsl:attribute>
				</inchorus-button>
				-->
			</div>
			<div class="dac-entraid-buttonbar-wrapper">
				<!-- 
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-reports</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">reports</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_reports"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previousparentid" />-tooltip-report').setPosition('bottom-left');
						inchorus.$('<xsl:value-of select="$previousparentid" />-tooltip-report').setLinkedpointerid('<xsl:value-of select="$parentid" />-button-reports');
						inchorus.$('<xsl:value-of select="$previousparentid" />-tooltip-report').activate();
					</xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="class">dac-entraid-buttonbar-button-right</xsl:attribute>
				</inchorus-button>

				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-config</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">config</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_config"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previouspreviousparentid" />-lightbox').setAlternativecontentfile('<xsl:value-of select="$parentid" />-lightbox-config');
						inchorus.$('<xsl:value-of select="$previouspreviousparentid" />-lightbox').activate();
					</xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="class">dac-entraid-buttonbar-button-right</xsl:attribute>
				</inchorus-button>
				-->
			</div>
		</div>
		
		
		<div class="row" style="margin-top:20px;">
		<div style="width:24%;float:left;position: relative;min-height: 1px;padding-right: 10px;box-sizing: border-box;margin-right:20px;">
			<xsl:attribute name="onClick">
				inchorus.$('entraid-responsible-policies').setParameters(
					{
						"riskfilter":"risky"
					}
				);
				inchorus.$('entraid-responsible-policies').load();
			</xsl:attribute>
			<div class="dashboard-statistic color-green" style="height:auto;padding:20px;width: calc(100% - 30px);">
				<div>
					<div style="max-width:220px;float:left;margin-right:25px;height:50px;font-weight: 900;">
						<h3 style="font-weight: 600;font-size:40pt !important;margin-top:0px;margin-top:6px;color: #e73431;font-family: 'Century Gothic',AppleGothic,'URW Gothic L',Arial,sans-serif;"><xsl:value-of select="$level_sum"/></h3>
					</div>
					<div style="float:left;width:200px;height:50px;">
						<span style="font-size:13pt;margin-top: 15px;line-height: 24px;font-weight: 300;color: #e73431;">
							kritische Richtlinien anzeigen
						</span>
					</div>
				</div>
			</div>
		</div>
		<!-- 
		<div style="width:24%;float:left;position: relative;min-height: 1px;padding-right: 10px;box-sizing: border-box;margin-right:20px;">
			<xsl:attribute name="onClick">
				$('#<xsl:value-of select="$previousparentid" />-filter-field-startdate').val(goDaysBack(30,'de'));
				$('#<xsl:value-of select="$previousparentid" />-filter-field-startdate-alt').val(goDaysBack(30,'en'));
				$('#<xsl:value-of select="$previousparentid" />-filter-field-enddate').val(goDaysBack(0,'de'));
				$('#<xsl:value-of select="$previousparentid" />-filter-field-enddate-alt').val(goDaysBack(0,'en'));
				$('#dac-identities-selectSubcategory').val('person');
				$('#dac-identities-selectAction').val('delete');
				$('#dac-identities-selectType').val('systemevent');
				inchorus.$('<xsl:value-of select="$previousparentid" />-filter').submit();
			</xsl:attribute>
			<div class="dashboard-statistic color-red" style="height:auto;padding:20px;width: calc(100% - 30px);">
				<div>
					<div style="max-width:220px;float:left;margin-right:25px;height:50px;font-weight: 900;">
						<h3 style="font-weight: 600;font-size:40pt !important;color:#DEA028;margin-top:0px;margin-top:6px;font-family: 'Century Gothic',AppleGothic,'URW Gothic L',Arial,sans-serif;">0</h3>
					</div>
					<div style="float:left;width:200px;height:50px;">
						<span style="font-size:13pt;margin-top: 15px;line-height: 24px;font-weight: 300;color:#DEA028;">
							mittel kritische Richtlinien (Kritikalität 2)
						</span>
					</div>
				</div>
			</div>
		</div>
		<div style="width:24%;float:left;position: relative;min-height: 1px;padding-right: 10px;box-sizing: border-box;margin-right:20px;">
			<div class="dashboard-statistic color-green" style="height:auto;padding:20px;width: calc(100% - 30px);">
				<div>
					<div style="max-width:220px;float:left;margin-right:25px;height:50px;font-weight: 900;">
						<h3 style="color:#4F7D3D;;font-weight: 600;font-size:40pt !important;margin-top:0px;margin-top:6px;font-family: 'Century Gothic',AppleGothic,'URW Gothic L',Arial,sans-serif;">2</h3>
					</div>
					<div style="float:left;width:200px;height:50px;">
						<span style="color:#4F7D3D;font-size:13pt;margin-top: 15px;line-height: 24px;font-weight: 300;">
							weniger kritische Richtlinien (Kritikalität 3)
						</span>
					</div>
				</div>
			</div>
		</div>
		-->
		<div style="width:24%;float:left;position: relative;min-height: 1px;box-sizing: border-box;">
			<xsl:attribute name="onClick">
				inchorus.$('entraid-responsible-policies').setParameters(
					{
						"riskfilter":"all"
					}
				);
				inchorus.$('entraid-responsible-policies').load();
			</xsl:attribute>
			<div class="dashboard-statistic color-green" style="height:auto;padding:20px;width: calc(100% - 30px);">
				<div>
					<div style="max-width:220px;float:left;margin-right:25px;height:50px;font-weight: 900;">
						<h3 style="font-weight: 600;font-size:40pt !important;margin-top:0px;margin-top:6px;font-family: 'Century Gothic',AppleGothic,'URW Gothic L',Arial,sans-serif;"><xsl:value-of select="$total"/></h3>
					</div>
					<div style="float:left;width:250px;height:50px;">
						<span style="font-size:13pt;margin-top: 15px;line-height: 24px;font-weight: 300;">
							Alle Richtlinien<br/>anzeigen
						</span>
					</div>
				</div>
			</div>
		</div>
	</div>
		<div style="clear:both;"/>	
		
		<xsl:choose>
			<xsl:when test="policies/policy">
				<xsl:for-each select="policies/policy">
					<xsl:variable name="policyid" select="policyid" />
					<xsl:variable name="message" select="message" />
					<xsl:variable name="level" select="level" />
				
					<inchorus-message>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-<xsl:value-of select="$policyid" /></xsl:attribute>
						<xsl:attribute name="type">
							<xsl:choose>
								<xsl:when test="$level = 'high'">error</xsl:when>
								<xsl:when test="$level = 'medium'">warning</xsl:when>
								<xsl:when test="$level = 'low'">success</xsl:when>
								<xsl:when test="$level = 'none'">node</xsl:when>
							</xsl:choose>
						</xsl:attribute>
						<xsl:attribute name="onclick">
							inchorus.$("<xsl:value-of select="$parentid" />-policydetails").setParameters(
								{
									"policyid":"<xsl:value-of select="$policyid"/>"
								}
							);
							inchorus.$('entraid-responsible-policies-policydetails').activate();
							toggleSliderPolicies();
							setTimeout(function() {
	  							jQuery('#entraid-slider-policies-notclickable').css('display','block');
							}, 500);
						</xsl:attribute>
						<xsl:attribute name="style">cursor:pointer;</xsl:attribute>
						<xsl:value-of select="$message" />
					</inchorus-message>
				
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<xsl:choose>
					<xsl:when test="$level_sum = '0'">
						<inchorus-message>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-otherwise</xsl:attribute>
							<xsl:attribute name="type">node</xsl:attribute>
							Es sind momentan keine kritischen Policies vorhanden.
						</inchorus-message>
					</xsl:when>
					<xsl:otherwise>
						<inchorus-message>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-otherwise</xsl:attribute>
							<xsl:attribute name="type">node</xsl:attribute>
							Es sind momentan keine Policies vorhanden.
						</inchorus-message>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>