<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-responsible-quickfilter</xsl:variable>
		<xsl:variable name="previousparentid">entraid-responsible</xsl:variable>
		<xsl:variable name="countusers" select="//data/countusers" />
		<xsl:variable name="countgroups" select="//data/countgroups" />
	
		<div class="entraid-responsible-quickfilter-row">
			<div class="entraid-responsible-quickfilter-row-box">
				<xsl:attribute name="onClick">
					inchorus.$('<xsl:value-of select="$previousparentid" />-users').activate();
					inchorus.$('<xsl:value-of select="$previousparentid" />-groups').deactivate();
				</xsl:attribute>
				<div class="dashboard-statistic color-green entraid-responsible-quickfilter-row-box-wrapper">
					<div class="entraid-responsible-quickfilter-row-box-content">
						<div class="entraid-responsible-quickfilter-headline">
							<h3><xsl:value-of select="$countusers" /></h3>
						</div>
						<div class="entraid-responsible-quickfilter-text">
							<span class="entraid-responsible-quickfilter-green">
								User im <br/>Entra ID
							</span>
						</div>
					</div>
				</div>
			</div>
			<div class="entraid-responsible-quickfilter-row-box">
				<xsl:attribute name="onClick">
					inchorus.$('<xsl:value-of select="$previousparentid" />-users').deactivate();
					inchorus.$('<xsl:value-of select="$previousparentid" />-groups').activate();
				</xsl:attribute>
				<div class="dashboard-statistic color-red entraid-responsible-quickfilter-row-box-wrapper">
					<div class="entraid-responsible-quickfilter-row-box-content">
						<div class="entraid-responsible-quickfilter-headline">
							<h3><xsl:value-of select="$countgroups" /></h3>
						</div>
						<div class="entraid-responsible-quickfilter-text">
							<span class="entraid-responsible-quickfilter-red">
								Gruppen im <br/>Entra ID
							</span>
						</div>
					</div>
				</div>
			</div>
		</div>
	</xsl:template>
</xsl:stylesheet>