<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-responsible-users</xsl:variable>
		<xsl:variable name="previousparentid">entraid-responsible-users</xsl:variable>
		<xsl:variable name="previouspreviousparentid">entraid-responsible</xsl:variable>
		<xsl:variable name="status" select="//parameters/parameter[@name='status']" />
		<xsl:variable name="type" select="//parameters/parameter[@name='type']" />

	    <inchorus-filter>
	    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-filter</xsl:attribute>
	    	<xsl:attribute name="active">true</xsl:attribute>
	    	<xsl:attribute name="hascontentfile">true</xsl:attribute>
	    	<xsl:attribute name="submitprefix">inc-</xsl:attribute>
   			<xsl:attribute name="submitonenter">true</xsl:attribute>
   			<xsl:attribute name="linkedlistid"><xsl:value-of select="$parentid" />-list</xsl:attribute>
   			<!-- <xsl:attribute name="parameters">[{"status":"<xsl:value-of select="$status"/>"},{"type":"<xsl:value-of select="$type"/>"},{"column-1":"department"},{"column-2":"location"}]</xsl:attribute>-->
   			<xsl:attribute name="command">filterAllUsers</xsl:attribute>
  		</inchorus-filter>
	
		<div>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-buttonbar</xsl:attribute>
			
			<div class="dac-buttonbar-wrapper">
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-list</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">menu</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_list"/></xsl:attribute>
					<xsl:attribute name="onclick">
						jQuery('#<xsl:value-of select="$parentid" />-filter').show();
						jQuery('#<xsl:value-of select="$parentid" />-buttonbar').removeClass('nofilter');
						jQuery('#<xsl:value-of select="$parentid" />-button-config').show();
						jQuery('#<xsl:value-of select="$previousparentid" />-button-reports').show();
						inchorus.$('<xsl:value-of select="$parentid" />-filter').clear();
						inchorus.$('<xsl:value-of select="$parentid" />-filter').submit();
						inchorus.$('<xsl:value-of select="$parentid" />-content-list').activate();
						inchorus.$('<xsl:value-of select="$parentid" />-content-tree').deactivate();
						inchorus.$('<xsl:value-of select="$parentid" />-content-charts').deactivate();
						inchorus.$('<xsl:value-of select="$parentid" />-button-list').setHighlighting("high");
						inchorus.$('<xsl:value-of select="$parentid" />-button-tree').setHighlighting("low");
						inchorus.$('<xsl:value-of select="$parentid" />-button-charts').setHighlighting("low");
					</xsl:attribute>
					<xsl:attribute name="highlighting">high</xsl:attribute>
				</inchorus-button>
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-tree</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">tree</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_tree"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previousparentid" />-filter').clear();
						jQuery('#<xsl:value-of select="$previousparentid" />-filter').hide();
						jQuery('#<xsl:value-of select="$previousparentid" />-buttonbar').addClass('nofilter');
						jQuery('#<xsl:value-of select="$previousparentid" />-button-config').hide();
						jQuery('#<xsl:value-of select="$previousparentid" />-button-reports').hide();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-list').deactivate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-tree').activate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-charts').deactivate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-list').setHighlighting("low");
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-tree').setHighlighting("high");
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-charts').setHighlighting("low");						
					</xsl:attribute>
				</inchorus-button>
				<!-- 
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-charts</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">statistic</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_chart"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previousparentid" />-filter').clear();
						jQuery('#<xsl:value-of select="$previousparentid" />-filter').hide();
						jQuery('#<xsl:value-of select="$previousparentid" />-buttonbar').addClass('nofilter');
						jQuery('#<xsl:value-of select="$previousparentid" />-button-config').hide();
						jQuery('#<xsl:value-of select="$previousparentid" />-button-reports').hide();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-list').deactivate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-tree').deactivate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-content-charts').activate();
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-list').setHighlighting("low");
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-tree').setHighlighting("low");
						inchorus.$('<xsl:value-of select="$previousparentid" />-button-charts').setHighlighting("high");
					</xsl:attribute>
				</inchorus-button>
				-->
			</div>
			<div class="dac-buttonbar-wrapper">
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-reports</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">reports</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_reports"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previousparentid" />-tooltip-report').setPosition('bottom-left');
						inchorus.$('<xsl:value-of select="$previousparentid" />-tooltip-report').setLinkedpointerid('<xsl:value-of select="$parentid" />-button-reports');
						inchorus.$('<xsl:value-of select="$previousparentid" />-tooltip-report').activate();
					</xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="class">dac-buttonbar-button-right</xsl:attribute>
				</inchorus-button>
	
				<!-- 
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-config</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">config</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_config"/></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previouspreviousparentid" />-lightbox').setAlternativecontentfile('<xsl:value-of select="$parentid" />-lightbox-config');
						inchorus.$('<xsl:value-of select="$previouspreviousparentid" />-lightbox').activate();
					</xsl:attribute>
					<xsl:attribute name="highlighting">low</xsl:attribute>
					<xsl:attribute name="class">dac-persons-buttonbar-button-right</xsl:attribute>
				</inchorus-button>
				-->
			</div>
		</div>		
	
		<inchorus-content>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-content-list</xsl:attribute>
						
			<inchorus-list>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-list</xsl:attribute>
				<xsl:attribute name="linkedfilterid"><xsl:value-of select="$parentid" />-filter</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="sortdirection">asc</xsl:attribute>
				<xsl:attribute name="sorttype">string</xsl:attribute>
				<xsl:attribute name="sortfield">name</xsl:attribute>
				<xsl:attribute name="size">20</xsl:attribute>
				<xsl:attribute name="page">1</xsl:attribute>
				<!-- <xsl:attribute name="parameters">[{"ftStatus":"<xsl:value-of select="$status"/>"},{"ftUserType":"<xsl:value-of select="$type"/>"}]</xsl:attribute>-->
				<xsl:attribute name="command">filterAllUsers</xsl:attribute>
				<xsl:attribute name="showloader">true</xsl:attribute>
				<xsl:attribute name="class">dac-persons-margintop-20px</xsl:attribute>		
			</inchorus-list>
		</inchorus-content>
	
	<inchorus-content>
		<xsl:attribute name="id"><xsl:value-of select="$parentid" />-content-tree</xsl:attribute>
		<xsl:attribute name="hascontentfile">true</xsl:attribute>
		<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-tree</xsl:attribute>
		<xsl:attribute name="command">getDefaultData</xsl:attribute>
		<xsl:attribute name="active">false</xsl:attribute>
	</inchorus-content>
	
	<inchorus-content>
		<xsl:attribute name="id"><xsl:value-of select="$parentid" />-content-charts</xsl:attribute>
		<xsl:attribute name="active">false</xsl:attribute>
		<xsl:attribute name="hascontentfile">true</xsl:attribute>
		<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid" />-content-charts</xsl:attribute>
		<xsl:attribute name="command">getPersonsChart</xsl:attribute>

		<div class="row dac-persons-margintop-20px">
		<div style="width:24%;float:left;position: relative;height: 400px;padding-right: 10px;box-sizing: border-box;margin-right:20px;background-color:#fff;border: 1px solid #ddd;border-radius: 4px;padding: 17px 10px 0px 10px;">
				<div id="chart2">
				</div>
				<script>



        var colors = ['#008FFB', '#00E396', '#FEB019', '#FF4560', '#775DD0', '#546E7A', '#26a69a', '#D10CE8'];
        var options = {
            chart: {
                height: 330,
                type: 'bar',
                events: {
                    click: function(chart, w, e) {
                        console.log(chart, w, e )
                    }
                },
            },
            colors: colors,
            plotOptions: {
                bar: {
                    columnWidth: '45%',
                    distributed: true
                }
            },
            dataLabels: {
                enabled: false,
            },
            series: [{
            	name: 'Person(en)',
                data: [37, 2, 1, 0]
            }],
            title: {
               text: 'Aktuelle Personen (Anzahl)',
               style: {
               		fontSize:  '18pt',
               		fontFamily: '"Century Gothic",AppleGothic,"URW Gothic L",Arial,sans-serif'
               }	
            },
            xaxis: {
                categories: ['Gesamt', 'Inaktiv', 'Ausgetreten', 'Ohne Ben.'],
                labels: {
                    style: {
                        colors: colors,
                        fontSize: '14px'
                    }
                }
            }
        }

        var chart = new ApexCharts(
            document.querySelector("#chart2"),
            options
        );

        chart.render();
    
				</script>
				<style>
					#chart-4-wrapper .apexcharts-legend {
						padding-top:50px;
					}
				
					#chart-2-wrapper .apexcharts-legend {
						padding-top:50px;
					}
				 
					#chart-2-wrapper .apexcharts-title-text {
						width:100%;
					}
					
					#chart-2-wrapper .apexcharts-menu-icon {
						margin-top: 2px;
					}
					
					#chart-3-wrapper .apexcharts-menu-icon {
						margin-top: 2px;
					}
				</style>
		</div>
		<div id="chart-4-wrapper" style="width:24%;float:left;position: relative;height: 400px;padding-right: 10px;box-sizing: border-box;margin-right:20px;background-color:#fff;border: 1px solid #ddd;border-radius: 4px;padding: 17px 10px 0px 10px;">
				<div id="chart4">
				
			</div>
			<script>
			var options = {
            chart: {
                type: 'donut',
		        events: {
		          click: function (event, chartContext, config) {
		            /*
		            if (event.target.id == 'apexcharts-donut-slice-0') {
		            	
							inchorus.$('persons-responsible-validation').deactivate();
							inchorus.$('persons-responsible-history').deactivate();
							inchorus.$('persons-responsible-general').setParameters(
								{
									'usertype' : 'I'	
								}
							);
							inchorus.$('persons-responsible-general').activate();

		            } else if (event.target.id == 'apexcharts-donut-slice-1') {
		            	alert('Externe Mitarbeiter');
		            } else {
		           	 alert('Sonstige');
		            };
		            */
		          },
		          dataPointSelection: function (event, chartContext, config) {
		            if (event.target.id == 'apexcharts-donut-slice-0') {
		            	
							inchorus.$('persons-responsible-validation').deactivate();
							inchorus.$('persons-responsible-history').deactivate();
							inchorus.$('persons-responsible-general').setParameters(
								{
									'usertype' : 'I'	
								}
							);
							inchorus.$('persons-responsible-general').activate();

		            } else if (event.target.id == 'apexcharts-donut-slice-1') {
		            	
		            		inchorus.$('persons-responsible-validation').deactivate();
							inchorus.$('persons-responsible-history').deactivate();
							inchorus.$('persons-responsible-general').setParameters(
								{
									'usertype' : 'E'	
								}
							);
							inchorus.$('persons-responsible-general').activate();
		            } else {
		           	 alert('Sonstige');
		            };
		            
		            console.log(event);
		          }
		        },
                toolbar: {
		          show: true,
		          tools: {
		            download: true,
		            selection: true,
		            zoom: true,
		            zoomin: true,
		            zoomout: true,
		            pan: true,
		            customIcons: []
		          },
		          autoSelected: 'zoom' 
		        },
            },
            plotOptions: {
            	pie: {
      				customScale: 1,
      				donut: {
      				  	size: '65%',
      				  	labels: {
      				  	 	show: true,
      				  	 	name: {
          						show: true,
          						fontSize: '16px',
          						fontFamily: 'Helvetica, Arial, sans-serif',
          						color: undefined,
          						offsetY: -15
        					},
					        value: {
					          show: true,
					          fontSize: '30px',
					          fontFamily: 'Helvetica, Arial, sans-serif',
					          color: undefined,
					          offsetY: 10,
					          formatter: function (val) {
					            return val
					          }
					        },
					        total: {
					          show: true,
					          label: 'Personen',
					          color: '#373d3f',
					          formatter: function (w) {
					            return w.globals.seriesTotals.reduce((a, b) => {
					              return a + b
					            }, 0)
					          }
        					}
      				  	}
      				}
    			}
            },
            title: {
                text: 'Personentypen',
                style: {
                	fontSize:  '18pt',
                	fontFamily: '"Century Gothic",AppleGothic,"URW Gothic L",Arial,sans-serif'
                }
            },
            labels: ['Interne Mitarbeiter', 'Externe Mitarbeiter', 'Andere',],
            colors: ['#3B9060', '#FFBA00', '#1F91E7',],
            series: [25, 2, 10],
            responsive: [{
                breakpoint: 480,
                options: {
                    chart: {
                        width: 200
                    },
                    legend: {
                        position: 'bottom'
                    }
                }
            }]
        }

       var chart = new ApexCharts(
            document.querySelector("#chart4"),
            options
        );
        
        chart.render();
    
			</script>
				
		</div>
		<div id="chart-3-wrapper" style="width:24%;float:left;position: relative;min-height: 400px;padding-right: 10px;box-sizing: border-box;margin-right:20px;background-color:#fff;border: 1px solid #ddd;border-radius: 4px;padding: 17px 10px 0px 10px;">
			<div id="chart3">
			</div>
			<script>
			 var options = {
            chart: {
                height: 350,
                type: 'bar',
                stacked: true,
            },
            plotOptions: {
                bar: {
                    horizontal: true,
                },
                
            },
            stroke: {
                width: 1,
                colors: ['#fff']
            },
            colors:['#1B7E46', '#E73431'],
            series: [{
                name: 'aktiv',
                data: [20, 1,0]
            },{
                name: 'inaktiv',
                data: [5,1,0]
            }],
            title: {
                text: 'Personenstatus',
                style: {
                	fontSize:  '18pt',
                	fontFamily: '"Century Gothic",AppleGothic,"URW Gothic L",Arial,sans-serif'
                }
            },
            xaxis: {
                categories: ['Interne Mitarbeiter', 'Externe Mitarbeiter', 'Andere'],
                labels: {
                    formatter: function(val) {
                        return val
                    }
                }
            },
            yaxis: {
                title: {
                    text: undefined
                },
                
            },
            tooltip: {
                y: {
                    formatter: function(val) {
                    return val + " Person(en)"
                }
                }
            },
            fill: {
                opacity: 1
                
            },
            
            legend: {
                position: 'top',
                horizontalAlign: 'left',
                offsetX: 40
            }
        }

       var chart = new ApexCharts(
            document.querySelector("#chart3"),
            options
        );
        
        chart.render();
			</script>
		</div>
<!-- 
		<div id="chart-2-wrapper" style="width:24%;float:left;position: relative;height: 400px;box-sizing: border-box;background-color:#fff;border: 1px solid #ddd;border-radius: 4px;padding: 17px 10px 0px 10px;">

		</div>
-->
	</div>

	</inchorus-content>
	
	<inchorus-tooltip>
		<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-report</xsl:attribute>
		<xsl:attribute name="position">bottom-left</xsl:attribute>
		<xsl:attribute name="active">false</xsl:attribute>
		<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
		<xsl:attribute name="hascontentfile">false</xsl:attribute>
		<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid" />-button-reports</xsl:attribute>
		<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
		<xsl:attribute name="deactivationcontentmode">remove</xsl:attribute>
		<xsl:attribute name="class">dac-tooltip-reports</xsl:attribute>
		
		<div class="dac-persons-tooltip-wrapper">
			<div class="dac-persons-tooltip-reports-row">
				<div class="dac-persons-reports-pdf" />
				<xsl:value-of select="$inchorus_tooltip_reports_pdf" />
			</div>
			<div class="dac-persons-tooltip-reports-row">
				<div class="dac-persons-reports-xsl" />
				<xsl:value-of select="$inchorus_tooltip_reports_xsl" />
			</div>
			<div class="dac-persons-tooltip-reports-row-last">
				<div class="dac-persons-reports-csv" />
				<xsl:value-of select="$inchorus_tooltip_reports_csv" />
			</div>
		</div>
		
	</inchorus-tooltip>
	
		
	<inchorus-lightbox>
		<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-lightbox</xsl:attribute>	
		<xsl:attribute name="hascontentfile">true</xsl:attribute>
	</inchorus-lightbox>
	
	<style>
		#apexcharts-bar-area-0 {
			min-width:40px;
		}
	</style>
	</xsl:template>
</xsl:stylesheet>