<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="initmajorstate" select="//data/initmajorstate"/>
		<xsl:variable name="initminorstate" select="//data/initminorstate"/>
		<xsl:variable name="initmessage" select="//data/initmessage"/>
		<xsl:variable name="loglevel" select="//data/loglevel"/>
		<xsl:variable name="workpath" select="//data/workpath"/>
		<xsl:variable name="parentid">entraid-systemsetup-connector-create-connector</xsl:variable>
		
		<xsl:choose>
			<xsl:when test="$initmajorstate &lt;= 6 and $initminorstate = 1 and $initmessage = 'ERROR_CONNECTOR_NODB'">				

				<!-- <h2 style="margin-top:0px;margin-bottom: 10px;"><xsl:value-of select="$entraid_setup_tab_createcollectorengine" /></h2>-->
				<p style="margin-top:5px;margin-bottom:10px;"><xsl:value-of select="$entraid_setup_text_entraid_createconnector" /></p>
				<inchorus-form>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
					<xsl:attribute name="submitprefix">inc-</xsl:attribute>
					<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-form-response</xsl:attribute>
					<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
					<xsl:attribute name="hasresponsefile">true</xsl:attribute>
					<xsl:attribute name="command">createADConnector</xsl:attribute>
				
					<div class="inc-portal-input-wrapper">
						<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-loglevel</xsl:attribute>
							<xsl:value-of select="$entraid_setup_label_loglevel"/>*
						</label>
						<select style="width:377px;">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-loglevel</xsl:attribute>
							<xsl:attribute name="name">inc-loglevel</xsl:attribute>
							<option value="INFO">
								<xsl:if test="$loglevel = 'INFO'">
									<xsl:attribute name="selected" />
								</xsl:if>
								INFO
							</option>
							<option value="DEBUG">
								<xsl:if test="$loglevel = 'DEBUG'">
									<xsl:attribute name="selected" />
								</xsl:if>
								DEBUG
							</option>
						</select>
					</div>
					<div class="inc-portal-input-wrapper">
						<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-workpath</xsl:attribute>
							<xsl:value-of select="$entraid_setup_label_workpath"/>*
						</label>
						<input>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-workpath</xsl:attribute>
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="value"><xsl:value-of select="$workpath" /></xsl:attribute>
							<xsl:attribute name="name">inc-workpath</xsl:attribute>
							<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
							<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>	
						</input>
					</div>
				
				</inchorus-form>
				
				<div class="inc-message-response-wrapper">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
				</div>
				
				<div style="margin-top:18px;">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-wrapper</xsl:attribute>
					
					<inchorus-button>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-save</xsl:attribute>
		        		<xsl:attribute name="type">text</xsl:attribute>
		        		<xsl:attribute name="highlighting">low</xsl:attribute>
		        		<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_createadconnector" /></xsl:attribute>
		        		<xsl:attribute name="onclick">
		        			inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
		        		</xsl:attribute>
		      		</inchorus-button>
				</div>
				
			</xsl:when>
			<xsl:when test="$initmajorstate = 6 and $initmessage = 'ERROR_CONNECTOR_NOTLOCAL'">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-error-ce-notlocal</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:value-of select="$entraid_setup_message_error_collectorengine_notlocal" />
				</inchorus-message>
			</xsl:when>
			<xsl:when test="$initmessage = 'ERROR_CONNECTOR_NOINIT'">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-error-ce-noinit</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:value-of select="$entraid_setup_message_error_collectorengine_init" />
				</inchorus-message>
			</xsl:when>
			<xsl:when test="($initmajorstate &gt;= 6 and $initminorstate &gt;= 1) or  $initmessage = 'SUCCESS_CONNECTOR_INIT'">
				<p style="margin-top:5px;margin-bottom:10px;"><xsl:value-of select="$entraid_setup_text_entraid_adconnector"/></p>
				
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-error-ce-init</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">success</xsl:attribute>
					<xsl:value-of select="$entraid_setup_message_success_adconnector_init" />
				</inchorus-message>
				
				<div class="inc-message-response-wrapper">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
				</div>
				
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-checkadconnector</xsl:attribute>
		        	<xsl:attribute name="type">text</xsl:attribute>
		        	<xsl:attribute name="highlighting">low</xsl:attribute>
		        	<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_checkadconnector"/></xsl:attribute>
		        	<xsl:attribute name="onclick">
		        		inchorus.$('<xsl:value-of select="$parentid"/>-form').setCommand("checkADConnector");
		        		inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
		        	</xsl:attribute>
		      	</inchorus-button>
		      	
		      	<inchorus-button style="float:right;margin-right:0px;">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-restartadconnector</xsl:attribute>
		        	<xsl:attribute name="type">text</xsl:attribute>
		        	<xsl:attribute name="highlighting">low</xsl:attribute>
		        	<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_restartadconnector"/></xsl:attribute>
		        	<xsl:attribute name="onclick">
		        		inchorus.$('<xsl:value-of select="$parentid"/>-form').setCommand("restartADConnector");
		        		inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
		        	</xsl:attribute>
		      	</inchorus-button>
			</xsl:when>
			<xsl:when test="$initmessage != ''">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-error-unknown</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:value-of select="$entraid_setup_message_error_collectorengine_unknown" />
				</inchorus-message>
			</xsl:when>
			<xsl:otherwise>
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-success-otherwise</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">success</xsl:attribute>
					<xsl:value-of select="$entraid_setup_message_success_collectorengine_otherwise" />
				</inchorus-message>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>
</xsl:stylesheet>