<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-systemsetup-connector-lightbox-response</xsl:variable>
		<xsl:variable name="previousparentid">entraid-systemsetup-connector-lightbox</xsl:variable>
		<xsl:variable name="inchorus-form-validity" select="//data/parameters/parameter[@name='inchorus-form-validity']"/>
		<xsl:variable name="statustype" select="//data/status/type" />	
		<xsl:variable name="statuscode" select="//data/status/code" />	
		<xsl:variable name="contentid" select="//session/contentid" />

		<script>
			inchorus.$('entraid-systemsetup-connector-lightbox-button-add').setStatus('enabled');
		</script>
		
		<xsl:choose>
			<xsl:when test="$inchorus-form-validity='false'">
				<inchorus-message id="config-form-error">
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:value-of select="$entraid_setup_message_error_validation" />
				</inchorus-message>
			</xsl:when>		
			<xsl:when test="$statuscode='SUCCESS_CONNECTOR_CREATE'">
				<script>
					inchorus.$('entraid-systemsetup-connector-localconnectors').load();
					inchorus.$('entraid-systemsetup-connector-addedconnectors').load();
					inchorus.$('entraid-systemsetup-connector-lightbox').deactivate();
					jQuery('#entraid-systemsetup-header-connector .dac-system-tabs-horizontal-tab-row-2-middle').addClass('dac-system-tabs-horizontal-tab-row-2-middle-entraid-success');
					jQuery('#entraid-systemsetup-header-connector .dac-system-tabs-horizontal-tab-row-2-middle').removeClass('dac-system-tabs-horizontal-tab-row-2-middle-entraid-notconfigured');
					inchorus.$('entraid-systemsetup-header-connector').setStatus('enabled');
					if(jQuery('#entraid-systemsetup-header-connector').attr('onclicktemp')) {
						var onclicktemp = jQuery('#entraid-systemsetup-header-connector').attr('onclicktemp');
						jQuery('#entraid-systemsetup-header-connector').attr('onclick', onclicktemp);
						jQuery('#entraid-systemsetup-header-connector').removeAttr('onclicktemp');
					}
					entraid.setup.divelement();
				</script>
			</xsl:when>
			<xsl:when test="$statuscode='SUCCESS_CREATE_FOLDER'">
				<script>
					inchorus.$('entraid-systemsetup-connector-lightbox-selectpath').load();
				</script>
			</xsl:when>
			<xsl:when test="$statuscode='ERROR_CONNECTOR_CREATE'">
				<inchorus-message id="config-form-error">
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:value-of select="$entraid_setup_message_error_create" />
				</inchorus-message>
			</xsl:when>					
			<xsl:when test="$statuscode='ERROR_WRONG_WORKPATH'">
				<inchorus-message id="config-form-error">
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:value-of select="$entraid_setup_message_error_create_workpath" />
				</inchorus-message>
				
				<script>
					jQuery('#<xsl:value-of select="$previousparentid" />-label-workpath').addClass('inchorus-form-invalid');
					jQuery('#<xsl:value-of select="$previousparentid" />-workpath').addClass('inchorus-form-invalid');
				</script>
			</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>