<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-systemsetup-connector-lightbox-selectpath</xsl:variable>
		<xsl:variable name="previousparentid">entraid-systemsetup-connector-lightbox</xsl:variable>
		<xsl:variable name="url" select="//data/parameters/parameter[@name='url']" />
		<xsl:variable name="platform" select="//data/parameters/parameter[@name='platform']" />
		<xsl:variable name="currentpath"  select="//data/folderentries/@this"/>
		<xsl:variable name="parentpath"  select="//data/folderentries/@parent"/>
		<xsl:variable name="currentpathemp">
			<xsl:call-template name="replace-string">
				<xsl:with-param name="text" select="$currentpath"/>
				<xsl:with-param name="replace" select="'\'" />
				<xsl:with-param name="with" select="'\\'"/>
			</xsl:call-template>
		</xsl:variable>
		<xsl:variable name="parentpathtemp">
			<xsl:call-template name="replace-string">
				<xsl:with-param name="text" select="$parentpath"/>
				<xsl:with-param name="replace" select="'\'" />
				<xsl:with-param name="with" select="'\\\\'"/>
			</xsl:call-template>
		</xsl:variable>
		
		<h3>
			<xsl:value-of select="$entraid_setup_selectpath_header" />...
		</h3>
		<div class="inchorus-lightbox-options">
			<!-- lightbox close button start -->
			<inchorus-button>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-close</xsl:attribute>
				<xsl:attribute name="type">icon</xsl:attribute>
				<xsl:attribute name="icon">close</xsl:attribute>
				<xsl:attribute name="border">false</xsl:attribute>
				<xsl:attribute name="highlighting">none</xsl:attribute>
				<xsl:attribute name="hover">false</xsl:attribute>
				<xsl:attribute name="active">true</xsl:attribute>
				<xsl:attribute name="title"><xsl:value-of select="$entraid_setup_button_close" /></xsl:attribute>
				<xsl:attribute name="onclick">
					inchorus.$('<xsl:value-of select="$parentid" />').deactivate();
				</xsl:attribute>
		 	</inchorus-button>
			<!-- lightbox close button end -->
				
		</div>
		
		<xsl:if test="not(//data/NODATA)">
			<div style="width:100%;overflow:auto;margin: 10px 15px 15px 15px;">
				<input type="text">
					<xsl:attribute name="id">system-selectfile-input-path</xsl:attribute>
					<xsl:attribute name="class">system-selectfile-path-<!--GADGET:LANGUAGE--></xsl:attribute>
					<xsl:attribute name="value"><xsl:value-of select="$currentpath" /></xsl:attribute>
				</input>
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-select</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_select"/></xsl:attribute>
					<xsl:attribute name="style">float:left;margin-top:8px;</xsl:attribute>
					<xsl:attribute name="onclick">
						jQuery('#entraid-systemsetup-connector-lightbox-workpath').val('<xsl:value-of select="$currentpathemp" />');
						inchorus.$('entraid-systemsetup-connector-lightbox-selectpath').deactivate();
					</xsl:attribute> 
				</inchorus-button>
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-new</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">new</xsl:attribute>
					<xsl:attribute name="style">float:left;margin-top:8px;</xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$parentid" />-wrapper-createnewfolder').activate();
					</xsl:attribute> 
				</inchorus-button>
				
				<inchorus-form>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form-createnewfolder</xsl:attribute>
					<xsl:attribute name="submitprefix">inc-</xsl:attribute>
					<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$previousparentid"/>-response</xsl:attribute>
					<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
					<xsl:attribute name="hasresponsefile">true</xsl:attribute>
					<xsl:attribute name="command">createConnectorFolder</xsl:attribute>
	
					<input>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-url</xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
						<xsl:attribute name="value"><xsl:value-of select="$url" /></xsl:attribute>
						<xsl:attribute name="name">inc-url</xsl:attribute>
					</input>
					
					<input>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-path</xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
						<xsl:attribute name="value"></xsl:attribute>
						<xsl:attribute name="name">inc-path</xsl:attribute>
					</input>
					
					<input>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-folder</xsl:attribute>
						<xsl:attribute name="type">hidden</xsl:attribute>
						<xsl:attribute name="value"></xsl:attribute>
						<xsl:attribute name="name">inc-folder</xsl:attribute>
					</input>
					
				</inchorus-form>
				
				<div>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
				</div>
			</div>
		</xsl:if>
		
		<inchorus-content style="clear:both;">
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-wrapper-createnewfolder</xsl:attribute>
			<xsl:attribute name="active">false</xsl:attribute>
			
			<div style="width:100%;overflow:hidden;padding-left:15px;background-color:#EEEEEE;margin: 0px 15px;">
				<img src="inc/img/inchorus/actions/folder.png" style="margin-top: 15px;float:left;margin-right:15px;margin-left:-5px;" />
				<input type="text">
					<xsl:attribute name="id">system-selectfile-input-folder</xsl:attribute>
					<xsl:attribute name="class">system-selectfile-createnewfolder-<!--GADGET:LANGUAGE--></xsl:attribute>
					<xsl:attribute name="placeholder">Neuer Ordner</xsl:attribute>
					<xsl:attribute name="style">width: 333px !important;float:left;margin-right:10px;</xsl:attribute>
				</input>
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-createnewfolder</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="text">Ordner erstellen</xsl:attribute>
					<xsl:attribute name="style">float:left;margin-top:8px;</xsl:attribute>
					<xsl:attribute name="onclick">
						var path = jQuery('#system-selectfile-input-path').val();
						var folder = jQuery('#system-selectfile-input-folder').val();
						jQuery('#<xsl:value-of select="$parentid"/>-path').val(path);
						jQuery('#<xsl:value-of select="$parentid"/>-folder').val(folder);
						jQuery('#<xsl:value-of select="$parentid"/>-form-createnewfolder').submit();
					</xsl:attribute>
				</inchorus-button>
			</div>
		</inchorus-content>
		
		<div style="overflow:auto; height:575px;">
			<div style="padding: 5px 15px 10px 15px;">
				
				<xsl:if test="//data/NODATA">
					<inchorus-message>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-nodata</xsl:attribute>
						<xsl:attribute name="type">error</xsl:attribute>
						<xsl:value-of select="$entraid_setup_message_error_create_workpath" />
					</inchorus-message>
				</xsl:if>
				
				<xsl:if test="$parentpath">
					<div style="overflow:hidden;padding: 8px 10px;height:34px;cursor:pointer;">
						<xsl:attribute name="class">even</xsl:attribute>
						<xsl:attribute name="onclick">							
							inchorus.$('entraid-systemsetup-connector-lightbox-selectpath').setParameters(
								{
									"url" : "<xsl:value-of select="$url" />",
									"path" : "<xsl:value-of select="$parentpathtemp" />"
								}
							);
							inchorus.$('entraid-systemsetup-connector-lightbox-selectpath').load();
						</xsl:attribute>
						<div style="width:309px;float:left;line-height:34px;"><b>...</b></div>			
					</div>				
				</xsl:if>
				
				<xsl:for-each select="folderentries/folderentry">
					<xsl:variable name="position"  select="position()"/>
					<xsl:variable name="name"  select="name"/>
					<xsl:variable name="type"  select="type"/>
					<xsl:variable name="path"  select="path"/>
					<xsl:variable name="hasfolders"  select="hasfolders"/>
					<xsl:variable name="pathtemp">
						<xsl:call-template name="replace-string">
						  <xsl:with-param name="text" select="$path"/>
						  <xsl:with-param name="replace" select="'\'" />
						  <xsl:with-param name="with" select="'\\'"/>
						</xsl:call-template>
					</xsl:variable>
					<xsl:variable name="pathonclick">
						<xsl:call-template name="replace-string">
						  <xsl:with-param name="text" select="$path"/>
						  <xsl:with-param name="replace" select="'\'" />
						  <xsl:with-param name="with" select="'\\\\'"/>
						</xsl:call-template>
					</xsl:variable>
									
					<xsl:choose>
						<xsl:when  test="$type = 'folder'">
							<div style="overflow:hidden;padding: 8px 10px;height:34px;cursor:pointer;">
								<xsl:choose>
									<xsl:when test="($position mod 2) = 0">
										<xsl:attribute name="class">even</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="class">odd</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								
								<!-- 
								<xsl:choose>
									<xsl:when test="$hasfolders = 'true'">
									-->
										<xsl:attribute name="onclick">							
											inchorus.$('entraid-systemsetup-connector-lightbox-selectpath').setParameters(
												{
													"url" : "<xsl:value-of select="$url" />",
													"path" : "<xsl:value-of select="$pathonclick" />"
												}
											);
											inchorus.$('entraid-systemsetup-connector-lightbox-selectpath').load();
										</xsl:attribute>
									<!-- 
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="onclick">							
											jQuery('#setup-collectorengine-lightbox-workpath').val('<xsl:value-of select="$pathtemp" />');
											inchorus.$('setup-collectorengine-lightbox-selectpath').deactivate();
										</xsl:attribute>							
									</xsl:otherwise>
								</xsl:choose>
								-->
								<img src="inc/img/inchorus/actions/folder.png" style="margin-top: 7px;float:left;margin-right:15px;" />
								<div class="folder" style="float:left;line-height:34px;"><xsl:value-of select="$name" /></div>			
								<!-- 
								<img src="inc/img/inchorus/actions/add.png" style="margin-top: 7px;float:left;margin-right:0px;">
									<xsl:attribute name="onclick">
										jQuery('#setup-collectorengine-lightbox-workpath').val('<xsl:value-of select="$pathtemp" />');
										inchorus.$('setup-collectorengine-lightbox-selectpath').deactivate();
									</xsl:attribute> 
								</img>
								-->
							</div>
						</xsl:when>
						<!-- 
						<xsl:when test="$type = 'file'">
						
							<div style="overflow:hidden;padding: 8px 10px;height:34px;cursor:pointer;">
								<xsl:choose>
									<xsl:when test="($position mod 2) = 0">
										<xsl:attribute name="class">even</xsl:attribute>
									</xsl:when>
									<xsl:otherwise>
										<xsl:attribute name="class">odd</xsl:attribute>
									</xsl:otherwise>
								</xsl:choose>
								<xsl:attribute name="onclick">
									jQuery('#setup-collectorengine-lightbox-workpath').val('<xsl:value-of select="$pathtemp" />');
									inchorus.$('setup-collectorengine-lightbox-selectpath').deactivate();
								</xsl:attribute> 
								
								<img src="inc/img/inchorus/actions/file.png" style="margin-top: 7px;float:left;margin-right:15px;" />
								<div class="file" style="float:left;line-height:34px;"><xsl:value-of select="$name" /></div>
								<img src="inc/img/inchorus/actions/add.png" style="margin-top: 7px;float:left;margin-right:0px;">
									<xsl:attribute name="onclick">
										jQuery('#setup-collectorengine-lightbox-workpath').val('<xsl:value-of select="$pathtemp" />');
										inchorus.$('setup-collectorengine-lightbox-selectpath').deactivate();
									</xsl:attribute>
								</img>
							</div>
						
						</xsl:when>
						-->
					</xsl:choose>
					
				</xsl:for-each>

			</div>	
		</div>	
	</xsl:template>
	
	
	
	<xsl:template name="replace-string">
	    <xsl:param name="text"/>
	    <xsl:param name="replace"/>
	    <xsl:param name="with"/>
	    <xsl:choose>
	      <xsl:when test="contains($text,$replace)">
	        <xsl:value-of select="substring-before($text,$replace)"/>
	        <xsl:value-of select="$with"/>
	        <xsl:call-template name="replace-string">
	          <xsl:with-param name="text"
	select="substring-after($text,$replace)"/>
	          <xsl:with-param name="replace" select="$replace"/>
	          <xsl:with-param name="with" select="$with"/>
	        </xsl:call-template>
	      </xsl:when>
	      <xsl:otherwise>
	        <xsl:value-of select="$text"/>
	      </xsl:otherwise>
	    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>