<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-systemsetup-policies-addedpolicies-update-response</xsl:variable>
		<xsl:variable name="systemsetupid">entraid-systemsetup</xsl:variable>
		<xsl:variable name="statustype" select="//data/status/type" />	
		<xsl:variable name="statuscode" select="//data/status/code" />

		<script>
			inchorus.$('entraid-systemsetup-policies-addedpolicies-button-uploadnow').deactivate();
		</script>
		
		<xsl:choose>
			<xsl:when test="$statuscode='SUCCESS_POLICYPACKAGE_UPDATE'">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-success</xsl:attribute>
					<xsl:attribute name="type">success</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:value-of select="$entraid_setup_policypackages_success_update" />
				</inchorus-message>
				<script>
 					inchorus.$('<xsl:value-of select="$systemsetupid" />').load();
				</script>
			</xsl:when>

			<xsl:when test="$statuscode='ERROR_POLICYPACKAGE_UPDATE'">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-error</xsl:attribute>
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:value-of select="$entraid_setup_policypackages_error_update" />
				</inchorus-message>
			</xsl:when>
			
			<xsl:otherwise>
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-message-error</xsl:attribute>
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:value-of select="$entraid_setup_policypackages_error_update_otherwise" />
				</inchorus-message>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>