<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-systemsetup-policies-addedpolicies</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>
		
		<div style="overflow:hidden;width:100%;margin-bottom:40px;">
			<xsl:choose>
				<xsl:when test="//data/policypackages/policypackage">
				
					<xsl:for-each select="//data/policypackages/policypackage">
						<xsl:variable name="policypackageid" select="policypackageid" />
						<xsl:variable name="policypackage_name" select="name" />
						<xsl:variable name="policypackage_version" select="version" />
						<xsl:variable name="policypackage_category" select="category" />
						<xsl:variable name="policypackage_newpolicies" select="policypackage_newpolicies" />
						<xsl:variable name="statusmessage" select="statusmessage" />
						<xsl:variable name="update" select="update" />
						
						<inchorus-content>	
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-<xsl:value-of select="$policypackageid"/></xsl:attribute>
							<!-- 
							<xsl:attribute name="onclick">
								inchorus.$('setup-csv-system-collectors').setParameters(
									{
										"name":"<xsl:value-of select="$policypackage_name" />",
										"systemid":"<xsl:value-of select="$policypackageid" />"
									}
								);
								inchorus.$('setup-csv-system-collectors').activate();
							</xsl:attribute>
							-->
							<div class="dac-system-box">
								<xsl:attribute name="class">dac-system-box dac-system-box-success</xsl:attribute>
								
								
								<div style="padding:0px 15px; 15px 20px;">
									<h2  style="margin-bottom:10px;">
										<div class="dac-system-policies-icon"></div>
										<span style="text-transform:uppercase;"><xsl:value-of select="$policypackage_name" /></span>
									</h2>
									<div class="status" style="color:#468847;font-weight:bold;">
										<b><xsl:value-of select="$entraid_setup_installed" /></b>
									</div>
									<p>
										<xsl:value-of select="$entraid_setup_version" />: 
												<xsl:choose>
													<xsl:when test="string-length($policypackage_version) = '3'">
														<xsl:value-of select="substring($policypackage_version, 1, 1)" />.<xsl:value-of select="substring($policypackage_version, 2, 1)" />.<xsl:value-of select="substring($policypackage_version, 3, 1)" />
													</xsl:when>
													<xsl:otherwise>
														<xsl:value-of select="$policypackage_version" />
													</xsl:otherwise>
												</xsl:choose>
												<br/>
										<xsl:value-of select="$entraid_setup_category" />: <span style="text-transform:uppercase;"><xsl:value-of select="$policypackage_category" /></span><br/>
									</p>
								</div>
								
								<xsl:choose>
									<xsl:when test="$statusmessage = 'ERROR_POLICYPACKAGE_WRONGVERSION'">
									</xsl:when>
									<xsl:when test="$statusmessage = 'WARNING_POLICYPACKAGE_UPDATEREQUIRED' or $update">
										<div style="border-top: 1px solid #ddd;padding:10px;height:34px;overflow:hidden; height: auto;">
											<inchorus-content>
												<xsl:attribute name="id"><xsl:value-of select="$parentid" />-update-response</xsl:attribute>
												<xsl:attribute name="active">false</xsl:attribute>
												<xsl:attribute name="hascontentfile">true</xsl:attribute>
												<xsl:attribute name="command">updatePolicypackage</xsl:attribute>
												<xsl:attribute name="parameters">[{"category":"<xsl:value-of select="$policypackage_category" />"},{"name":"<xsl:value-of select="$policypackage_name" />"},{"newpolicyids":"<xsl:value-of select="$policypackage_newpolicies" />"},{"policypackageid ":"<xsl:value-of select="$policypackageid" />"}]</xsl:attribute>
											</inchorus-content>
														
											<inchorus-button>
												<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-uploadnow</xsl:attribute>
												<xsl:attribute name="class"><!--GADGET:LANGUAGE--></xsl:attribute>
												<xsl:attribute name="type">icontext</xsl:attribute>
												<xsl:attribute name="icon">download</xsl:attribute>
												<xsl:attribute name="text"><xsl:value-of select="$inchorus_button_updatenow" /></xsl:attribute>
												<xsl:attribute name="active">true</xsl:attribute>
												<xsl:attribute name="highlighting">low</xsl:attribute>
												<xsl:attribute name="onclick">
													inchorus.$('<xsl:value-of select="$parentid" />-button-uploadnow').setStatus('loading');
													inchorus.$('<xsl:value-of select="$parentid" />-update-response').activate();
												</xsl:attribute>
											</inchorus-button>
										</div>
									</xsl:when>
									<xsl:otherwise>
										<div style="border-top: 1px solid #ddd;padding:10px;height:34px;">
											<inchorus-button class="dac-system-box-button-delete">
												<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-delete-<xsl:value-of select="$policypackageid" /></xsl:attribute>
												<xsl:attribute name="type">icontext</xsl:attribute>
												<xsl:attribute name="icon">delete</xsl:attribute>
												<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_delete" /></xsl:attribute>
												<xsl:attribute name="highlighting">low</xsl:attribute>
												<xsl:attribute name="style">background-color:transparent;margin-bottom: 10px;</xsl:attribute>
												<xsl:attribute name="status">enabled</xsl:attribute>
												<xsl:attribute name="onclick">
													inchorus.$('<xsl:value-of select="$parentid"/>-button-delete-<xsl:value-of select="$policypackageid" />').setStatus('loading');
													inchorus.$('<xsl:value-of select="$parentid"/>-form').setResponsetargetid('<xsl:value-of select="$parentid" />-policy-<xsl:value-of select="$policypackageid"/>');
													inchorus.$('<xsl:value-of select="$parentid"/>-form').setParameters(
														{
															"policypackageid":"<xsl:value-of select="$policypackageid"/>"
														}
													);
													inchorus.$('<xsl:value-of select="$parentid"/>-form').setCommand('deletePolicypackage');
													inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
												</xsl:attribute>
											</inchorus-button>
										</div>
									</xsl:otherwise>
								</xsl:choose>
							</div>
						</inchorus-content>
						
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					<div class="dac-system-dashedbox">
						<div class="dac-system-dashedbox-wrapper">
							<center><xsl:value-of select="$entraid_setup_policies_text_addedbox" /></center>
						</div>
					</div>
					
					<script>
						var temp = jQuery('#entraid-systemsetup-header-policies .dac-system-tabs-horizontal-tab-row-2-middle').hasClass('dac-system-tabs-horizontal-tab-row-2-middle-policies-success');
						if (temp = 'true') {
							jQuery('#entraid-systemsetup-header-policies .dac-system-tabs-horizontal-tab-row-2-middle').addClass('dac-system-tabs-horizontal-tab-row-2-middle-policies-notconfigured');
							jQuery('#entraid-systemsetup-header-policies .dac-system-tabs-horizontal-tab-row-2-middle').removeClass('dac-system-tabs-horizontal-tab-row-2-middle-policies-success');
							
							jQuery('#setup-header-integrationpackage-EntraIDTenant .dac-system-maintabs-tab .dac-system-maintabs-tab-image-wrapper .dac-system-maintabs-tab-image div').removeClass('tab-success');
							jQuery('#setup-header-integrationpackage-EntraIDTenant .dac-system-maintabs-tab .dac-system-maintabs-tab-image-wrapper .dac-system-maintabs-tab-image div').addClass('tab-notconfigured');
							jQuery('#setup-header-integrationpackage-EntraIDTenant .dac-system-maintabs-tab .dac-system-maintabs-tab-image-wrapper .dac-system-maintabs-tab-image').addClass('dac-system-maintabs-tab-image-notedited');
							jQuery('#setup-header-integrationpackage-EntraIDTenant .dac-system-maintabs-tab .dac-system-maintabs-tab-image-wrapper .dac-system-maintabs-tab-image').removeClass('dac-system-maintabs-tab-image');
							jQuery('#setup-header-integrationpackage-EntraIDTenant .dac-system-maintabs-tab .dac-system-maintabs-tab-image-wrapper .dac-system-maintabs-tab-image-line-bottom').addClass('dac-system-maintabs-tab-image-line-bottom-notedited');
							jQuery('#setup-header-integrationpackage-EntraIDTenant .dac-system-maintabs-tab .dac-system-maintabs-tab-image-wrapper .dac-system-maintabs-tab-image-line-bottom').removeClass('dac-system-maintabs-tab-image-line-bottom');
						
							if(jQuery('#entraid-systemsetup-header-policies').attr('onclick')) {
								var onclicktemp = jQuery('#entraid-systemsetup-header-policies').attr('onclick');
								inchorus.$('entraid-systemsetup-header-policies').setStatus('disabled');
								jQuery('#entraid-systemsetup-header-policies').attr('onclicktemp', onclicktemp);
								jQuery('#entraid-systemsetup-header-policies').removeAttr('onclick');
							}
						}
					</script>
					
				</xsl:otherwise>
			</xsl:choose>
		</div>
		
		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
		</inchorus-form>
		
		<script>
			setTimeout(function(){
				entraid.setup.divelement();
			}, 500);
		</script>

	</xsl:template>
</xsl:stylesheet>