<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-systemsetup-system-addedsystems</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>
		
		<div style="overflow:hidden;width:100%;margin-bottom:40px;">
			<xsl:choose>
				<xsl:when test="//data/systems/system">
									
					<script>
						jQuery('#entraid-systemsetup-system-button-next').show();
						inchorus.$('entraid-systemsetup-system-button-next').activate();
					</script>
				
					<xsl:for-each select="//data/systems/system">
						<xsl:variable name="name" select="name" />
						<xsl:variable name="systemid" select="systemid" />
						<xsl:variable name="statusmessage" select="statusmessage" />
				
						<inchorus-content>	
							<xsl:attribute name="id">entraid-systemsetup-system-addedsystems-system-<xsl:value-of select="$systemid"/></xsl:attribute>
							
							<div class="dac-system-box">
								<xsl:attribute name="class">dac-system-box dac-system-box-success</xsl:attribute>

									<inchorus-button class="dac-system-box-button-collectall">
										<xsl:attribute name="id"><xsl:value-of select="parentid" />-button-collectall</xsl:attribute>
										<xsl:attribute name="type">icon</xsl:attribute>
										<xsl:attribute name="icon">start</xsl:attribute>
										<xsl:attribute name="title"><xsl:value-of select="$entraid_setup_button_collectall" /></xsl:attribute>
										<xsl:attribute name="highlighting">low</xsl:attribute>
										<xsl:attribute name="style">position:absolute;margin-top: 10px; margin-left: 184px;background:transparent;padding: 8px 10px;</xsl:attribute>
										<xsl:attribute name="onclick">
											jQuery('#entraid-systemsetup-system-lightbox-validation').attr('class','collectall');
											inchorus.$('entraid-systemsetup-system-lightbox-validation').setAlternativecontentfile('entraid-systemsetup-system-lightbox-validation-collectall');
											inchorus.$('entraid-systemsetup-system-lightbox-validation').setParameters(
												{
													"systemid":"<xsl:value-of select="$systemid"/>"
												}
											);
											inchorus.$("<xsl:value-of select="$parentid" />-tooltip-entraid-<xsl:value-of select="$systemid" />").deactivate();
											inchorus.$('entraid-systemsetup-system-lightbox-validation').activate();
										</xsl:attribute>
									</inchorus-button>
								
								<inchorus-button>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-menu-<xsl:value-of select="$systemid" /></xsl:attribute>
									<xsl:attribute name="type">text</xsl:attribute>
									<xsl:attribute name="text">...</xsl:attribute>
									<xsl:attribute name="highlighting">low</xsl:attribute>
									<xsl:attribute name="style">position:absolute;margin-top: 10px; margin-left: 224px;background:transparent;padding: 4px 10px;</xsl:attribute>
									<xsl:attribute name="onclick">
										inchorus.$('<xsl:value-of select="$parentid"/>-tooltip-entraid-<xsl:value-of select="$systemid" />').setPosition('bottom-left');
										inchorus.$('<xsl:value-of select="$parentid"/>-tooltip-entraid-<xsl:value-of select="$systemid" />').setLinkedpointerid('<xsl:value-of select="$parentid"/>-button-menu-<xsl:value-of select="$systemid" />');
										inchorus.$('<xsl:value-of select="$parentid"/>-tooltip-entraid-<xsl:value-of select="$systemid" />').activate();
									</xsl:attribute>
								</inchorus-button>
								
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-entraid-<xsl:value-of select="$systemid" /></xsl:attribute>
									<xsl:attribute name="position">bottom-left</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-button-menu-<xsl:value-of select="$systemid" /></xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="deactivationcontentmode">remove</xsl:attribute>
									<xsl:attribute name="class">dac-tooltip-reports</xsl:attribute>
									<xsl:attribute name="style">overflow:hidden; height:auto;</xsl:attribute>
									
									<div class="dac-system-tooltip-wrapper">
										<inchorus-message>
											<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-nomenubecauserunning-<xsl:value-of select="$systemid"/></xsl:attribute>
											<xsl:attribute name="type">node</xsl:attribute>
											<xsl:attribute name="active">false</xsl:attribute>
											<xsl:attribute name="class">dac-message-nomenubecauseisrunning</xsl:attribute>
											<xsl:value-of select="$entraid_setup_collector_tooltip_message_nomenubecauserunning" />
										</inchorus-message>
										<div class="dac-system-tooltip-options-row">
											<inchorus-button class="dac-system-box-button-deletedata" style="float:left !important;">
												<xsl:attribute name="id"><xsl:value-of select="parentid" />-button-deletedata</xsl:attribute>
												<xsl:attribute name="type">icontext</xsl:attribute>
												<xsl:attribute name="icon">delete</xsl:attribute>
												<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_deletedata" /></xsl:attribute>
												<xsl:attribute name="highlighting">low</xsl:attribute>
												<xsl:attribute name="style">background-color:transparent;</xsl:attribute>
												<xsl:attribute name="onclick">
													jQuery('#entraid-systemsetup-system-lightbox-validation').attr('class','deletedata');
													inchorus.$('entraid-systemsetup-system-lightbox-validation').setAlternativecontentfile('entraid-systemsetup-system-lightbox-validation-deletedata');
													inchorus.$('entraid-systemsetup-system-lightbox-validation').setParameters(
														{
															"systemid":"<xsl:value-of select="$systemid"/>"
														}
													);
													inchorus.$("<xsl:value-of select="$parentid" />-tooltip-entraid-<xsl:value-of select="$systemid" />").deactivate();
													inchorus.$('entraid-systemsetup-system-lightbox-validation').activate();
												</xsl:attribute>
											</inchorus-button>
										</div>
										<div class="dac-system-tooltip-options-row-last">											
											<inchorus-button class="dac-system-box-button-delete">
												<xsl:attribute name="id"><xsl:value-of select="parentid" />-button-deletecollector</xsl:attribute>
												<xsl:attribute name="type">icontext</xsl:attribute>
												<xsl:attribute name="icon">delete</xsl:attribute>
												<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_deletecollector" /></xsl:attribute>
												<xsl:attribute name="highlighting">low</xsl:attribute>
												<xsl:attribute name="style">background-color:transparent;</xsl:attribute>
												<xsl:attribute name="onclick">
													jQuery('#entraid-systemsetup-system-lightbox-validation').attr('class','deletesystemanddata');
													inchorus.$('entraid-systemsetup-system-lightbox-validation').setAlternativecontentfile('entraid-systemsetup-system-lightbox-validation-delete-systemanddata');
													inchorus.$('entraid-systemsetup-system-lightbox-validation').setParameters(
														{
															"systemid":"<xsl:value-of select="$systemid"/>"
														}
													);
													inchorus.$("<xsl:value-of select="$parentid" />-tooltip-entraid-<xsl:value-of select="$systemid" />").deactivate();
													inchorus.$('entraid-systemsetup-system-lightbox-validation').activate();
												</xsl:attribute>
											</inchorus-button>
										</div>
									</div>
									
								</inchorus-tooltip>
								
								<div style="padding:0px 15px; 15px 20px;">
									<h2  style="margin-bottom:10px;">
										<xsl:attribute name="title"><xsl:value-of select="$name" /></xsl:attribute>
										<xsl:attribute name="style">cursor:default;</xsl:attribute>
										<div class="dac-system-entraid-data-icon"></div>
										<xsl:choose>
										  <xsl:when test="string-length($name) > 10">
											<xsl:value-of select="concat(substring($name, 1, 9), '...')"/>
										  </xsl:when>
										  <xsl:otherwise>
											<xsl:value-of select="$name"/>
										  </xsl:otherwise>
										</xsl:choose>
									</h2>
									<div style="line-height: 24px;">
										<inchorus-content>
											<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-box-content-<xsl:value-of select="$systemid"/></xsl:attribute>
											<xsl:attribute name="hascontentfile">true</xsl:attribute>
											<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-systemdetails</xsl:attribute>
											<xsl:attribute name="parameters">[{"systemid":"<xsl:value-of select="$systemid" />"}]</xsl:attribute>
											<xsl:attribute name="command">getSystem</xsl:attribute>
										</inchorus-content>
									</div>
									<p class="dac-system-box-message" style="font-weight:bold;">
										<xsl:value-of select="$statusmessage" />
									</p>
								</div>
								
								<div style="border-top: 1px solid #ddd;padding:10px;">
									<inchorus-button class="dac-system-box-button-showdetails">
										<xsl:attribute name="id"><xsl:value-of select="parentid" />-button-showdetails-<xsl:value-of select="$systemid" /></xsl:attribute>
										<xsl:attribute name="type">text</xsl:attribute>
										<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_showdetails" /></xsl:attribute>
										<xsl:attribute name="highlighting">low</xsl:attribute>
										<xsl:attribute name="style">background-color:transparent;margin-bottom: 10px;float:right;margin-right:0px;</xsl:attribute>
										<xsl:attribute name="onclick">
											inchorus.$('<xsl:value-of select="$parentid"/>-lightbox').setParameters(
												{
													"name":"<xsl:value-of select="$name" />",
													"systemid":"<xsl:value-of select="$systemid" />",
													"boxcontentid":"<xsl:value-of select="$parentid"/>-box-content-<xsl:value-of select="$systemid"/>",
													"grandparentid":"<xsl:value-of select="$parentid"/>"
												}
											);
											inchorus.$('<xsl:value-of select="$parentid"/>-lightbox').activate();
											jQuery('#<xsl:value-of select="$parentid"/>-box-content-<xsl:value-of select="$systemid"/>').remove();
										</xsl:attribute>
									</inchorus-button>
								</div>
							</div>
						</inchorus-content>
						
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
				
					<script>
						inchorus.$('entraid-systemsetup-system-button-next').deactivate();
						jQuery('#entraid-systemsetup-system-button-next').hide();						
					</script>
				
					<div class="dac-system-dashedbox">
						<div class="dac-system-dashedbox-wrapper">
							<center><xsl:value-of select="$entraid_setup_system_text_addedbox" /></center>
						</div>
					</div>
				</xsl:otherwise>
			</xsl:choose>
		</div>
		
		<inchorus-lightbox>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-lightbox</xsl:attribute>
			<xsl:attribute name="active">false</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="command">getCollectors</xsl:attribute>
		</inchorus-lightbox>
		
		<script>
			setTimeout(function(){
				entraid.setup.divelement();
			}, 200);
		</script>
	</xsl:template>
</xsl:stylesheet>