<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-systemsetup-system-lightbox-add-group</xsl:variable>
		<div style="margin-top:10px;">
			
			<inchorus-message>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-node</xsl:attribute>
				<xsl:attribute name="type">node</xsl:attribute>
				<xsl:attribute name="active">true</xsl:attribute>
				<xsl:value-of select="$entraid_setup_system_node_groupdn" />
			</inchorus-message>
			
			<div class="inc-portal-input-wrapper">
				<label class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-groupbasedn</xsl:attribute>
					<xsl:value-of select="$entraid_setup_system_lightbox_add_label_groupdn"/>*
				</label>
				<input>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-groupbasedn</xsl:attribute>
					<xsl:attribute name="type">text</xsl:attribute>
					<xsl:attribute name="value"></xsl:attribute>
					<xsl:attribute name="name">inc-groupbasedn</xsl:attribute>
					<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
					<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>	
				</input>
			</div>
			
			<inchorus-button>
				<xsl:attribute name="id">entraid-systemsetup-system-lightbox-add-group</xsl:attribute>
				<xsl:attribute name="type">text</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_next" /></xsl:attribute>
				<xsl:attribute name="style">margin:20px 0px 0px 0px;float:right;</xsl:attribute>
				<xsl:attribute name="class">dac-system-button-next</xsl:attribute>
				<xsl:attribute name="onclick">
					inchorus.$('entraid-systemsetup-system-lightbox-add-tabs').setActiveheaderid('entraid-systemsetup-system-lightbox-add-header-3');
				</xsl:attribute>
			</inchorus-button>
		</div>
	</xsl:template>
</xsl:stylesheet>