<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-systemsetup-system-lightbox-add</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>
		
		<xsl:variable name="connected" select="//data/parameters/parameter[@name='connected']" />
		<xsl:variable name="authority" select="//data/parameters/parameter[@name='authority']" />
		<xsl:variable name="tenant" select="//data/parameters/parameter[@name='tenant']" />
		<xsl:variable name="clientid" select="//data/parameters/parameter[@name='clientid']" />
		<xsl:variable name="secret" select="//data/parameters/parameter[@name='secret']" />
		<xsl:variable name="scope" select="//data/parameters/parameter[@name='scope']" />	
		<xsl:variable name="tenantname" select="//data/parameters/parameter[@name='tenantname']" />
		<xsl:variable name="result" select="//data/parameters/parameter[@name='result']" />
		<xsl:variable name="connecteddomain" select="//data/parameters/parameter[@name='connecteddomain']" />
		
		<xsl:variable name="proxyhost" select="//data/parameters/parameter[@name='proxyhost']" />
		<xsl:variable name="proxyport" select="//data/parameters/parameter[@name='proxyport']" />
		<xsl:variable name="sslproxy" select="//data/parameters/parameter[@name='sslproxy']" />
		<xsl:variable name="proxyusername" select="//data/parameters/parameter[@name='proxyusername']" />
		<xsl:variable name="proxypassword" select="//data/parameters/parameter[@name='proxypassword']" />

		<!-- 
		<xsl:variable name="domainname" select="//data/parameters/parameter[@name='domainname']"/>
		<xsl:variable name="domainbasedn" select="//data/parameters/parameter[@name='domainbasedn']"/>
		<xsl:variable name="host" select="//data/parameters/parameter[@name='host']"/>
		<xsl:variable name="hostname" select="//data/parameters/parameter[@name='hostname']"/>
		<xsl:variable name="ssl" select="//data/parameters/parameter[@name='ssl']"/>
		<xsl:variable name="port" select="//data/parameters/parameter[@name='port']"/>
		<xsl:variable name="userdn" select="//data/parameters/parameter[@name='userdn']"/>
		<xsl:variable name="userpw" select="//data/parameters/parameter[@name='userpw']"/>
		-->
		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-general-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			<xsl:attribute name="command">createEntraIDSystem</xsl:attribute>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-authority</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$authority"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-tenant</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$tenant"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-clientid</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$clientid"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-secret</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$secret"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-scope</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$scope"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-tenantname</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$tenantname"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-connecteddomain</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$connecteddomain"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-proxyhost</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$proxyhost"/></xsl:attribute>
			</input>
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-proxyport</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$proxyport"/></xsl:attribute>
			</input>
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-sslproxy</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$sslproxy"/></xsl:attribute>
			</input>
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-proxyusername</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$proxyusername"/></xsl:attribute>
			</input>
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-proxypassword</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$proxypassword"/></xsl:attribute>
			</input>
			
			<h3>
				<xsl:value-of select="$entraid_setup_system_lightbox_add_header" />
			</h3>
			<div class="inchorus-lightbox-options">
			
			<!-- lightbox close button start -->
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-close</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="border">false</xsl:attribute>
					<xsl:attribute name="highlighting">none</xsl:attribute>
					<xsl:attribute name="hover">false</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$entraid_setup_button_close" /></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('entraid-systemsetup-system-lightbox').deactivate();
					</xsl:attribute>
		 		</inchorus-button>
			<!-- lightbox close button end -->
				
			</div>
			
			<div style="padding:10px 20px 10px 20px;">

	 			<inchorus-content>
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-general</xsl:attribute>
	      			<xsl:attribute name="parameters">[{"initmajorstate":"<xsl:value-of select="$initmajorstate" />"},{"initminorstate":"<xsl:value-of select="$initminorstate" />"},{"initmessage":"<xsl:value-of select="$initmessage" />"}]</xsl:attribute>
	        		<xsl:attribute name="command">getDefaultData</xsl:attribute>
	        		<xsl:attribute name="hascontentfile">true</xsl:attribute>
	      		</inchorus-content>
			</div>
		</inchorus-form>
	</xsl:template>
</xsl:stylesheet>