<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-systemsetup-system-lightbox-add</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>
		<xsl:variable name="domainname" select="//data/parameters/parameter[@name='domainname']"/>
		<xsl:variable name="host" select="//data/parameters/parameter[@name='host']"/>
		<xsl:variable name="userdn" select="//data/parameters/parameter[@name='userdn']"/>
		<xsl:variable name="userpw" select="//data/parameters/parameter[@name='userpw']"/>

		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			<xsl:attribute name="command">createADSystem</xsl:attribute>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-domainname</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$domainname"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-host</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$host"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-userdn</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$userdn"/></xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-userpw</xsl:attribute>
				<xsl:attribute name="value"><xsl:value-of select="$userpw"/></xsl:attribute>
			</input>
			
			<h3>
				<xsl:value-of select="$entraid_setup_system_lightbox_add_header" />
			</h3>
			<div class="inchorus-lightbox-options">
			
			<!-- lightbox close button start -->
				<inchorus-button>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-close</xsl:attribute>
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="border">false</xsl:attribute>
					<xsl:attribute name="highlighting">none</xsl:attribute>
					<xsl:attribute name="hover">false</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$entraid_setup_button_close" /></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('entraid-systemsetup-system-lightbox').deactivate();
					</xsl:attribute>
		 		</inchorus-button>
			<!-- lightbox close button end -->
				
			</div>
			
			<div style="padding:10px 20px 10px 20px;">
			
			
		<inchorus-tabs>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tabs</xsl:attribute>
    		<xsl:attribute name="type">horizontal</xsl:attribute>
    		<xsl:choose>
	    		<xsl:when test="initmajorstate = '2'">
	    			<xsl:attribute name="activeheaderid"><xsl:value-of select="$parentid"/>-header-<xsl:value-of select="$initminorstate"/></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="activeheaderid"><xsl:value-of select="$parentid"/>-header-1</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>

		
			<inchorus-tab-header-area style="margin-top:-1px !important;">
	    		<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-header-area</xsl:attribute>
	      		     
	      		<div class="dac-system-tabs-horizontal-placeholder">
		      		<div class="dac-system-tabs-horizontal-placeholder-wrapper" style="width:27px !important;">
		        		<div class="dac-system-tabs-horizontal-placeholder-wrapper-row-1">
		        		</div>
		        		<div  class="dac-system-tabs-horizontal-placeholder-wrapper-row-2">
		        			<div class="dac-system-tabs-horizontal-placeholder-wrapper-row-2-image">
		        			</div>
		        		</div>
		        	</div>
		      	</div>
		      		     		 
	      		<inchorus-tab-header style="border: 0px !important;padding:0px !important; margin:0px !important;background-color: transparent;">
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-header-1</xsl:attribute>
	        		<xsl:attribute name="linkedcontentid"><xsl:value-of select="$parentid"/>-user</xsl:attribute>
	        		
	        		<div class="dac-system-tabs-horizontal-tab">
	        			<div>
	        				<center>
	        					User
	        				</center>
	        			</div>
	        			<div class="dac-system-tabs-horizontal-tab-row-2">
	        				<xsl:if test="$initmajorstate &lt; 2">
	        					<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2 dac-system-tabs-horizontal-tab-row-2-notedited</xsl:attribute>
	        				</xsl:if>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-left">
	        				</div>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-middle">
	        					<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle-notedited</xsl:attribute>
	        					<!-- 
	        					<xsl:choose>
	        						<xsl:when test="$initmajorstate &lt; 2">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle-notedited</xsl:attribute>
	        						</xsl:when>
	        						<xsl:when test="($initmajorstate = 2 and $initminorstate &gt; 1) or $initmajorstate &gt; 2 or $initmajorstate = 'SUCCESS' ">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle-success</xsl:attribute>
	        						</xsl:when>
	        						<xsl:otherwise>
			        					<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle-error</xsl:attribute>
			        				</xsl:otherwise>
	        					</xsl:choose>
	        					-->
	        				</div>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-right">
	 							
	        				</div>
	        			</div>
	        		</div>
	      		</inchorus-tab-header>
      			
	      		<inchorus-tab-header style="border: 0px !important;padding:0px !important; margin:0px !important;background-color: transparent;">
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-header-2</xsl:attribute>
	        		<xsl:attribute name="linkedcontentid"><xsl:value-of select="$parentid"/>-group</xsl:attribute>
	        		
	        		<div class="dac-system-tabs-horizontal-tab">
	        			<div>
	        				<center>
	        					Group
	        				</center>
	        			</div>
	        			<div class="dac-system-tabs-horizontal-tab-row-2">
	        				<xsl:if test="($initmajorstate = 2 and $initminorstate &lt; 2) or $initmajorstate &lt; 2 ">
	        					<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2 dac-system-tabs-horizontal-tab-row-2-notedited</xsl:attribute>
	        				</xsl:if>
	        				
	        				<div class="dac-system-tabs-horizontal-tab-row-2-left">
	 							
	        				</div>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-middle">
	        					<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle-notedited</xsl:attribute>
	        					<!-- 
	        					<xsl:choose>
	        						<xsl:when test="($initmajorstate = 2 and $initminorstate &lt; 2) or $initmajorstate &lt; 2 ">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle-notedited</xsl:attribute>
	        						</xsl:when>
	        						<xsl:when test="($initminorstate &gt; 2 and $initmajorstate = 2) or $initmajorstate &gt; 2 or $initmajorstate = 'SUCCESS'">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle-success</xsl:attribute>
	        						</xsl:when>
	        						<xsl:otherwise>
			        					<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle-error</xsl:attribute>
			        				</xsl:otherwise>
	        					</xsl:choose>
	        					-->
	        				</div>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-right">
	 							
	        				</div>
	        			</div>
	        		</div>
	      		</inchorus-tab-header>
      		
	      		<inchorus-tab-header style="border: 0px !important;padding:0px !important; margin:0px 0px 5px 0px !important;background-color: transparent;">
		      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-header-3</xsl:attribute>
		        		<xsl:attribute name="linkedcontentid"><xsl:value-of select="$parentid"/>-general</xsl:attribute>
		        		
		        		
		        		<div class="dac-system-tabs-horizontal-tab">
	        			<div>
	        				<center>
	        					General
	        				</center>
	        			</div>
	        			<div class="dac-system-tabs-horizontal-tab-row-2">
	        				<xsl:if test="($initmajorstate = 2 and $initminorstate &lt; 3) or $initmajorstate &lt; 2 ">
	        					<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2 dac-system-tabs-horizontal-tab-row-2-notedited</xsl:attribute>
	        				</xsl:if>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-left">
	 							
	        				</div>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-middle">
	        					<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle-notedited</xsl:attribute>
	        					<!-- 
	        					<xsl:choose>
	        						<xsl:when test="($initmajorstate = 2 and $initminorstate &lt; 3) or $initmajorstate &lt; 2 ">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle-notedited</xsl:attribute>
	        						</xsl:when>
	        						<xsl:when test="($initminorstate &gt; 3 and $initmajorstate = 2) or $initmajorstate &gt; 2 or $initmajorstate = 'SUCCESS'">
	        							<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle-success</xsl:attribute>
	        						</xsl:when>
	        						<xsl:otherwise>
			        					<xsl:attribute name="class">dac-system-tabs-horizontal-tab-row-2-middle-error</xsl:attribute>
			        				</xsl:otherwise>
	        					</xsl:choose>
	        					-->
	        				</div>
	        				<div class="dac-system-tabs-horizontal-tab-row-2-right">
	 							
	        				</div>
	        			</div>
	        		</div>
		      	</inchorus-tab-header>
		      	
		      	<div class="dac-system-tabs-horizontal-placeholder">
		      		<div class="dac-system-tabs-horizontal-placeholder-wrapper" style="width:27px !important;">
		        		<div class="dac-system-tabs-horizontal-placeholder-wrapper-row-1">
		        		</div>
		        		<div  class="dac-system-tabs-horizontal-placeholder-wrapper-row-2">
		        			<div class="dac-system-tabs-horizontal-placeholder-wrapper-row-2-image">
		        			</div>
		        		</div>
		        	</div>
		      	</div>
      		</inchorus-tab-header-area>
     
     		
	 		<inchorus-tab-content-area>
	    		<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-content-area</xsl:attribute>
	      		
	      		<inchorus-tab-content>
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-user</xsl:attribute>
	        		<xsl:attribute name="hascontentfile">true</xsl:attribute>
	        		<xsl:attribute name="command">getDefaultData</xsl:attribute>
	        		<xsl:attribute name="activationcontentmode">once</xsl:attribute>
	        		<xsl:attribute name="deactivationcontentmode">leave</xsl:attribute>
	      		</inchorus-tab-content>
	      		<inchorus-tab-content>
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-group</xsl:attribute>
	      			<xsl:attribute name="parameters">[{"initmajorstate":"<xsl:value-of select="$initmajorstate" />"},{"initminorstate":"<xsl:value-of select="$initminorstate" />"},{"initmessage":"<xsl:value-of select="$initmessage" />"}]</xsl:attribute>
	        		<xsl:attribute name="command">getDefaultData</xsl:attribute>
	        		<xsl:attribute name="hascontentfile">true</xsl:attribute>
	        		<xsl:attribute name="activationcontentmode">once</xsl:attribute>
	        		<xsl:attribute name="deactivationcontentmode">leave</xsl:attribute>
	      		</inchorus-tab-content>
	      		<inchorus-tab-content>
	      			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-general</xsl:attribute>
	      			<xsl:attribute name="parameters">[{"initmajorstate":"<xsl:value-of select="$initmajorstate" />"},{"initminorstate":"<xsl:value-of select="$initminorstate" />"},{"initmessage":"<xsl:value-of select="$initmessage" />"}]</xsl:attribute>
	        		<xsl:attribute name="command">getDefaultData</xsl:attribute>
	        		<xsl:attribute name="hascontentfile">true</xsl:attribute>
	        		<xsl:attribute name="activationcontentmode">once</xsl:attribute>
	        		<xsl:attribute name="deactivationcontentmode">leave</xsl:attribute>
	      		</inchorus-tab-content>
	    	</inchorus-tab-content-area>

  		</inchorus-tabs>
				</div>
		</inchorus-form>
		<div style="padding:0px 20px;">
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-response</xsl:attribute>
		</div>
	</xsl:template>
</xsl:stylesheet>