<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-systemsetup-system-lightbox</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>

		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-host-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-host-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
			<xsl:attribute name="command">checkEntraIDConnection</xsl:attribute>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-authority</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-authority</xsl:attribute>
				<xsl:attribute name="value">https://login.microsoftonline.com/</xsl:attribute>
			</input>
			
			<input>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-scope</xsl:attribute>
				<xsl:attribute name="type">hidden</xsl:attribute>
				<xsl:attribute name="name">inc-scope</xsl:attribute>
				<xsl:attribute name="value">https://graph.microsoft.com/.default</xsl:attribute>
			</input>
		
			<h3>
				<xsl:value-of select="$entraid_setup_system_lightbox_host_header" />
			</h3>
			<div class="inchorus-lightbox-options">
			
			<!-- lightbox close button start -->
				<inchorus-button id="setup-ntfs-lightbox-button-close">
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="border">false</xsl:attribute>
					<xsl:attribute name="highlighting">none</xsl:attribute>
					<xsl:attribute name="hover">false</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$entraid_setup_button_close" /></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$parentid"/>').deactivate();
						jQuery('#entraid-systemsetup-system-lightbox').removeClass('withproxy');
					</xsl:attribute>
		 		</inchorus-button>
			<!-- lightbox close button end -->
				
			</div>
			
			<div style="padding:0px 20px 10px 20px;">

					<div class="inc-portal-input-wrapper">
						<label  class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-tenant</xsl:attribute>
							<xsl:value-of select="$entraid_setup_system_lightbox_tenant" />*
						</label>
						<input>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tenant</xsl:attribute>
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="value"></xsl:attribute>
							<xsl:attribute name="name">inc-tenant</xsl:attribute>
							<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
							<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
							<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-tenant-tooltip').activate();</xsl:attribute>
							<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-tenant-tooltip').deactivate();</xsl:attribute>
							<xsl:attribute name="onchange">
								$('#<xsl:value-of select="$parentid"/>-label-tenant').removeClass('inchorus-form-invalid');
							</xsl:attribute>
						</input>
						<inchorus-tooltip>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-tenant-tooltip</xsl:attribute>
							<xsl:attribute name="active">false</xsl:attribute>
							<xsl:attribute name="position">right-middle</xsl:attribute>
							<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
							<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
							<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-tenant</xsl:attribute>
							<xsl:attribute name="hascontentfile">false</xsl:attribute>
							<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

							<div style="margin: 0px 15px;padding: 11px 0px 15px 0px;">
								<xsl:value-of select="$entraid_setup_tooltip_tenant" />
							</div>
						</inchorus-tooltip>
					</div>
					
					<div class="inc-portal-input-wrapper">
						<label  class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-clientid</xsl:attribute>
							<xsl:value-of select="$entraid_setup_system_lightbox_clientid" />*
						</label>
						<input>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-clientid</xsl:attribute>
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="value"></xsl:attribute>
							<xsl:attribute name="name">inc-clientid</xsl:attribute>
							<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
							<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
							<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-clientid-tooltip').activate();</xsl:attribute>
							<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-clientid-tooltip').deactivate();</xsl:attribute>
							<xsl:attribute name="onchange">
								$('#<xsl:value-of select="$parentid"/>-label-clientid').removeClass('inchorus-form-invalid');
							</xsl:attribute>
						</input>
						<inchorus-tooltip>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-clientid-tooltip</xsl:attribute>
							<xsl:attribute name="active">false</xsl:attribute>
							<xsl:attribute name="position">right-middle</xsl:attribute>
							<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
							<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
							<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-clientid</xsl:attribute>
							<xsl:attribute name="hascontentfile">false</xsl:attribute>
							<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

							<div style="margin: 0px 15px;padding: 11px 0px 15px 0px;">
								<xsl:value-of select="$entraid_setup_tooltip_clientid" />
							</div>
						</inchorus-tooltip>
					</div>

					<div class="inc-portal-input-wrapper">
						<label  class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field  inc-portal-input-label-<!--GADGET:LANGUAGE-->">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-secret</xsl:attribute>
							<xsl:value-of select="$entraid_setup_system_lightbox_secret" />*
						</label>
						<input>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-secret</xsl:attribute>
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="value"></xsl:attribute>
							<xsl:attribute name="name">inc-secret</xsl:attribute>
							<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
							<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
							<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-secret-tooltip').activate();</xsl:attribute>
							<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-secret-tooltip').deactivate();</xsl:attribute>
							<xsl:attribute name="onchange">
								$('#<xsl:value-of select="$parentid"/>-label-secret').removeClass('inchorus-form-invalid');
							</xsl:attribute>
						</input>
						<inchorus-tooltip>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-secret-tooltip</xsl:attribute>
							<xsl:attribute name="active">false</xsl:attribute>
							<xsl:attribute name="position">right-middle</xsl:attribute>
							<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
							<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
							<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-secret</xsl:attribute>
							<xsl:attribute name="hascontentfile">false</xsl:attribute>
							<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

							<div style="margin: 0px 15px;padding: 11px 0px 15px 0px;">
								<xsl:value-of select="$entraid_setup_tooltip_secret" />
							</div>
						</inchorus-tooltip>
					</div>
					
					<div class="inc-portal-input-wrapper">
						<label  class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-connecteddomain</xsl:attribute>
							<xsl:value-of select="$entraid_setup_system_lightbox_connecteddomain" />*
						</label>
						<inchorus-select>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-connecteddomain</xsl:attribute>
							<xsl:attribute name="name">inc-connecteddomain</xsl:attribute>
							<xsl:attribute name="hascontentfile">true</xsl:attribute>
							<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
							<xsl:attribute name="alternativecontentfile">select-domain</xsl:attribute>
							<xsl:attribute name="parameters">[{"notconnected":"true"},{"notalltyps":"true"}]</xsl:attribute>
							<xsl:attribute name="command">getADSystems</xsl:attribute>
							<xsl:attribute name="active">true</xsl:attribute>
							<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
							<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-connecteddomain-tooltip').activate();</xsl:attribute>
							<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-connecteddomain-tooltip').deactivate();</xsl:attribute>
							<xsl:attribute name="onchange">
								inchorus.$('<xsl:value-of select="$parentid"/>-connecteddomain-tooltip').deactivate();
								$('#<xsl:value-of select="$parentid"/>-label-connecteddomain').removeClass('inchorus-form-invalid');
							</xsl:attribute>
						</inchorus-select>
						<inchorus-tooltip>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-connecteddomain-tooltip</xsl:attribute>
							<xsl:attribute name="active">false</xsl:attribute>
							<xsl:attribute name="position">right-middle</xsl:attribute>
							<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
							<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
							<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-connecteddomain</xsl:attribute>
							<xsl:attribute name="hascontentfile">false</xsl:attribute>
							<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

							<div style="margin: 0px 15px;padding: 11px 0px 15px 0px;">
								<xsl:value-of select="$entraid_setup_tooltip_connecteddomain" />
							</div>
						</inchorus-tooltip>
					</div>
					
					
						<div class="inc-portal-input-wrapper">
							<label  class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-sslproxy</xsl:attribute>
								<xsl:value-of select="$entraid_setup_system_lightbox_proxy" />
							</label>
							
							
						<inchorus-select>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-sslproxy</xsl:attribute>
							<xsl:attribute name="name">inc-sslproxy</xsl:attribute>
							<xsl:attribute name="hascontentfile">true</xsl:attribute>
							<xsl:attribute name="inchorus-validate">.+</xsl:attribute>
							<xsl:attribute name="alternativecontentfile">select-proxy</xsl:attribute>
							<xsl:attribute name="command">getDefaultData</xsl:attribute>
							<xsl:attribute name="active">true</xsl:attribute>
							<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
							<xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$parentid"/>-sslproxy-tooltip').activate();</xsl:attribute>
							<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-sslproxy-tooltip').deactivate();</xsl:attribute>
							<xsl:attribute name="onchange">
								
								var proxytemp = jQuery('#entraid-selectProxy option:selected').val();
								
								if (proxytemp == 'false' || proxytemp == 'true') {
									jQuery('#entraid-systemsetup-system-lightbox').addClass('withproxy');
									jQuery('#entraid-systemsetup-system-lightbox-proxyhost').attr('inchorus-validate','.+');
									jQuery('#entraid-systemsetup-system-lightbox-proxyport').attr('inchorus-validate','.+');
									inchorus.$('<xsl:value-of select="$parentid" />-content-proxy').activate();
								} else {
									jQuery('#entraid-systemsetup-system-lightbox').removeClass('withproxy');									
									jQuery('#entraid-systemsetup-system-lightbox-proxyhost').removeAttr('inchorus-validate');
									jQuery('#entraid-systemsetup-system-lightbox-proxyport').removeAttr('inchorus-validate');
									inchorus.$('<xsl:value-of select="$parentid" />-content-proxy').deactivate();
								}
								
								inchorus.$('<xsl:value-of select="$parentid"/>-sslproxy-tooltip').deactivate();
								$('#<xsl:value-of select="$parentid"/>-label-sslproxy').removeClass('inchorus-form-invalid');
							</xsl:attribute>
						</inchorus-select>
						<inchorus-tooltip>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-sslproxy-tooltip</xsl:attribute>
							<xsl:attribute name="active">false</xsl:attribute>
							<xsl:attribute name="position">right-middle</xsl:attribute>
							<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
							<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
							<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-field-sslproxy</xsl:attribute>
							<xsl:attribute name="hascontentfile">false</xsl:attribute>
							<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>

							<div style="margin: 0px 15px;padding: 11px 0px 15px 0px;">
								<xsl:value-of select="$entraid_setup_tooltip_sslproxy" />
							</div>
						</inchorus-tooltip>

						</div>
					
					
					<inchorus-content>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-content-proxy</xsl:attribute>
						<xsl:attribute name="active">false</xsl:attribute>
						<xsl:attribute name="hascontentfile">false</xsl:attribute>
						<xsl:attribute name="deactivationcontentmode">remove</xsl:attribute>
						<xsl:attribute name="loglevel">debug</xsl:attribute>
						
						<div class="inc-portal-input-wrapper">
							<label  class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-proxyhost</xsl:attribute>
								<xsl:value-of select="$entraid_setup_system_lightbox_proxyhost" />*
							</label>
							<input>
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyhost</xsl:attribute>
								<xsl:attribute name="type">text</xsl:attribute>
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="name">inc-proxyhost</xsl:attribute>
								<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
								<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-proxyhost-tooltip').activate();</xsl:attribute>
								<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-proxyhost-tooltip').deactivate();</xsl:attribute>
								<xsl:attribute name="onchange">
									$('#<xsl:value-of select="$parentid"/>-label-proxyhost').removeClass('inchorus-form-invalid');
								</xsl:attribute>
							</input>
							<inchorus-tooltip>
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyhost-tooltip</xsl:attribute>
								<xsl:attribute name="active">false</xsl:attribute>
								<xsl:attribute name="position">right-middle</xsl:attribute>
								<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
								<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
								<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-proxyhost</xsl:attribute>
								<xsl:attribute name="hascontentfile">false</xsl:attribute>
								<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>
	
								<div style="margin: 0px 15px;padding: 11px 0px 15px 0px;">
									<xsl:value-of select="$entraid_setup_tooltip_proxyhost" />
								</div>
							</inchorus-tooltip>
						</div>
						
						<div class="inc-portal-input-wrapper">
							<label  class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-proxyport</xsl:attribute>
								<xsl:value-of select="$entraid_setup_system_lightbox_proxyport" />*
							</label>
							<input>
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyport</xsl:attribute>
								<xsl:attribute name="type">text</xsl:attribute>
								<xsl:attribute name="value"></xsl:attribute>
								<xsl:attribute name="name">inc-proxyport</xsl:attribute>
								<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
								<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-proxyport-tooltip').activate();</xsl:attribute>
								<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-proxyport-tooltip').deactivate();</xsl:attribute>
								<xsl:attribute name="onchange">
									$('#<xsl:value-of select="$parentid"/>-label-proxyport').removeClass('inchorus-form-invalid');
								</xsl:attribute>
							</input>
							<inchorus-tooltip>
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyport-tooltip</xsl:attribute>
								<xsl:attribute name="active">false</xsl:attribute>
								<xsl:attribute name="position">right-middle</xsl:attribute>
								<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
								<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
								<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-proxyport</xsl:attribute>
								<xsl:attribute name="hascontentfile">false</xsl:attribute>
								<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>
	
								<div style="margin: 0px 15px;padding: 11px 0px 15px 0px;">
									<xsl:value-of select="$entraid_setup_tooltip_proxyport" />
								</div>
							</inchorus-tooltip>
						</div>
					
							<div class="inc-portal-input-wrapper">
								<label  class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-proxyusername</xsl:attribute>
									<xsl:value-of select="$entraid_setup_system_lightbox_proxyusername" />
								</label>
								<input>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyusername</xsl:attribute>
									<xsl:attribute name="type">text</xsl:attribute>
									<xsl:attribute name="value"></xsl:attribute>
									<xsl:attribute name="name">inc-proxyusername</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-proxyusername-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-proxyusername-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-proxyusername').removeClass('inchorus-form-invalid');
									</xsl:attribute>
								</input>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxyusername-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-proxyusername</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 11px 0px 15px 0px;">
										<xsl:value-of select="$entraid_setup_tooltip_proxyusername" />
									</div>
								</inchorus-tooltip>
							</div>
							<div class="inc-portal-input-wrapper">
								<label  class="inc-portal-changeprofile-label inc-portal-input-label inc-portal-label-field">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-label-proxypassword</xsl:attribute>
									<xsl:value-of select="$entraid_setup_system_lightbox_proxypassword" />
								</label>
								<input>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxypassword</xsl:attribute>
									<xsl:attribute name="type">password</xsl:attribute>
									<xsl:attribute name="value"></xsl:attribute>
									<xsl:attribute name="name">inc-proxypassword</xsl:attribute>
									<xsl:attribute name="oninput">$(this).removeClass('inchorus-form-invalid');</xsl:attribute>
									<xsl:attribute name="onfocus">inchorus.$('<xsl:value-of select="$parentid"/>-proxypassword-tooltip').activate();</xsl:attribute>
									<xsl:attribute name="onfocusout">inchorus.$('<xsl:value-of select="$parentid"/>-proxypassword-tooltip').deactivate();</xsl:attribute>
									<xsl:attribute name="onchange">
										$('#<xsl:value-of select="$parentid"/>-label-proxypassword').removeClass('inchorus-form-invalid');
									</xsl:attribute>
								</input>
								<inchorus-tooltip>
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-proxypassword-tooltip</xsl:attribute>
									<xsl:attribute name="active">false</xsl:attribute>
									<xsl:attribute name="position">right-middle</xsl:attribute>
									<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
									<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
									<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid"/>-proxypassword</xsl:attribute>
									<xsl:attribute name="hascontentfile">false</xsl:attribute>
									<xsl:attribute name="class">system-tooltip-help system-tooltip-fixed</xsl:attribute>
		
									<div style="margin: 0px 15px;padding: 11px 0px 15px 0px;">
										<xsl:value-of select="$entraid_setup_tooltip_proxypassword" />
									</div>
								</inchorus-tooltip>
							</div>
					</inchorus-content>
																				
					<div id="entraid-systemsetup-system-lightbox-host-response"/>
					
					<div class="dac-buttons-wrapper">
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-check</xsl:attribute>
							<xsl:attribute name="class">dac-system-lightbox-button-check</xsl:attribute>
							<xsl:attribute name="type">text</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_add" /></xsl:attribute>
							<xsl:attribute name="status">enabled</xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$parentid"/>-button-check').setStatus('loading');
								inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
							</xsl:attribute>
						</inchorus-button>
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-abort</xsl:attribute>
							<xsl:attribute name="class">dac-system-lightbox-button-abort</xsl:attribute>
							<xsl:attribute name="type">icontext</xsl:attribute>
							<xsl:attribute name="icon">close</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_abort" /></xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$parentid"/>').deactivate();
								jQuery('#entraid-systemsetup-system-lightbox').removeClass('withproxy');
							</xsl:attribute>
						</inchorus-button>
					</div>
				</div>
		</inchorus-form>
	</xsl:template>
</xsl:stylesheet>