<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-systemsetup-system-lightbox-validation-delete-systemanddata</xsl:variable>
		<xsl:variable name="previousparentid">entraid-systemsetup-system-lightbox-validation</xsl:variable>
		<xsl:variable name="systemid" select="//data/parameters/parameter[@name='systemid']"/>
		
		<h3>
			<xsl:value-of select="$entraid_setup_lightbox_deletesystemanddata_header" />
		</h3>
		<div class="inchorus-lightbox-options">	
			<!-- lightbox close button start -->
				<inchorus-button id="entraid-systemsetup-lightbox-button-close">
					<xsl:attribute name="type">icon</xsl:attribute>
					<xsl:attribute name="icon">close</xsl:attribute>
					<xsl:attribute name="border">false</xsl:attribute>
					<xsl:attribute name="highlighting">none</xsl:attribute>
					<xsl:attribute name="hover">false</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$entraid_setup_button_close" /></xsl:attribute>
					<xsl:attribute name="onclick">
						inchorus.$('<xsl:value-of select="$previousparentid" />').deactivate();
					</xsl:attribute>
		 		</inchorus-button>
			<!-- lightbox close button end -->
		</div>
			
		<div class="system-entraid-systemsetup-system-lightbox-validation-content">
			<p class="system-entraid-systemsetup-system-lightbox-validation-text">
				<xsl:value-of select="$entraid_setup_lightbox_deletesystemanddata_text" />
			</p>
			<inchorus-message>
				<xsl:attribute name="id"><xsl:value-of select="$previousparentid" />-message</xsl:attribute>
				<xsl:attribute name="active">true</xsl:attribute>
				<xsl:attribute name="type">node</xsl:attribute>
				<b><xsl:value-of select="$entraid_setup_lightbox_deletesystemanddata_message_1" /></b>&#160;<xsl:value-of select="$entraid_setup_lightbox_deletesystemanddata_message_2" />
			</inchorus-message>
			
			<inchorus-checkboxes>
				<xsl:attribute name="id">select-delete-history</xsl:attribute>
			    <xsl:attribute name="type">vertical</xsl:attribute>
			    <xsl:attribute name="position">left</xsl:attribute>
			    <xsl:attribute name="style">margin-top:20px;color: #888;</xsl:attribute>
			   	<inchorus-checkbox>
					<xsl:attribute name="id">select-delete-history-1</xsl:attribute>
				    <xsl:attribute name="name">inc-deleteHistory</xsl:attribute>
				    <xsl:attribute name="text"><xsl:value-of select="$entraid_setup_checkbox_delete_history" /></xsl:attribute>
				 	<xsl:attribute name="preselect">true</xsl:attribute>
				 </inchorus-checkbox>
			</inchorus-checkboxes>
		</div>
		
		<div class="system-entraid-systemsetup-system-lightbox-validation-buttons">
		  	
		  	<inchorus-button>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-deletecollector</xsl:attribute>
				<xsl:attribute name="class">dac-system-lightbox-button-add</xsl:attribute>
				<xsl:attribute name="type">icontext</xsl:attribute>
				<xsl:attribute name="icon">delete</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_deletecollector" /></xsl:attribute>
				<xsl:attribute name="status">enabled</xsl:attribute>
				<xsl:attribute name="onclick">
					var checkDeleteHistory = document.getElementById('select-delete-history-1-input').value;
					inchorus.$('<xsl:value-of select="$parentid" />-button-deletecollector').setStatus('loading');
					inchorus.$('<xsl:value-of select="$parentid"/>-form').setResponsetargetid('<xsl:value-of select="$parentid"/>-form');
					inchorus.$('<xsl:value-of select="$parentid"/>-form').setParameters(
						{
							"systemid":"<xsl:value-of select="$systemid"/>",
							"deleteHistory": checkDeleteHistory
						}
					);
					inchorus.$('<xsl:value-of select="$parentid"/>-form').submit();
				</xsl:attribute>
			</inchorus-button>
			<inchorus-button>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-abort</xsl:attribute>
				<xsl:attribute name="class">dac-system-lightbox-button-abort</xsl:attribute>
				<xsl:attribute name="type">icontext</xsl:attribute>
				<xsl:attribute name="icon">close</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_abort" /></xsl:attribute>
				<xsl:attribute name="onclick">
					inchorus.$('entraid-systemsetup-system-lightbox-validation').deactivate();
				</xsl:attribute>
			</inchorus-button>
		</div>
		<div style="margin: 0px 20px;">
			<inchorus-form>
				<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
				<xsl:attribute name="submitprefix">inc-</xsl:attribute>
				<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
				<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
				<xsl:attribute name="hasresponsefile">true</xsl:attribute>
				<xsl:attribute name="parameters">[{"systemid":"<xsl:value-of select="$systemid" />"}]</xsl:attribute>
				<xsl:attribute name="command">deleteSystem</xsl:attribute>
			</inchorus-form>
		</div>
	</xsl:template>
</xsl:stylesheet>