<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">entraid-systemsetup-system-localsystems</xsl:variable>
		<xsl:variable name="initmajorstate" select="initmajorstate"/>
		<xsl:variable name="initminorstate" select="initminorstate"/>
		<xsl:variable name="initmessage" select="initmessage"/>
		<xsl:variable name="statuscode" select="//data/status/code"/>

		<xsl:variable name="connected" select="//data/parameters/parameter[@name='connected']" />
		<xsl:variable name="authority" select="//data/parameters/parameter[@name='authority']" />
		<xsl:variable name="tenant" select="//data/parameters/parameter[@name='tenant']" />
		<xsl:variable name="clientid" select="//data/parameters/parameter[@name='clientid']" />
		<xsl:variable name="secret" select="//data/parameters/parameter[@name='secret']" />
		<xsl:variable name="scope" select="//data/parameters/parameter[@name='scope']" />	
		<xsl:variable name="tenantname" select="//data/parameters/parameter[@name='tenantname']" />
		<xsl:variable name="result" select="//data/parameters/parameter[@name='result']" />
		<xsl:variable name="connecteddomain" select="//data/parameters/parameter[@name='connecteddomain']" />
		
		<xsl:variable name="proxyhost" select="//data/parameters/parameter[@name='proxyhost']" />
		<xsl:variable name="proxyport" select="//data/parameters/parameter[@name='proxyport']" />
		<xsl:variable name="sslproxy" select="//data/parameters/parameter[@name='sslproxy']" />
		<xsl:variable name="proxyusername" select="//data/parameters/parameter[@name='proxyusername']" />
		<xsl:variable name="proxypassword" select="//data/parameters/parameter[@name='proxypassword']" />

		<xsl:choose>						 
			<!-- <xsl:when test="not(//data/systems/system) and (not($connected) or $connected = 'false')"> -->
			<xsl:when test="(not($connected) or $connected = 'false')">
 					
					<div style="border: 1px dashed #888;height:173px;margin-bottom:40px;width: 270px;cursor: pointer;">
						<xsl:attribute name="onclick">
							jQuery('#entraid-systemsetup-system-lightbox').attr('class','dac-system-entraid-lightbox-small-accessinformation');
							inchorus.$('entraid-systemsetup-system-lightbox').setAlternativecontentfile('entraid-systemsetup-system-lightbox-host');
							inchorus.$('entraid-systemsetup-system-lightbox').activate();
						</xsl:attribute>
						
						<div style="text-align: center;margin-top:75px;">
							<xsl:value-of select="$entraid_setup_text_adddomain"/>
						</div>
						
					</div>

				
			</xsl:when>
			<xsl:when test="not(//data/systems/system) and $connected = 'true'">
				<div>
					<div>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
					</div>

					<div style="float:left;border: 1px solid #ddd;border-top:4px solid #ddd;overflow:hidden;height:auto;background-color:#fff;border-radius: 6px;width: 268px;">

						<div style="padding:0px 15px; 15px 20px;">
							<h2 style="margin-bottom:10px;">
								<xsl:attribute name="title"><xsl:value-of select="$tenantname" /></xsl:attribute>
								<xsl:attribute name="style">cursor:default;</xsl:attribute>
								<!-- <div class="dac-system-entraid-data-icon"></div>-->
								<xsl:choose>
								  <xsl:when test="string-length($tenantname) > 16">
									<xsl:value-of select="concat(substring($tenantname, 1, 13), '...')"/>
								  </xsl:when>
								  <xsl:otherwise>
									<xsl:value-of select="$tenantname" />
								  </xsl:otherwise>
								</xsl:choose>
							</h2>
							<p class="dac-system-box-message" style="font-weight:bold;">								
								<xsl:choose>
									<xsl:when test="$result = 'SUCCESS'">
										<xsl:value-of select="$entraid_setup_message_success" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$entraid_setup_message_error" />
									</xsl:otherwise>
								</xsl:choose>
							</p>
							<p>
								<xsl:value-of select="$entraid_setup_message_tenantname" />&#160;<xsl:value-of select="$tenantname" />
							</p>
						</div>

						<div style="border-top: 1px solid #ddd;padding:10px;">							
							<inchorus-button>
								<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-button-add</xsl:attribute>
								<xsl:attribute name="class">dac-system-box-button-add</xsl:attribute>
								<xsl:attribute name="type">icontext</xsl:attribute>
								<xsl:attribute name="icon">new</xsl:attribute>
								<xsl:attribute name="text"><xsl:value-of select="$entraid_setup_button_add" /></xsl:attribute>
								<xsl:attribute name="active">true</xsl:attribute>
								<xsl:attribute name="onclick">
									jQuery('#entraid-systemsetup-system-lightbox').attr('class','dac-system-entraid-system-lightbox-big');
									inchorus.$('entraid-systemsetup-system-lightbox').setAlternativecontentfile('entraid-systemsetup-system-lightbox-add');
									inchorus.$('entraid-systemsetup-system-lightbox').setParameters(
										{
											"connected":"true",
											"authority":"<xsl:value-of select="$authority"/>",
											"tenant":"<xsl:value-of select="$tenant"/>",
											"clientid":"<xsl:value-of select="$clientid"/>",
											"secret":"<xsl:value-of select="$secret"/>",
											"scope":"<xsl:value-of select="$scope"/>",
											"tenantname":"<xsl:value-of select="$tenantname"/>",
											"proxyhost":"<xsl:value-of select="$proxyhost"/>",
											"proxyport":"<xsl:value-of select="$proxyport"/>",
											"sslproxy":"<xsl:value-of select="$sslproxy"/>",
											"proxyusername":"<xsl:value-of select="$proxyusername"/>",
											"proxypassword":"<xsl:value-of select="$proxypassword"/>",
											"result":"<xsl:value-of select="$result"/>",
											"connecteddomain":"<xsl:value-of select="$connecteddomain"/>",
										}
									);
									inchorus.$('entraid-systemsetup-system-lightbox').activate();
								</xsl:attribute>
							</inchorus-button>
						</div>						
						
					</div>
				</div>
				<!--  
				<div style="border: 1px dashed #888;height:173px;margin-bottom:40px;width: 270px;float:right;cursor: pointer;">
					<div style="text-align: center;margin-top:75px;">+ Remote hinzuf&#252;gen</div>
				</div>
				-->
			</xsl:when>
		</xsl:choose>

		<inchorus-form>
			<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-form</xsl:attribute>
			<xsl:attribute name="submitprefix">inc-</xsl:attribute>
			<xsl:attribute name="alternativeresponsefile"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="responsetargetid"><xsl:value-of select="$parentid"/>-response</xsl:attribute>
			<xsl:attribute name="hasresponsefile">true</xsl:attribute>
		</inchorus-form>
	
		<script>
			entraid.setup.divelement();
		</script>
	</xsl:template>
</xsl:stylesheet>