<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="inchorus-select-selected" select="//data/parameters/parameter[@name='inchorus-select-selected']"/>
      	<xsl:variable name="inchorus-select-name" select="//data/parameters/parameter[@name='inchorus-select-name']"/>
      	<xsl:variable name="inchorus-select-active" select="//data/parameters/parameter[@name='inchorus-select-active']"/>
      	<xsl:variable name="inchorus-select-validate" select="//data/parameters/parameter[@name='inchorus-select-validate']"/>
        <xsl:variable name="notallstatus" select="//parameters/parameter[@name='notallstatus']" />
		
		<select id="entraid-selectDuration">
			<xsl:attribute name="name"><xsl:value-of select="$inchorus-select-name" /></xsl:attribute>
			
				<option value="7">
					<xsl:if test="$inchorus-select-selected = '7'">
						<xsl:attribute name="selected">selected</xsl:attribute>
					</xsl:if>
					<xsl:value-of select="$entraid_select_policies_showhistory_last7days" />
				</option>
				<option value="14">
					<xsl:if test="$inchorus-select-selected = '14'">
						<xsl:attribute name="selected">selected</xsl:attribute>
					</xsl:if>
					<xsl:value-of select="$entraid_select_policies_showhistory_last14days" />
				</option>
				<option value="30">
					<xsl:if test="$inchorus-select-selected = '30'">
						<xsl:attribute name="selected">selected</xsl:attribute>
					</xsl:if>
					<xsl:value-of select="$entraid_select_policies_showhistory_last30days" />
				</option>
				<option value="90">
					<xsl:if test="$inchorus-select-selected = '90'">
						<xsl:attribute name="selected">selected</xsl:attribute>
					</xsl:if>
					<xsl:value-of select="$entraid_select_policies_showhistory_last90days" />
				</option>
				<option value="180">
					<xsl:if test="$inchorus-select-selected = '180'">
						<xsl:attribute name="selected">selected</xsl:attribute>
					</xsl:if>
					<xsl:value-of select="$entraid_select_policies_showhistory_last180days" />
				</option>
		</select>
	</xsl:template>
</xsl:stylesheet>