<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="inchorus-select-selected" select="//data/parameters/parameter[@name='inchorus-select-selected']"/>
      	<xsl:variable name="inchorus-select-name" select="//data/parameters/parameter[@name='inchorus-select-name']"/>
      	<xsl:variable name="inchorus-select-active" select="//data/parameters/parameter[@name='inchorus-select-active']"/>
      	<xsl:variable name="inchorus-select-validate" select="//data/parameters/parameter[@name='inchorus-select-validate']"/>
        <xsl:variable name="notalltyps" select="//parameters/parameter[@name='notalltyps']" />
        <xsl:variable name="notconnected" select="//parameters/parameter[@name='notconnected']" />
        <xsl:variable name="tempcount" select="count(systems/system)" />
		<xsl:variable name="subid" select="//parameters/parameter[@name='subid']" />
		
		<xsl:if test="$tempcount = '1'">
			<xsl:variable name="tempsystemid" select="systems/system/systemid" />
			
			<script>
				jQuery('#entraid-admin-users-filter-field-selecttenant-table').attr('preselect','<xsl:value-of select="$tempsystemid" />');
			</script>
		</xsl:if>

		<select id="entraid-selectTenant">
			<xsl:choose>
				<xsl:when test="$subid != ''">
					<xsl:attribute name="id">entraid-selectTenant-<xsl:value-of select="$subid" /></xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="id">entraid-selectTenant</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:attribute name="name"><xsl:value-of select="$inchorus-select-name" /></xsl:attribute>
			<xsl:choose>
				<xsl:when test="$notalltyps = 'true' or $tempcount = '1'">
				</xsl:when>
				<xsl:otherwise>
					<option value=""><xsl:value-of select="$entraid_select_all" /></option>
				</xsl:otherwise>
			</xsl:choose>
			
			<xsl:if test="$notconnected = 'true'">
				<option value="" selected="selected"><xsl:value-of select="$entraid_select_notconnected" /></option>
			</xsl:if>
			
			<xsl:for-each select="systems/system">
				<xsl:variable name="systemid" select="systemid" />
				<xsl:variable name="name" select="name" /> 
				
				<option>
					<xsl:choose>
						<xsl:when test="$notconnected = 'true'">
							<xsl:attribute name="value"><xsl:value-of select="$name" /></xsl:attribute>
						</xsl:when>
						<xsl:otherwise>
							<xsl:attribute name="value"><xsl:value-of select="$systemid" /></xsl:attribute>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:if test="$inchorus-select-selected = $systemid">
						<xsl:attribute name="selected">selected</xsl:attribute>
					</xsl:if>
					<xsl:value-of select="$name" />
				</option>
			</xsl:for-each>

		</select>
	</xsl:template>
</xsl:stylesheet>