<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-entraidgroup-details-group-licenses</xsl:variable>
		<xsl:variable name="uniqueid" select="//parameters/parameter[@name='uniqueid']" />
		
		<div style="margin-bottom: 30px;">
		   <inchorus-tree>
		    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tree-firstrow</xsl:attribute>
		    	<xsl:attribute name="active">true</xsl:attribute>
		    	<xsl:attribute name="hascontentfile">true</xsl:attribute>
		    	<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"}]</xsl:attribute>
		   	 	<xsl:attribute name="command">getEntraIDLicenseplanMembershipForGroup</xsl:attribute>
		   	 	<xsl:attribute name="loglevel">debug</xsl:attribute>
			</inchorus-tree>
		</div>

	</xsl:template>
</xsl:stylesheet>