<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-entraidgroup-details-group</xsl:variable>
		<xsl:variable name="groupid" select="//parameters/parameter[@name='groupid']" />
		<xsl:variable name="name" select="//data/groups/group/name" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="uniqueid" select="//data/groups/group/uniqueid" />
		<xsl:variable name="dn" select="//data/groups/group/groupid" />
		<xsl:variable name="systemname" select="//data/groups/group/systemname" />
		<xsl:variable name="cn" select="//data/groups/group/name" />
		<xsl:variable name="description" select="//data/groups/group/description" />
		<xsl:variable name="modified" select="//data/groups/group/modified" />
		<xsl:variable name="created" select="//data/groups/group/created" />
		<xsl:variable name="scope" select="//data/groups/group/scope" />
		<xsl:variable name="category" select="//data/groups/group/category" />
		<xsl:variable name="membershiptype" select="//data/groups/group/membershiptype" />
		<xsl:variable name="membershiprule" select="//data/groups/group/membershiprule" />
		<xsl:variable name="mail" select="//data/groups/group/mail" />
		<xsl:variable name="mailenabled" select="//data/groups/group/mailenabled" />
		<xsl:variable name="source" select="//data/groups/group/source" />
		<xsl:variable name="teamsenabled" select="//data/groups/group/teamsenabled" />
		<xsl:variable name="expires" select="//data/groups/group/expires" />
		<xsl:variable name="securityenabled" select="//data/groups/group/securityEnabled" />
		<xsl:variable name="rolsassignmentsenabled" select="//data/groups/group/rolsassignmentsenabled" />
		<xsl:variable name="onPremisesSyncEnabled" select="//data/groups/group/onPremisesSyncEnabled" />
		<xsl:variable name="isconnected" select="//data/groups/group/isconnected" />
			 
		<div class="dac-slider-list">
			<div>
				<label>
					<xsl:value-of select="$entraid_label_objectsid" />
				</label>
				<div>
					<xsl:value-of select="$uniqueid"/>
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_label_name" />
				</label>
				<div>
					<xsl:value-of select="$name"/>
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_label_description"/>
				</label>
				<div>
					<xsl:choose>
					    <xsl:when test="$description = 'null'">
					    </xsl:when>
					    <xsl:otherwise>
					   	 <xsl:value-of select="$description"/>
					    </xsl:otherwise>
				    </xsl:choose>
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_label_grouptype"/><br/>
				</label>
				<div>
					<xsl:choose>
						<xsl:when test="$category = 'o365'">
							<xsl:value-of select="$entraid_grouptype_ms365group" />
						</xsl:when>
						<xsl:when test="$category = 'security'">
							<xsl:value-of select="$entraid_grouptype_securitygroup" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$entraid_grouptype_securitygroup" />
						</xsl:otherwise>
					</xsl:choose>
					<br/>
						<div>
							<xsl:choose>
								<xsl:when test="$mailenabled = 'true'">
									<xsl:attribute name="style">float:left;padding-top:2px;padding-right:5px;margin-left:-2px;</xsl:attribute>
									<img src="/entraid/inc/img/inchorus/actions/status/status_active.png"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="style">float:left;padding-top:1px;padding-right:5px;margin-left:-2px;</xsl:attribute>
									<img src="/entraid/inc/img/inchorus/actions/status/status_inactive.png"/>
								</xsl:otherwise>
							</xsl:choose>
						</div>
						<div style="float:left;line-height:24px;margin-right:25px;">
							<xsl:value-of select="$entraid_label_mail" />
						</div>
						<div>
							<xsl:choose>
								<xsl:when test="$securityenabled = 'true'">
									<xsl:attribute name="style">float:left;padding-top:2px;padding-right:5px;</xsl:attribute>
									<img src="/entraid/inc/img/inchorus/actions/status/status_active.png"/>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="style">float:left;padding-top:1px;padding-right:5px;</xsl:attribute>
									<img src="/entraid/inc/img/inchorus/actions/status/status_inactive.png"/>
								</xsl:otherwise>
							</xsl:choose>
						</div>
						<div style="float:left;line-height:24px;">
							<xsl:value-of select="$entraid_label_security" />
						</div>
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_label_category"/><br/>
				</label>
				<div>
					<xsl:choose>
						<xsl:when test="$category = 'o365'">
							<xsl:value-of select="$entraid_grouptype_ms365group" />
						</xsl:when>
						<xsl:when test="$category = 'security'">
							<xsl:value-of select="$entraid_grouptype_securitygroup" />
						</xsl:when>
						<xsl:when test="$category = 'mailenabledsecurity'">
							<xsl:value-of select="$entraid_grouptype_activemailgroup" />
						</xsl:when>
						<xsl:when test="$category = 'distribution'">
							<xsl:value-of select="$entraid_grouptype_distributiongroup" />
						</xsl:when>
					</xsl:choose>
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_label_membershiptype"/>
				</label>
				<div style="width:calc(100% - 206px); float:left;">
		     		<xsl:attribute name="id"><xsl:value-of select="$parentid" />-filter-input</xsl:attribute>
		     		<xsl:choose>
		     			<xsl:when test="$membershiptype='dynamic'">
		     				<xsl:value-of select="$entraid_selectbox_dynamic" /><br/>
		     				<xsl:choose>
								<xsl:when test="string-length($membershiprule) > 40">
									<xsl:value-of select="concat(substring($membershiprule, 1, 37), '...')"/>
							    </xsl:when>
								<xsl:otherwise>
									<xsl:value-of select="$membershiprule"/>
								</xsl:otherwise>
							</xsl:choose>
		     			</xsl:when>
		     			<xsl:otherwise>
		     				<xsl:value-of select="$entraid_selectbox_assigned" /><br/>
		     			</xsl:otherwise>
		     		</xsl:choose>
	     		</div>
	     		
	     		<xsl:if test="$membershiptype='dynamic'">
		     		<inchorus-button>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-open-filter-button</xsl:attribute>
						<xsl:attribute name="type">icon</xsl:attribute>
						<xsl:attribute name="icon">new</xsl:attribute>
						<xsl:attribute name="title"></xsl:attribute>
						<xsl:attribute name="highlighting">low</xsl:attribute>
						<xsl:attribute name="active">true</xsl:attribute>
						<xsl:attribute name="border">false</xsl:attribute>
						<xsl:attribute name="hover">true</xsl:attribute>
						<xsl:attribute name="onclick">
							document.getElementById('<xsl:value-of select="$parentid" />-filter-input').setAttribute("hidden", "true");
							document.getElementById('<xsl:value-of select="$parentid" />-filter-textarea').removeAttribute("hidden");
							document.getElementById('<xsl:value-of select="$parentid" />-close-filter-button').removeAttribute("hidden");
							document.getElementById('<xsl:value-of select="$parentid" />-open-filter-button').setAttribute("hidden", "true");
						</xsl:attribute>
						<xsl:attribute name="style">margin-top: 4px;background-color: transparent;position: absolute;right:23px;</xsl:attribute>
					</inchorus-button>
		     		<inchorus-button hidden="">
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-close-filter-button</xsl:attribute>
						<xsl:attribute name="type">icon</xsl:attribute>
						<xsl:attribute name="icon">close</xsl:attribute>
						<xsl:attribute name="title"></xsl:attribute>
						<xsl:attribute name="highlighting">low</xsl:attribute>
						<xsl:attribute name="active">true</xsl:attribute>
						<xsl:attribute name="border">false</xsl:attribute>
						<xsl:attribute name="hover">true</xsl:attribute>
						<xsl:attribute name="onclick">
							document.getElementById('<xsl:value-of select="$parentid" />-filter-textarea').setAttribute("hidden", "true");
							document.getElementById('<xsl:value-of select="$parentid" />-filter-input').removeAttribute("hidden");
							document.getElementById('<xsl:value-of select="$parentid" />-open-filter-button').removeAttribute("hidden");
							document.getElementById('<xsl:value-of select="$parentid" />-close-filter-button').setAttribute("hidden", "true");
						</xsl:attribute>
						<xsl:attribute name="style">margin-top: 4px;background-color: transparent;position: absolute;right:23px;</xsl:attribute>
					</inchorus-button>
					<textarea hidden="true" style="width:calc(100% - 11px); cursor: text;" disabled="true" rows="10">
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-filter-textarea</xsl:attribute>
						<xsl:value-of select="$membershiprule" />
					</textarea>
				</xsl:if>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_label_email"/>
				</label>
				<div>
					<div style="float:left;">
						<xsl:if test="$mail != ''">
							<xsl:value-of select="$mail" />
						</xsl:if>
					</div>
					
				</div>
			</div>
		</div>
			
		<div class="dac-slider-scrollable-content" style="height: calc(100% - 474px);">
			<inchorus-akkordeon>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-moreinformations-akkordeon</xsl:attribute>
				<xsl:attribute name="hascontentfile">false</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_label_moreinformations" /></xsl:attribute>
				<xsl:attribute name="onclick">entraid.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-moreinformations-akkordeon');</xsl:attribute>
			    
			    <inchorus-content id="slider-admin-details-identity-moreinformations-akkordeon-content" hascontentfile="false" active="true" command="getDefaultData">
			    	<div class="dac-slider-list">
						<div>
							<label>
								<xsl:value-of select="$entraid_label_whencreated"/>
							</label>
							<div>
								<xsl:if test="$created != ''">
									<xsl:choose>
										<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
											<xsl:value-of select="substring($created,9,2)"/>.<xsl:value-of select="substring($created,6,2)"/>.<xsl:value-of select="substring($created,1,4)"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="substring($created,1,4)"/>-<xsl:value-of select="substring($created,6,2)"/>-<xsl:value-of select="substring($created,9,2)"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:if>
							</div>
						</div>
						<div>
							<label>
								<xsl:value-of select="$entraid_label_securityenabled"/>
							</label>
							<div>
								<xsl:choose>
									<xsl:when test="$securityenabled = 'Enabled'">
										<xsl:value-of select="$entraid_text_enabled"/>
									</xsl:when>
									<xsl:when test="$securityenabled = 'Warning'">
										<xsl:value-of select="$entraid_text_warning"/>
									</xsl:when>
									<xsl:when test="$securityenabled = 'Suspended'">
										<xsl:value-of select="$entraid_text_suspended"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$securityenabled"/>
									</xsl:otherwise>
								</xsl:choose>
							</div>
						</div>
						<div>
							<label>
								<xsl:value-of select="$entraid_label_rolsassignments"/>
							</label>
							<div>
								<xsl:choose>
									<xsl:when test="$rolsassignmentsenabled = 'true'">
										<xsl:value-of select="$entraid_text_enabled"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$entraid_text_disabled"/>
									</xsl:otherwise>
								</xsl:choose>
							</div>
						</div>
						<div>
							<label>
								 <xsl:value-of select="$entraid_label_onpremisessync"/>
							</label>
							<div>
								<xsl:choose>
									<xsl:when test="$isconnected = 'true'">
										<xsl:value-of select="$entraid_selectbox_yes"/>
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$entraid_selectbox_no"/>
									</xsl:otherwise>
								</xsl:choose>
							</div>
						</div>
					</div>
				</inchorus-content>
			</inchorus-akkordeon>
			
			<inchorus-akkordeon>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-members-akkordeon</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="type">first</xsl:attribute>
				<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-members</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
				<xsl:attribute name="command">getGroupMembers</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_label_members" /></xsl:attribute>
				<xsl:attribute name="onclick">entraid.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-members-akkordeon');</xsl:attribute>
				<div class="entraid-slider-akkordeon-loader">
					<xsl:value-of select="$loader_pleasewait" />
				</div>
			</inchorus-akkordeon>

			<inchorus-akkordeon>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-owners-akkordeon</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="type">first</xsl:attribute>
				<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-owners</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
				<xsl:attribute name="command">getGroupManagers</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_label_owners" /></xsl:attribute>
				<xsl:attribute name="onclick">entraid.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-owners-akkordeon');</xsl:attribute>
				<div class="entraid-slider-akkordeon-loader">
					<xsl:value-of select="$loader_pleasewait" />
				</div>
			</inchorus-akkordeon>
			
			<inchorus-akkordeon>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-entraidroleassignments-akkordeon</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="type">first</xsl:attribute>
				<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-entraidroleassignments</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
				<xsl:attribute name="command">getDefaultData</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_label_entraidroleassignments" /></xsl:attribute>
				<xsl:attribute name="onclick">entraid.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-entraidroleassignments-akkordeon');</xsl:attribute>
				<div class="entraid-slider-akkordeon-loader">
					<xsl:value-of select="$loader_pleasewait" />
				</div>
			</inchorus-akkordeon>

			<inchorus-akkordeon>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-licenses-akkordeon</xsl:attribute>
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-licenses</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_slider_akkordeon_enabledservices" /></xsl:attribute>
				<xsl:attribute name="onclick">entraid.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-licenses-akkordeon');</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"}]</xsl:attribute>
				<xsl:attribute name="command">getDefaultData</xsl:attribute>
			</inchorus-akkordeon>
		
		</div>
	</xsl:template>
</xsl:stylesheet>