<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-entraidgroup-details-history-groupassignments-filter</xsl:variable>
		<xsl:variable name="previousparentid">slider-admin-entraidgroup-details-history</xsl:variable>
		<xsl:variable name="status" select="//parameters/parameter[@name='status']" />
		<xsl:variable name="type" select="//parameters/parameter[@name='type']" />
		<xsl:variable name="variable_column_1" select="//parameters/parameter[@name='column-1']" />
		<xsl:variable name="variable_column_2" select="//parameters/parameter[@name='column-2']" />

		<table>
	    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-table</xsl:attribute>
		    <tr>
				<td style="width:220px;">
					<inchorus-select>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-objectcode</xsl:attribute>
						<xsl:attribute name="name">inc-ftObjectcode</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="alternativecontentfile">select-groups-slider-objectcode</xsl:attribute>
						<xsl:attribute name="preselect">SP2GROUPENTRAID</xsl:attribute>
						<xsl:attribute name="active">true</xsl:attribute>
					</inchorus-select>
				</td>
				<td style="width:180px;">
					<inchorus-select>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-field-days</xsl:attribute>
						<xsl:attribute name="name">inc-ftDays</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="alternativecontentfile">select-duration</xsl:attribute>
						<xsl:attribute name="preselect">30</xsl:attribute>
						<xsl:attribute name="active">true</xsl:attribute>
					</inchorus-select>
				</td>
				<td>
		          <inchorus-button>
		          	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-button-search</xsl:attribute>
		            <xsl:attribute name="type">icon</xsl:attribute>
		            <xsl:attribute name="icon">search</xsl:attribute>
		            <xsl:attribute name="highlighting">low</xsl:attribute>
		            <xsl:attribute name="title"><xsl:value-of select="$inchorus_button_search" /></xsl:attribute>
		            <xsl:attribute name="onclick">
		            	inchorus.$('<xsl:value-of select="$parentid" />').submit();
		            </xsl:attribute>
		          </inchorus-button>
		        </td>
			</tr>
		</table>
		<script>
			$('#<xsl:value-of select="$parentid" />').each(function() {
				var tempid = this.id;
				$(this).find('input').keypress(function(e) {
					 if(e.which == 10 || e.which == 13) {
						 $('#<xsl:value-of select="$parentid" />').submit();
					 }
				});
			});
		</script>
	</xsl:template>
</xsl:stylesheet>