<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="modus" select="//parameters/parameter[@name='modus']" />
		<xsl:variable name="ftObjectcode" select="//parameters/parameter[@name='ftObjectcode']" />
		<xsl:variable name="parentid">slider-admin-entraidlicense-details-history-licenseassignments-list</xsl:variable>

		<!-- list header area start -->
					<xsl:variable name="headerareaid"><xsl:value-of select="parentid" />-list-header</xsl:variable>
					<inchorus-list-header-row>
						<inchorus-list-header style="cursor:pointer;padding:0px !important;width: 214px !important;">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-datetime</xsl:attribute>
							<xsl:attribute name="databinding">datetime</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sort">false</xsl:attribute>
							<xsl:attribute name="sortable">false</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$dac_entraid_history_datetime"/></xsl:attribute>
						</inchorus-list-header>
						<inchorus-list-header style="cursor:pointer;padding:0px !important;width: 263px !important;">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-name</xsl:attribute>
							<xsl:attribute name="databinding">sourceobjectname</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">false</xsl:attribute>
							<xsl:choose>
								<xsl:when test="$ftObjectcode = 'LP2SERVICEPENTRAID'">
									<xsl:attribute name="text"><xsl:value-of select="$dac_entraid_history_serviceplan"/></xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="text"><xsl:value-of select="$dac_entraid_history_user"/></xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
						</inchorus-list-header>
						<inchorus-list-header style="cursor:pointer;padding:0px !important;width: 197px !important;">
							<xsl:attribute name="id"><xsl:value-of select="$headerareaid"/>-eventtype</xsl:attribute>
							<xsl:attribute name="databinding">eventtype</xsl:attribute>
							<xsl:attribute name="datatype">string</xsl:attribute>
							<xsl:attribute name="sortable">false</xsl:attribute>
							<xsl:attribute name="text"><xsl:value-of select="$dac_entraid_history_eventtype"/></xsl:attribute>
						</inchorus-list-header>
					</inchorus-list-header-row>
				<!-- list header area end -->	
				
				
				<xsl:choose>
					<xsl:when test="//licensehistory/entry">	
				
						<inchorus-list-content class="rowname" style="overflow-y: scroll;height: 260px;min-height: 260px;">
							<xsl:for-each select="//licensehistory/entry">
								<xsl:variable name="id" select="id" />
								<xsl:variable name="datetime" select="datetime" />
								<xsl:variable name="systemname" select="systemname" />
								<xsl:variable name="eventtype" select="eventtype" />
								<xsl:variable name="objectcode" select="objectcode" />
								<xsl:variable name="sourceobjectuniqueid" select="sourceobjectuniqueid" />
								<xsl:variable name="sourceobjectname" select="data/sourceobject/username" />
								<xsl:variable name="targetobjectname" select="data/targetobject/groupname" />
							
								<inchorus-list-content-row class="transparent" style="cursor:pointer;">
									<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-<xsl:value-of select="$id"/></xsl:attribute>
									<xsl:attribute name="position"><xsl:value-of select="position()"/></xsl:attribute>
									<xsl:attribute name="onclick">
										modus = '<xsl:value-of select="$modus" />';
										
										jQuery('#slider-admin-entraidlicense-details-history .active_row').removeClass('active_row');
										jQuery('#<xsl:value-of select="$parentid"/>-<xsl:value-of select="$id"/>').addClass('active_row');
											
											jQuery('#entraid-slider-details').addClass('entraid-slider-details-60percent');
											inchorus.$('slider-admin-entraidlicense-details-history-list-details').setParameters(
												{
													"id":"<xsl:value-of select="$id"/>"
												}
											
											);
											if (jQuery('#slider-admin-entraidlicense-details-history-list-details').attr('active') == 'true') {
												inchorus.$('slider-admin-entraidlicense-details-history-list-details').load();
											} else {
												inchorus.$('slider-admin-entraidlicense-details-history-list-details').activate();
											};
									</xsl:attribute>
									
									<div style="cursor:pointer;padding:0px !important;width: 214px !important;">
										<div>
											<xsl:choose>
												<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
													<xsl:value-of select="substring($datetime,9,2)"/>.<xsl:value-of select="substring($datetime,6,2)"/>.<xsl:value-of select="substring($datetime,1,4)"/>&#160;<xsl:value-of select="substring($datetime,12,8)"/>
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="substring($datetime,6,2)"/>/<xsl:value-of select="substring($datetime,9,2)"/>/<xsl:value-of select="substring($datetime,1,4)"/>&#160;<xsl:value-of select="substring($datetime,12,8)"/>
												</xsl:otherwise>
											</xsl:choose>
										</div>
									</div>
									<div style="cursor:pointer;padding:0px !important;width: 271px !important;">
										<div>
											<xsl:choose>
												<xsl:when test="$ftObjectcode = 'USER2LICENSEENTRAID'">
													<xsl:variable name="username" select="data/sourceobject/username" />
													<xsl:value-of select="$username" />
												</xsl:when>
												<xsl:when test="$ftObjectcode = 'GROUP2LICENSEENTRAID'">
													<xsl:variable name="groupname" select="data/sourceobject/groupname" />
													<xsl:value-of select="$groupname" />
												</xsl:when>
												<xsl:when test="$ftObjectcode = 'LP2SERVICEPENTRAID'">
													<xsl:variable name="groupname" select="data/sourceobject/serviceplanname" />
													<xsl:value-of select="$groupname" />
												</xsl:when>
												<xsl:otherwise>
													<xsl:value-of select="$sourceobjectname" />
												</xsl:otherwise>
											</xsl:choose>
										</div>
									</div>
									<div style="cursor:pointer;padding:0px !important;width: 189px !important;">
										<div>
											<xsl:choose>
												<xsl:when test="$eventtype = 'ADD'">
													<xsl:attribute name="class">dac_entraid_history_eventtype dac_entraid_history_eventtype_add</xsl:attribute>
													<xsl:value-of select="$dac_entraid_history_eventtype_add" />
												</xsl:when>
												<xsl:when test="$eventtype = 'MODIFY'">
													<xsl:attribute name="class">dac_entraid_history_eventtype dac_entraid_history_eventtype_modify</xsl:attribute>
													<xsl:value-of select="$dac_entraid_history_eventtype_modify" />
												</xsl:when>
												<xsl:when test="$eventtype = 'DELETE'">
													<xsl:attribute name="class">dac_entraid_history_eventtype dac_entraid_history_eventtype_delete</xsl:attribute>
													<xsl:value-of select="$dac_entraid_history_eventtype_delete" />
												</xsl:when>
											</xsl:choose>
										</div>
									</div>
								</inchorus-list-content-row>
							</xsl:for-each>
												
						</inchorus-list-content>

					</xsl:when>
					<xsl:otherwise>
						
						<inchorus-message>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message-noresults</xsl:attribute>
							<xsl:attribute name="active">true</xsl:attribute>
							<xsl:attribute name="type">node</xsl:attribute>
							<xsl:value-of select="$dac_entraid_history_message_noresults"/>
						</inchorus-message>
						
					</xsl:otherwise>
				</xsl:choose>

	</xsl:template>

</xsl:stylesheet>