<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="uniqueid" select="//parameters/parameter[@name='uniqueid']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="modus" select="//parameters/parameter[@name='modus']" />
		<xsl:variable name="days">30</xsl:variable>
		<xsl:variable name="parentid">slider-admin-entraidlicense-details-history</xsl:variable>
		
		<h2 class="dac-entraid-blockheadline">
			<xsl:value-of select="$dac_entraid_history_licensehistory" />
		</h2>	
		
		<inchorus-filter>
	    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-filter</xsl:attribute>
	    	<xsl:attribute name="active">true</xsl:attribute>
	    	<xsl:attribute name="hascontentfile">true</xsl:attribute>
	    	<xsl:attribute name="submitprefix">inc-</xsl:attribute>
   			<xsl:attribute name="submitonenter">true</xsl:attribute>
   			<xsl:attribute name="linkedlistid"><xsl:value-of select="$parentid" />-list</xsl:attribute>
   			<xsl:attribute name="parameters">[{"modus":"<xsl:value-of select="$modus"/>"},{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"ftDays":"<xsl:value-of select="$days"/>"}]</xsl:attribute>
   			<xsl:attribute name="command">getHistoryLicenseplanData</xsl:attribute>
   			<select name="inc-ftDays">
				<option value="30" selected="selected"></option>
			</select>
  		</inchorus-filter>
			
		<inchorus-list>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-list</xsl:attribute>
			<xsl:attribute name="linkedfilterid"><xsl:value-of select="$parentid" />-filter</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="sortdirection">desc</xsl:attribute>
			<xsl:attribute name="sorttype">string</xsl:attribute>
			<xsl:attribute name="sortfield">name</xsl:attribute>
			<xsl:attribute name="size">20</xsl:attribute>
			<xsl:attribute name="page">1</xsl:attribute>
			<xsl:attribute name="parameters">[{"modus":"<xsl:value-of select="$modus"/>"},{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"ftDays":"<xsl:value-of select="$days"/>"}]</xsl:attribute>
			<xsl:attribute name="command">getHistoryLicenseplanData</xsl:attribute>
			<xsl:attribute name="showloader">true</xsl:attribute>
			<xsl:attribute name="class">dac-list-dotted dac-persons-margintop-10px</xsl:attribute>
			<xsl:attribute name="style">margin-bottom: 20px;</xsl:attribute>			
		</inchorus-list>

		<div style="padding-top:30px;"></div>
			
		<h2 class="dac-entraid-blockheadline">
			<xsl:value-of select="$dac_entraid_history_assignmentshistory" />
		</h2>

		<inchorus-filter>
	    	<xsl:attribute name="id"><xsl:value-of select="$parentid" />-licenseassignments-filter</xsl:attribute>
	    	<xsl:attribute name="active">true</xsl:attribute>
	    	<xsl:attribute name="hascontentfile">true</xsl:attribute>
	    	<xsl:attribute name="submitprefix">inc-</xsl:attribute>
   			<xsl:attribute name="submitonenter">true</xsl:attribute>
   			<xsl:attribute name="linkedlistid"><xsl:value-of select="$parentid" />-licenseassignments-list</xsl:attribute>
   			<xsl:attribute name="parameters">[{"modus":"<xsl:value-of select="$modus"/>"},{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"ftDays":"<xsl:value-of select="$days"/>"}]</xsl:attribute>
			<xsl:attribute name="command">getHistoryLicenseplanDataByObjectcode</xsl:attribute>
			<select name="inc-ftDays">
				<option value="30" selected="selected"></option>
			</select>
			<select name="inc-ftObjectcode">
				<option value="USER2LICENSEENTRAID" selected="selected"></option>
			</select>
  		</inchorus-filter>
			
		<inchorus-list>
			<xsl:attribute name="id"><xsl:value-of select="$parentid" />-licenseassignments-list</xsl:attribute>
			<xsl:attribute name="linkedfilterid"><xsl:value-of select="$parentid" />-licenseassignments-filter</xsl:attribute>
			<xsl:attribute name="hascontentfile">true</xsl:attribute>
			<xsl:attribute name="sortdirection">desc</xsl:attribute>
			<xsl:attribute name="sorttype">string</xsl:attribute>
			<xsl:attribute name="sortfield">name</xsl:attribute>
			<xsl:attribute name="size">20</xsl:attribute>
			<xsl:attribute name="page">1</xsl:attribute>
			<xsl:attribute name="parameters">[{"modus":"<xsl:value-of select="$modus"/>"},{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"},{"ftDays":"<xsl:value-of select="$days"/>"}]</xsl:attribute>
			<xsl:attribute name="command">getHistoryLicenseplanDataByObjectcode</xsl:attribute>
			<xsl:attribute name="showloader">true</xsl:attribute>
			<xsl:attribute name="class">dac-list-dotted dac-persons-margintop-10px</xsl:attribute>		
		</inchorus-list>
		
		<style>
			.dac-entraid-blockheadline {
				font-size:12pt;
				font-weight:bold;
				line-height: 16px;
				margin-bottom:10px;
			}
			
			inchorus-list.dac-list-dotted inchorus-list-header-row {
				background-color: transparent !important;
				color: #888 !important;
			}
			
			inchorus-list.dac-list-dotted inchorus-list-content-row {
				border-bottom: 1px dotted silver !important;
				background-color:transparent !important;
			}
			
			inchorus-list.dac-list-dotted inchorus-list-content-row.transparent {
				border-bottom: 1px dotted silver !important;
				background-color:transparent !important;
			}
			
			inchorus-list.dac-list-dotted inchorus-list-content-row.active_row {
				background-color: #BECFDE !important;
			}
			
			inchorus-list.dac-list-dotted inchorus-list-content-row:hover {
				background-color: #BECFDE !important;
			}
			
		</style>
	</xsl:template>

</xsl:stylesheet>