<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-entraidrole-details-role</xsl:variable>
		<xsl:variable name="name" select="//data/roles/role/name" />
		<xsl:variable name="description" select="//data/roles/role/description" />
		<xsl:variable name="uniqueid" select="//data/roles/role/uniqueid" />
		<xsl:variable name="expires" select="//data/roles/role/expires" />
		<xsl:variable name="roleTemplateId" select="//data/roles/role/roleTemplateId" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		
		<div class="dac-slider-list">
			<div>
				<label>
					<xsl:value-of select="$entraid_label_objectsid"/>
				</label>
				<div>
					<xsl:value-of select="$uniqueid" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_label_name"/>
				</label>
				<div>
					<xsl:value-of select="$name" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_label_description"/>
				</label>
				<div>
					<xsl:value-of select="$description" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_label_roleTemplateId"/>
				</label>
				<div>
					<xsl:value-of select="$roleTemplateId" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_label_expires"/>
				</label>
				<div>
					<xsl:if test="$expires != ''">
						<xsl:choose>
							<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
								<xsl:value-of select="substring($expires,9,2)"/>.<xsl:value-of select="substring($expires,6,2)"/>.<xsl:value-of select="substring($expires,1,4)"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="substring($expires,1,4)"/>-<xsl:value-of select="substring($expires,6,2)"/>-<xsl:value-of select="substring($expires,9,2)"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:if>
				</div>
			</div>
		</div>
		
		<div class="dac-slider-scrollable-content" style="height: calc(100% - 375px);">
			<inchorus-akkordeon id="slider-admin-entraidrole-details-role-memberships">
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_label_groupmemberships"/></xsl:attribute>
				<xsl:attribute name="onclick">entraid.slider.closeUnusedAkkordeons('slider-admin-entraidrole-details-role-memberships');</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
				<xsl:attribute name="command">getRoleMembers</xsl:attribute>
			</inchorus-akkordeon>
		</div>
		
<!-- 	 
			<div class="dac-slider-content-placeholder">
				<div class="dac-slider-list-small-header">
					<div>
						<b style="font-size:20px;"><xsl:value-of select="$entraid_label_groupmemberships"/></b>
					</div>
				</div>
										
				<div class="dac-slider-list-small-scrollable dac-slider-list-small-height-150px">
					<inchorus-content>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-memberships</xsl:attribute>
						<xsl:attribute name="hascontentfile">true</xsl:attribute>
						<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
						<xsl:attribute name="command">getRoleMembers</xsl:attribute>
					</inchorus-content>
				</div>
			</div>
-->
	</xsl:template>
</xsl:stylesheet>