<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-entraiduser-details-user-licenses-tree-nextrow</xsl:variable>
		<xsl:variable name="treeprefix">slider-entraiduser-details-user-licenses-tree-nextrow</xsl:variable>
		<xsl:variable name="countentries" select="count(members/member)" />
		<xsl:variable name="uniqueid" select="//parameters/parameter[@name='uniqueid']" />
		
		<xsl:choose>
			<xsl:when test="members/member">
				<xsl:for-each select="members/member">
					<xsl:variable name="serviceplanuniqueid" select="serviceplanuniqueid" />
					<xsl:variable name="serviceplanname" select="serviceplanname" />
					<xsl:variable name="disabledplans" select="disabledplans" />
					<xsl:variable name="disabled" select="disabled" />
					<xsl:variable name="position" select="position()" />
							
					<inchorus-tree-row class="flex-container" style="display: flex; flex-wrap: nowrap;">
						<xsl:attribute name="id"><xsl:value-of select="$treeprefix" />-entry-parent-<xsl:value-of select="$parentid" /></xsl:attribute>
						
						<inchorus-tree-row-header style="width:440px;min-width:440px;padding: 7px 10px;padding-left:40px;">
							<xsl:attribute name="backgroundcode"><xsl:value-of select="$countentries" />-<xsl:value-of select="$position" /></xsl:attribute>
						
							<div style="cursor:pointer;">
								<xsl:attribute name="onClick">
									$('#' + $('.active_row').attr("id")).removeClass('active_row');
									$('#' + $(this).parent().parent().attr('id')).addClass('active_row');
								</xsl:attribute>
								<div class="rowname" style="padding-left:0px;color:#666 !important;">
									<div class="msfileserver-tree-icon msfileserver-tree-icon-server" />
								</div>
							</div>
							
							<div>
								<xsl:attribute name="style">float:left;float:left;padding: 3px 0px;background: url(../entraid/inc/img/inchorus/license.png);background-repeat: no-repeat; background-position:3px 8px;width:460px;</xsl:attribute>
								<div style="float:left;margin-left:26px;line-height:23px;width:394px;"><xsl:value-of select="$serviceplanname" /></div>
								<div style="width: 34px;">
									<xsl:choose>
										<xsl:when test="$disabled = 'false'">
											<xsl:attribute name="class">image-switch-licenseplans image-switch-activated</xsl:attribute>
											<xsl:attribute name="title"><xsl:value-of select="$entraid_selectbox_enabled" /></xsl:attribute>
											<!-- 
											<inchorus-switch style="opacity: 0.7;">
												<xsl:attribute name="id">switch-<xsl:value-of select="$serviceplanuniqueid" /></xsl:attribute>
												<xsl:attribute name="class">onoffswitch-label slider-switch-list-small</xsl:attribute>
												<xsl:attribute name="active">true</xsl:attribute>
												<xsl:attribute name="preselect">true</xsl:attribute>
											</inchorus-switch>
											-->
										</xsl:when>
										<xsl:when test="$disabled = 'true'">
											<xsl:attribute name="class">image-switch-licenseplans image-switch-deactivated</xsl:attribute>
											<xsl:attribute name="title"><xsl:value-of select="$entraid_selectbox_disabled" /></xsl:attribute>
											<!-- 
											<inchorus-switch style="opacity: 0.7;">
												<xsl:attribute name="id">switch-<xsl:value-of select="$serviceplanuniqueid" /></xsl:attribute>
												<xsl:attribute name="class">onoffswitch-label slider-switch-list-small</xsl:attribute>
												<xsl:attribute name="active">true</xsl:attribute>
												<xsl:attribute name="preselect">false</xsl:attribute>
											</inchorus-switch>
											-->
										</xsl:when>
									</xsl:choose>
									<div style="width:34px;height:20px;position:relative;margin-top:-18px;"></div>
								</div>
							</div>
						
						</inchorus-tree-row-header>
						<inchorus-tree-row-content style="min-width:0px;overflow:hidden;display: flex; flex-wrap: nowrap; color:#666 !important;padding: 7px 0px;cursor:pointer;">	
							<xsl:attribute name="onClick">
							</xsl:attribute>
						</inchorus-tree-row-content>
												
					</inchorus-tree-row>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-noresults</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:attribute name="type">node</xsl:attribute>
					<xsl:value-of select="$entraid_license_details_membership_noresult"/>
				</inchorus-message>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>