<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-entraiduser-details-user-resources</xsl:variable>
		<xsl:variable name="systemname" select="//parameters/parameter[@name='systemname']" />
		
		<div class="dac-slider-list-small-scrollable dac-slider-list-small-height-150px" style="overflow:auto;height: auto;max-height:372px;margin-bottom: 30px;">
			<xsl:choose>
				<xsl:when test="//integrationpackages/integrationpackage">
			
					<xsl:for-each select="//integrationpackages/integrationpackage">
						<xsl:variable name="integrationpackageid" select="id" />
						<xsl:variable name="name" select="name" />
						<xsl:variable name="path" select="path" />
						<xsl:variable name="uniqueid" select="relatedsecurityprincipal/uniqueid" />
						<xsl:variable name="username" select="relatedsecurityprincipal/name" />
						<xsl:variable name="status" select="relatedsecurityprincipal/status" />
						<xsl:variable name="isParentSecurityPrincipal" select="relatedsecurityprincipal/isParentSecurityPrincipal" />
						<xsl:if test="$username != ''"> 
							<div class="dac-slider-list-small-row" style="padding-bottom:7px;cursor:pointer;">
								<xsl:attribute name="onclick">
									inchorus.$('entraid-slider-details-secondary').setParameters(
										{
											"isParentSecurityPrincipal":"<xsl:value-of select="$isParentSecurityPrincipal" />",
											"path":"<xsl:value-of select="$path" />",
											"header":"<xsl:value-of select="$name" /> - <xsl:value-of select="$username" />",
											"uniqueid":"<xsl:value-of select="$uniqueid" />",
											"adusername":"<xsl:value-of select="$username" />",
											"integrationpackageid":"<xsl:value-of select="$integrationpackageid" />"
										}
									);
									jQuery('#entraid-slider-details-secondary').addClass('dac-slider-right-30percent');
									inchorus.$('entraid-slider-details-secondary').setAlternativecontentfile('slider-details-content');
									inchorus.$('entraid-slider-details-secondary').activate();
								</xsl:attribute>
								
								<div style="width: calc(100% - 40px);">
									<div style="width:20px;height:20px;float:left;margin-left:0px;padding-top:3px;">
										<img style="margin-left:-1px;">
											<xsl:attribute name="src">../../<xsl:value-of select="$path" />/inc/img/icons/<xsl:value-of select="$path" />_small.png</xsl:attribute>
										</img>
									</div>
									<div style="margin-top:1px;float:left;margin-left:24px;">
										<xsl:attribute name="title"><xsl:value-of select="$name"/></xsl:attribute>
											<xsl:value-of select="$name" /> - <xsl:value-of select="$username" />
										</div>
									</div>
									<div style="width:16px; float:left;margin-top:3px;right:3px;position:relative;">
											<center>
												<xsl:choose>
													<xsl:when test="$status = 'disabled'">
														<img src="/entraid/inc/img/inchorus/actions/status/status_inactive.png">
															<xsl:attribute name="title"><xsl:value-of select="$entraid_status_inactive" /></xsl:attribute>
														</img>
													</xsl:when>
													<xsl:when test="$status = 'active'">
														<img src="/entraid/inc/img/inchorus/actions/status/status_active.png">
															<xsl:attribute name="title"><xsl:value-of select="$entraid_status_active" /></xsl:attribute>
														</img>
													</xsl:when>
												</xsl:choose>
											</center>
									</div>
							</div>
						</xsl:if>
					</xsl:for-each>
				</xsl:when>
				<xsl:otherwise>
					
					<inchorus-message>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-noresults</xsl:attribute>
						<xsl:attribute name="active">true</xsl:attribute>
						<xsl:attribute name="type">node</xsl:attribute>
						<xsl:value-of select="$entraid_user_details_membership_noresult"/>
					</inchorus-message>
					
				</xsl:otherwise>
			</xsl:choose>
		</div>
	</xsl:template>
</xsl:stylesheet>