<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-entraiduser-details-user-roles</xsl:variable>
		
		<div style="margin-bottom: 30px;">
			<xsl:choose>
				<xsl:when test="//members/member">
					<div class="dac-slider-list-small-scrollable dac-slider-list-small-height-150px" style="overflow:auto;height: auto;max-height:402px;">
				 		<xsl:for-each select="//members/member">
							<xsl:variable name="uniqueid" select="s.uniqueid" />
							<xsl:variable name="name" select="s.name" />
							<xsl:variable name="securityprincipallabel" select="securityprincipallabel" />
				
							<div class="dac-slider-list-small-row">
								<div class="entraid-slider-list-small-icon-group">
									<div>
										<xsl:attribute name="title"><xsl:value-of select="$name"/></xsl:attribute>
										<xsl:choose>
										  <xsl:when test="string-length($name) > 53">
											<xsl:value-of select="concat(substring($name, 1, 50), '...')"/>
										  </xsl:when>
										  <xsl:otherwise>
											<xsl:value-of select="$name"/>
										  </xsl:otherwise>
										</xsl:choose>
									</div>
								</div>
							</div>
				
						</xsl:for-each>
					</div>
				</xsl:when>
				<xsl:otherwise>
					
					<inchorus-message>
						<xsl:attribute name="id"><xsl:value-of select="$parentid" />-noresults</xsl:attribute>
						<xsl:attribute name="active">true</xsl:attribute>
						<xsl:attribute name="type">node</xsl:attribute>
						<xsl:value-of select="$entraid_user_details_roles_noresult"/>
					</inchorus-message>
					
				</xsl:otherwise>
			</xsl:choose>
		</div>
	</xsl:template>
</xsl:stylesheet>