<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-admin-entraiduser-details-user</xsl:variable>
		<xsl:variable name="userid" select="//data/users/user/userid" />
		<xsl:variable name="name" select="//data/users/user/name" />
		<xsl:variable name="alternativename" select="//data/users/user/alternativename" />
		<xsl:variable name="created" select="//data/users/user/created" />
		<xsl:variable name="lastused" select="//data/users/user/lastused" />
		<xsl:variable name="status" select="//data/users/user/status" />
		<xsl:variable name="statusdetail" select="//data/users/user/statusdetail" />
		<xsl:variable name="givenname" select="//data/users/user/givenname" />
		<xsl:variable name="surname" select="//data/users/user/surname" />
		<xsl:variable name="uniqueid" select="//data/users/user/uniqueid" />
		<xsl:variable name="dn" select="//data/users/user/userid" />
		<xsl:variable name="domain" select="//data/users/user/domain" />
		<xsl:variable name="usertype" select="//data/users/user/type" />
		<xsl:variable name="email" select="//data/users/user/mail" />
		<xsl:variable name="company" select="//data/users/user/company" />
		<xsl:variable name="isconnected" select="//data/users/user/isconnected" />
		<xsl:variable name="identityissur" select="//data/users/user/identityissur" />
		<xsl:variable name="systemname" select="//data/users/user/systemname" />
		<xsl:variable name="personuniqueid" select="//data/users/user/personuniqueid" />
		<xsl:variable name="personstatus" select="//data/users/user/personstatus" />
		<xsl:variable name="personcount" select="//data/users/user/personcount" />
		<xsl:variable name="modus" select="//parameters/parameter[@name='modus']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />

		<div>
			<xsl:choose>
				<xsl:when test="$personcount = '1' and $personstatus = 'active'">
					<xsl:attribute name="class">dac-matching-details dac-matching-details-active <!--GADGET:LANGUAGE--></xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$dac_entraid_history_matching_matched_title" /></xsl:attribute>
					<div class="dac-matching-details-image entraid-matching-details-icon-active"></div>
			  		<div class="dac-matching-details-text"><xsl:value-of select="$dac_entraid_history_matching_matched_title" /></div>
				</xsl:when>
				<xsl:when test="$personcount = '1' and ($personstatus = 'disabled' or $personstatus = 'inactive')">
					<xsl:attribute name="class">dac-matching-details dac-matching-details-inactive <!--GADGET:LANGUAGE--></xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$dac_entraid_history_matching_inactivematched_title" /></xsl:attribute>
					<div class="dac-matching-details-image entraid-matching-details-icon-inactive"></div>
			  		<div class="dac-matching-details-text"><xsl:value-of select="$dac_entraid_history_matching_inactivematched_title" /></div>
				</xsl:when>
			    <xsl:when test="$personcount > '1'">
					<xsl:attribute name="class">dac-matching-details dac-matching-details-warning <!--GADGET:LANGUAGE--></xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$dac_entraid_history_matching_matched_warning_title" /></xsl:attribute>
					<div class="dac-matching-details-image entraid-matching-details-icon-warning"></div>
			  		<div class="dac-matching-details-text"><xsl:value-of select="$dac_entraid_history_matching_matched_warning_title" /></div>
				</xsl:when>
				<xsl:when test="$personcount = '0' or $personcount = ''">
					<xsl:attribute name="class">dac-matching-details dac-matching-details-unmatched <!--GADGET:LANGUAGE--></xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$dac_entraid_history_matching_unmatched_title" /></xsl:attribute>
					<div class="dac-matching-details-image entraid-matching-details-icon-unmatched"></div>
			  		<div class="dac-matching-details-text"><xsl:value-of select="$dac_entraid_history_matching_unmatched_title" /></div>
				</xsl:when>
				<xsl:when test="$personstatus != 'active' and $personstatus != 'inactive'">
					<xsl:attribute name="class">dac-matching-details dac-matching-details-warning <!--GADGET:LANGUAGE--></xsl:attribute>
					<xsl:attribute name="title"><xsl:value-of select="$dac_entraid_undefined_personalstatus" /></xsl:attribute>
					<div class="dac-matching-details-image entraid-matching-details-icon-warning"></div>
			  		<div class="dac-matching-details-text"><xsl:value-of select="$dac_entraid_undefined_personalstatus" /></div>
				</xsl:when>
			</xsl:choose>
		</div>
		
		<div class="dac-slider-list">
			<div>
				<label>
					<xsl:value-of select="$entraid_label_userprincipalname"/>
				</label>
				<div>
					<xsl:value-of select="$dn" />
				</div>
			</div>
			<div>
				<label>
						<xsl:value-of select="$entraid_label_surname"/>
				</label>
				<div>
					<xsl:value-of select="$surname" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_label_givenname"/>
				</label>
				<div>
					<xsl:value-of select="$givenname" />
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_label_status"/>
				</label>
				<div class="inc-portal-control-wrapper">
					<xsl:choose>
						<xsl:when test="$status = 'active'">
							<xsl:attribute name="class">entraid-slider-list-status entraid-slider-list-status-active</xsl:attribute>
							<span class="list_specialvalue"><xsl:value-of select="$entraid_status_active" /></span>
						</xsl:when>
						<xsl:when test="$status = 'disabled'">
							<xsl:attribute name="class">entraid-slider-list-status entraid-slider-list-status-inactive</xsl:attribute>
							<span class="list_specialvalue"><xsl:value-of select="$entraid_status_inactive" /></span>
						</xsl:when>
						<xsl:when test="$status = 'deleted'">
							<xsl:attribute name="class">entraid-slider-list-status entraid-slider-list-status-delete</xsl:attribute>
							<span class="list_specialvalue"><xsl:value-of select="$entraid_status_delete" /></span>
						</xsl:when>
					</xsl:choose>
				</div>
			</div>
			<div>
				<label>
					<xsl:value-of select="$entraid_list_usertype"/>
				</label>
				<div>
					<xsl:choose>
						<xsl:when test="$usertype = 'Member'">
							<xsl:value-of select="$entraid_list_member" />
						</xsl:when>
						<xsl:otherwise>
							<xsl:value-of select="$entraid_list_guest" />
						</xsl:otherwise>
					</xsl:choose>
				</div>
			</div>
		</div>
		
		<div class="dac-slider-scrollable-content" style="height: calc(100% - 375px);">
			<inchorus-akkordeon>
				<xsl:attribute name="id"><xsl:value-of select="$parentid" />-moreinformations-akkordeon</xsl:attribute>
				<xsl:attribute name="hascontentfile">false</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_label_moreinformations" /></xsl:attribute>
				<xsl:attribute name="onclick">entraid.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-moreinformations-akkordeon');</xsl:attribute>
			    <inchorus-content id="slider-admin-details-identity-moreinformations-akkordeon-content" hascontentfile="false" active="true" command="getDefaultData">
			    		
			    	<div class="dac-slider-list">
						<div>
							<label>
								<xsl:value-of select="$entraid_label_whencreated"/>
							</label>
							<div>
								<xsl:if test="$created != ''">
									<xsl:choose>
										<xsl:when test="'<!--GADGET:LANGUAGE-->' = 'de'">
											<xsl:value-of select="substring($created,9,2)"/>.<xsl:value-of select="substring($created,6,2)"/>.<xsl:value-of select="substring($created,1,4)"/>
										</xsl:when>
										<xsl:otherwise>
											<xsl:value-of select="substring($created,1,4)"/>-<xsl:value-of select="substring($created,6,2)"/>-<xsl:value-of select="substring($created,9,2)"/>
										</xsl:otherwise>
									</xsl:choose>
								</xsl:if>
							</div>
						</div>
						<div>
							<label>
								<xsl:value-of select="$entraid_label_objectid"/>
							</label>
							<div>
								<xsl:value-of select="$uniqueid" />
							</div>
						</div>
						<div>
							<label>
								<xsl:value-of select="$entraid_label_entraidtenant"/>
							</label>
							<div>
								<xsl:value-of select="$systemname" />
							</div>
						</div>
						<div>
							<label>
								<xsl:value-of select="$entraid_label_email"/>
							</label>
							<div>
								<xsl:value-of select="$email" />
							</div>
						</div>
						<div>
							<label>
								<xsl:value-of select="$entraid_label_company"/>
							</label>
							<div>
								<xsl:value-of select="$company" />
							</div>
						</div>
						<div>
							<label>
								<xsl:value-of select="$entraid_label_directorysync"/>
							</label>
							<div>
								<xsl:choose>
									<xsl:when test="$isconnected = 'true'">
										<xsl:value-of select="$entraid_selectbox_yes" />
									</xsl:when>
									<xsl:otherwise>
										<xsl:value-of select="$entraid_selectbox_no" />
									</xsl:otherwise>
								</xsl:choose>
							</div>
						</div>
					</div>
			   	</inchorus-content>
			</inchorus-akkordeon>
			<!-- <xsl:if test="$modus != 'effectiveview_securityprincipals'"> -->
				<!-- 
				<inchorus-akkordeon>
					<xsl:attribute name="id"><xsl:value-of select="$parentid" />-resources-akkordeon</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
					<xsl:attribute name="type">first</xsl:attribute>
					<xsl:attribute name="alternativecontentfile"><xsl:value-of select="$parentid"/>-resources</xsl:attribute>
					<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"systemname":"<xsl:value-of select="$systemname" />"},{"systemtype":"EntraIDTenant"}]</xsl:attribute>
					<xsl:attribute name="command">getRelatedSecurityPrincipals</xsl:attribute>
					<xsl:attribute name="text"><xsl:value-of select="$entraid_label_linkedresources" /></xsl:attribute>
					<xsl:attribute name="onclick">entraid.slider.closeUnusedAkkordeons('<xsl:value-of select="$parentid" />-resources-akkordeon');</xsl:attribute>
					<div class="entraid-slider-akkordeon-loader">
						<xsl:value-of select="$loader_pleasewait" />
					</div>
				</inchorus-akkordeon>
				-->
			<!-- </xsl:if> -->
			<inchorus-akkordeon id="slider-admin-entraiduser-details-user-memberships">
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_slider_akkordeon_groups" /></xsl:attribute>
				<xsl:attribute name="type">first</xsl:attribute>
				<xsl:attribute name="animation">slider</xsl:attribute>
				<xsl:attribute name="animationspeed">low</xsl:attribute>
				<xsl:attribute name="activationcontentmode">once</xsl:attribute>
				<xsl:attribute name="deactivationcontentmode">leave</xsl:attribute>
				<xsl:attribute name="open">false</xsl:attribute>
				<xsl:attribute name="onclick">entraid.slider.closeUnusedAkkordeons('slider-admin-entraiduser-details-user-memberships');</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
				<xsl:attribute name="command">getGroupMembershipForUser</xsl:attribute>
			</inchorus-akkordeon>
			<inchorus-akkordeon id="slider-admin-entraiduser-details-user-groupsowner">
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_slider_akkordeon_groupsowner" /></xsl:attribute>
				<xsl:attribute name="type">first</xsl:attribute>
				<xsl:attribute name="animation">slider</xsl:attribute>
				<xsl:attribute name="animationspeed">low</xsl:attribute>
				<xsl:attribute name="activationcontentmode">once</xsl:attribute>
				<xsl:attribute name="deactivationcontentmode">leave</xsl:attribute>
				<xsl:attribute name="open">false</xsl:attribute>
				<xsl:attribute name="onclick">entraid.slider.closeUnusedAkkordeons('slider-admin-entraiduser-details-user-groupsowner');</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
				<xsl:attribute name="command">getGroupManagersForUser</xsl:attribute>
			</inchorus-akkordeon>
			<inchorus-akkordeon id="slider-admin-entraiduser-details-user-roles">
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_slider_akkordeon_roles" /></xsl:attribute>
				<xsl:attribute name="onclick">entraid.slider.closeUnusedAkkordeons('slider-admin-entraiduser-details-user-roles');</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
				<xsl:attribute name="command">getEntraIDRoleMembershipForUser</xsl:attribute>
			</inchorus-akkordeon>
			<inchorus-akkordeon id="slider-admin-entraiduser-details-user-licenses">
				<xsl:attribute name="hascontentfile">true</xsl:attribute>
				<xsl:attribute name="text"><xsl:value-of select="$entraid_slider_akkordeon_enabledservices" /></xsl:attribute>
				<xsl:attribute name="onclick">entraid.slider.closeUnusedAkkordeons('slider-admin-entraiduser-details-user-licenses');</xsl:attribute>
				<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"},{"systemid":"<xsl:value-of select="$systemid"/>"}]</xsl:attribute>
				<xsl:attribute name="command">getDefaultData</xsl:attribute>
			</inchorus-akkordeon>
		</div>
		
		<div style="margin-bottom:40px;">
		</div>

	</xsl:template>

</xsl:stylesheet>