<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_history.xsl" />
	
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="uniqueid" select="//parameters/parameter[@name='uniqueid']" />
		<xsl:variable name="header" select="//parameters/parameter[@name='header']" />
		<xsl:variable name="function_to_close" select="//parameters/parameter[@name='function_to_close']" />
		<xsl:variable name="parentid">slider-admin-history-entraiduser-details</xsl:variable>
		
		<xsl:variable name="hasPrint">false</xsl:variable>
		<xsl:variable name="hasExportcsv">false</xsl:variable>
		<xsl:variable name="hasExportpdf">false</xsl:variable>
		<xsl:variable name="mode">dev</xsl:variable>
		
		<!-- lightbox content start -->
	  	
	  	<div class="dac-slider-border-top">
		</div>

		<div class="dac-slider-content-wrapper">
			<div class="dac-slider-content">
				
				
				<h1>
					<xsl:attribute name="title"><xsl:value-of select="$header"/></xsl:attribute>
					<xsl:attribute name="style">cursor:default;</xsl:attribute>
					<b>
						<xsl:value-of select="$header" />
					</b>
				</h1>

				<div class="dac-slider-right-options">
					<inchorus-button>
						<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-button-close</xsl:attribute>
						<xsl:attribute name="type">icon</xsl:attribute>
						<xsl:attribute name="icon">close</xsl:attribute>
						<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_close" /></xsl:attribute>
						<xsl:attribute name="highlighting">low</xsl:attribute>
						<xsl:attribute name="active">true</xsl:attribute>
						<xsl:attribute name="border">true</xsl:attribute>
						<xsl:attribute name="hover">true</xsl:attribute>
						<xsl:attribute name="onclick">
							<xsl:value-of select="$function_to_close" />
						</xsl:attribute>
					</inchorus-button>
				
					<xsl:if test="$hasExportcsv = 'true' or $hasExportpdf = 'true'">				
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-button-export</xsl:attribute>
							<xsl:attribute name="type">icon</xsl:attribute>
							<xsl:attribute name="icon">reports</xsl:attribute>
							<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_reports" /></xsl:attribute>
							<xsl:attribute name="highlighting">low</xsl:attribute>
							<xsl:attribute name="active">true</xsl:attribute>
							<xsl:attribute name="border">true</xsl:attribute>
							<xsl:attribute name="hover">true</xsl:attribute>
							<xsl:attribute name="style">float:right;margin-right:0px;</xsl:attribute>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$parentid" />-tooltip-export').activate();
							</xsl:attribute>
						</inchorus-button>
						<inchorus-tooltip>
							<xsl:attribute name="id"><xsl:value-of select="$parentid" />-tooltip-export</xsl:attribute>
							<xsl:attribute name="position">bottom-left</xsl:attribute>
							<xsl:attribute name="active">false</xsl:attribute>
							<xsl:attribute name="closeonoutsideclick">true</xsl:attribute>
							<xsl:attribute name="hascontentfile">false</xsl:attribute>
							<xsl:attribute name="linkedpointerid"><xsl:value-of select="$parentid" />-policy-button-export</xsl:attribute>
							<xsl:attribute name="linkedpointertype">arrow</xsl:attribute>
							<xsl:attribute name="deactivationcontentmode">remove</xsl:attribute>
							<xsl:attribute name="class">dac-tooltip-reports</xsl:attribute>
							
							<div class="dac-entraid-tooltip-wrapper">
							
								<xsl:if test="$hasExportpdf = 'true'">							
									<div class="dac-entraid-tooltip-reports-row">
										<xsl:attribute name="onClick">
											inchorus.$('<xsl:value-of select="$parentid"/>-export-form').setParameters(
											{
												'uniqueid' : '<xsl:value-of select="$uniqueid"/>',
												'orientation' : 'portrait',
												'exporttype' : 'pdf'
												
											});
											inchorus.$('<xsl:value-of select="$parentid"/>-export-form').submit();
										</xsl:attribute>
										<div class="dac-entraid-reports-pdf" />
										<xsl:value-of select="$inchorus_tooltip_reports_pdf" />
									</div>
								</xsl:if>
								<xsl:if test="$hasExportcsv = 'true'">
										<div class="dac-entraid-tooltip-reports-row-last">
										<xsl:attribute name="onClick">
											inchorus.$('<xsl:value-of select="$parentid"/>-export-form').setParameters(
											{
												'uniqueid' : '<xsl:value-of select="$uniqueid"/>',
												'exporttype' : 'csv'
												
											});
											inchorus.$('<xsl:value-of select="$parentid"/>-export-form').submit();
										</xsl:attribute>
										<div class="dac-entraid-reports-csv" />
										<xsl:value-of select="$inchorus_tooltip_reports_csv" />
									</div>
								</xsl:if>
							</div>
							
						</inchorus-tooltip>
						<inchorus-form>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-export-form</xsl:attribute>
							<xsl:attribute name="submitprefix">inc-</xsl:attribute>
							<xsl:attribute name="responsetype">download</xsl:attribute>
							<xsl:attribute name="hasresponsefile">true</xsl:attribute>
							<xsl:attribute name="command">exportPersonDetails</xsl:attribute>
						</inchorus-form>
					</xsl:if>
					<xsl:if test="$hasPrint = 'true'">
						<inchorus-button>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-button-print</xsl:attribute>
							<xsl:attribute name="type">icon</xsl:attribute>
							<xsl:attribute name="icon">print</xsl:attribute>
							<xsl:attribute name="title"><xsl:value-of select="$inchorus_button_print" /></xsl:attribute>
							<xsl:attribute name="highlighting">low</xsl:attribute>
							<xsl:attribute name="active">true</xsl:attribute>
							<xsl:attribute name="border">true</xsl:attribute>
							<xsl:attribute name="hover">true</xsl:attribute>
							<xsl:choose>
								<xsl:when test="$hasExportcsv = 'true' or $hasExportpdf = 'true'">
									<xsl:attribute name="style">float:right;margin-right:15px;</xsl:attribute>
								</xsl:when>
								<xsl:otherwise>
									<xsl:attribute name="style">float:right;margin-right:0px;</xsl:attribute>
								</xsl:otherwise>
							</xsl:choose>
							<xsl:attribute name="onclick">
								inchorus.$('<xsl:value-of select="$parentid"/>-policy-print').submit();
							</xsl:attribute>
						</inchorus-button>						
						<inchorus-form>
							<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-policy-print</xsl:attribute>
							<xsl:attribute name="submitprefix">inc-</xsl:attribute>
							<xsl:attribute name="responsetype">tab</xsl:attribute>
							<xsl:attribute name="hasresponsefile">true</xsl:attribute>
							<xsl:attribute name="command">exportUserDetails</xsl:attribute>
							<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid"/>"}]</xsl:attribute>
						</inchorus-form>
					</xsl:if>
				</div>
					
				<div style="height:calc(100% - 40px);">
					
					<inchorus-content>
				  		<xsl:attribute name="id">slider-admin-history-entraidrole-details-content</xsl:attribute>
				  		<xsl:attribute name="hascontentfile">true</xsl:attribute>
				  		<xsl:attribute name="active">true</xsl:attribute>
				  		<xsl:attribute name="command">getHistoryDetailsById</xsl:attribute>
				  		<xsl:attribute name="parameters">[{"id":"<xsl:value-of select="$uniqueid"/>"}]</xsl:attribute>
					</inchorus-content>

				</div>
			</div>
		</div>
	</xsl:template>
</xsl:stylesheet>