<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_webcomponents.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-details-content</xsl:variable>
		<xsl:variable name="header" select="//parameters/parameter[@name='header']" />
		<xsl:variable name="objecttype" select="//parameters/parameter[@name='objecttype']" />
		<xsl:variable name="systemid" select="//parameters/parameter[@name='systemid']" />
		<xsl:variable name="adusername" select="//parameters/parameter[@name='adusername']" />
		<xsl:variable name="uniqueid" select="//parameters/parameter[@name='uniqueid']" />
		<xsl:variable name="hasheader" select="//parameters/parameter[@name='hasheader']" />
		<xsl:variable name="isParentSecurityPrincipal" select="//parameters/parameter[@name='isParentSecurityPrincipal']" />
		<xsl:variable name="path" select="//parameters/parameter[@name='path']" />
		<xsl:variable name="integrationpackageid" select="//parameters/parameter[@name='integrationpackageid']" />

		<xsl:choose>
			<xsl:when test="$objecttype = 'person'">
				<inchorus-gadget>
					<xsl:attribute name="id">g13</xsl:attribute>
					<xsl:attribute name="version">1.0.1</xsl:attribute>
					<xsl:attribute name="path">/persons</xsl:attribute>
					<xsl:attribute name="displaymode">maximized</xsl:attribute>
					<xsl:attribute name="integrationmode">integrated</xsl:attribute>
					<xsl:attribute name="parameters">[{"modus":"person"},{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"entraid.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-gadget>
			</xsl:when>
			<xsl:when test="$objecttype = 'entraiduser'">
				<inchorus-content>
			  		<xsl:attribute name="id">entraid-slider-details-content</xsl:attribute>
					<!-- <xsl:attribute name="alternativecontentfile">entraid-admin-users-details</xsl:attribute> -->
					<xsl:attribute name="alternativecontentfile">slider-admin-entraiduser-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"hasheader":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"entraid.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			<xsl:when test="$objecttype = 'entraiduserhistory'">
				<inchorus-content>
			  		<xsl:attribute name="id">entraid-slider-details-content</xsl:attribute>
					<!-- <xsl:attribute name="alternativecontentfile">entraid-admin-users-details</xsl:attribute> -->
					<xsl:attribute name="alternativecontentfile">slider-admin-history-entraiduser-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"entraid.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			<xsl:when test="$objecttype = 'entraidgroup'">
				<inchorus-content>
			  		<xsl:attribute name="id">entraid-slider-details-content</xsl:attribute>
					<!-- <xsl:attribute name="alternativecontentfile">entraid-admin-groups-details</xsl:attribute> -->
					<xsl:attribute name="alternativecontentfile">slider-admin-entraidgroup-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"entraid.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			<xsl:when test="$objecttype = 'entraidgrouphistory'">
				<inchorus-content>
			  		<xsl:attribute name="id">entraid-slider-details-content</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-admin-history-entraidgroup-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"entraid.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			<xsl:when test="$objecttype = 'entraidrole'">
				<inchorus-content>
			  		<xsl:attribute name="id">entraid-slider-details-content</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-admin-entraidrole-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"header":"<xsl:value-of select="$header" />"},{"hasheader":"true"},{"function_to_close":"entraid.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			<xsl:when test="$objecttype = 'entraidrolehistory'">
				<inchorus-content>
			  		<xsl:attribute name="id">entraid-slider-details-content</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-admin-history-entraidrole-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"entraid.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			<xsl:when test="$objecttype = 'entraidlicense'">
				<inchorus-content>
			  		<xsl:attribute name="id">entraid-slider-details-content</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-admin-entraidlicense-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"header":"<xsl:value-of select="$header" />"},{"hasheader":"true"},{"function_to_close":"entraid.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			<xsl:when test="$objecttype = 'entraidlicensehistory'">
				<inchorus-content>
			  		<xsl:attribute name="id">entraid-slider-details-content</xsl:attribute>
					<xsl:attribute name="alternativecontentfile">slider-admin-history-entraidlicense-details</xsl:attribute>
					<xsl:attribute name="hascontentfile">true</xsl:attribute>
			  		<xsl:attribute name="command">getDefaultData</xsl:attribute>
			  		<xsl:attribute name="parameters">[{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"systemid":"<xsl:value-of select="$systemid" />"},{"header":"<xsl:value-of select="$header" />"},{"function_to_close":"entraid.slider.hideDetails()"}]</xsl:attribute>
				</inchorus-content>
			</xsl:when>
			<xsl:when test="$isParentSecurityPrincipal != ''">
				<xsl:choose>
					<xsl:when test="$isParentSecurityPrincipal = 'false'">
						<inchorus-gadget>
							<xsl:attribute name="id">g<xsl:value-of select="$integrationpackageid" />003</xsl:attribute>
							<xsl:attribute name="version">1.0.1</xsl:attribute>
							<xsl:attribute name="path">/<xsl:value-of select="$path" /></xsl:attribute>
							<xsl:attribute name="displaymode">maximized</xsl:attribute>
							<xsl:attribute name="integrationmode">integrated</xsl:attribute>
							<xsl:attribute name="parameters">[{"modus":"effectiveview_securityprincipals"},{"uniqueid":"<xsl:value-of select="$uniqueid" />"},{"relatedsecurityprincipalname":"<xsl:value-of select="$adusername" />"},{"integrationpackageid":"<xsl:value-of select="$integrationpackageid" />"},{"header":"<xsl:value-of select="$header" />"},{"openedslider":"entraid-slider-details-secondary"},{"function_to_close":"entraid.slider.hideDetailsSecondary()"}]</xsl:attribute>
						</inchorus-gadget>
					</xsl:when>
				</xsl:choose>
			</xsl:when>
			<xsl:when test="$objecttype = 'localuser'">
<!-- 					<iframe>
						<xsl:attribute name="src"><![CDATA[/msfileserver/command.html?command=getUserDetails&contentid=g15&integrationmode=integrated&displaymode=default&style=slider-detail-user&uniqueid=]]><xsl:value-of select="$uniqueid" /><![CDATA[&systemid=]]><xsl:value-of select="$systemid" /></xsl:attribute>
				</iframe>	 -->	
			</xsl:when>
			<xsl:when test="$objecttype = 'localgroup'">
<!-- 					<iframe>
						<xsl:attribute name="src"><![CDATA[/msfileserver/command.html?command=getGroupDetails&contentid=g15&integrationmode=integrated&displaymode=default&style=slider-detail-group&uniqueid=]]><xsl:value-of select="$uniqueid" /><![CDATA[&systemid=]]><xsl:value-of select="$systemid" /></xsl:attribute>
				</iframe>	 -->	
			</xsl:when>
			<xsl:when test="$objecttype = 'folder'">
<!-- 					<iframe>
						<xsl:attribute name="src"><![CDATA[/msfileserver/command.html?command=getFolderDetails&contentid=g15&integrationmode=integrated&displaymode=default&style=slider-detail-folder&uniqueid=]]><xsl:value-of select="$uniqueid" /><![CDATA[&systemid=]]><xsl:value-of select="$systemid" /></xsl:attribute>
				</iframe>	 -->	
			</xsl:when>
			<xsl:when test="$objecttype = 'file'">
<!-- 					<iframe>
						<xsl:attribute name="src"><![CDATA[/msfileserver/command.html?command=getFileDetails&contentid=g15&integrationmode=integrated&style=slider-detail-file&uniqueid=]]><xsl:value-of select="$uniqueid" /><![CDATA[&systemid=]]><xsl:value-of select="$systemid" /></xsl:attribute>
				</iframe>	 -->	
			</xsl:when>
			<xsl:otherwise>
				<div>ERROR_TYPE_NOTAVAILABLE</div>
			</xsl:otherwise>
		</xsl:choose>

	</xsl:template>

</xsl:stylesheet>