<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language_setup.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:template match="data">
		<xsl:variable name="parentid">slider-systemdetails-lightbox-validation-collectall-response</xsl:variable>
		<xsl:variable name="systemid" select="//data/parameters/parameter[@name='systemid']"/>
		<xsl:variable name="statuscode" select="//data/status/code"></xsl:variable>

		<xsl:choose>
			<xsl:when test="$statuscode = 'SUCCESS_SYSTEM_COLLECT'">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message</xsl:attribute>
					<xsl:attribute name="type">success</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:value-of select="$entraid_setup_lightbox_collectall_message_success" />
				</inchorus-message>
				<script>
					jQuery('.slider-systemdetails-lightbox-validation-text').hide();
					jQuery('.slider-systemdetails-lightbox-validation-buttons').hide();
					jQuery('#slider-systemdetails-collectors').attr('refreshlist','true');
					setTimeout(function(){
						inchorus.$('slider-admin-details-system-details').load();
						inchorus.$('slider-admin-details-system-collectors').load();					
					}, 500);
					/*
					setTimeout(function(){
						inchorus.$('system-admin-systems-filter').submit();
					}, 2000);
					*/
				</script>
			</xsl:when>
			<xsl:when test="ERROR_SYSTEM_COLLECT">
				<inchorus-message>
					<xsl:attribute name="id"><xsl:value-of select="$parentid"/>-message</xsl:attribute>
					<xsl:attribute name="type">error</xsl:attribute>
					<xsl:attribute name="active">true</xsl:attribute>
					<xsl:value-of select="$entraid_setup_lightbox_collectall_message_error" />
				</inchorus-message>
				<script>
					jQuery('.slider-systemdetails-lightbox-validation-text').hide();
					jQuery('.slider-systemdetails-lightbox-validation-buttons').hide();
					setTimeout(function(){
						//inchorus.$('slider-systemdetails-lightbox-validation').deactivate();
					}, 2000);
				</script>
			</xsl:when>
		</xsl:choose>
		
	</xsl:template>
</xsl:stylesheet>