<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
*
*	Date 	    Programmer		 Version		Description
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	07/30/2014	Sebastian Radau  	1.0.0		Created 
*	12/20/2016	Thomas Gertler  	1.1.0		webcomponents compatiblity 
*												
*	Copyright (c) G+H Systems GmbH, 2014
*	
*	This development kit is proprietary to G+H Systems GmbH.	
*	All rights reserved. For more information visit the website:
*   www.inchorus.de	
*							
*************************************************************************/-->

	<!-- Output Definition - Beginning -->
	<xsl:output method="html" encoding="<!--GADGET:ENCODING-->" />	
	<!-- Output Definition - End -->

	<!-- Language File Include - Beginning -->
	<xsl:include href="<!--GADGET:LANGUAGE-->/language.xsl" />
	<xsl:include href="<!--GADGET:LANGUAGE-->/language-webcomponents.xsl" />
	<!-- Language File Include - End -->
	
	<!-- Gadget Variables File Include - Beginning -->
	<xsl:include href="gadget_variables.xsl" />
	<!-- Gadget Variables File Include - End -->
	
	<xsl:variable name="performedauthentication_form" select="//data/session/performedauthentications/performedauthentication[text()='FORM']" />

	<xsl:template match="data">

		<inchorus-page-header>
			<xsl:attribute name="id">page-home-header</xsl:attribute>
			<h1><xsl:value-of select="$gadgetname" /></h1>
		</inchorus-page-header>

			
		<inchorus-page-content>
			<xsl:attribute name="id">page-home-content</xsl:attribute>
			
				<xsl:if test="$username != ''">
					<div style="padding:45px 20px 20px 20px;border:1px solid #ddd;overflow:hidden;">
						<div style="margin-top:20px;">
							<div style="float:left;width:calc(100% - 94px);line-height:34px;padding-5px;">
								<xsl:value-of select="$logged_in_as"/><b><xsl:value-of select="$username" /></b>
							</div>
							
							<xsl:if test="$performedauthentication_form">
								<xsl:choose>
					    			<xsl:when test="$contentid='-1'"> <!-- contentid = -1 means we are running inside of the standalone mode -->
										<inchorus-button>
											<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-index-logout-button-1</xsl:attribute>
									        <xsl:attribute name="type">text</xsl:attribute>
									        <xsl:attribute name="highlighting">medium</xsl:attribute>
									        <xsl:attribute name="text"><xsl:value-of select="$logout_button"/></xsl:attribute>
									         <xsl:attribute name="position">withoutmargin</xsl:attribute>
									        <xsl:attribute name="onclick">window.location.href = "/<xsl:value-of select="$gadgetpath"/>/logout.html?integrationmode=standalone";</xsl:attribute>
										</inchorus-button>
									</xsl:when>
									<xsl:otherwise>
										<inchorus-content>
											<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-index-logout-content-1</xsl:attribute>
											<xsl:attribute name="active">false</xsl:attribute>
											<xsl:attribute name="hascontentfile">true</xsl:attribute>
											<xsl:attribute name="command">logout</xsl:attribute>
											<xsl:attribute name="alternativetargetid"><xsl:value-of select="$contentid"/></xsl:attribute>
										</inchorus-content>
										<inchorus-button>
											<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-index-logout-button-1</xsl:attribute>
									        <xsl:attribute name="type">text</xsl:attribute>
									        <xsl:attribute name="highlighting">medium</xsl:attribute>
									        <xsl:attribute name="text"><xsl:value-of select="$logout_button"/></xsl:attribute>
									        <xsl:attribute name="position">withoutmargin</xsl:attribute>
									        <xsl:attribute name="onclick">inchorus.$('<xsl:value-of select="$contentid"/>-index-logout-content-1').activate();</xsl:attribute>
										</inchorus-button>
									</xsl:otherwise>
								</xsl:choose>
							</xsl:if>
						</div>
					</div>
				</xsl:if>
			
			<div>
				<xsl:choose>
					<xsl:when test="$username != ''">
						<xsl:attribute name="style">margin-top:20px;padding:0px 20px;</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="style">margin-top:48px;padding:0px 20px;</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<div>
					<xsl:if test="$username != ''">
						<div><xsl:value-of select="$welcome" /> <xsl:value-of select="$username" />,</div>
					</xsl:if>
					<div style="padding:8px 0px;">
						<xsl:choose>
							<xsl:when test="$gadgetstatus = 'success'">
								<inchorus-message>
									<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-page-index-messages-success</xsl:attribute>
									<xsl:attribute name="active">true</xsl:attribute>
									<xsl:attribute name="type">success</xsl:attribute>
									<xsl:value-of select="$initsuccess" />&#160;&#160;
								</inchorus-message>
							</xsl:when>
							<xsl:otherwise>
								<inchorus-message id="inchorus-messages-error">
									<xsl:attribute name="id"><xsl:value-of select="$contentid"/>-page-index-messages-success</xsl:attribute>
									<xsl:attribute name="active">true</xsl:attribute>
									<xsl:attribute name="type">error</xsl:attribute>
									<xsl:value-of select="$initfailed" />&#160;&#160;
								</inchorus-message>
							</xsl:otherwise>
						</xsl:choose>
					</div>
						
					<div style="margin-bottom:5px;">
						<label for="gadgetversion">
							<b>
								<xsl:value-of select="$lbl_gadgetversion" />
							</b>
						</label>
						<xsl:value-of select="$gadgetversion" />
					</div>
				</div>
				<div>
					<label for="gadgetdescription">
						<b>
							<xsl:value-of select="$lbl_gadgetdescription" />
						</b>
					</label>
					<xsl:value-of select="$gadget_description" />
				</div>
				<p><xsl:value-of select="$moreinformations"/></p>
				<a href="http://www.inchorus.de">www.inchorus.de</a>
			</div>
		</inchorus-page-content>
	
		<inchorus-page-footer>
			<xsl:attribute name="id">page-home-footer</xsl:attribute>
			<xsl:value-of select="$lbl_gadgetversion" />&#160;<xsl:value-of select="$gadgetversion" />
		</inchorus-page-footer>

	</xsl:template>
</xsl:stylesheet>